<?php
// This file was auto-generated from sdk-root/src/data/alexaforbusiness/2017-11-09/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>Alexa for Business makes it easy for you to use Alexa in your organization. Alexa for Business gives you the tools you need to manage Alexa devices, enroll your users, and assign skills, at scale. You can build your own context-aware voice skills using the Alexa Skills Kit, and the Alexa for Business APIs, and you can make these available as private skills for your organization. Alexa for Business also makes it easy to voice-enable your products and services, providing context-aware voice experiences for your customers.</p>', 'operations' => [ 'AssociateContactWithAddressBook' => '<p>Associates a contact to a given address book.</p>', 'AssociateDeviceWithRoom' => '<p>Associates a device to a given room. This applies all the settings from the room profile to the device, and all the skills in any skill groups added to that room. This operation requires the device to be online, or a manual sync is required. </p>', 'AssociateSkillGroupWithRoom' => '<p>Associates a skill group to a given room. This enables all skills in the associated skill group on all devices in the room.</p>', 'CreateAddressBook' => '<p>Creates an address book with the specified details.</p>', 'CreateContact' => '<p>Creates a contact with the specified details.</p>', 'CreateProfile' => '<p>Creates a new room profile with the specified details.</p>', 'CreateRoom' => '<p>Creates a room with the specified details.</p>', 'CreateSkillGroup' => '<p>Creates a skill group with a specified name and description.</p>', 'CreateUser' => '<p>Creates a user.</p>', 'DeleteAddressBook' => '<p>Deletes an address book by the address book ARN.</p>', 'DeleteContact' => '<p>Deletes a contact by the contact ARN.</p>', 'DeleteProfile' => '<p>Deletes a room profile by the profile ARN.</p>', 'DeleteRoom' => '<p>Deletes a room by the room ARN.</p>', 'DeleteRoomSkillParameter' => '<p>Deletes room skill parameter details by room, skill, and parameter key ID.</p>', 'DeleteSkillGroup' => '<p>Deletes a skill group by skill group ARN.</p>', 'DeleteUser' => '<p>Deletes a specified user by user ARN and enrollment ARN.</p>', 'DisassociateContactFromAddressBook' => '<p>Disassociates a contact from a given address book.</p>', 'DisassociateDeviceFromRoom' => '<p>Disassociates a device from its current room. The device continues to be connected to the Wi-Fi network and is still registered to the account. The device settings and skills are removed from the room.</p>', 'DisassociateSkillGroupFromRoom' => '<p>Disassociates a skill group from a specified room. This disables all skills in the skill group on all devices in the room.</p>', 'GetAddressBook' => '<p>Gets address the book details by the address book ARN.</p>', 'GetContact' => '<p>Gets the contact details by the contact ARN.</p>', 'GetDevice' => '<p>Gets the details of a device by device ARN.</p>', 'GetProfile' => '<p>Gets the details of a room profile by profile ARN.</p>', 'GetRoom' => '<p>Gets room details by room ARN.</p>', 'GetRoomSkillParameter' => '<p>Gets room skill parameter details by room, skill, and parameter key ARN.</p>', 'GetSkillGroup' => '<p>Gets skill group details by skill group ARN.</p>', 'ListSkills' => '<p>Lists all enabled skills in a specific skill group.</p>', 'ListTags' => '<p>Lists all tags for a specific resource.</p>', 'PutRoomSkillParameter' => '<p>Updates room skill parameter details by room, skill, and parameter key ID. Not all skills have a room skill parameter.</p>', 'ResolveRoom' => '<p>Determines the details for the room from which a skill request was invoked. This operation is used by skill developers.</p>', 'RevokeInvitation' => '<p>Revokes an invitation and invalidates the enrollment URL.</p>', 'SearchAddressBooks' => '<p>Searches address books and lists the ones that meet a set of filter and sort criteria.</p>', 'SearchContacts' => '<p>Searches contacts and lists the ones that meet a set of filter and sort criteria.</p>', 'SearchDevices' => '<p>Searches devices and lists the ones that meet a set of filter criteria.</p>', 'SearchProfiles' => '<p>Searches room profiles and lists the ones that meet a set of filter criteria.</p>', 'SearchRooms' => '<p>Searches rooms and lists the ones that meet a set of filter and sort criteria.</p>', 'SearchSkillGroups' => '<p>Searches skill groups and lists the ones that meet a set of filter and sort criteria.</p>', 'SearchUsers' => '<p>Searches users and lists the ones that meet a set of filter and sort criteria.</p>', 'SendInvitation' => '<p>Sends an enrollment invitation email with a URL to a user. The URL is valid for 72 hours or until you call this operation again, whichever comes first. </p>', 'StartDeviceSync' => '<p>Resets a device and its account to the known default settings by clearing all information and settings set by previous users.</p>', 'TagResource' => '<p>Adds metadata tags to a specified resource.</p>', 'UntagResource' => '<p>Removes metadata tags from a specified resource.</p>', 'UpdateAddressBook' => '<p>Updates address book details by the address book ARN.</p>', 'UpdateContact' => '<p>Updates the contact details by the contact ARN.</p>', 'UpdateDevice' => '<p>Updates the device name by device ARN.</p>', 'UpdateProfile' => '<p>Updates an existing room profile by room profile ARN.</p>', 'UpdateRoom' => '<p>Updates room details by room ARN.</p>', 'UpdateSkillGroup' => '<p>Updates skill group details by skill group ARN.</p>', ], 'shapes' => [ 'Address' => [ 'base' => NULL, 'refs' => [ 'CreateProfileRequest$Address' => '<p>The valid address for the room.</p>', 'Profile$Address' => '<p>The address of a room profile.</p>', 'ProfileData$Address' => '<p>The address of a room profile.</p>', 'UpdateProfileRequest$Address' => '<p>The updated address for the room profile.</p>', ], ], 'AddressBook' => [ 'base' => '<p>An address book with attributes.</p>', 'refs' => [ 'GetAddressBookResponse$AddressBook' => '<p>The details of the requested address book.</p>', ], ], 'AddressBookData' => [ 'base' => '<p>Information related to an address book.</p>', 'refs' => [ 'AddressBookDataList$member' => NULL, ], ], 'AddressBookDataList' => [ 'base' => NULL, 'refs' => [ 'SearchAddressBooksResponse$AddressBooks' => '<p>The address books that meet the specified set of filter criteria, in sort order.</p>', ], ], 'AddressBookDescription' => [ 'base' => NULL, 'refs' => [ 'AddressBook$Description' => '<p>The description of the address book.</p>', 'AddressBookData$Description' => '<p>The description of the address book.</p>', 'CreateAddressBookRequest$Description' => '<p>The description of the address book.</p>', 'UpdateAddressBookRequest$Description' => '<p>The updated description of the room.</p>', ], ], 'AddressBookName' => [ 'base' => NULL, 'refs' => [ 'AddressBook$Name' => '<p>The name of the address book.</p>', 'AddressBookData$Name' => '<p>The name of the address book.</p>', 'CreateAddressBookRequest$Name' => '<p>The name of the address book.</p>', 'UpdateAddressBookRequest$Name' => '<p>The updated name of the room.</p>', ], ], 'AlreadyExistsException' => [ 'base' => '<p>The resource being created already exists. HTTP Status Code: 400</p>', 'refs' => [], ], 'Arn' => [ 'base' => NULL, 'refs' => [ 'AddressBook$AddressBookArn' => '<p>The ARN of the address book.</p>', 'AddressBookData$AddressBookArn' => '<p>The ARN of the address book.</p>', 'AssociateContactWithAddressBookRequest$ContactArn' => '<p>The ARN of the contact to associate with an address book.</p>', 'AssociateContactWithAddressBookRequest$AddressBookArn' => '<p>The ARN of the address book with which to associate the contact.</p>', 'AssociateDeviceWithRoomRequest$DeviceArn' => '<p>The ARN of the device to associate to a room. Required.</p>', 'AssociateDeviceWithRoomRequest$RoomArn' => '<p>The ARN of the room with which to associate the device. Required.</p>', 'AssociateSkillGroupWithRoomRequest$SkillGroupArn' => '<p>The ARN of the skill group to associate with a room. Required.</p>', 'AssociateSkillGroupWithRoomRequest$RoomArn' => '<p>The ARN of the room with which to associate the skill group. Required.</p>', 'Contact$ContactArn' => '<p>The ARN of the contact.</p>', 'ContactData$ContactArn' => '<p>The ARN of the contact.</p>', 'CreateAddressBookResponse$AddressBookArn' => '<p>The ARN of the newly created address book.</p>', 'CreateContactResponse$ContactArn' => '<p>The ARN of the newly created address book.</p>', 'CreateProfileResponse$ProfileArn' => '<p>The ARN of the newly created room profile in the response.</p>', 'CreateRoomRequest$ProfileArn' => '<p>The profile ARN for the room.</p>', 'CreateRoomResponse$RoomArn' => '<p>The ARN of the newly created room in the response.</p>', 'CreateSkillGroupResponse$SkillGroupArn' => '<p>The ARN of the newly created skill group in the response.</p>', 'CreateUserResponse$UserArn' => '<p>The ARN of the newly created user in the response.</p>', 'DeleteAddressBookRequest$AddressBookArn' => '<p>The ARN of the address book to delete.</p>', 'DeleteContactRequest$ContactArn' => '<p>The ARN of the contact to delete.</p>', 'DeleteProfileRequest$ProfileArn' => '<p>The ARN of the room profile to delete. Required.</p>', 'DeleteRoomRequest$RoomArn' => '<p>The ARN of the room to delete. Required.</p>', 'DeleteRoomSkillParameterRequest$RoomArn' => '<p>The ARN of the room from which to remove the room skill parameter details.</p>', 'DeleteSkillGroupRequest$SkillGroupArn' => '<p>The ARN of the skill group to delete. Required.</p>', 'DeleteUserRequest$UserArn' => '<p>The ARN of the user to delete in the organization. Required.</p>', 'Device$DeviceArn' => '<p>The ARN of a device.</p>', 'Device$RoomArn' => '<p>The room ARN of a device.</p>', 'DeviceData$DeviceArn' => '<p>The ARN of a device.</p>', 'DeviceData$RoomArn' => '<p>The room ARN associated with a device.</p>', 'DisassociateContactFromAddressBookRequest$ContactArn' => '<p>The ARN of the contact to disassociate from an address book.</p>', 'DisassociateContactFromAddressBookRequest$AddressBookArn' => '<p>The ARN of the address from which to disassociate the contact.</p>', 'DisassociateDeviceFromRoomRequest$DeviceArn' => '<p>The ARN of the device to disassociate from a room. Required.</p>', 'DisassociateSkillGroupFromRoomRequest$SkillGroupArn' => '<p>The ARN of the skill group to disassociate from a room. Required.</p>', 'DisassociateSkillGroupFromRoomRequest$RoomArn' => '<p>The ARN of the room from which the skill group is to be disassociated. Required.</p>', 'GetAddressBookRequest$AddressBookArn' => '<p>The ARN of the address book for which to request details.</p>', 'GetContactRequest$ContactArn' => '<p>The ARN of the contact for which to request details.</p>', 'GetDeviceRequest$DeviceArn' => '<p>The ARN of the device for which to request details. Required.</p>', 'GetProfileRequest$ProfileArn' => '<p>The ARN of the room profile for which to request details. Required.</p>', 'GetRoomRequest$RoomArn' => '<p>The ARN of the room for which to request details. Required.</p>', 'GetRoomSkillParameterRequest$RoomArn' => '<p>The ARN of the room from which to get the room skill parameter details. </p>', 'GetSkillGroupRequest$SkillGroupArn' => '<p>The ARN of the skill group for which to get details. Required.</p>', 'ListSkillsRequest$SkillGroupArn' => '<p>The ARN of the skill group for which to list enabled skills. Required.</p>', 'ListTagsRequest$Arn' => '<p>The ARN of the specific resource for which to list tags. Required.</p>', 'Profile$ProfileArn' => '<p>The ARN of a room profile.</p>', 'ProfileData$ProfileArn' => '<p>The ARN of a room profile.</p>', 'PutRoomSkillParameterRequest$RoomArn' => '<p>The ARN of the room associated with the room skill parameter. Required.</p>', 'ResolveRoomResponse$RoomArn' => '<p>The ARN of the room from which the skill request was invoked.</p>', 'RevokeInvitationRequest$UserArn' => '<p>The ARN of the user for whom to revoke an enrollment invitation. Required.</p>', 'Room$RoomArn' => '<p>The ARN of a room.</p>', 'Room$ProfileArn' => '<p>The profile ARN of a room.</p>', 'RoomData$RoomArn' => '<p>The ARN of a room.</p>', 'RoomData$ProfileArn' => '<p>The profile ARN of a room.</p>', 'SendInvitationRequest$UserArn' => '<p>The ARN of the user to whom to send an invitation. Required.</p>', 'SkillGroup$SkillGroupArn' => '<p>The ARN of a skill group.</p>', 'SkillGroupData$SkillGroupArn' => '<p>The skill group ARN of a skill group.</p>', 'StartDeviceSyncRequest$RoomArn' => '<p>The ARN of the room with which the device to sync is associated. Required.</p>', 'StartDeviceSyncRequest$DeviceArn' => '<p>The ARN of the device to sync. Required.</p>', 'TagResourceRequest$Arn' => '<p>The ARN of the resource to which to add metadata tags. Required. </p>', 'UntagResourceRequest$Arn' => '<p>The ARN of the resource from which to remove metadata tags. Required. </p>', 'UpdateAddressBookRequest$AddressBookArn' => '<p>The ARN of the room to update.</p>', 'UpdateContactRequest$ContactArn' => '<p>The ARN of the contact to update.</p>', 'UpdateDeviceRequest$DeviceArn' => '<p>The ARN of the device to update. Required.</p>', 'UpdateProfileRequest$ProfileArn' => '<p>The ARN of the room profile to update. Required.</p>', 'UpdateRoomRequest$RoomArn' => '<p>The ARN of the room to update. </p>', 'UpdateRoomRequest$ProfileArn' => '<p>The updated profile ARN for the room.</p>', 'UpdateSkillGroupRequest$SkillGroupArn' => '<p>The ARN of the skill group to update. </p>', 'UserData$UserArn' => '<p>The ARN of a user.</p>', ], ], 'AssociateContactWithAddressBookRequest' => [ 'base' => NULL, 'refs' => [], ], 'AssociateContactWithAddressBookResponse' => [ 'base' => NULL, 'refs' => [], ], 'AssociateDeviceWithRoomRequest' => [ 'base' => NULL, 'refs' => [], ], 'AssociateDeviceWithRoomResponse' => [ 'base' => NULL, 'refs' => [], ], 'AssociateSkillGroupWithRoomRequest' => [ 'base' => NULL, 'refs' => [], ], 'AssociateSkillGroupWithRoomResponse' => [ 'base' => NULL, 'refs' => [], ], 'Boolean' => [ 'base' => NULL, 'refs' => [ 'CreateProfileRequest$SetupModeDisabled' => '<p>Whether room profile setup is enabled.</p>', 'CreateProfileRequest$PSTNEnabled' => '<p>Whether PSTN calling is enabled.</p>', 'Profile$SetupModeDisabled' => '<p>The setup mode of a room profile.</p>', 'Profile$PSTNEnabled' => '<p>The PSTN setting of a room profile.</p>', 'UpdateProfileRequest$SetupModeDisabled' => '<p>Whether the setup mode of the profile is enabled.</p>', 'UpdateProfileRequest$PSTNEnabled' => '<p>Whether the PSTN setting of the room profile is enabled.</p>', ], ], 'ClientRequestToken' => [ 'base' => 'User specified token that is used to support idempotency during Create Resource', 'refs' => [ 'CreateAddressBookRequest$ClientRequestToken' => '<p>A unique, user-specified identifier for the request that ensures idempotency.</p>', 'CreateContactRequest$ClientRequestToken' => '<p>A unique, user-specified identifier for this request that ensures idempotency.</p>', 'CreateProfileRequest$ClientRequestToken' => '<p>The user-specified token that is used during the creation of a profile.</p>', 'CreateRoomRequest$ClientRequestToken' => '<p>A unique, user-specified identifier for this request that ensures idempotency. </p>', 'CreateSkillGroupRequest$ClientRequestToken' => '<p>A unique, user-specified identifier for this request that ensures idempotency. </p>', 'CreateUserRequest$ClientRequestToken' => '<p>A unique, user-specified identifier for this request that ensures idempotency. </p>', 'ResourceInUseException$ClientRequestToken' => NULL, ], ], 'Contact' => [ 'base' => '<p>A contact with attributes.</p>', 'refs' => [ 'GetContactResponse$Contact' => '<p>The details of the requested contact.</p>', ], ], 'ContactData' => [ 'base' => '<p>Information related to a contact.</p>', 'refs' => [ 'ContactDataList$member' => NULL, ], ], 'ContactDataList' => [ 'base' => NULL, 'refs' => [ 'SearchContactsResponse$Contacts' => '<p>The contacts that meet the specified set of filter criteria, in sort order.</p>', ], ], 'ContactName' => [ 'base' => NULL, 'refs' => [ 'Contact$DisplayName' => '<p>The name of the contact to display on the AWS management console.</p>', 'Contact$FirstName' => '<p>The first name of the contact that is used to call the contact on the device.</p>', 'Contact$LastName' => '<p>The last name of the contact that is used to call the contact on the device.</p>', 'ContactData$DisplayName' => '<p>The name of the contact to display on the AWS management console.</p>', 'ContactData$FirstName' => '<p>The first name of the contact that is used to call the contact on the device.</p>', 'ContactData$LastName' => '<p>The last name of the contact that is used to call the contact on the device.</p>', 'CreateContactRequest$DisplayName' => '<p>The name of the contact to display on the AWS management console.</p>', 'CreateContactRequest$FirstName' => '<p>The first name of the contact that is used to call the contact on the device.</p>', 'CreateContactRequest$LastName' => '<p>The last name of the contact that is used to call the contact on the device.</p>', 'UpdateContactRequest$DisplayName' => '<p>The updated display name of the contact.</p>', 'UpdateContactRequest$FirstName' => '<p>The updated first name of the contact.</p>', 'UpdateContactRequest$LastName' => '<p>The updated last name of the contact.</p>', ], ], 'CreateAddressBookRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateAddressBookResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateContactRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateContactResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateProfileRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateProfileResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateRoomRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateRoomResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateSkillGroupRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateSkillGroupResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateUserRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateUserResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteAddressBookRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteAddressBookResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteContactRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteContactResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProfileRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProfileResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteRoomRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteRoomResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteRoomSkillParameterRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteRoomSkillParameterResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteSkillGroupRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteSkillGroupResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteUserRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteUserResponse' => [ 'base' => NULL, 'refs' => [], ], 'Device' => [ 'base' => '<p>A device with attributes.</p>', 'refs' => [ 'GetDeviceResponse$Device' => '<p>The details of the device requested. Required.</p>', ], ], 'DeviceData' => [ 'base' => '<p>Device attributes.</p>', 'refs' => [ 'DeviceDataList$member' => NULL, ], ], 'DeviceDataList' => [ 'base' => NULL, 'refs' => [ 'SearchDevicesResponse$Devices' => '<p>The devices that meet the specified set of filter criteria, in sort order.</p>', ], ], 'DeviceName' => [ 'base' => NULL, 'refs' => [ 'Device$DeviceName' => '<p>The name of a device.</p>', 'DeviceData$DeviceName' => '<p>The name of a device.</p>', 'UpdateDeviceRequest$DeviceName' => '<p>The updated device name. Required.</p>', ], ], 'DeviceSerialNumber' => [ 'base' => NULL, 'refs' => [ 'Device$DeviceSerialNumber' => '<p>The serial number of a device.</p>', 'DeviceData$DeviceSerialNumber' => '<p>The serial number of a device.</p>', ], ], 'DeviceStatus' => [ 'base' => NULL, 'refs' => [ 'Device$DeviceStatus' => '<p>The status of a device. If the status is not READY, check the DeviceStatusInfo for details.</p>', 'DeviceData$DeviceStatus' => '<p>The status of a device.</p>', ], ], 'DeviceStatusDetail' => [ 'base' => '<p>Details of a device’s status.</p>', 'refs' => [ 'DeviceStatusDetails$member' => NULL, ], ], 'DeviceStatusDetailCode' => [ 'base' => NULL, 'refs' => [ 'DeviceStatusDetail$Code' => '<p>The device status detail code.</p>', ], ], 'DeviceStatusDetails' => [ 'base' => NULL, 'refs' => [ 'DeviceStatusInfo$DeviceStatusDetails' => '<p>One or more device status detail descriptions.</p>', ], ], 'DeviceStatusInfo' => [ 'base' => '<p>Detailed information about a device\'s status.</p>', 'refs' => [ 'Device$DeviceStatusInfo' => '<p>Detailed information about a device\'s status.</p>', 'DeviceData$DeviceStatusInfo' => '<p>Detailed information about a device\'s status.</p>', ], ], 'DeviceType' => [ 'base' => NULL, 'refs' => [ 'Device$DeviceType' => '<p>The type of a device.</p>', 'DeviceData$DeviceType' => '<p>The type of a device.</p>', ], ], 'DisassociateContactFromAddressBookRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateContactFromAddressBookResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateDeviceFromRoomRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateDeviceFromRoomResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateSkillGroupFromRoomRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateSkillGroupFromRoomResponse' => [ 'base' => NULL, 'refs' => [], ], 'DistanceUnit' => [ 'base' => NULL, 'refs' => [ 'CreateProfileRequest$DistanceUnit' => '<p>The distance unit to be used by devices in the profile.</p>', 'Profile$DistanceUnit' => '<p>The distance unit of a room profile.</p>', 'ProfileData$DistanceUnit' => '<p>The distance unit of a room profile.</p>', 'UpdateProfileRequest$DistanceUnit' => '<p>The updated distance unit for the room profile.</p>', ], ], 'E164PhoneNumber' => [ 'base' => NULL, 'refs' => [ 'Contact$PhoneNumber' => '<p>The phone number of the contact.</p>', 'ContactData$PhoneNumber' => '<p>The phone number of the contact.</p>', 'CreateContactRequest$PhoneNumber' => '<p>The phone number of the contact in E164 format.</p>', 'UpdateContactRequest$PhoneNumber' => '<p>The updated phone number of the contact.</p>', ], ], 'Email' => [ 'base' => NULL, 'refs' => [ 'CreateUserRequest$Email' => '<p>The email address for the user.</p>', 'UserData$Email' => '<p>The email of a user.</p>', ], ], 'EnrollmentId' => [ 'base' => NULL, 'refs' => [ 'DeleteUserRequest$EnrollmentId' => '<p>The ARN of the user\'s enrollment in the organization. Required.</p>', 'RevokeInvitationRequest$EnrollmentId' => '<p>The ARN of the enrollment invitation to revoke. Required.</p>', 'UserData$EnrollmentId' => '<p>The enrollment ARN of a user.</p>', ], ], 'EnrollmentStatus' => [ 'base' => NULL, 'refs' => [ 'UserData$EnrollmentStatus' => '<p>The enrollment status of a user.</p>', ], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'AlreadyExistsException$Message' => NULL, 'InvalidUserStatusException$Message' => NULL, 'LimitExceededException$Message' => NULL, 'NameInUseException$Message' => NULL, 'NotFoundException$Message' => NULL, 'ResourceInUseException$Message' => NULL, ], ], 'Feature' => [ 'base' => NULL, 'refs' => [ 'Features$member' => NULL, ], ], 'Features' => [ 'base' => NULL, 'refs' => [ 'StartDeviceSyncRequest$Features' => '<p>Request structure to start the device sync. Required.</p>', ], ], 'Filter' => [ 'base' => '<p>A filter name and value pair that is used to return a more specific list of results. Filters can be used to match a set of resources by various criteria.</p>', 'refs' => [ 'FilterList$member' => NULL, ], ], 'FilterKey' => [ 'base' => NULL, 'refs' => [ 'Filter$Key' => '<p>The key of a filter.</p>', ], ], 'FilterList' => [ 'base' => NULL, 'refs' => [ 'SearchAddressBooksRequest$Filters' => '<p>The filters to use to list a specified set of address books. The supported filter key is AddressBookName.</p>', 'SearchContactsRequest$Filters' => '<p>The filters to use to list a specified set of address books. The supported filter keys are DisplayName, FirstName, LastName, and AddressBookArns.</p>', 'SearchDevicesRequest$Filters' => '<p>The filters to use to list a specified set of devices. Supported filter keys are DeviceName, DeviceStatus, DeviceStatusDetailCode, RoomName, DeviceType, DeviceSerialNumber, and UnassociatedOnly.</p>', 'SearchProfilesRequest$Filters' => '<p>The filters to use to list a specified set of room profiles. Supported filter keys are ProfileName and Address. Required. </p>', 'SearchRoomsRequest$Filters' => '<p>The filters to use to list a specified set of rooms. The supported filter keys are RoomName and ProfileName.</p>', 'SearchSkillGroupsRequest$Filters' => '<p>The filters to use to list a specified set of skill groups. The supported filter key is SkillGroupName. </p>', 'SearchUsersRequest$Filters' => '<p>The filters to use for listing a specific set of users. Required. Supported filter keys are UserId, FirstName, LastName, Email, and EnrollmentStatus.</p>', ], ], 'FilterValue' => [ 'base' => NULL, 'refs' => [ 'FilterValueList$member' => NULL, ], ], 'FilterValueList' => [ 'base' => NULL, 'refs' => [ 'Filter$Values' => '<p>The values of a filter.</p>', ], ], 'GetAddressBookRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetAddressBookResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetContactRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetContactResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetDeviceRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDeviceResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetProfileRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetProfileResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetRoomRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRoomResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetRoomSkillParameterRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetRoomSkillParameterResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetSkillGroupRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetSkillGroupResponse' => [ 'base' => NULL, 'refs' => [], ], 'InvalidUserStatusException' => [ 'base' => '<p>The attempt to update a user is invalid due to the user\'s current status. HTTP Status Code: 400</p>', 'refs' => [], ], 'LimitExceededException' => [ 'base' => '<p>You are performing an action that would put you beyond your account\'s limits. HTTP Status Code: 400</p>', 'refs' => [], ], 'ListSkillsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListSkillsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsResponse' => [ 'base' => NULL, 'refs' => [], ], 'MacAddress' => [ 'base' => NULL, 'refs' => [ 'Device$MacAddress' => '<p>The MAC address of a device.</p>', 'DeviceData$MacAddress' => '<p>The MAC address of a device.</p>', ], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'ListTagsRequest$MaxResults' => '<p>The maximum number of results to include in the response. If more results exist than the specified <code>MaxResults</code> value, a token is included in the response so that the remaining results can be retrieved.</p>', 'SearchAddressBooksRequest$MaxResults' => '<p>The maximum number of results to include in the response. If more results exist than the specified MaxResults value, a token is included in the response so that the remaining results can be retrieved.</p>', 'SearchContactsRequest$MaxResults' => '<p>The maximum number of results to include in the response. If more results exist than the specified MaxResults value, a token is included in the response so that the remaining results can be retrieved.</p>', 'SearchDevicesRequest$MaxResults' => '<p>The maximum number of results to include in the response. If more results exist than the specified <code>MaxResults</code> value, a token is included in the response so that the remaining results can be retrieved.</p>', 'SearchProfilesRequest$MaxResults' => '<p>The maximum number of results to include in the response. If more results exist than the specified <code>MaxResults</code> value, a token is included in the response so that the remaining results can be retrieved.</p>', 'SearchRoomsRequest$MaxResults' => '<p>The maximum number of results to include in the response. If more results exist than the specified <code>MaxResults</code> value, a token is included in the response so that the remaining results can be retrieved. </p>', 'SearchSkillGroupsRequest$MaxResults' => '<p>The maximum number of results to include in the response. If more results exist than the specified <code>MaxResults</code> value, a token is included in the response so that the remaining results can be retrieved. </p>', 'SearchUsersRequest$MaxResults' => '<p>The maximum number of results to include in the response. If more results exist than the specified <code>MaxResults</code> value, a token is included in the response so that the remaining results can be retrieved. Required.</p>', ], ], 'MaxVolumeLimit' => [ 'base' => NULL, 'refs' => [ 'CreateProfileRequest$MaxVolumeLimit' => '<p>The maximum volume limit for a room profile.</p>', 'Profile$MaxVolumeLimit' => '<p>The max volume limit of a room profile.</p>', 'UpdateProfileRequest$MaxVolumeLimit' => '<p>The updated maximum volume limit for the room profile.</p>', ], ], 'NameInUseException' => [ 'base' => '<p>The name sent in the request is already in use. HTTP Status Code: 400</p>', 'refs' => [], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'ListSkillsRequest$NextToken' => '<p>An optional token returned from a prior request. Use this token for pagination of results from this action. If this parameter is specified, the response includes only results beyond the token, up to the value specified by <code>MaxResults</code>. Required.</p>', 'ListSkillsResponse$NextToken' => '<p>The token returned to indicate that there is more data available.</p>', 'ListTagsRequest$NextToken' => '<p>An optional token returned from a prior request. Use this token for pagination of results from this action. If this parameter is specified, the response includes only results beyond the token, up to the value specified by <code>MaxResults</code>. </p>', 'ListTagsResponse$NextToken' => '<p>The token returned to indicate that there is more data available.</p>', 'SearchAddressBooksRequest$NextToken' => '<p>An optional token returned from a prior request. Use this token for pagination of results from this action. If this parameter is specified, the response only includes results beyond the token, up to the value specified by MaxResults.</p>', 'SearchAddressBooksResponse$NextToken' => '<p>The token returned to indicate that there is more data available.</p>', 'SearchContactsRequest$NextToken' => '<p>An optional token returned from a prior request. Use this token for pagination of results from this action. If this parameter is specified, the response only includes results beyond the token, up to the value specified by MaxResults.</p>', 'SearchContactsResponse$NextToken' => '<p>The token returned to indicate that there is more data available.</p>', 'SearchDevicesRequest$NextToken' => '<p>An optional token returned from a prior request. Use this token for pagination of results from this action. If this parameter is specified, the response includes only results beyond the token, up to the value specified by <code>MaxResults</code>.</p>', 'SearchDevicesResponse$NextToken' => '<p>The token returned to indicate that there is more data available.</p>', 'SearchProfilesRequest$NextToken' => '<p>An optional token returned from a prior request. Use this token for pagination of results from this action. If this parameter is specified, the response includes only results beyond the token, up to the value specified by <code>MaxResults</code>.</p>', 'SearchProfilesResponse$NextToken' => '<p>The token returned to indicate that there is more data available.</p>', 'SearchRoomsRequest$NextToken' => '<p>An optional token returned from a prior request. Use this token for pagination of results from this action. If this parameter is specified, the response includes only results beyond the token, up to the value specified by <code>MaxResults</code>.</p>', 'SearchRoomsResponse$NextToken' => '<p>The token returned to indicate that there is more data available.</p>', 'SearchSkillGroupsRequest$NextToken' => '<p>An optional token returned from a prior request. Use this token for pagination of results from this action. If this parameter is specified, the response includes only results beyond the token, up to the value specified by <code>MaxResults</code>. Required.</p>', 'SearchSkillGroupsResponse$NextToken' => '<p>The token returned to indicate that there is more data available.</p>', 'SearchUsersRequest$NextToken' => '<p>An optional token returned from a prior request. Use this token for pagination of results from this action. If this parameter is specified, the response includes only results beyond the token, up to the value specified by <code>MaxResults</code>. Required.</p>', 'SearchUsersResponse$NextToken' => '<p>The token returned to indicate that there is more data available.</p>', ], ], 'NotFoundException' => [ 'base' => '<p>The resource is not found. HTTP Status Code: 400</p>', 'refs' => [], ], 'Profile' => [ 'base' => '<p>A room profile with attributes.</p>', 'refs' => [ 'GetProfileResponse$Profile' => '<p>The details of the room profile requested. Required.</p>', ], ], 'ProfileData' => [ 'base' => '<p>The data of a room profile.</p>', 'refs' => [ 'ProfileDataList$member' => NULL, ], ], 'ProfileDataList' => [ 'base' => NULL, 'refs' => [ 'SearchProfilesResponse$Profiles' => '<p>The profiles that meet the specified set of filter criteria, in sort order.</p>', ], ], 'ProfileName' => [ 'base' => NULL, 'refs' => [ 'CreateProfileRequest$ProfileName' => '<p>The name of a room profile.</p>', 'Profile$ProfileName' => '<p>The name of a room profile.</p>', 'ProfileData$ProfileName' => '<p>The name of a room profile.</p>', 'RoomData$ProfileName' => '<p>The profile name of a room.</p>', 'UpdateProfileRequest$ProfileName' => '<p>The updated name for the room profile.</p>', ], ], 'ProviderCalendarId' => [ 'base' => NULL, 'refs' => [ 'CreateRoomRequest$ProviderCalendarId' => '<p>The calendar ARN for the room.</p>', 'Room$ProviderCalendarId' => '<p>The provider calendar ARN of a room.</p>', 'RoomData$ProviderCalendarId' => '<p>The provider calendar ARN of a room.</p>', 'UpdateRoomRequest$ProviderCalendarId' => '<p>The updated provider calendar ARN for the room.</p>', ], ], 'PutRoomSkillParameterRequest' => [ 'base' => NULL, 'refs' => [], ], 'PutRoomSkillParameterResponse' => [ 'base' => NULL, 'refs' => [], ], 'ResolveRoomRequest' => [ 'base' => NULL, 'refs' => [], ], 'ResolveRoomResponse' => [ 'base' => NULL, 'refs' => [], ], 'ResourceInUseException' => [ 'base' => '<p>The resource in the request is already in use. HTTP Status Code: 400</p>', 'refs' => [], ], 'RevokeInvitationRequest' => [ 'base' => NULL, 'refs' => [], ], 'RevokeInvitationResponse' => [ 'base' => NULL, 'refs' => [], ], 'Room' => [ 'base' => '<p>A room with attributes.</p>', 'refs' => [ 'GetRoomResponse$Room' => '<p>The details of the room requested.</p>', ], ], 'RoomData' => [ 'base' => '<p>The data of a room.</p>', 'refs' => [ 'RoomDataList$member' => NULL, ], ], 'RoomDataList' => [ 'base' => NULL, 'refs' => [ 'SearchRoomsResponse$Rooms' => '<p>The rooms that meet the specified set of filter criteria, in sort order.</p>', ], ], 'RoomDescription' => [ 'base' => NULL, 'refs' => [ 'CreateRoomRequest$Description' => '<p>The description for the room.</p>', 'Room$Description' => '<p>The description of a room.</p>', 'RoomData$Description' => '<p>The description of a room.</p>', 'UpdateRoomRequest$Description' => '<p>The updated description for the room.</p>', ], ], 'RoomName' => [ 'base' => NULL, 'refs' => [ 'CreateRoomRequest$RoomName' => '<p>The name for the room.</p>', 'DeviceData$RoomName' => '<p>The name of the room associated with a device.</p>', 'ResolveRoomResponse$RoomName' => '<p>The name of the room from which the skill request was invoked.</p>', 'Room$RoomName' => '<p>The name of a room.</p>', 'RoomData$RoomName' => '<p>The name of a room.</p>', 'UpdateRoomRequest$RoomName' => '<p>The updated name for the room.</p>', ], ], 'RoomSkillParameter' => [ 'base' => '<p>A skill parameter associated with a room.</p>', 'refs' => [ 'GetRoomSkillParameterResponse$RoomSkillParameter' => '<p>The details of the room skill parameter requested. Required.</p>', 'PutRoomSkillParameterRequest$RoomSkillParameter' => '<p>The updated room skill parameter. Required.</p>', 'RoomSkillParameters$member' => NULL, ], ], 'RoomSkillParameterKey' => [ 'base' => NULL, 'refs' => [ 'DeleteRoomSkillParameterRequest$ParameterKey' => '<p>The room skill parameter key for which to remove details.</p>', 'GetRoomSkillParameterRequest$ParameterKey' => '<p>The room skill parameter key for which to get details. Required.</p>', 'RoomSkillParameter$ParameterKey' => '<p>The parameter key of a room skill parameter. ParameterKey is an enumerated type that only takes “DEFAULT” or “SCOPE” as valid values.</p>', ], ], 'RoomSkillParameterValue' => [ 'base' => NULL, 'refs' => [ 'RoomSkillParameter$ParameterValue' => '<p>The parameter value of a room skill parameter.</p>', ], ], 'RoomSkillParameters' => [ 'base' => NULL, 'refs' => [ 'ResolveRoomResponse$RoomSkillParameters' => '<p>Response to get the room profile request. Required.</p>', ], ], 'SearchAddressBooksRequest' => [ 'base' => NULL, 'refs' => [], ], 'SearchAddressBooksResponse' => [ 'base' => NULL, 'refs' => [], ], 'SearchContactsRequest' => [ 'base' => NULL, 'refs' => [], ], 'SearchContactsResponse' => [ 'base' => NULL, 'refs' => [], ], 'SearchDevicesRequest' => [ 'base' => NULL, 'refs' => [], ], 'SearchDevicesResponse' => [ 'base' => NULL, 'refs' => [], ], 'SearchProfilesRequest' => [ 'base' => NULL, 'refs' => [], ], 'SearchProfilesResponse' => [ 'base' => NULL, 'refs' => [], ], 'SearchRoomsRequest' => [ 'base' => NULL, 'refs' => [], ], 'SearchRoomsResponse' => [ 'base' => NULL, 'refs' => [], ], 'SearchSkillGroupsRequest' => [ 'base' => NULL, 'refs' => [], ], 'SearchSkillGroupsResponse' => [ 'base' => NULL, 'refs' => [], ], 'SearchUsersRequest' => [ 'base' => NULL, 'refs' => [], ], 'SearchUsersResponse' => [ 'base' => NULL, 'refs' => [], ], 'SendInvitationRequest' => [ 'base' => NULL, 'refs' => [], ], 'SendInvitationResponse' => [ 'base' => NULL, 'refs' => [], ], 'SkillGroup' => [ 'base' => '<p>A skill group with attributes.</p>', 'refs' => [ 'GetSkillGroupResponse$SkillGroup' => '<p>The details of the skill group requested. Required.</p>', ], ], 'SkillGroupData' => [ 'base' => '<p>The attributes of a skill group.</p>', 'refs' => [ 'SkillGroupDataList$member' => NULL, ], ], 'SkillGroupDataList' => [ 'base' => NULL, 'refs' => [ 'SearchSkillGroupsResponse$SkillGroups' => '<p>The skill groups that meet the filter criteria, in sort order.</p>', ], ], 'SkillGroupDescription' => [ 'base' => NULL, 'refs' => [ 'CreateSkillGroupRequest$Description' => '<p>The description for the skill group.</p>', 'SkillGroup$Description' => '<p>The description of a skill group.</p>', 'SkillGroupData$Description' => '<p>The description of a skill group.</p>', 'UpdateSkillGroupRequest$Description' => '<p>The updated description for the skill group.</p>', ], ], 'SkillGroupName' => [ 'base' => NULL, 'refs' => [ 'CreateSkillGroupRequest$SkillGroupName' => '<p>The name for the skill group.</p>', 'SkillGroup$SkillGroupName' => '<p>The name of a skill group.</p>', 'SkillGroupData$SkillGroupName' => '<p>The skill group name of a skill group.</p>', 'UpdateSkillGroupRequest$SkillGroupName' => '<p>The updated name for the skill group.</p>', ], ], 'SkillId' => [ 'base' => NULL, 'refs' => [ 'DeleteRoomSkillParameterRequest$SkillId' => '<p>The ID of the skill from which to remove the room skill parameter details.</p>', 'GetRoomSkillParameterRequest$SkillId' => '<p>The ARN of the skill from which to get the room skill parameter details. Required.</p>', 'PutRoomSkillParameterRequest$SkillId' => '<p>The ARN of the skill associated with the room skill parameter. Required.</p>', 'ResolveRoomRequest$SkillId' => '<p>The ARN of the skill that was requested. Required.</p>', 'SkillSummary$SkillId' => '<p>The ARN of the skill summary.</p>', ], ], 'SkillListMaxResults' => [ 'base' => NULL, 'refs' => [ 'ListSkillsRequest$MaxResults' => '<p>The maximum number of results to include in the response. If more results exist than the specified <code>MaxResults</code> value, a token is included in the response so that the remaining results can be retrieved. Required.</p>', ], ], 'SkillName' => [ 'base' => NULL, 'refs' => [ 'SkillSummary$SkillName' => '<p>The name of the skill.</p>', ], ], 'SkillSummary' => [ 'base' => '<p>The summary of skills.</p>', 'refs' => [ 'SkillSummaryList$member' => NULL, ], ], 'SkillSummaryList' => [ 'base' => NULL, 'refs' => [ 'ListSkillsResponse$SkillSummaries' => '<p>The list of enabled skills requested. Required.</p>', ], ], 'SoftwareVersion' => [ 'base' => NULL, 'refs' => [ 'Device$SoftwareVersion' => '<p>The software version of a device.</p>', 'DeviceData$SoftwareVersion' => '<p>The software version of a device.</p>', ], ], 'Sort' => [ 'base' => '<p>An object representing a sort criteria. </p>', 'refs' => [ 'SortList$member' => NULL, ], ], 'SortKey' => [ 'base' => NULL, 'refs' => [ 'Sort$Key' => '<p>The sort key of a sort object.</p>', ], ], 'SortList' => [ 'base' => NULL, 'refs' => [ 'SearchAddressBooksRequest$SortCriteria' => '<p>The sort order to use in listing the specified set of address books. The supported sort key is AddressBookName.</p>', 'SearchContactsRequest$SortCriteria' => '<p>The sort order to use in listing the specified set of contacts. The supported sort keys are DisplayName, FirstName, and LastName.</p>', 'SearchDevicesRequest$SortCriteria' => '<p>The sort order to use in listing the specified set of devices. Supported sort keys are DeviceName, DeviceStatus, RoomName, DeviceType, and DeviceSerialNumber.</p>', 'SearchProfilesRequest$SortCriteria' => '<p>The sort order to use in listing the specified set of room profiles. Supported sort keys are ProfileName and Address.</p>', 'SearchRoomsRequest$SortCriteria' => '<p>The sort order to use in listing the specified set of rooms. The supported sort keys are RoomName and ProfileName.</p>', 'SearchSkillGroupsRequest$SortCriteria' => '<p>The sort order to use in listing the specified set of skill groups. The supported sort key is SkillGroupName. </p>', 'SearchUsersRequest$SortCriteria' => '<p>The sort order to use in listing the filtered set of users. Required. Supported sort keys are UserId, FirstName, LastName, Email, and EnrollmentStatus.</p>', ], ], 'SortValue' => [ 'base' => NULL, 'refs' => [ 'Sort$Value' => '<p>The sort value of a sort object.</p>', ], ], 'StartDeviceSyncRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartDeviceSyncResponse' => [ 'base' => NULL, 'refs' => [], ], 'Tag' => [ 'base' => '<p>A key-value pair that can be associated with a resource. </p>', 'refs' => [ 'TagList$member' => NULL, ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'Tag$Key' => '<p>The key of a tag. Tag keys are case-sensitive. </p>', 'TagKeyList$member' => NULL, ], ], 'TagKeyList' => [ 'base' => NULL, 'refs' => [ 'UntagResourceRequest$TagKeys' => '<p>The tags to be removed from the specified resource. Do not provide system tags. Required. </p>', ], ], 'TagList' => [ 'base' => NULL, 'refs' => [ 'CreateRoomRequest$Tags' => '<p>The tags for the room.</p>', 'CreateUserRequest$Tags' => '<p>The tags for the user.</p>', 'ListTagsResponse$Tags' => '<p>The list of tags requested for the specific resource.</p>', 'TagResourceRequest$Tags' => '<p>The tags to be added to the specified resource. Do not provide system tags. Required. </p>', ], ], 'TagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'TagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'Tag$Value' => '<p>The value of a tag. Tag values are case-sensitive and can be null.</p>', ], ], 'TemperatureUnit' => [ 'base' => NULL, 'refs' => [ 'CreateProfileRequest$TemperatureUnit' => '<p>The temperature unit to be used by devices in the profile.</p>', 'Profile$TemperatureUnit' => '<p>The temperature unit of a room profile.</p>', 'ProfileData$TemperatureUnit' => '<p>The temperature unit of a room profile.</p>', 'UpdateProfileRequest$TemperatureUnit' => '<p>The updated temperature unit for the room profile.</p>', ], ], 'Timezone' => [ 'base' => NULL, 'refs' => [ 'CreateProfileRequest$Timezone' => '<p>The time zone used by a room profile.</p>', 'Profile$Timezone' => '<p>The time zone of a room profile.</p>', 'ProfileData$Timezone' => '<p>The timezone of a room profile.</p>', 'UpdateProfileRequest$Timezone' => '<p>The updated timezone for the room profile.</p>', ], ], 'TotalCount' => [ 'base' => NULL, 'refs' => [ 'SearchAddressBooksResponse$TotalCount' => '<p>The total number of address books returned.</p>', 'SearchContactsResponse$TotalCount' => '<p>The total number of contacts returned.</p>', 'SearchDevicesResponse$TotalCount' => '<p>The total number of devices returned.</p>', 'SearchProfilesResponse$TotalCount' => '<p>The total number of room profiles returned.</p>', 'SearchRoomsResponse$TotalCount' => '<p>The total number of rooms returned.</p>', 'SearchSkillGroupsResponse$TotalCount' => '<p>The total number of skill groups returned.</p>', 'SearchUsersResponse$TotalCount' => '<p>The total number of users returned.</p>', ], ], 'UntagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateAddressBookRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateAddressBookResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateContactRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateContactResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDeviceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDeviceResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateProfileRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateProfileResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateRoomRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateRoomResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateSkillGroupRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateSkillGroupResponse' => [ 'base' => NULL, 'refs' => [], ], 'UserData' => [ 'base' => '<p>Information related to a user.</p>', 'refs' => [ 'UserDataList$member' => NULL, ], ], 'UserDataList' => [ 'base' => NULL, 'refs' => [ 'SearchUsersResponse$Users' => '<p>The users that meet the specified set of filter criteria, in sort order.</p>', ], ], 'UserId' => [ 'base' => NULL, 'refs' => [ 'ResolveRoomRequest$UserId' => '<p>The ARN of the user. Required.</p>', ], ], 'WakeWord' => [ 'base' => NULL, 'refs' => [ 'CreateProfileRequest$WakeWord' => '<p>A wake word for Alexa, Echo, Amazon, or a computer.</p>', 'Profile$WakeWord' => '<p>The wake word of a room profile.</p>', 'ProfileData$WakeWord' => '<p>The wake word of a room profile.</p>', 'UpdateProfileRequest$WakeWord' => '<p>The updated wake word for the room profile.</p>', ], ], 'boolean' => [ 'base' => NULL, 'refs' => [ 'SkillSummary$SupportsLinking' => '<p>Linking support for a skill.</p>', ], ], 'user_FirstName' => [ 'base' => NULL, 'refs' => [ 'CreateUserRequest$FirstName' => '<p>The first name for the user.</p>', 'UserData$FirstName' => '<p>The first name of a user.</p>', ], ], 'user_LastName' => [ 'base' => NULL, 'refs' => [ 'CreateUserRequest$LastName' => '<p>The last name for the user.</p>', 'UserData$LastName' => '<p>The last name of a user.</p>', ], ], 'user_UserId' => [ 'base' => NULL, 'refs' => [ 'CreateUserRequest$UserId' => '<p>The ARN for the user.</p>', ], ], ],];
