<?php
// This file was auto-generated from sdk-root/src/data/appstream/2016-12-01/docs-2.json
return [ 'version' => '2.0', 'service' => '<fullname>Amazon AppStream 2.0</fullname> <p>You can use Amazon AppStream 2.0 to stream desktop applications to any device running a web browser, without rewriting them.</p>', 'operations' => [ 'AssociateFleet' => '<p>Associates the specified fleet with the specified stack.</p>', 'CopyImage' => '<p>Copies the image within the same region or to a new region within the same AWS account. Note that any tags you added to the image will not be copied.</p>', 'CreateDirectoryConfig' => '<p>Creates a directory configuration.</p>', 'CreateFleet' => '<p>Creates a fleet.</p>', 'CreateImageBuilder' => '<p>Creates an image builder.</p> <p>The initial state of the builder is <code>PENDING</code>. When it is ready, the state is <code>RUNNING</code>.</p>', 'CreateImageBuilderStreamingURL' => '<p>Creates a URL to start an image builder streaming session.</p>', 'CreateStack' => '<p>Creates a stack.</p>', 'CreateStreamingURL' => '<p>Creates a URL to start a streaming session for the specified user.</p>', 'DeleteDirectoryConfig' => '<p>Deletes the specified directory configuration.</p>', 'DeleteFleet' => '<p>Deletes the specified fleet.</p>', 'DeleteImage' => '<p>Deletes the specified image. You cannot delete an image that is currently in use. After you delete an image, you cannot provision new capacity using the image.</p>', 'DeleteImageBuilder' => '<p>Deletes the specified image builder and releases the capacity.</p>', 'DeleteStack' => '<p>Deletes the specified stack. After this operation completes, the environment can no longer be activated and any reservations made for the stack are released.</p>', 'DescribeDirectoryConfigs' => '<p>Describes the specified directory configurations. Note that although the response syntax in this topic includes the account password, this password is not returned in the actual response. </p>', 'DescribeFleets' => '<p>Describes the specified fleets or all fleets in the account.</p>', 'DescribeImageBuilders' => '<p>Describes the specified image builders or all image builders in the account.</p>', 'DescribeImages' => '<p>Describes the specified images or all images in the account.</p>', 'DescribeSessions' => '<p>Describes the streaming sessions for the specified stack and fleet. If a user ID is provided, only the streaming sessions for only that user are returned. If an authentication type is not provided, the default is to authenticate users using a streaming URL.</p>', 'DescribeStacks' => '<p>Describes the specified stacks or all stacks in the account.</p>', 'DisassociateFleet' => '<p>Disassociates the specified fleet from the specified stack.</p>', 'ExpireSession' => '<p>Stops the specified streaming session.</p>', 'ListAssociatedFleets' => '<p>Lists the fleets associated with the specified stack.</p>', 'ListAssociatedStacks' => '<p>Lists the stacks associated with the specified fleet.</p>', 'ListTagsForResource' => '<p>Lists the tags for the specified AppStream 2.0 resource. You can tag AppStream 2.0 image builders, images, fleets, and stacks.</p> <p>For more information about tags, see <a href="http://docs.aws.amazon.com/appstream2/latest/developerguide/tagging-basic.html">Tagging Your Resources</a> in the <i>Amazon AppStream 2.0 Developer Guide</i>.</p>', 'StartFleet' => '<p>Starts the specified fleet.</p>', 'StartImageBuilder' => '<p>Starts the specified image builder.</p>', 'StopFleet' => '<p>Stops the specified fleet.</p>', 'StopImageBuilder' => '<p>Stops the specified image builder.</p>', 'TagResource' => '<p>Adds or overwrites one or more tags for the specified AppStream 2.0 resource. You can tag AppStream 2.0 image builders, images, fleets, and stacks.</p> <p>Each tag consists of a key and an optional value. If a resource already has a tag with the same key, this operation updates its value.</p> <p>To list the current tags for your resources, use <a>ListTagsForResource</a>. To disassociate tags from your resources, use <a>UntagResource</a>.</p> <p>For more information about tags, see <a href="http://docs.aws.amazon.com/appstream2/latest/developerguide/tagging-basic.html">Tagging Your Resources</a> in the <i>Amazon AppStream 2.0 Developer Guide</i>.</p>', 'UntagResource' => '<p>Disassociates the specified tags from the specified AppStream 2.0 resource.</p> <p>To list the current tags for your resources, use <a>ListTagsForResource</a>.</p> <p>For more information about tags, see <a href="http://docs.aws.amazon.com/appstream2/latest/developerguide/tagging-basic.html">Tagging Your Resources</a> in the <i>Amazon AppStream 2.0 Developer Guide</i>.</p>', 'UpdateDirectoryConfig' => '<p>Updates the specified directory configuration.</p>', 'UpdateFleet' => '<p>Updates the specified fleet.</p> <p>If the fleet is in the <code>STOPPED</code> state, you can update any attribute except the fleet name. If the fleet is in the <code>RUNNING</code> state, you can update the <code>DisplayName</code> and <code>ComputeCapacity</code> attributes. If the fleet is in the <code>STARTING</code> or <code>STOPPING</code> state, you can\'t update it.</p>', 'UpdateStack' => '<p>Updates the specified stack.</p>', ], 'shapes' => [ 'AccountName' => [ 'base' => NULL, 'refs' => [ 'ServiceAccountCredentials$AccountName' => '<p>The user name of the account. This account must have the following privileges: create computer objects, join computers to the domain, and change/reset the password on descendant computer objects for the organizational units specified.</p>', ], ], 'AccountPassword' => [ 'base' => NULL, 'refs' => [ 'ServiceAccountCredentials$AccountPassword' => '<p>The password for the account.</p>', ], ], 'Application' => [ 'base' => '<p>Describes an application in the application catalog.</p>', 'refs' => [ 'Applications$member' => NULL, ], ], 'Applications' => [ 'base' => NULL, 'refs' => [ 'Image$Applications' => '<p>The applications associated with the image.</p>', ], ], 'AppstreamAgentVersion' => [ 'base' => NULL, 'refs' => [ 'CreateImageBuilderRequest$AppstreamAgentVersion' => '<p>The version of the AppStream 2.0 agent to use for this image builder. To use the latest version of the AppStream 2.0 agent, specify [LATEST]. </p>', 'Image$AppstreamAgentVersion' => '<p>The version of the AppStream 2.0 agent to use for instances that are launched from this image. </p>', 'ImageBuilder$AppstreamAgentVersion' => '<p>The version of the AppStream 2.0 agent that is currently being used by this image builder. </p>', 'StartImageBuilderRequest$AppstreamAgentVersion' => '<p>The version of the AppStream 2.0 agent to use for this image builder. To use the latest version of the AppStream 2.0 agent, specify [LATEST]. </p>', ], ], 'Arn' => [ 'base' => NULL, 'refs' => [ 'Fleet$Arn' => '<p>The ARN for the fleet.</p>', 'Image$Arn' => '<p>The ARN of the image.</p>', 'Image$BaseImageArn' => '<p>The ARN of the image from which this image was created.</p>', 'ImageBuilder$Arn' => '<p>The ARN for the image builder.</p>', 'ImageBuilder$ImageArn' => '<p>The ARN of the image from which this builder was created.</p>', 'ListTagsForResourceRequest$ResourceArn' => '<p>The Amazon Resource Name (ARN) of the resource.</p>', 'Stack$Arn' => '<p>The ARN of the stack.</p>', 'TagResourceRequest$ResourceArn' => '<p>The Amazon Resource Name (ARN) of the resource.</p>', 'UntagResourceRequest$ResourceArn' => '<p>The Amazon Resource Name (ARN) of the resource.</p>', ], ], 'AssociateFleetRequest' => [ 'base' => NULL, 'refs' => [], ], 'AssociateFleetResult' => [ 'base' => NULL, 'refs' => [], ], 'AuthenticationType' => [ 'base' => NULL, 'refs' => [ 'DescribeSessionsRequest$AuthenticationType' => '<p>The authentication method. Specify <code>API</code> for a user authenticated using a streaming URL or <code>SAML</code> for a SAML federated user. The default is to authenticate users using a streaming URL.</p>', 'Session$AuthenticationType' => '<p>The authentication method. The user is authenticated using a streaming URL (<code>API</code>) or SAML federation (<code>SAML</code>).</p>', ], ], 'Boolean' => [ 'base' => NULL, 'refs' => [ 'Application$Enabled' => '<p>If there is a problem, the application can be disabled after image creation.</p>', 'Image$ImageBuilderSupported' => '<p>Indicates whether an image builder can be launched from this image.</p>', 'UpdateFleetRequest$DeleteVpcConfig' => '<p>Deletes the VPC association for the specified fleet.</p>', 'UpdateStackRequest$DeleteStorageConnectors' => '<p>Deletes the storage connectors currently enabled for the stack.</p>', ], ], 'BooleanObject' => [ 'base' => NULL, 'refs' => [ 'CreateFleetRequest$EnableDefaultInternetAccess' => '<p>Enables or disables default internet access for the fleet.</p>', 'CreateImageBuilderRequest$EnableDefaultInternetAccess' => '<p>Enables or disables default internet access for the image builder.</p>', 'Fleet$EnableDefaultInternetAccess' => '<p>Indicates whether default internet access is enabled for the fleet.</p>', 'ImageBuilder$EnableDefaultInternetAccess' => '<p>Enables or disables default internet access for the image builder.</p>', 'UpdateFleetRequest$EnableDefaultInternetAccess' => '<p>Enables or disables default internet access for the fleet.</p>', ], ], 'ComputeCapacity' => [ 'base' => '<p>Describes the capacity for a fleet.</p>', 'refs' => [ 'CreateFleetRequest$ComputeCapacity' => '<p>The desired capacity for the fleet.</p>', 'UpdateFleetRequest$ComputeCapacity' => '<p>The desired capacity for the fleet.</p>', ], ], 'ComputeCapacityStatus' => [ 'base' => '<p>Describes the capacity status for a fleet.</p>', 'refs' => [ 'Fleet$ComputeCapacityStatus' => '<p>The capacity status for the fleet.</p>', ], ], 'ConcurrentModificationException' => [ 'base' => '<p>An API error occurred. Wait a few minutes and try again.</p>', 'refs' => [], ], 'CopyImageRequest' => [ 'base' => NULL, 'refs' => [], ], 'CopyImageResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateDirectoryConfigRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateDirectoryConfigResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateFleetRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateFleetResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateImageBuilderRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateImageBuilderResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateImageBuilderStreamingURLRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateImageBuilderStreamingURLResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateStackRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateStackResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateStreamingURLRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateStreamingURLResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDirectoryConfigRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDirectoryConfigResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteFleetRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteFleetResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteImageBuilderRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteImageBuilderResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteImageRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteImageResult' => [ 'base' => NULL, 'refs' => [], ], 'DeleteStackRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteStackResult' => [ 'base' => NULL, 'refs' => [], ], 'DescribeDirectoryConfigsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeDirectoryConfigsResult' => [ 'base' => NULL, 'refs' => [], ], 'DescribeFleetsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeFleetsResult' => [ 'base' => NULL, 'refs' => [], ], 'DescribeImageBuildersRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeImageBuildersResult' => [ 'base' => NULL, 'refs' => [], ], 'DescribeImagesRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeImagesResult' => [ 'base' => NULL, 'refs' => [], ], 'DescribeSessionsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeSessionsResult' => [ 'base' => NULL, 'refs' => [], ], 'DescribeStacksRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeStacksResult' => [ 'base' => NULL, 'refs' => [], ], 'Description' => [ 'base' => NULL, 'refs' => [ 'CopyImageRequest$DestinationImageDescription' => '<p>The description that the image will have when it is copied to the destination.</p>', 'CreateFleetRequest$Description' => '<p>The description for display.</p>', 'CreateImageBuilderRequest$Description' => '<p>The description for display.</p>', 'CreateStackRequest$Description' => '<p>The description for display.</p>', 'UpdateFleetRequest$Description' => '<p>The description for display.</p>', 'UpdateStackRequest$Description' => '<p>The description for display.</p>', ], ], 'DirectoryConfig' => [ 'base' => '<p>Configuration information for the directory used to join domains.</p>', 'refs' => [ 'CreateDirectoryConfigResult$DirectoryConfig' => '<p>Information about the directory configuration.</p>', 'DirectoryConfigList$member' => NULL, 'UpdateDirectoryConfigResult$DirectoryConfig' => '<p>Information about the directory configuration.</p>', ], ], 'DirectoryConfigList' => [ 'base' => NULL, 'refs' => [ 'DescribeDirectoryConfigsResult$DirectoryConfigs' => '<p>Information about the directory configurations. Note that although the response syntax in this topic includes the account password, this password is not returned in the actual response. </p>', ], ], 'DirectoryName' => [ 'base' => NULL, 'refs' => [ 'CreateDirectoryConfigRequest$DirectoryName' => '<p>The fully qualified name of the directory (for example, corp.example.com).</p>', 'DeleteDirectoryConfigRequest$DirectoryName' => '<p>The name of the directory configuration.</p>', 'DirectoryConfig$DirectoryName' => '<p>The fully qualified name of the directory (for example, corp.example.com).</p>', 'DirectoryNameList$member' => NULL, 'DomainJoinInfo$DirectoryName' => '<p>The fully qualified name of the directory (for example, corp.example.com).</p>', 'UpdateDirectoryConfigRequest$DirectoryName' => '<p>The name of the directory configuration.</p>', ], ], 'DirectoryNameList' => [ 'base' => NULL, 'refs' => [ 'DescribeDirectoryConfigsRequest$DirectoryNames' => '<p>The directory names.</p>', ], ], 'DisassociateFleetRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateFleetResult' => [ 'base' => NULL, 'refs' => [], ], 'DisplayName' => [ 'base' => NULL, 'refs' => [ 'CreateFleetRequest$DisplayName' => '<p>The fleet name for display.</p>', 'CreateImageBuilderRequest$DisplayName' => '<p>The image builder name for display.</p>', 'CreateStackRequest$DisplayName' => '<p>The stack name for display.</p>', 'UpdateFleetRequest$DisplayName' => '<p>The fleet name for display.</p>', 'UpdateStackRequest$DisplayName' => '<p>The stack name for display.</p>', ], ], 'DomainJoinInfo' => [ 'base' => '<p>Contains the information needed to join a Microsoft Active Directory domain.</p>', 'refs' => [ 'CreateFleetRequest$DomainJoinInfo' => '<p>The information needed to join a Microsoft Active Directory domain.</p>', 'CreateImageBuilderRequest$DomainJoinInfo' => '<p>The information needed to join a Microsoft Active Directory domain.</p>', 'Fleet$DomainJoinInfo' => '<p>The information needed to join a Microsoft Active Directory domain.</p>', 'ImageBuilder$DomainJoinInfo' => '<p>The information needed to join a Microsoft Active Directory domain.</p>', 'UpdateFleetRequest$DomainJoinInfo' => '<p>The information needed to join a Microsoft Active Directory domain.</p>', ], ], 'ErrorMessage' => [ 'base' => '<p>The error message in the exception.</p>', 'refs' => [ 'ConcurrentModificationException$Message' => NULL, 'IncompatibleImageException$Message' => NULL, 'InvalidAccountStatusException$Message' => NULL, 'InvalidParameterCombinationException$Message' => NULL, 'InvalidRoleException$Message' => NULL, 'LimitExceededException$Message' => NULL, 'OperationNotPermittedException$Message' => NULL, 'ResourceAlreadyExistsException$Message' => NULL, 'ResourceInUseException$Message' => NULL, 'ResourceNotAvailableException$Message' => NULL, 'ResourceNotFoundException$Message' => NULL, ], ], 'ExpireSessionRequest' => [ 'base' => NULL, 'refs' => [], ], 'ExpireSessionResult' => [ 'base' => NULL, 'refs' => [], ], 'FeedbackURL' => [ 'base' => NULL, 'refs' => [ 'CreateStackRequest$FeedbackURL' => '<p>The URL that users are redirected to after they click the Send Feedback link. If no URL is specified, no Send Feedback link is displayed.</p>', 'Stack$FeedbackURL' => '<p>The URL that users are redirected to after they click the Send Feedback link. If no URL is specified, no Send Feedback link is displayed.</p>', 'UpdateStackRequest$FeedbackURL' => '<p>The URL that users are redirected to after they click the Send Feedback link. If no URL is specified, no Send Feedback link is displayed.</p>', ], ], 'Fleet' => [ 'base' => '<p>Contains the parameters for a fleet.</p>', 'refs' => [ 'CreateFleetResult$Fleet' => '<p>Information about the fleet.</p>', 'FleetList$member' => NULL, 'UpdateFleetResult$Fleet' => '<p>Information about the fleet.</p>', ], ], 'FleetAttribute' => [ 'base' => '<p>The fleet attribute.</p>', 'refs' => [ 'FleetAttributes$member' => NULL, ], ], 'FleetAttributes' => [ 'base' => '<p>The fleet attributes.</p>', 'refs' => [ 'UpdateFleetRequest$AttributesToDelete' => '<p>The fleet attributes to delete.</p>', ], ], 'FleetError' => [ 'base' => '<p>Describes a fleet error.</p>', 'refs' => [ 'FleetErrors$member' => NULL, ], ], 'FleetErrorCode' => [ 'base' => NULL, 'refs' => [ 'FleetError$ErrorCode' => '<p>The error code.</p>', 'ResourceError$ErrorCode' => '<p>The error code.</p>', ], ], 'FleetErrors' => [ 'base' => NULL, 'refs' => [ 'Fleet$FleetErrors' => '<p>The fleet errors.</p>', ], ], 'FleetList' => [ 'base' => '<p>The fleets.</p>', 'refs' => [ 'DescribeFleetsResult$Fleets' => '<p>Information about the fleets.</p>', ], ], 'FleetState' => [ 'base' => NULL, 'refs' => [ 'Fleet$State' => '<p>The current state for the fleet.</p>', ], ], 'FleetType' => [ 'base' => NULL, 'refs' => [ 'CreateFleetRequest$FleetType' => '<p>The fleet type.</p> <dl> <dt>ALWAYS_ON</dt> <dd> <p>Provides users with instant-on access to their apps. You are charged for all running instances in your fleet, even if no users are streaming apps.</p> </dd> <dt>ON_DEMAND</dt> <dd> <p>Provide users with access to applications after they connect, which takes one to two minutes. You are charged for instance streaming when users are connected and a small hourly fee for instances that are not streaming apps.</p> </dd> </dl>', 'Fleet$FleetType' => '<p>The fleet type.</p> <dl> <dt>ALWAYS_ON</dt> <dd> <p>Provides users with instant-on access to their apps. You are charged for all running instances in your fleet, even if no users are streaming apps.</p> </dd> <dt>ON_DEMAND</dt> <dd> <p>Provide users with access to applications after they connect, which takes one to two minutes. You are charged for instance streaming when users are connected and a small hourly fee for instances that are not streaming apps.</p> </dd> </dl>', ], ], 'Image' => [ 'base' => '<p>Describes an image.</p>', 'refs' => [ 'DeleteImageResult$Image' => '<p>Information about the image.</p>', 'ImageList$member' => NULL, ], ], 'ImageBuilder' => [ 'base' => '<p>Describes a streaming instance used for editing an image. New images are created from a snapshot through an image builder.</p>', 'refs' => [ 'CreateImageBuilderResult$ImageBuilder' => '<p>Information about the image builder.</p>', 'DeleteImageBuilderResult$ImageBuilder' => '<p>Information about the image builder.</p>', 'ImageBuilderList$member' => NULL, 'StartImageBuilderResult$ImageBuilder' => '<p>Information about the image builder.</p>', 'StopImageBuilderResult$ImageBuilder' => '<p>Information about the image builder.</p>', ], ], 'ImageBuilderList' => [ 'base' => NULL, 'refs' => [ 'DescribeImageBuildersResult$ImageBuilders' => '<p>Information about the image builders.</p>', ], ], 'ImageBuilderState' => [ 'base' => NULL, 'refs' => [ 'ImageBuilder$State' => '<p>The state of the image builder.</p>', ], ], 'ImageBuilderStateChangeReason' => [ 'base' => '<p>Describes the reason why the last image builder state change occurred.</p>', 'refs' => [ 'ImageBuilder$StateChangeReason' => '<p>The reason why the last state change occurred.</p>', ], ], 'ImageBuilderStateChangeReasonCode' => [ 'base' => NULL, 'refs' => [ 'ImageBuilderStateChangeReason$Code' => '<p>The state change reason code.</p>', ], ], 'ImageList' => [ 'base' => NULL, 'refs' => [ 'DescribeImagesResult$Images' => '<p>Information about the images.</p>', ], ], 'ImageState' => [ 'base' => NULL, 'refs' => [ 'Image$State' => '<p>The image starts in the <code>PENDING</code> state. If image creation succeeds, the state is <code>AVAILABLE</code>. If image creation fails, the state is <code>FAILED</code>.</p>', ], ], 'ImageStateChangeReason' => [ 'base' => '<p>Describes the reason why the last image state change occurred.</p>', 'refs' => [ 'Image$StateChangeReason' => '<p>The reason why the last state change occurred.</p>', ], ], 'ImageStateChangeReasonCode' => [ 'base' => NULL, 'refs' => [ 'ImageStateChangeReason$Code' => '<p>The state change reason code.</p>', ], ], 'IncompatibleImageException' => [ 'base' => '<p>The image does not support storage connectors.</p>', 'refs' => [], ], 'Integer' => [ 'base' => NULL, 'refs' => [ 'ComputeCapacity$DesiredInstances' => '<p>The desired number of streaming instances.</p>', 'ComputeCapacityStatus$Desired' => '<p>The desired number of streaming instances.</p>', 'ComputeCapacityStatus$Running' => '<p>The total number of simultaneous streaming instances that are running.</p>', 'ComputeCapacityStatus$InUse' => '<p>The number of instances in use for streaming.</p>', 'ComputeCapacityStatus$Available' => '<p>The number of currently available instances that can be used to stream sessions.</p>', 'CreateFleetRequest$MaxUserDurationInSeconds' => '<p>The maximum time that a streaming session can run, in seconds. Specify a value between 600 and 57600.</p>', 'CreateFleetRequest$DisconnectTimeoutInSeconds' => '<p>The time after disconnection when a session is considered to have ended, in seconds. If a user who was disconnected reconnects within this time interval, the user is connected to their previous session. Specify a value between 60 and 57600.</p>', 'DescribeDirectoryConfigsRequest$MaxResults' => '<p>The maximum size of each page of results.</p>', 'DescribeImageBuildersRequest$MaxResults' => '<p>The maximum size of each page of results.</p>', 'DescribeSessionsRequest$Limit' => '<p>The size of each page of results. The default value is 20 and the maximum value is 50.</p>', 'Fleet$MaxUserDurationInSeconds' => '<p>The maximum time that a streaming session can run, in seconds. Specify a value between 600 and 57600.</p>', 'Fleet$DisconnectTimeoutInSeconds' => '<p>The time after disconnection when a session is considered to have ended, in seconds. If a user who was disconnected reconnects within this time interval, the user is connected to their previous session. Specify a value between 60 and 57600.</p>', 'UpdateFleetRequest$MaxUserDurationInSeconds' => '<p>The maximum time that a streaming session can run, in seconds. Specify a value between 600 and 57600.</p>', 'UpdateFleetRequest$DisconnectTimeoutInSeconds' => '<p>The time after disconnection when a session is considered to have ended, in seconds. If a user who was disconnected reconnects within this time interval, the user is connected to their previous session. Specify a value between 60 and 57600.</p>', ], ], 'InvalidAccountStatusException' => [ 'base' => '<p>The resource cannot be created because your AWS account is suspended. For assistance, contact AWS Support. </p>', 'refs' => [], ], 'InvalidParameterCombinationException' => [ 'base' => '<p>Indicates an incorrect combination of parameters, or a missing parameter.</p>', 'refs' => [], ], 'InvalidRoleException' => [ 'base' => '<p>The specified role is invalid.</p>', 'refs' => [], ], 'LimitExceededException' => [ 'base' => '<p>The requested limit exceeds the permitted limit for an account.</p>', 'refs' => [], ], 'ListAssociatedFleetsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListAssociatedFleetsResult' => [ 'base' => NULL, 'refs' => [], ], 'ListAssociatedStacksRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListAssociatedStacksResult' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'Long' => [ 'base' => NULL, 'refs' => [ 'CreateImageBuilderStreamingURLRequest$Validity' => '<p>The time that the streaming URL will be valid, in seconds. Specify a value between 1 and 604800 seconds. The default is 3600 seconds.</p>', 'CreateStreamingURLRequest$Validity' => '<p>The time that the streaming URL will be valid, in seconds. Specify a value between 1 and 604800 seconds. The default is 60 seconds.</p>', ], ], 'Metadata' => [ 'base' => NULL, 'refs' => [ 'Application$Metadata' => '<p>Additional attributes that describe the application.</p>', ], ], 'Name' => [ 'base' => NULL, 'refs' => [ 'CopyImageRequest$SourceImageName' => '<p>The name of the image to copy.</p>', 'CopyImageRequest$DestinationImageName' => '<p>The name that the image will have when it is copied to the destination.</p>', 'CopyImageResponse$DestinationImageName' => '<p>The name of the destination image.</p>', 'CreateFleetRequest$Name' => '<p>A unique name for the fleet.</p>', 'CreateImageBuilderRequest$Name' => '<p>A unique name for the image builder.</p>', 'DeleteImageBuilderRequest$Name' => '<p>The name of the image builder.</p>', 'DeleteImageRequest$Name' => '<p>The name of the image.</p>', ], ], 'OperationNotPermittedException' => [ 'base' => '<p>The attempted operation is not permitted.</p>', 'refs' => [], ], 'OrganizationalUnitDistinguishedName' => [ 'base' => NULL, 'refs' => [ 'DomainJoinInfo$OrganizationalUnitDistinguishedName' => '<p>The distinguished name of the organizational unit for computer accounts.</p>', 'OrganizationalUnitDistinguishedNamesList$member' => NULL, ], ], 'OrganizationalUnitDistinguishedNamesList' => [ 'base' => NULL, 'refs' => [ 'CreateDirectoryConfigRequest$OrganizationalUnitDistinguishedNames' => '<p>The distinguished names of the organizational units for computer accounts.</p>', 'DirectoryConfig$OrganizationalUnitDistinguishedNames' => '<p>The distinguished names of the organizational units for computer accounts.</p>', 'UpdateDirectoryConfigRequest$OrganizationalUnitDistinguishedNames' => '<p>The distinguished names of the organizational units for computer accounts.</p>', ], ], 'PlatformType' => [ 'base' => NULL, 'refs' => [ 'Image$Platform' => '<p>The operating system platform of the image.</p>', 'ImageBuilder$Platform' => '<p>The operating system platform of the image builder.</p>', ], ], 'RedirectURL' => [ 'base' => NULL, 'refs' => [ 'CreateStackRequest$RedirectURL' => '<p>The URL that users are redirected to after their streaming session ends.</p>', 'Stack$RedirectURL' => '<p>The URL that users are redirected to after their streaming session ends.</p>', 'UpdateStackRequest$RedirectURL' => '<p>The URL that users are redirected to after their streaming session ends.</p>', ], ], 'RegionName' => [ 'base' => NULL, 'refs' => [ 'CopyImageRequest$DestinationRegion' => '<p>The destination region to which the image will be copied. This parameter is required, even if you are copying an image within the same region.</p>', ], ], 'ResourceAlreadyExistsException' => [ 'base' => '<p>The specified resource already exists.</p>', 'refs' => [], ], 'ResourceError' => [ 'base' => '<p>Describes a resource error.</p>', 'refs' => [ 'ResourceErrors$member' => NULL, ], ], 'ResourceErrors' => [ 'base' => NULL, 'refs' => [ 'ImageBuilder$ImageBuilderErrors' => '<p>The image builder errors.</p>', ], ], 'ResourceIdentifier' => [ 'base' => '<p>The ARN of the resource.</p>', 'refs' => [ 'StorageConnector$ResourceIdentifier' => '<p>The ARN of the storage connector.</p>', ], ], 'ResourceInUseException' => [ 'base' => '<p>The specified resource is in use.</p>', 'refs' => [], ], 'ResourceNotAvailableException' => [ 'base' => '<p>The specified resource exists and is not in use, but isn\'t available.</p>', 'refs' => [], ], 'ResourceNotFoundException' => [ 'base' => '<p>The specified resource was not found.</p>', 'refs' => [], ], 'SecurityGroupIdList' => [ 'base' => '<p>The security group IDs.</p>', 'refs' => [ 'VpcConfig$SecurityGroupIds' => '<p>The security groups for the fleet.</p>', ], ], 'ServiceAccountCredentials' => [ 'base' => '<p>Describes the credentials for the service account used by the streaming instance to connect to the directory.</p>', 'refs' => [ 'CreateDirectoryConfigRequest$ServiceAccountCredentials' => '<p>The credentials for the service account used by the streaming instance to connect to the directory.</p>', 'DirectoryConfig$ServiceAccountCredentials' => '<p>The credentials for the service account used by the streaming instance to connect to the directory.</p>', 'UpdateDirectoryConfigRequest$ServiceAccountCredentials' => '<p>The credentials for the service account used by the streaming instance to connect to the directory.</p>', ], ], 'Session' => [ 'base' => '<p>Describes a streaming session.</p>', 'refs' => [ 'SessionList$member' => NULL, ], ], 'SessionList' => [ 'base' => '<p>List of sessions.</p>', 'refs' => [ 'DescribeSessionsResult$Sessions' => '<p>Information about the streaming sessions.</p>', ], ], 'SessionState' => [ 'base' => '<p>Possible values for the state of a streaming session.</p>', 'refs' => [ 'Session$State' => '<p>The current state of the streaming session.</p>', ], ], 'Stack' => [ 'base' => '<p>Describes a stack.</p>', 'refs' => [ 'CreateStackResult$Stack' => '<p>Information about the stack.</p>', 'StackList$member' => NULL, 'UpdateStackResult$Stack' => '<p>Information about the stack.</p>', ], ], 'StackAttribute' => [ 'base' => NULL, 'refs' => [ 'StackAttributes$member' => NULL, ], ], 'StackAttributes' => [ 'base' => NULL, 'refs' => [ 'UpdateStackRequest$AttributesToDelete' => '<p>The stack attributes to delete.</p>', ], ], 'StackError' => [ 'base' => '<p>Describes a stack error.</p>', 'refs' => [ 'StackErrors$member' => NULL, ], ], 'StackErrorCode' => [ 'base' => NULL, 'refs' => [ 'StackError$ErrorCode' => '<p>The error code.</p>', ], ], 'StackErrors' => [ 'base' => '<p>The stack errors.</p>', 'refs' => [ 'Stack$StackErrors' => '<p>The errors for the stack.</p>', ], ], 'StackList' => [ 'base' => '<p>The stacks.</p>', 'refs' => [ 'DescribeStacksResult$Stacks' => '<p>Information about the stacks.</p>', ], ], 'StartFleetRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartFleetResult' => [ 'base' => NULL, 'refs' => [], ], 'StartImageBuilderRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartImageBuilderResult' => [ 'base' => NULL, 'refs' => [], ], 'StopFleetRequest' => [ 'base' => NULL, 'refs' => [], ], 'StopFleetResult' => [ 'base' => NULL, 'refs' => [], ], 'StopImageBuilderRequest' => [ 'base' => NULL, 'refs' => [], ], 'StopImageBuilderResult' => [ 'base' => NULL, 'refs' => [], ], 'StorageConnector' => [ 'base' => '<p>Describes a storage connector.</p>', 'refs' => [ 'StorageConnectorList$member' => NULL, ], ], 'StorageConnectorList' => [ 'base' => '<p>The storage connectors.</p>', 'refs' => [ 'CreateStackRequest$StorageConnectors' => '<p>The storage connectors to enable.</p>', 'Stack$StorageConnectors' => '<p>The storage connectors to enable.</p>', 'UpdateStackRequest$StorageConnectors' => '<p>The storage connectors to enable.</p>', ], ], 'StorageConnectorType' => [ 'base' => '<p>The type of storage connector.</p>', 'refs' => [ 'StorageConnector$ConnectorType' => '<p>The type of storage connector.</p>', ], ], 'StreamingUrlUserId' => [ 'base' => NULL, 'refs' => [ 'CreateStreamingURLRequest$UserId' => '<p>The ID of the user.</p>', ], ], 'String' => [ 'base' => NULL, 'refs' => [ 'Application$Name' => '<p>The name of the application.</p>', 'Application$DisplayName' => '<p>The application name for display.</p>', 'Application$IconURL' => '<p>The URL for the application icon. This URL might be time-limited.</p>', 'Application$LaunchPath' => '<p>The path to the application executable in the instance.</p>', 'Application$LaunchParameters' => '<p>The arguments that are passed to the application at launch.</p>', 'AssociateFleetRequest$FleetName' => '<p>The name of the fleet. </p>', 'AssociateFleetRequest$StackName' => '<p>The name of the stack.</p>', 'CreateFleetRequest$ImageName' => '<p>The name of the image used to create the fleet.</p>', 'CreateFleetRequest$InstanceType' => '<p>The instance type to use when launching fleet instances. The following instance types are available:</p> <ul> <li> <p>stream.standard.medium</p> </li> <li> <p>stream.standard.large</p> </li> <li> <p>stream.compute.large</p> </li> <li> <p>stream.compute.xlarge</p> </li> <li> <p>stream.compute.2xlarge</p> </li> <li> <p>stream.compute.4xlarge</p> </li> <li> <p>stream.compute.8xlarge</p> </li> <li> <p>stream.memory.large</p> </li> <li> <p>stream.memory.xlarge</p> </li> <li> <p>stream.memory.2xlarge</p> </li> <li> <p>stream.memory.4xlarge</p> </li> <li> <p>stream.memory.8xlarge</p> </li> <li> <p>stream.graphics-design.large</p> </li> <li> <p>stream.graphics-design.xlarge</p> </li> <li> <p>stream.graphics-design.2xlarge</p> </li> <li> <p>stream.graphics-design.4xlarge</p> </li> <li> <p>stream.graphics-desktop.2xlarge</p> </li> <li> <p>stream.graphics-pro.4xlarge</p> </li> <li> <p>stream.graphics-pro.8xlarge</p> </li> <li> <p>stream.graphics-pro.16xlarge</p> </li> </ul>', 'CreateImageBuilderRequest$ImageName' => '<p>The name of the image used to create the builder.</p>', 'CreateImageBuilderRequest$InstanceType' => '<p>The instance type to use when launching the image builder.</p>', 'CreateImageBuilderStreamingURLRequest$Name' => '<p>The name of the image builder.</p>', 'CreateImageBuilderStreamingURLResult$StreamingURL' => '<p>The URL to start the AppStream 2.0 streaming session.</p>', 'CreateStackRequest$Name' => '<p>The name of the stack.</p>', 'CreateStreamingURLRequest$StackName' => '<p>The name of the stack.</p>', 'CreateStreamingURLRequest$FleetName' => '<p>The name of the fleet.</p>', 'CreateStreamingURLRequest$ApplicationId' => '<p>The name of the application to launch after the session starts. This is the name that you specified as <b>Name</b> in the Image Assistant.</p>', 'CreateStreamingURLRequest$SessionContext' => '<p>The session context. For more information, see <a href="http://docs.aws.amazon.com/appstream2/latest/developerguide/managing-stacks-fleets.html#managing-stacks-fleets-parameters">Session Context</a> in the <i>Amazon AppStream 2.0 Developer Guide</i>.</p>', 'CreateStreamingURLResult$StreamingURL' => '<p>The URL to start the AppStream 2.0 streaming session.</p>', 'DeleteFleetRequest$Name' => '<p>The name of the fleet.</p>', 'DeleteStackRequest$Name' => '<p>The name of the stack.</p>', 'DescribeDirectoryConfigsRequest$NextToken' => '<p>The pagination token to use to retrieve the next page of results for this operation. If this value is null, it retrieves the first page.</p>', 'DescribeDirectoryConfigsResult$NextToken' => '<p>The pagination token to use to retrieve the next page of results for this operation. If there are no more pages, this value is null.</p>', 'DescribeFleetsRequest$NextToken' => '<p>The pagination token to use to retrieve the next page of results for this operation. If this value is null, it retrieves the first page.</p>', 'DescribeFleetsResult$NextToken' => '<p>The pagination token to use to retrieve the next page of results for this operation. If there are no more pages, this value is null.</p>', 'DescribeImageBuildersRequest$NextToken' => '<p>The pagination token to use to retrieve the next page of results for this operation. If this value is null, it retrieves the first page.</p>', 'DescribeImageBuildersResult$NextToken' => '<p>The pagination token to use to retrieve the next page of results for this operation. If there are no more pages, this value is null.</p>', 'DescribeSessionsRequest$StackName' => '<p>The name of the stack. This value is case-sensitive.</p>', 'DescribeSessionsRequest$FleetName' => '<p>The name of the fleet. This value is case-sensitive.</p>', 'DescribeSessionsRequest$NextToken' => '<p>The pagination token to use to retrieve the next page of results for this operation. If this value is null, it retrieves the first page.</p>', 'DescribeSessionsResult$NextToken' => '<p>The pagination token to use to retrieve the next page of results for this operation. If there are no more pages, this value is null.</p>', 'DescribeStacksRequest$NextToken' => '<p>The pagination token to use to retrieve the next page of results for this operation. If this value is null, it retrieves the first page.</p>', 'DescribeStacksResult$NextToken' => '<p>The pagination token to use to retrieve the next page of results for this operation. If there are no more pages, this value is null.</p>', 'DisassociateFleetRequest$FleetName' => '<p>The name of the fleet.</p>', 'DisassociateFleetRequest$StackName' => '<p>The name of the stack.</p>', 'ExpireSessionRequest$SessionId' => '<p>The ID of the streaming session.</p>', 'Fleet$Name' => '<p>The name of the fleet.</p>', 'Fleet$DisplayName' => '<p>The fleet name for display.</p>', 'Fleet$Description' => '<p>The description for display.</p>', 'Fleet$ImageName' => '<p>The name of the image used to create the fleet.</p>', 'Fleet$InstanceType' => '<p>The instance type to use when launching fleet instances.</p>', 'FleetError$ErrorMessage' => '<p>The error message.</p>', 'Image$Name' => '<p>The name of the image.</p>', 'Image$DisplayName' => '<p>The image name for display.</p>', 'Image$Description' => '<p>The description for display.</p>', 'ImageBuilder$Name' => '<p>The name of the image builder.</p>', 'ImageBuilder$Description' => '<p>The description for display.</p>', 'ImageBuilder$DisplayName' => '<p>The image builder name for display.</p>', 'ImageBuilder$InstanceType' => '<p>The instance type for the image builder.</p>', 'ImageBuilderStateChangeReason$Message' => '<p>The state change reason message.</p>', 'ImageStateChangeReason$Message' => '<p>The state change reason message.</p>', 'ListAssociatedFleetsRequest$StackName' => '<p>The name of the stack.</p>', 'ListAssociatedFleetsRequest$NextToken' => '<p>The pagination token to use to retrieve the next page of results for this operation. If this value is null, it retrieves the first page.</p>', 'ListAssociatedFleetsResult$NextToken' => '<p>The pagination token to use to retrieve the next page of results for this operation. If there are no more pages, this value is null.</p>', 'ListAssociatedStacksRequest$FleetName' => '<p>The name of the fleet.</p>', 'ListAssociatedStacksRequest$NextToken' => '<p>The pagination token to use to retrieve the next page of results for this operation. If this value is null, it retrieves the first page.</p>', 'ListAssociatedStacksResult$NextToken' => '<p>The pagination token to use to retrieve the next page of results for this operation. If there are no more pages, this value is null.</p>', 'Metadata$key' => NULL, 'Metadata$value' => NULL, 'ResourceError$ErrorMessage' => '<p>The error message.</p>', 'SecurityGroupIdList$member' => NULL, 'Session$Id' => '<p>The ID of the streaming session.</p>', 'Session$StackName' => '<p>The name of the stack for the streaming session.</p>', 'Session$FleetName' => '<p>The name of the fleet for the streaming session.</p>', 'Stack$Name' => '<p>The name of the stack.</p>', 'Stack$Description' => '<p>The description for display.</p>', 'Stack$DisplayName' => '<p>The stack name for display.</p>', 'StackError$ErrorMessage' => '<p>The error message.</p>', 'StartFleetRequest$Name' => '<p>The name of the fleet.</p>', 'StartImageBuilderRequest$Name' => '<p>The name of the image builder.</p>', 'StopFleetRequest$Name' => '<p>The name of the fleet.</p>', 'StopImageBuilderRequest$Name' => '<p>The name of the image builder.</p>', 'StringList$member' => NULL, 'SubnetIdList$member' => NULL, 'UpdateFleetRequest$ImageName' => '<p>The name of the image used to create the fleet.</p>', 'UpdateFleetRequest$Name' => '<p>A unique name for the fleet.</p>', 'UpdateFleetRequest$InstanceType' => '<p>The instance type to use when launching fleet instances. The following instance types are available:</p> <ul> <li> <p>stream.standard.medium</p> </li> <li> <p>stream.standard.large</p> </li> <li> <p>stream.compute.large</p> </li> <li> <p>stream.compute.xlarge</p> </li> <li> <p>stream.compute.2xlarge</p> </li> <li> <p>stream.compute.4xlarge</p> </li> <li> <p>stream.compute.8xlarge</p> </li> <li> <p>stream.memory.large</p> </li> <li> <p>stream.memory.xlarge</p> </li> <li> <p>stream.memory.2xlarge</p> </li> <li> <p>stream.memory.4xlarge</p> </li> <li> <p>stream.memory.8xlarge</p> </li> <li> <p>stream.graphics-design.large</p> </li> <li> <p>stream.graphics-design.xlarge</p> </li> <li> <p>stream.graphics-design.2xlarge</p> </li> <li> <p>stream.graphics-design.4xlarge</p> </li> <li> <p>stream.graphics-desktop.2xlarge</p> </li> <li> <p>stream.graphics-pro.4xlarge</p> </li> <li> <p>stream.graphics-pro.8xlarge</p> </li> <li> <p>stream.graphics-pro.16xlarge</p> </li> </ul>', 'UpdateStackRequest$Name' => '<p>The name of the stack.</p>', ], ], 'StringList' => [ 'base' => NULL, 'refs' => [ 'DescribeFleetsRequest$Names' => '<p>The names of the fleets to describe.</p>', 'DescribeImageBuildersRequest$Names' => '<p>The names of the image builders to describe.</p>', 'DescribeImagesRequest$Names' => '<p>The names of the images to describe.</p>', 'DescribeStacksRequest$Names' => '<p>The names of the stacks to describe.</p>', 'ListAssociatedFleetsResult$Names' => '<p>The names of the fleets.</p>', 'ListAssociatedStacksResult$Names' => '<p>The names of the stacks.</p>', ], ], 'SubnetIdList' => [ 'base' => '<p>The subnet IDs.</p>', 'refs' => [ 'VpcConfig$SubnetIds' => '<p>The subnets to which a network interface is established from the fleet instance.</p>', ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'TagKeyList$member' => NULL, 'Tags$key' => NULL, ], ], 'TagKeyList' => [ 'base' => NULL, 'refs' => [ 'UntagResourceRequest$TagKeys' => '<p>The tag keys for the tags to disassociate.</p>', ], ], 'TagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'TagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'Tags$value' => NULL, ], ], 'Tags' => [ 'base' => NULL, 'refs' => [ 'ListTagsForResourceResponse$Tags' => '<p>The information about the tags.</p>', 'TagResourceRequest$Tags' => '<p>The tags to associate. A tag is a key-value pair (the value is optional). For example, <code>Environment=Test</code>, or, if you do not specify a value, <code>Environment=</code>. </p> <p>If you do not specify a value, we set the value to an empty string.</p>', ], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'CreateImageBuilderStreamingURLResult$Expires' => '<p>The elapsed time, in seconds after the Unix epoch, when this URL expires.</p>', 'CreateStreamingURLResult$Expires' => '<p>The elapsed time, in seconds after the Unix epoch, when this URL expires.</p>', 'DirectoryConfig$CreatedTime' => '<p>The time the directory configuration was created.</p>', 'Fleet$CreatedTime' => '<p>The time the fleet was created.</p>', 'Image$CreatedTime' => '<p>The time the image was created.</p>', 'Image$PublicBaseImageReleasedDate' => '<p>The release date of the public base image. For private images, this date is the release date of the base image from which the image was created.</p>', 'ImageBuilder$CreatedTime' => '<p>The time stamp when the image builder was created.</p>', 'ResourceError$ErrorTimestamp' => '<p>The time the error occurred.</p>', 'Stack$CreatedTime' => '<p>The time the stack was created.</p>', ], ], 'UntagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDirectoryConfigRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDirectoryConfigResult' => [ 'base' => NULL, 'refs' => [], ], 'UpdateFleetRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateFleetResult' => [ 'base' => NULL, 'refs' => [], ], 'UpdateStackRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateStackResult' => [ 'base' => NULL, 'refs' => [], ], 'UserId' => [ 'base' => NULL, 'refs' => [ 'DescribeSessionsRequest$UserId' => '<p>The user ID.</p>', 'Session$UserId' => '<p>The identifier of the user for whom the session was created.</p>', ], ], 'VisibilityType' => [ 'base' => NULL, 'refs' => [ 'Image$Visibility' => '<p>Indicates whether the image is public or private.</p>', ], ], 'VpcConfig' => [ 'base' => '<p>Describes VPC configuration information.</p>', 'refs' => [ 'CreateFleetRequest$VpcConfig' => '<p>The VPC configuration for the fleet.</p>', 'CreateImageBuilderRequest$VpcConfig' => '<p>The VPC configuration for the image builder. You can specify only one subnet.</p>', 'Fleet$VpcConfig' => '<p>The VPC configuration for the fleet.</p>', 'ImageBuilder$VpcConfig' => '<p>The VPC configuration of the image builder.</p>', 'UpdateFleetRequest$VpcConfig' => '<p>The VPC configuration for the fleet.</p>', ], ], ],];
