<?php
// This file was auto-generated from sdk-root/src/data/appsync/2017-07-25/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>AWS AppSync provides API actions for creating and interacting with data sources using GraphQL from your application.</p>', 'operations' => [ 'CreateApiKey' => '<p>Creates a unique key that you can distribute to clients who are executing your API.</p>', 'CreateDataSource' => '<p>Creates a <code>DataSource</code> object.</p>', 'CreateGraphqlApi' => '<p>Creates a <code>GraphqlApi</code> object.</p>', 'CreateResolver' => '<p>Creates a <code>Resolver</code> object.</p> <p>A resolver converts incoming requests into a format that a data source can understand and converts the data source\'s responses into GraphQL.</p>', 'CreateType' => '<p>Creates a <code>Type</code> object.</p>', 'DeleteApiKey' => '<p>Deletes an API key.</p>', 'DeleteDataSource' => '<p>Deletes a <code>DataSource</code> object.</p>', 'DeleteGraphqlApi' => '<p>Deletes a <code>GraphqlApi</code> object.</p>', 'DeleteResolver' => '<p>Deletes a <code>Resolver</code> object.</p>', 'DeleteType' => '<p>Deletes a <code>Type</code> object.</p>', 'GetDataSource' => '<p>Retrieves a <code>DataSource</code> object.</p>', 'GetGraphqlApi' => '<p>Retrieves a <code>GraphqlApi</code> object.</p>', 'GetIntrospectionSchema' => '<p>Retrieves the introspection schema for a GraphQL API.</p>', 'GetResolver' => '<p>Retrieves a <code>Resolver</code> object.</p>', 'GetSchemaCreationStatus' => '<p>Retrieves the current status of a schema creation operation.</p>', 'GetType' => '<p>Retrieves a <code>Type</code> object.</p>', 'ListApiKeys' => '<p>Lists the API keys for a given API.</p>', 'ListDataSources' => '<p>Lists the data sources for a given API.</p>', 'ListGraphqlApis' => '<p>Lists your GraphQL APIs.</p>', 'ListResolvers' => '<p>Lists the resolvers for a given API and type.</p>', 'ListTypes' => '<p>Lists the types for a given API.</p>', 'StartSchemaCreation' => '<p>Adds a new schema to your GraphQL API.</p> <p>This operation is asynchronous. Use to determine when it has completed.</p>', 'UpdateApiKey' => '<p>Updates an API key.</p>', 'UpdateDataSource' => '<p>Updates a <code>DataSource</code> object.</p>', 'UpdateGraphqlApi' => '<p>Updates a <code>GraphqlApi</code> object.</p>', 'UpdateResolver' => '<p>Updates a <code>Resolver</code> object.</p>', 'UpdateType' => '<p>Updates a <code>Type</code> object.</p>', ], 'shapes' => [ 'ApiKey' => [ 'base' => '<p>Describes an API key.</p>', 'refs' => [ 'ApiKeys$member' => NULL, 'CreateApiKeyResponse$apiKey' => '<p>The API key.</p>', 'UpdateApiKeyResponse$apiKey' => '<p>The API key.</p>', ], ], 'ApiKeyLimitExceededException' => [ 'base' => '<p>The API key exceeded a limit. Try your request again.</p>', 'refs' => [], ], 'ApiKeyValidityOutOfBoundsException' => [ 'base' => '<p>The API key expiration must be set to a value between 1 and 365 days.</p>', 'refs' => [], ], 'ApiKeys' => [ 'base' => NULL, 'refs' => [ 'ListApiKeysResponse$apiKeys' => '<p>The <code>ApiKey</code> objects.</p>', ], ], 'ApiLimitExceededException' => [ 'base' => '<p>The GraphQL API exceeded a limit. Try your request again.</p>', 'refs' => [], ], 'AuthenticationType' => [ 'base' => NULL, 'refs' => [ 'CreateGraphqlApiRequest$authenticationType' => '<p>The authentication type: API key, IAM, or Amazon Cognito User Pools.</p>', 'GraphqlApi$authenticationType' => '<p>The authentication type.</p>', 'UpdateGraphqlApiRequest$authenticationType' => '<p>The new authentication type for the <code>GraphqlApi</code> object.</p>', ], ], 'BadRequestException' => [ 'base' => '<p>The request is not well formed. For example, a value is invalid or a required field is missing. Check the field values, and try again. </p>', 'refs' => [], ], 'Blob' => [ 'base' => NULL, 'refs' => [ 'GetIntrospectionSchemaResponse$schema' => '<p>The schema, in GraphQL Schema Definition Language (SDL) format.</p> <p>For more information, see the <a href="http://graphql.org/learn/schema/">GraphQL SDL documentation</a>.</p>', 'StartSchemaCreationRequest$definition' => '<p>The schema definition, in GraphQL schema language format.</p>', ], ], 'Boolean' => [ 'base' => NULL, 'refs' => [ 'DynamodbDataSourceConfig$useCallerCredentials' => '<p>Set to TRUE to use Amazon Cognito credentials with this data source.</p>', ], ], 'ConcurrentModificationException' => [ 'base' => '<p>Another modification is being made. That modification must complete before you can make your change. </p>', 'refs' => [], ], 'CreateApiKeyRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateApiKeyResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateDataSourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateDataSourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateGraphqlApiRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateGraphqlApiResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateResolverRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateResolverResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateTypeRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateTypeResponse' => [ 'base' => NULL, 'refs' => [], ], 'DataSource' => [ 'base' => '<p>Describes a data source.</p>', 'refs' => [ 'CreateDataSourceResponse$dataSource' => '<p>The <code>DataSource</code> object.</p>', 'DataSources$member' => NULL, 'GetDataSourceResponse$dataSource' => '<p>The <code>DataSource</code> object.</p>', 'UpdateDataSourceResponse$dataSource' => '<p>The updated <code>DataSource</code> object.</p>', ], ], 'DataSourceType' => [ 'base' => NULL, 'refs' => [ 'CreateDataSourceRequest$type' => '<p>The type of the <code>DataSource</code>.</p>', 'DataSource$type' => '<p>The type of the data source.</p> <ul> <li> <p> <b>AMAZON_DYNAMODB</b>: The data source is an Amazon DynamoDB table.</p> </li> <li> <p> <b>AMAZON_ELASTICSEARCH</b>: The data source is an Amazon Elasticsearch Service domain.</p> </li> <li> <p> <b>AWS_LAMBDA</b>: The data source is an AWS Lambda function.</p> </li> <li> <p> <b>NONE</b>: There is no data source. This type is used when the required information can be computed on the fly without connecting to a back-end data source.</p> </li> </ul>', 'UpdateDataSourceRequest$type' => '<p>The new data source type.</p>', ], ], 'DataSources' => [ 'base' => NULL, 'refs' => [ 'ListDataSourcesResponse$dataSources' => '<p>The <code>DataSource</code> objects.</p>', ], ], 'DefaultAction' => [ 'base' => NULL, 'refs' => [ 'UserPoolConfig$defaultAction' => '<p>The action that you want your GraphQL API to take when a request that uses Amazon Cognito User Pool authentication doesn\'t match the Amazon Cognito User Pool configuration.</p>', ], ], 'DeleteApiKeyRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteApiKeyResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDataSourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDataSourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteGraphqlApiRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteGraphqlApiResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteResolverRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteResolverResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteTypeRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteTypeResponse' => [ 'base' => NULL, 'refs' => [], ], 'DynamodbDataSourceConfig' => [ 'base' => '<p>Describes a DynamoDB data source configuration.</p>', 'refs' => [ 'CreateDataSourceRequest$dynamodbConfig' => '<p>DynamoDB settings.</p>', 'DataSource$dynamodbConfig' => '<p>DynamoDB settings.</p>', 'UpdateDataSourceRequest$dynamodbConfig' => '<p>The new DynamoDB configuration.</p>', ], ], 'ElasticsearchDataSourceConfig' => [ 'base' => '<p>Describes an Elasticsearch data source configuration.</p>', 'refs' => [ 'CreateDataSourceRequest$elasticsearchConfig' => '<p>Amazon Elasticsearch settings.</p>', 'DataSource$elasticsearchConfig' => '<p>Amazon Elasticsearch settings.</p>', 'UpdateDataSourceRequest$elasticsearchConfig' => '<p>The new Elasticsearch configuration.</p>', ], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'BadRequestException$message' => NULL, 'ConcurrentModificationException$message' => NULL, 'GraphQLSchemaException$message' => NULL, ], ], 'GetDataSourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDataSourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetGraphqlApiRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetGraphqlApiResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetIntrospectionSchemaRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetIntrospectionSchemaResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetResolverRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetResolverResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetSchemaCreationStatusRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetSchemaCreationStatusResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetTypeRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetTypeResponse' => [ 'base' => NULL, 'refs' => [], ], 'GraphQLSchemaException' => [ 'base' => '<p>The GraphQL schema is not valid.</p>', 'refs' => [], ], 'GraphqlApi' => [ 'base' => '<p>Describes a GraphQL API.</p>', 'refs' => [ 'CreateGraphqlApiResponse$graphqlApi' => '<p>The <code>GraphqlApi</code>.</p>', 'GetGraphqlApiResponse$graphqlApi' => '<p>The <code>GraphqlApi</code> object.</p>', 'GraphqlApis$member' => NULL, 'UpdateGraphqlApiResponse$graphqlApi' => '<p>The updated <code>GraphqlApi</code> object.</p>', ], ], 'GraphqlApis' => [ 'base' => NULL, 'refs' => [ 'ListGraphqlApisResponse$graphqlApis' => '<p>The <code>GraphqlApi</code> objects.</p>', ], ], 'InternalFailureException' => [ 'base' => '<p>An internal AWS AppSync error occurred. Try your request again.</p>', 'refs' => [], ], 'LambdaDataSourceConfig' => [ 'base' => '<p>Describes a Lambda data source configuration.</p>', 'refs' => [ 'CreateDataSourceRequest$lambdaConfig' => '<p>AWS Lambda settings.</p>', 'DataSource$lambdaConfig' => '<p>Lambda settings.</p>', 'UpdateDataSourceRequest$lambdaConfig' => '<p>The new Lambda configuration.</p>', ], ], 'LimitExceededException' => [ 'base' => '<p>The request exceeded a limit. Try your request again.</p>', 'refs' => [], ], 'ListApiKeysRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListApiKeysResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListDataSourcesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListDataSourcesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListGraphqlApisRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListGraphqlApisResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListResolversRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListResolversResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTypesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTypesResponse' => [ 'base' => NULL, 'refs' => [], ], 'Long' => [ 'base' => NULL, 'refs' => [ 'ApiKey$expires' => '<p>The time after which the API key expires. The date is represented as seconds since the epoch, rounded down to the nearest hour.</p>', 'CreateApiKeyRequest$expires' => '<p>The time after which the API key expires. The date is represented as seconds since the epoch, rounded down to the nearest hour. The default value for this parameter is 7 days from creation time.</p>', 'UpdateApiKeyRequest$expires' => '<p>The time after which the API key expires. The date is represented as seconds since the epoch.</p>', ], ], 'MapOfStringToString' => [ 'base' => NULL, 'refs' => [ 'GraphqlApi$uris' => '<p>The URIs.</p>', ], ], 'MappingTemplate' => [ 'base' => NULL, 'refs' => [ 'CreateResolverRequest$requestMappingTemplate' => '<p>The mapping template to be used for requests.</p> <p>A resolver uses a request mapping template to convert a GraphQL expression into a format that a data source can understand. Mapping templates are written in Apache Velocity Template Language (VTL).</p>', 'CreateResolverRequest$responseMappingTemplate' => '<p>The mapping template to be used for responses from the data source.</p>', 'Resolver$requestMappingTemplate' => '<p>The request mapping template.</p>', 'Resolver$responseMappingTemplate' => '<p>The response mapping template.</p>', 'UpdateResolverRequest$requestMappingTemplate' => '<p>The new request mapping template.</p>', 'UpdateResolverRequest$responseMappingTemplate' => '<p>The new response mapping template.</p>', ], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'ListApiKeysRequest$maxResults' => '<p>The maximum number of results you want the request to return.</p>', 'ListDataSourcesRequest$maxResults' => '<p>The maximum number of results you want the request to return.</p>', 'ListGraphqlApisRequest$maxResults' => '<p>The maximum number of results you want the request to return.</p>', 'ListResolversRequest$maxResults' => '<p>The maximum number of results you want the request to return.</p>', 'ListTypesRequest$maxResults' => '<p>The maximum number of results you want the request to return.</p>', ], ], 'NotFoundException' => [ 'base' => '<p>The resource specified in the request was not found. Check the resource and try again.</p>', 'refs' => [], ], 'OutputType' => [ 'base' => NULL, 'refs' => [ 'GetIntrospectionSchemaRequest$format' => '<p>The schema format: SDL or JSON.</p>', ], ], 'PaginationToken' => [ 'base' => NULL, 'refs' => [ 'ListApiKeysRequest$nextToken' => '<p>An identifier that was returned from the previous call to this operation, which can be used to return the next set of items in the list.</p>', 'ListApiKeysResponse$nextToken' => '<p>An identifier to be passed in the next request to this operation to return the next set of items in the list.</p>', 'ListDataSourcesRequest$nextToken' => '<p>An identifier that was returned from the previous call to this operation, which can be used to return the next set of items in the list. </p>', 'ListDataSourcesResponse$nextToken' => '<p>An identifier to be passed in the next request to this operation to return the next set of items in the list.</p>', 'ListGraphqlApisRequest$nextToken' => '<p>An identifier that was returned from the previous call to this operation, which can be used to return the next set of items in the list. </p>', 'ListGraphqlApisResponse$nextToken' => '<p>An identifier to be passed in the next request to this operation to return the next set of items in the list.</p>', 'ListResolversRequest$nextToken' => '<p>An identifier that was returned from the previous call to this operation, which can be used to return the next set of items in the list. </p>', 'ListResolversResponse$nextToken' => '<p>An identifier to be passed in the next request to this operation to return the next set of items in the list.</p>', 'ListTypesRequest$nextToken' => '<p>An identifier that was returned from the previous call to this operation, which can be used to return the next set of items in the list. </p>', 'ListTypesResponse$nextToken' => '<p>An identifier to be passed in the next request to this operation to return the next set of items in the list.</p>', ], ], 'Resolver' => [ 'base' => '<p>Describes a resolver.</p>', 'refs' => [ 'CreateResolverResponse$resolver' => '<p>The <code>Resolver</code> object.</p>', 'GetResolverResponse$resolver' => '<p>The <code>Resolver</code> object.</p>', 'Resolvers$member' => NULL, 'UpdateResolverResponse$resolver' => '<p>The updated <code>Resolver</code> object.</p>', ], ], 'Resolvers' => [ 'base' => NULL, 'refs' => [ 'ListResolversResponse$resolvers' => '<p>The <code>Resolver</code> objects.</p>', ], ], 'ResourceName' => [ 'base' => NULL, 'refs' => [ 'CreateDataSourceRequest$name' => '<p>A user-supplied name for the <code>DataSource</code>.</p>', 'CreateResolverRequest$typeName' => '<p>The name of the <code>Type</code>.</p>', 'CreateResolverRequest$fieldName' => '<p>The name of the field to attach the resolver to.</p>', 'CreateResolverRequest$dataSourceName' => '<p>The name of the data source for which the resolver is being created.</p>', 'DataSource$name' => '<p>The name of the data source.</p>', 'DeleteDataSourceRequest$name' => '<p>The name of the data source.</p>', 'DeleteResolverRequest$typeName' => '<p>The name of the resolver type.</p>', 'DeleteResolverRequest$fieldName' => '<p>The resolver field name.</p>', 'DeleteTypeRequest$typeName' => '<p>The type name.</p>', 'GetDataSourceRequest$name' => '<p>The name of the data source.</p>', 'GetResolverRequest$typeName' => '<p>The resolver type name.</p>', 'GetResolverRequest$fieldName' => '<p>The resolver field name.</p>', 'GetTypeRequest$typeName' => '<p>The type name.</p>', 'GraphqlApi$name' => '<p>The API name.</p>', 'Resolver$typeName' => '<p>The resolver type name.</p>', 'Resolver$fieldName' => '<p>The resolver field name.</p>', 'Resolver$dataSourceName' => '<p>The resolver data source name.</p>', 'Type$name' => '<p>The type name.</p>', 'UpdateDataSourceRequest$name' => '<p>The new name for the data source.</p>', 'UpdateResolverRequest$typeName' => '<p>The new type name.</p>', 'UpdateResolverRequest$fieldName' => '<p>The new field name.</p>', 'UpdateResolverRequest$dataSourceName' => '<p>The new data source name.</p>', 'UpdateTypeRequest$typeName' => '<p>The new type name.</p>', ], ], 'SchemaStatus' => [ 'base' => NULL, 'refs' => [ 'GetSchemaCreationStatusResponse$status' => '<p>The current state of the schema (PROCESSING, ACTIVE, or DELETING). Once the schema is in the ACTIVE state, you can add data.</p>', 'StartSchemaCreationResponse$status' => '<p>The current state of the schema (PROCESSING, ACTIVE, or DELETING). Once the schema is in the ACTIVE state, you can add data.</p>', ], ], 'StartSchemaCreationRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartSchemaCreationResponse' => [ 'base' => NULL, 'refs' => [], ], 'String' => [ 'base' => NULL, 'refs' => [ 'ApiKey$id' => '<p>The API key ID.</p>', 'ApiKey$description' => '<p>A description of the purpose of the API key.</p>', 'ApiKeyLimitExceededException$message' => NULL, 'ApiKeyValidityOutOfBoundsException$message' => NULL, 'ApiLimitExceededException$message' => NULL, 'CreateApiKeyRequest$apiId' => '<p>The ID for your GraphQL API.</p>', 'CreateApiKeyRequest$description' => '<p>A description of the purpose of the API key.</p>', 'CreateDataSourceRequest$apiId' => '<p>The API ID for the GraphQL API for the <code>DataSource</code>.</p>', 'CreateDataSourceRequest$description' => '<p>A description of the <code>DataSource</code>.</p>', 'CreateDataSourceRequest$serviceRoleArn' => '<p>The IAM service role ARN for the data source. The system assumes this role when accessing the data source.</p>', 'CreateGraphqlApiRequest$name' => '<p>A user-supplied name for the <code>GraphqlApi</code>.</p>', 'CreateResolverRequest$apiId' => '<p>The ID for the GraphQL API for which the resolver is being created.</p>', 'CreateTypeRequest$apiId' => '<p>The API ID.</p>', 'CreateTypeRequest$definition' => '<p>The type definition, in GraphQL Schema Definition Language (SDL) format.</p> <p>For more information, see the <a href="http://graphql.org/learn/schema/">GraphQL SDL documentation</a>.</p>', 'DataSource$dataSourceArn' => '<p>The data source ARN.</p>', 'DataSource$description' => '<p>The description of the data source.</p>', 'DataSource$serviceRoleArn' => '<p>The IAM service role ARN for the data source. The system assumes this role when accessing the data source.</p>', 'DeleteApiKeyRequest$apiId' => '<p>The API ID.</p>', 'DeleteApiKeyRequest$id' => '<p>The ID for the API key.</p>', 'DeleteDataSourceRequest$apiId' => '<p>The API ID.</p>', 'DeleteGraphqlApiRequest$apiId' => '<p>The API ID.</p>', 'DeleteResolverRequest$apiId' => '<p>The API ID.</p>', 'DeleteTypeRequest$apiId' => '<p>The API ID.</p>', 'DynamodbDataSourceConfig$tableName' => '<p>The table name.</p>', 'DynamodbDataSourceConfig$awsRegion' => '<p>The AWS region.</p>', 'ElasticsearchDataSourceConfig$endpoint' => '<p>The endpoint.</p>', 'ElasticsearchDataSourceConfig$awsRegion' => '<p>The AWS region.</p>', 'GetDataSourceRequest$apiId' => '<p>The API ID.</p>', 'GetGraphqlApiRequest$apiId' => '<p>The API ID for the GraphQL API.</p>', 'GetIntrospectionSchemaRequest$apiId' => '<p>The API ID.</p>', 'GetResolverRequest$apiId' => '<p>The API ID.</p>', 'GetSchemaCreationStatusRequest$apiId' => '<p>The API ID.</p>', 'GetSchemaCreationStatusResponse$details' => '<p>Detailed information about the status of the schema creation operation.</p>', 'GetTypeRequest$apiId' => '<p>The API ID.</p>', 'GraphqlApi$apiId' => '<p>The API ID.</p>', 'GraphqlApi$arn' => '<p>The ARN.</p>', 'InternalFailureException$message' => NULL, 'LambdaDataSourceConfig$lambdaFunctionArn' => '<p>The ARN for the Lambda function.</p>', 'LimitExceededException$message' => NULL, 'ListApiKeysRequest$apiId' => '<p>The API ID.</p>', 'ListDataSourcesRequest$apiId' => '<p>The API ID.</p>', 'ListResolversRequest$apiId' => '<p>The API ID.</p>', 'ListResolversRequest$typeName' => '<p>The type name.</p>', 'ListTypesRequest$apiId' => '<p>The API ID.</p>', 'MapOfStringToString$key' => NULL, 'MapOfStringToString$value' => NULL, 'NotFoundException$message' => NULL, 'Resolver$resolverArn' => '<p>The resolver ARN.</p>', 'StartSchemaCreationRequest$apiId' => '<p>The API ID.</p>', 'Type$description' => '<p>The type description.</p>', 'Type$arn' => '<p>The type ARN.</p>', 'Type$definition' => '<p>The type definition.</p>', 'UnauthorizedException$message' => NULL, 'UpdateApiKeyRequest$apiId' => '<p>The ID for the GraphQL API</p>', 'UpdateApiKeyRequest$id' => '<p>The API key ID.</p>', 'UpdateApiKeyRequest$description' => '<p>A description of the purpose of the API key.</p>', 'UpdateDataSourceRequest$apiId' => '<p>The API ID.</p>', 'UpdateDataSourceRequest$description' => '<p>The new description for the data source.</p>', 'UpdateDataSourceRequest$serviceRoleArn' => '<p>The new service role ARN for the data source.</p>', 'UpdateGraphqlApiRequest$apiId' => '<p>The API ID.</p>', 'UpdateGraphqlApiRequest$name' => '<p>The new name for the <code>GraphqlApi</code> object.</p>', 'UpdateResolverRequest$apiId' => '<p>The API ID.</p>', 'UpdateTypeRequest$apiId' => '<p>The API ID.</p>', 'UpdateTypeRequest$definition' => '<p>The new definition.</p>', 'UserPoolConfig$userPoolId' => '<p>The user pool ID.</p>', 'UserPoolConfig$awsRegion' => '<p>The AWS region in which the user pool was created.</p>', 'UserPoolConfig$appIdClientRegex' => '<p>A regular expression for validating the incoming Amazon Cognito User Pool app client ID.</p>', ], ], 'Type' => [ 'base' => '<p>Describes a type.</p>', 'refs' => [ 'CreateTypeResponse$type' => '<p>The <code>Type</code> object.</p>', 'GetTypeResponse$type' => '<p>The <code>Type</code> object.</p>', 'TypeList$member' => NULL, 'UpdateTypeResponse$type' => '<p>The updated <code>Type</code> object.</p>', ], ], 'TypeDefinitionFormat' => [ 'base' => NULL, 'refs' => [ 'CreateTypeRequest$format' => '<p>The type format: SDL or JSON.</p>', 'GetTypeRequest$format' => '<p>The type format: SDL or JSON.</p>', 'ListTypesRequest$format' => '<p>The type format: SDL or JSON.</p>', 'Type$format' => '<p>The type format: SDL or JSON.</p>', 'UpdateTypeRequest$format' => '<p>The new type format: SDL or JSON.</p>', ], ], 'TypeList' => [ 'base' => NULL, 'refs' => [ 'ListTypesResponse$types' => '<p>The <code>Type</code> objects.</p>', ], ], 'UnauthorizedException' => [ 'base' => '<p>You are not authorized to perform this operation.</p>', 'refs' => [], ], 'UpdateApiKeyRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateApiKeyResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDataSourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDataSourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateGraphqlApiRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateGraphqlApiResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateResolverRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateResolverResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateTypeRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateTypeResponse' => [ 'base' => NULL, 'refs' => [], ], 'UserPoolConfig' => [ 'base' => '<p>Describes an Amazon Cognito User Pool configuration.</p>', 'refs' => [ 'CreateGraphqlApiRequest$userPoolConfig' => '<p>The Amazon Cognito User Pool configuration.</p>', 'GraphqlApi$userPoolConfig' => '<p>The Amazon Cognito User Pool configuration.</p>', 'UpdateGraphqlApiRequest$userPoolConfig' => '<p>The new Amazon Cognito User Pool configuration for the <code>GraphqlApi</code> object.</p>', ], ], ],];
