<?php
// This file was auto-generated from sdk-root/src/data/ce/2017-10-25/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>The Cost Explorer API allows you to programmatically query your cost and usage data. You can query for aggregated data such as total monthly costs or total daily usage. You can also query for granular data, such as the number of daily write operations for DynamoDB database tables in your production environment. </p> <p>Service Endpoint</p> <p>The Cost Explorer API provides the following endpoint:</p> <ul> <li> <p>https://ce.us-east-1.amazonaws.com</p> </li> </ul>', 'operations' => [ 'GetCostAndUsage' => '<p>Retrieves cost and usage metrics for your account. You can specify which cost and usage-related metric, such as <code>BlendedCosts</code> or <code>UsageQuantity</code>, that you want the request to return. You can also filter and group your data by various dimensions, such as <code>SERVICE</code> or <code>AZ</code>, in a specific time range. For a complete list of valid dimensions, see the <code> <a href="http://docs.aws.amazon.com/aws-cost-management/latest/APIReference/API_GetDimensionValues.html">GetDimensionValues</a> </code> operation. Master accounts in an organization in AWS Organizations have access to all member accounts.</p>', 'GetDimensionValues' => '<p>Retrieves all available filter values for a specific filter over a period of time. You can search the dimension values for an arbitrary string. </p>', 'GetReservationCoverage' => '<p>Retrieves the reservation coverage for your account. This allows you to see how much of your Amazon Elastic Compute Cloud, Amazon ElastiCache, Amazon Relational Database Service, or Amazon Redshift usage is covered by a reservation. An organization\'s master account can see the coverage of the associated member accounts. For any time period, you can filter data about reservation usage by the following dimensions:</p> <ul> <li> <p>AZ</p> </li> <li> <p>INSTANCE_TYPE</p> </li> <li> <p>LINKED_ACCOUNT</p> </li> <li> <p>PLATFORM</p> </li> <li> <p>REGION</p> </li> <li> <p>TENANCY</p> </li> </ul> <p>To determine valid values for a dimension, use the <code>GetDimensionValues</code> operation. </p>', 'GetReservationPurchaseRecommendation' => '<p>Gets recommendations for which reservations to purchase. These recommendations could help you reduce your costs. Reservations provide a discounted hourly rate (up to 75%) compared to On-Demand pricing.</p> <p>AWS generates your recommendations by identifying your On-Demand usage during a specific time period and collecting your usage into categories that are eligible for a reservation. After AWS has these categories, it simulates every combination of reservations in each category of usage to identify the best number of each type of RI to purchase to maximize your estimated savings. </p> <p>For example, AWS automatically aggregates your EC2 Linux, shared tenancy, and c4 family usage in the US West (Oregon) Region and recommends that you buy size-flexible regional reservations to apply to the c4 family usage. AWS recommends the smallest size instance in an instance family. This makes it easier to purchase a size-flexible RI. AWS also shows the equal number of normalized units so that you can purchase any instance size that you want. For this example, your RI recommendation would be for <code>c4.large</code>, because that is the smallest size instance in the c4 instance family.</p>', 'GetReservationUtilization' => '<p>You can retrieve the reservation utilization for your account. Master accounts in an organization in AWS Organizations have access to their associated member accounts. You can filter data by dimensions in a time period. You can use <code>GetDimensionValues</code> to determine the possible dimension values. Currently, you can group only by <code>SUBSCRIPTION_ID</code>. </p>', 'GetTags' => '<p>You can query for available tag keys and tag values for a specified period. You can search the tag values for an arbitrary string. </p>', ], 'shapes' => [ 'AccountScope' => [ 'base' => NULL, 'refs' => [ 'GetReservationPurchaseRecommendationRequest$AccountScope' => '<p>The account scope that you want recommendations for. The only valid value is <code>Payer</code>. This means that AWS includes the master account and any member accounts when it calculates its recommendations.</p>', 'ReservationPurchaseRecommendation$AccountScope' => '<p>The account scope that AWS recommends that you purchase this instance for. For example, you can purchase this reservation for an entire organization in AWS Organizations.</p>', ], ], 'AttributeType' => [ 'base' => NULL, 'refs' => [ 'Attributes$key' => NULL, ], ], 'AttributeValue' => [ 'base' => NULL, 'refs' => [ 'Attributes$value' => NULL, ], ], 'Attributes' => [ 'base' => NULL, 'refs' => [ 'DimensionValuesWithAttributes$Attributes' => '<p>The attribute that applies to a specific <code>Dimension</code>.</p>', 'ReservationCoverageGroup$Attributes' => '<p>The attributes for this group of reservations.</p>', 'ReservationUtilizationGroup$Attributes' => '<p>The attributes for this group of RIs.</p>', ], ], 'BillExpirationException' => [ 'base' => '<p>The requested report expired. Update the date interval and try again.</p>', 'refs' => [], ], 'Context' => [ 'base' => NULL, 'refs' => [ 'GetDimensionValuesRequest$Context' => '<p>The context for the call to <code>GetDimensionValues</code>. This can be <code>RESERVATIONS</code> or <code>COST_AND_USAGE</code>. The default value is <code>COST_AND_USAGE</code>. If the context is set to <code>RESERVATIONS</code>, the resulting dimension values can be used in the <code>GetReservationUtilization</code> operation. If the context is set to <code>COST_AND_USAGE</code> the resulting dimension values can be used in the <code>GetCostAndUsage</code> operation.</p> <p>If you set the context to <code>CostAndUsage</code>, you can use the following dimensions for searching:</p> <ul> <li> <p>AZ - The Availability Zone. An example is <code>us-east-1a</code>.</p> </li> <li> <p>INSTANCE_TYPE - The type of instance. An example is an EC2 <code>m4.xlarge</code>.</p> </li> <li> <p>LINKED_ACCOUNT - The description in the attribute map that includes the full name of the member account. The value field contains the AWS ID of the member account.</p> </li> <li> <p>OPERATION - The action performed. Examples include <code>RunInstance</code> and <code>CreateBucket</code>.</p> </li> <li> <p>PURCHASE_TYPE - The reservation type of the purchase to which this usage is related. Examples include On-Demand Instances and Standard Reserved Instances.</p> </li> <li> <p>SERVICE - The AWS service such as DynamoDB.</p> </li> <li> <p>USAGE_TYPE - The type of usage. An example is <code>DataTransfer-In-Bytes</code>. The response for the <code>GetDimensionValues</code> operation includes a unit attribute, examples of which include GB and Hrs.</p> </li> <li> <p>USAGE_TYPE_GROUP - The grouping of common usage types. An example is EC2: CloudWatch – Alarms. The response for this operation includes a unit attribute.</p> </li> <li> <p>RECORD_TYPE - The different types of charges such as RI fees, usage costs, tax refunds, and credits.</p> </li> </ul> <p>If you set the context to <code>RESERVATIONS</code>, you can use the following dimensions for searching:</p> <ul> <li> <p>AZ - The Availability Zone. An example is <code>us-east-1a</code>.</p> </li> <li> <p>INSTANCE_TYPE - The type of instance. An example is an EC2 <code>m4.xlarge</code>.</p> </li> <li> <p>LINKED_ACCOUNT - The description in the attribute map that includes the full name of the member account. The value field contains the AWS ID of the member account.</p> </li> <li> <p>PLATFORM - The specific combination of operating system, license model, and software on an instance. For example, a Windows instance with SQL Server Web and no license, or a Red Hat Enterprise Linux instance.</p> </li> <li> <p>REGION - The AWS Region.</p> </li> <li> <p>SCOPE - The scope of a Reserved Instance (RI). Values are regional or a single Availability Zone.</p> </li> <li> <p>TENANCY - The tenancy of a resource. Examples are shared or dedicated.</p> </li> </ul>', ], ], 'Coverage' => [ 'base' => '<p>The amount of instance usage that a reservation covered.</p>', 'refs' => [ 'CoverageByTime$Total' => '<p>The total reservation coverage, in hours.</p>', 'GetReservationCoverageResponse$Total' => '<p>The total amount of instance usage that is covered by a reservation.</p>', 'ReservationCoverageGroup$Coverage' => '<p>How much instance usage this group of reservations covered.</p>', ], ], 'CoverageByTime' => [ 'base' => '<p>Reservation coverage for a specified period, in hours.</p>', 'refs' => [ 'CoveragesByTime$member' => NULL, ], ], 'CoverageHours' => [ 'base' => '<p>How long a running instance either used a reservation or was On-Demand.</p>', 'refs' => [ 'Coverage$CoverageHours' => '<p>The amount of instance usage that a reservation covered, in hours.</p>', ], ], 'CoverageHoursPercentage' => [ 'base' => NULL, 'refs' => [ 'CoverageHours$CoverageHoursPercentage' => '<p>The percentage of instance hours that are covered by a reservation.</p>', ], ], 'CoveragesByTime' => [ 'base' => NULL, 'refs' => [ 'GetReservationCoverageResponse$CoveragesByTime' => '<p>The amount of time that your reservations covered.</p>', ], ], 'DataUnavailableException' => [ 'base' => '<p>The requested data is unavailable.</p>', 'refs' => [], ], 'DateInterval' => [ 'base' => '<p>The time period that you want the usage and costs for. </p>', 'refs' => [ 'CoverageByTime$TimePeriod' => '<p>The period over which this coverage was used.</p>', 'GetCostAndUsageRequest$TimePeriod' => '<p>Sets the start and end dates for retrieving AWS costs. The start date is inclusive, but the end date is exclusive. For example, if <code>start</code> is <code>2017-01-01</code> and <code>end</code> is <code>2017-05-01</code>, then the cost and usage data is retrieved from <code>2017-01-01</code> up to and including <code>2017-04-30</code> but not including <code>2017-05-01</code>.</p>', 'GetDimensionValuesRequest$TimePeriod' => '<p>The start and end dates for retrieving the dimension values. The start date is inclusive, but the end date is exclusive. For example, if <code>start</code> is <code>2017-01-01</code> and <code>end</code> is <code>2017-05-01</code>, then the cost and usage data is retrieved from <code>2017-01-01</code> up to and including <code>2017-04-30</code> but not including <code>2017-05-01</code>.</p>', 'GetReservationCoverageRequest$TimePeriod' => '<p>The start and end dates of the period for which you want to retrieve data about reservation coverage. You can retrieve data for a maximum of 13 months: the last 12 months and the current month. The start date is inclusive, but the end date is exclusive. For example, if <code>start</code> is <code>2017-01-01</code> and <code>end</code> is <code>2017-05-01</code>, then the cost and usage data is retrieved from <code>2017-01-01</code> up to and including <code>2017-04-30</code> but not including <code>2017-05-01</code>. </p>', 'GetReservationUtilizationRequest$TimePeriod' => '<p>Sets the start and end dates for retrieving reserve instance (RI) utilization. The start date is inclusive, but the end date is exclusive. For example, if <code>start</code> is <code>2017-01-01</code> and <code>end</code> is <code>2017-05-01</code>, then the cost and usage data is retrieved from <code>2017-01-01</code> up to and including <code>2017-04-30</code> but not including <code>2017-05-01</code>. </p>', 'GetTagsRequest$TimePeriod' => '<p>The start and end dates for retrieving the dimension values. The start date is inclusive, but the end date is exclusive. For example, if <code>start</code> is <code>2017-01-01</code> and <code>end</code> is <code>2017-05-01</code>, then the cost and usage data is retrieved from <code>2017-01-01</code> up to and including <code>2017-04-30</code> but not including <code>2017-05-01</code>.</p>', 'ResultByTime$TimePeriod' => '<p>The time period covered by a result.</p>', 'UtilizationByTime$TimePeriod' => '<p>The period of time over which this utilization was used.</p>', ], ], 'Dimension' => [ 'base' => NULL, 'refs' => [ 'DimensionValues$Key' => '<p>The names of the metadata types that you can use to filter and group your results. For example, <code>AZ</code> returns a list of Availability Zones.</p>', 'GetDimensionValuesRequest$Dimension' => '<p>The name of the dimension. Each <code>Dimension</code> is available for different a <code>Context</code>. For more information, see <code>Context</code>.</p>', ], ], 'DimensionValues' => [ 'base' => '<p>The metadata that you can use to filter and group your results. You can use <code>GetDimensionValues</code> to find specific values.</p>', 'refs' => [ 'Expression$Dimensions' => '<p>The specific <code>Dimension</code> to use for <code>Expression</code>.</p>', ], ], 'DimensionValuesWithAttributes' => [ 'base' => '<p>The metadata of a specific type that you can use to filter and group your results. You can use <code>GetDimensionValues</code> to find specific values.</p>', 'refs' => [ 'DimensionValuesWithAttributesList$member' => NULL, ], ], 'DimensionValuesWithAttributesList' => [ 'base' => NULL, 'refs' => [ 'GetDimensionValuesResponse$DimensionValues' => '<p>The filters that you used to filter your request. Some dimensions are available only for a specific context:</p> <p>If you set the context to <code>CostAndUsage</code>, you can use the following dimensions for searching:</p> <ul> <li> <p>AZ - The Availability Zone. An example is <code>us-east-1a</code>.</p> </li> <li> <p>INSTANCE_TYPE - The type of instance. An example is an EC2 <code>m4.xlarge</code>.</p> </li> <li> <p>LINKED_ACCOUNT - The description in the attribute map that includes the full name of the member account. The value field contains the AWS ID of the member account.</p> </li> <li> <p>OPERATION - The action performed. Examples include <code>RunInstance</code> and <code>CreateBucket</code>.</p> </li> <li> <p>PURCHASE_TYPE - The reservation type of the purchase to which this usage is related. Examples include On-Demand Instances and Standard Reserved Instances.</p> </li> <li> <p>SERVICE - The AWS service such as DynamoDB.</p> </li> <li> <p>USAGE_TYPE - The type of usage. An example is <code>DataTransfer-In-Bytes</code>. The response for the <code>GetDimensionValues</code> operation includes a unit attribute, examples of which include GB and Hrs.</p> </li> <li> <p>USAGE_TYPE_GROUP - The grouping of common usage types. An example is EC2: CloudWatch – Alarms. The response for this operation includes a unit attribute.</p> </li> <li> <p>RECORD_TYPE - The different types of charges such as RI fees, usage costs, tax refunds, and credits.</p> </li> </ul> <p>If you set the context to <code>RESERVATIONS</code>, you can use the following dimensions for searching:</p> <ul> <li> <p>AZ - The Availability Zone. An example is <code>us-east-1a</code>.</p> </li> <li> <p>INSTANCE_TYPE - The type of instance. An example is an EC2 <code>m4.xlarge</code>.</p> </li> <li> <p>LINKED_ACCOUNT - The description in the attribute map that includes the full name of the member account. The value field contains the AWS ID of the member account.</p> </li> <li> <p>PLATFORM - The specific combination of operating system, license model, and software on an instance. For example, a Windows instance with SQL Server Web and no license, or a Red Hat Enterprise Linux instance.</p> </li> <li> <p>REGION - The AWS Region.</p> </li> <li> <p>SCOPE - The scope of a Reserved Instance (RI). Values are regional or a single Availability Zone.</p> </li> <li> <p>TENANCY - The tenancy of a resource. Examples are shared or dedicated.</p> </li> </ul>', ], ], 'EC2InstanceDetails' => [ 'base' => '<p>Details about the EC2 instances that AWS recommends that you purchase.</p>', 'refs' => [ 'InstanceDetails$EC2InstanceDetails' => '<p>The EC2 instances that AWS recommends that you purchase.</p>', ], ], 'EC2Specification' => [ 'base' => '<p>The EC2 hardware specifications that you want AWS to provide recommendations for.</p>', 'refs' => [ 'ServiceSpecification$EC2Specification' => '<p>The EC2 hardware specifications that you want AWS to provide recommendations for.</p>', ], ], 'Entity' => [ 'base' => NULL, 'refs' => [ 'TagList$member' => NULL, ], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'BillExpirationException$Message' => NULL, 'DataUnavailableException$Message' => NULL, 'InvalidNextTokenException$Message' => NULL, 'LimitExceededException$Message' => NULL, ], ], 'Estimated' => [ 'base' => NULL, 'refs' => [ 'ResultByTime$Estimated' => '<p>Whether this result is estimated.</p>', ], ], 'Expression' => [ 'base' => '<p>Use <code>Expression</code> to filter by cost or by usage. There are two patterns: </p> <ul> <li> <p>Simple dimension values - You can set the dimension name and values for the filters that you plan to use. For example, you can filter for <code>INSTANCE_TYPE==m4.xlarge OR INSTANCE_TYPE==c4.large</code>. The <code>Expression</code> for that looks like this:</p> <p> <code>{ "Dimensions": { "Key": "INSTANCE_TYPE", "Values": [ "m4.xlarge", “c4.large” ] } }</code> </p> <p>The list of dimension values are OR\'d together to retrieve cost or usage data. You can create <code>Expression</code> and <code>DimensionValues</code> objects using either <code>with*</code> methods or <code>set*</code> methods in multiple lines. </p> </li> <li> <p>Compound dimension values with logical operations - You can use multiple <code>Expression</code> types and the logical operators <code>AND/OR/NOT</code> to create a list of one or more <code>Expression</code> objects. This allows you to filter on more advanced options. For example, you can filter on <code>((INSTANCE_TYPE == m4.large OR INSTANCE_TYPE == m3.large) OR (TAG.Type == Type1)) AND (USAGE_TYPE != DataTransfer)</code>. The <code>Expression</code> for that looks like this:</p> <p> <code>{ "And": [ {"Or": [ {"Dimensions": { "Key": "INSTANCE_TYPE", "Values": [ "m4.x.large", "c4.large" ] }}, {"Tag": { "Key": "TagName", "Values": ["Value1"] } } ]}, {"Not": {"dimensions": { "Key": "USAGE_TYPE", "Values": ["DataTransfer"] }}} ] } </code> </p> <note> <p>Because each <code>Expression</code> can have only one operator, the service returns an error if more than one is specified. The following example shows an <code>Expression</code> object that creates an error.</p> </note> <p> <code> { "And": [ ... ], "DimensionValues": { "Dimension": "USAGE_TYPE", "Values": [ "DataTransfer" ] } } </code> </p> </li> </ul>', 'refs' => [ 'Expression$Not' => '<p>Return results that don\'t match a <code>Dimension</code> object.</p>', 'Expressions$member' => NULL, 'GetCostAndUsageRequest$Filter' => '<p>Filters AWS costs by different dimensions. For example, you can specify <code>SERVICE</code> and <code>LINKED_ACCOUNT</code> and get the costs that are associated with that account\'s usage of that service. You can nest <code>Expression</code> objects to define any combination of dimension filters. For more information, see <a href="http://docs.aws.amazon.com/aws-cost-management/latest/APIReference/API_Expression.html">Expression</a>. </p>', 'GetReservationCoverageRequest$Filter' => '<p>Filters utilization data by dimensions. You can filter by the following dimensions:</p> <ul> <li> <p>AZ</p> </li> <li> <p>INSTANCE_TYPE</p> </li> <li> <p>LINKED_ACCOUNT</p> </li> <li> <p>PLATFORM</p> </li> <li> <p>REGION</p> </li> <li> <p>TENANCY</p> </li> </ul> <p> <code>GetReservationCoverage</code> uses the same <code> <a href="http://docs.aws.amazon.com/aws-cost-management/latest/APIReference/API_Expression.html">Expression</a> </code> object as the other operations, but only <code>AND</code> is supported among each dimension. You can nest only one level deep. If there are multiple values for a dimension, they are OR\'d together.</p>', 'GetReservationUtilizationRequest$Filter' => '<p>Filters utilization data by using different dimensions. <code>GetReservationUtilization</code> uses the same <code> <a href="http://docs.aws.amazon.com/aws-cost-management/latest/APIReference/API_Expression.html">Expression</a> </code> object as the other operations, but only <code>AND</code> is supported among each dimension, and nesting is supported to only one level deep. If there are multiple values for a dimension, they are OR\'d together.</p>', ], ], 'Expressions' => [ 'base' => NULL, 'refs' => [ 'Expression$Or' => '<p>Return results that match either <code>Dimension</code> object.</p>', 'Expression$And' => '<p>Return results that match both <code>Dimension</code> objects.</p>', ], ], 'GenericBoolean' => [ 'base' => NULL, 'refs' => [ 'EC2InstanceDetails$CurrentGeneration' => '<p>Whether the recommendation is for a current generation instance. </p>', 'EC2InstanceDetails$SizeFlexEligible' => '<p>Whether the recommended reservation is size flexible.</p>', ], ], 'GenericString' => [ 'base' => NULL, 'refs' => [ 'EC2InstanceDetails$Family' => '<p>The instance family of the recommended reservation.</p>', 'EC2InstanceDetails$InstanceType' => '<p>The type of instance that AWS recommends.</p>', 'EC2InstanceDetails$Region' => '<p>The AWS Region of the recommended reservation.</p>', 'EC2InstanceDetails$AvailabilityZone' => '<p>The Availability Zone of the recommended reservation.</p>', 'EC2InstanceDetails$Platform' => '<p>The platform of the recommended reservation. The platform is the specific combination of operating system, license model, and software on an instance.</p>', 'EC2InstanceDetails$Tenancy' => '<p>Whether the recommended reservation is dedicated or shared.</p>', 'GetReservationPurchaseRecommendationRequest$AccountId' => '<p>The account ID that is associated with the recommendation. </p>', 'GetReservationPurchaseRecommendationRequest$Service' => '<p>The specific service that you want recommendations for.</p>', 'ReservationPurchaseRecommendationDetail$RecommendedNumberOfInstancesToPurchase' => '<p>The number of instances that AWS recommends that you purchase.</p>', 'ReservationPurchaseRecommendationDetail$RecommendedNormalizedUnitsToPurchase' => '<p>The number of normalized units that AWS recommends that you purchase.</p>', 'ReservationPurchaseRecommendationDetail$MinimumNumberOfInstancesUsedPerHour' => '<p>The minimum number of instances that you used in an hour during the historical period. AWS uses this to calculate your recommended reservation purchases.</p>', 'ReservationPurchaseRecommendationDetail$MinimumNormalizedUnitsUsedPerHour' => '<p>The minimum number of hours that you used in an hour during the historical period. AWS uses this to calculate your recommended reservation purchases.</p>', 'ReservationPurchaseRecommendationDetail$MaximumNumberOfInstancesUsedPerHour' => '<p>The maximum number of instances that you used in an hour during the historical period. AWS uses this to calculate your recommended reservation purchases.</p>', 'ReservationPurchaseRecommendationDetail$MaximumNormalizedUnitsUsedPerHour' => '<p>The maximum number of normalized units that you used in an hour during the historical period. AWS uses this to calculate your recommended reservation purchases.</p>', 'ReservationPurchaseRecommendationDetail$AverageNumberOfInstancesUsedPerHour' => '<p>The average number of instances that you used in an hour during the historical period. AWS uses this to calculate your recommended reservation purchases.</p>', 'ReservationPurchaseRecommendationDetail$AverageNormalizedUnitsUsedPerHour' => '<p>The average number of normalized units that you used in an hour during the historical period. AWS uses this to calculate your recommended reservation purchases.</p>', 'ReservationPurchaseRecommendationDetail$AverageUtilization' => '<p>The average utilization of your instances. AWS uses this to calculate your recommended reservation purchases.</p>', 'ReservationPurchaseRecommendationDetail$EstimatedBreakEvenInMonths' => '<p>How long AWS estimates that it takes for this instance to start saving you money, in months.</p>', 'ReservationPurchaseRecommendationDetail$CurrencyCode' => '<p>The currency code that AWS used to calculate the costs for this instance.</p>', 'ReservationPurchaseRecommendationDetail$EstimatedMonthlySavingsAmount' => '<p>How much AWS estimates that this specific recommendation could save you in a month.</p>', 'ReservationPurchaseRecommendationDetail$EstimatedMonthlySavingsPercentage' => '<p>How much AWS estimates that this specific recommendation could save you in a month, as a percentage of your overall costs.</p>', 'ReservationPurchaseRecommendationDetail$EstimatedMonthlyOnDemandCost' => '<p>How much AWS estimates that you spend on On-Demand Instances in a month.</p>', 'ReservationPurchaseRecommendationDetail$EstimatedReservationCostForLookbackPeriod' => '<p>How much AWS estimates that you spent on Reserved Instances during the specified historical period.</p>', 'ReservationPurchaseRecommendationDetail$UpfrontCost' => '<p>How much purchasing this instance costs you upfront.</p>', 'ReservationPurchaseRecommendationDetail$RecurringStandardMonthlyCost' => '<p>How much purchasing this instance costs you on a monthly basis.</p>', 'ReservationPurchaseRecommendationMetadata$RecommendationId' => '<p>The ID for this specific recommendation.</p>', 'ReservationPurchaseRecommendationMetadata$GenerationTimestamp' => '<p>The time stamp for when AWS made this recommendation.</p>', 'ReservationPurchaseRecommendationSummary$TotalEstimatedMonthlySavingsAmount' => '<p>The total amount that AWS estimates that this recommendation could save you in a month.</p>', 'ReservationPurchaseRecommendationSummary$TotalEstimatedMonthlySavingsPercentage' => '<p>The total amount that AWS estimates that this recommendation could save you in a month, as a percentage of your costs.</p>', 'ReservationPurchaseRecommendationSummary$CurrencyCode' => '<p>The currency code used for this recommendation.</p>', ], ], 'GetCostAndUsageRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetCostAndUsageResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetDimensionValuesRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDimensionValuesResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetReservationCoverageRequest' => [ 'base' => '<p>You can use the following request parameters to query for how much of your instance usage is covered by a reservation.</p>', 'refs' => [], ], 'GetReservationCoverageResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetReservationPurchaseRecommendationRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetReservationPurchaseRecommendationResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetReservationUtilizationRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetReservationUtilizationResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetTagsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetTagsResponse' => [ 'base' => NULL, 'refs' => [], ], 'Granularity' => [ 'base' => NULL, 'refs' => [ 'GetCostAndUsageRequest$Granularity' => '<p>Sets the AWS cost granularity to <code>MONTHLY</code> or <code>DAILY</code>. If <code>Granularity</code> isn\'t set, the response object doesn\'t include the <code>Granularity</code>, either <code>MONTHLY</code> or <code>DAILY</code>. </p>', 'GetReservationCoverageRequest$Granularity' => '<p>The granularity of the AWS cost data for the reservation. Valid values are <code>MONTHLY</code> and <code>DAILY</code>.</p> <p>If <code>GroupBy</code> is set, <code>Granularity</code> can\'t be set. If <code>Granularity</code> isn\'t set, the response object doesn\'t include the <code>Granularity</code>, either <code>MONTHLY</code> or <code>DAILY</code>.</p>', 'GetReservationUtilizationRequest$Granularity' => '<p>If <code>GroupBy</code> is set, <code>Granularity</code> can\'t be set. If <code>Granularity</code> isn\'t set, the response object doesn\'t include the <code>Granularity</code>, either <code>MONTHLY</code> or <code>DAILY</code>. If both <code>GroupBy</code> and <code>Granularity</code> aren\'t set, <code>GetReservationUtilization</code> defaults to <code>DAILY</code>.</p>', ], ], 'Group' => [ 'base' => '<p>One level of grouped data within the results.</p>', 'refs' => [ 'Groups$member' => NULL, ], ], 'GroupDefinition' => [ 'base' => '<p>Represents a group when you specify a group by criteria, or in the response to a query with a specific grouping.</p>', 'refs' => [ 'GroupDefinitions$member' => NULL, ], ], 'GroupDefinitionKey' => [ 'base' => NULL, 'refs' => [ 'GroupDefinition$Key' => '<p>The string that represents a key for a specified group.</p>', ], ], 'GroupDefinitionType' => [ 'base' => NULL, 'refs' => [ 'GroupDefinition$Type' => '<p>The string that represents the type of group.</p>', ], ], 'GroupDefinitions' => [ 'base' => NULL, 'refs' => [ 'GetCostAndUsageRequest$GroupBy' => '<p>You can group AWS costs using up to two different groups, either dimensions, tag keys, or both.</p> <p>When you group by tag key, you get all tag values, including empty strings.</p> <p>Valid values are <code>AZ</code>, <code>INSTANCE_TYPE</code>, <code>LEGAL_ENTITY_NAME</code>, <code>LINKED_ACCOUNT</code>, <code>OPERATION</code>, <code>PLATFORM</code>, <code>PURCHASE_TYPE</code>, <code>SERVICE</code>, <code>TAGS</code>, <code>TENANCY</code>, and <code>USAGE_TYPE</code>.</p>', 'GetCostAndUsageResponse$GroupDefinitions' => '<p>The groups that are specified by the <code>Filter</code> or <code>GroupBy</code> parameters in the request.</p>', 'GetReservationCoverageRequest$GroupBy' => '<p>You can group the data by the following attributes:</p> <ul> <li> <p>AZ</p> </li> <li> <p>INSTANCE_TYPE</p> </li> <li> <p>LINKED_ACCOUNT</p> </li> <li> <p>PLATFORM</p> </li> <li> <p>REGION</p> </li> <li> <p>TENANCY</p> </li> </ul>', 'GetReservationUtilizationRequest$GroupBy' => '<p>Groups only by <code>SUBSCRIPTION_ID</code>. Metadata is included.</p>', ], ], 'Groups' => [ 'base' => NULL, 'refs' => [ 'ResultByTime$Groups' => '<p>The groups that are included in this time period.</p>', ], ], 'InstanceDetails' => [ 'base' => '<p>Details about the instances that AWS recommends that you purchase.</p>', 'refs' => [ 'ReservationPurchaseRecommendationDetail$InstanceDetails' => '<p>Details about the instances that AWS recommends that you purchase.</p>', ], ], 'InvalidNextTokenException' => [ 'base' => '<p>The pagination token is invalid. Try again without a pagination token.</p>', 'refs' => [], ], 'Key' => [ 'base' => NULL, 'refs' => [ 'Keys$member' => NULL, ], ], 'Keys' => [ 'base' => NULL, 'refs' => [ 'Group$Keys' => '<p>The keys that are included in this group.</p>', ], ], 'LimitExceededException' => [ 'base' => '<p>You made too many calls in a short period of time. Try again later.</p>', 'refs' => [], ], 'LookbackPeriodInDays' => [ 'base' => NULL, 'refs' => [ 'GetReservationPurchaseRecommendationRequest$LookbackPeriodInDays' => '<p>The number of previous days that you want AWS to consider when it calculates your recommendations.</p>', 'ReservationPurchaseRecommendation$LookbackPeriodInDays' => '<p>How many days of previous usage that AWS takes into consideration when making this recommendation.</p>', ], ], 'MetricAmount' => [ 'base' => NULL, 'refs' => [ 'MetricValue$Amount' => '<p>The actual number that represents the metric.</p>', ], ], 'MetricName' => [ 'base' => NULL, 'refs' => [ 'MetricNames$member' => NULL, 'Metrics$key' => NULL, ], ], 'MetricNames' => [ 'base' => NULL, 'refs' => [ 'GetCostAndUsageRequest$Metrics' => '<p>Which metrics are returned in the query. For more information about blended and unblended rates, see <a href="https://aws.amazon.com/premiumsupport/knowledge-center/blended-rates-intro/">Why does the "blended" annotation appear on some line items in my bill?</a>. </p> <p>Valid values are <code>BlendedCost</code>, <code>UnblendedCost</code>, and <code>UsageQuantity</code>.</p> <note> <p>If you return the <code>UsageQuantity</code> metric, the service aggregates all usage numbers without taking into account the units. For example, if you aggregate <code>usageQuantity</code> across all of EC2, the results aren\'t meaningful because EC2 compute hours and data transfer are measured in different units (for example, hours vs. GB). To get more meaningful <code>UsageQuantity</code> metrics, filter by <code>UsageType</code> or <code>UsageTypeGroups</code>. </p> </note> <p> <code>Metrics</code> is required for <code>GetCostAndUsage</code> requests.</p>', ], ], 'MetricUnit' => [ 'base' => NULL, 'refs' => [ 'MetricValue$Unit' => '<p>The unit that the metric is given in.</p>', ], ], 'MetricValue' => [ 'base' => '<p>The aggregated value for a metric.</p>', 'refs' => [ 'Metrics$value' => NULL, ], ], 'Metrics' => [ 'base' => NULL, 'refs' => [ 'Group$Metrics' => '<p>The metrics that are included in this group.</p>', 'ResultByTime$Total' => '<p>The total amount of cost or usage accrued during the time period.</p>', ], ], 'NextPageToken' => [ 'base' => NULL, 'refs' => [ 'GetCostAndUsageRequest$NextPageToken' => '<p>The token to retrieve the next set of results. AWS provides the token when the response from a previous call has more results than the maximum page size.</p>', 'GetCostAndUsageResponse$NextPageToken' => '<p>The token for the next set of retrievable results. AWS provides the token when the response from a previous call has more results than the maximum page size.</p>', 'GetDimensionValuesRequest$NextPageToken' => '<p>The token to retrieve the next set of results. AWS provides the token when the response from a previous call has more results than the maximum page size.</p>', 'GetDimensionValuesResponse$NextPageToken' => '<p>The token for the next set of retrievable results. AWS provides the token when the response from a previous call has more results than the maximum page size.</p>', 'GetReservationCoverageRequest$NextPageToken' => '<p>The token to retrieve the next set of results. AWS provides the token when the response from a previous call has more results than the maximum page size.</p>', 'GetReservationCoverageResponse$NextPageToken' => '<p>The token for the next set of retrievable results. AWS provides the token when the response from a previous call has more results than the maximum page size.</p>', 'GetReservationPurchaseRecommendationRequest$NextPageToken' => '<p>The pagination token that indicates the next set of results that you want to retrieve.</p>', 'GetReservationPurchaseRecommendationResponse$NextPageToken' => '<p>The pagination token for the next set of retrievable results.</p>', 'GetReservationUtilizationRequest$NextPageToken' => '<p>The token to retrieve the next set of results. AWS provides the token when the response from a previous call has more results than the maximum page size.</p>', 'GetReservationUtilizationResponse$NextPageToken' => '<p>The token for the next set of retrievable results. AWS provides the token when the response from a previous call has more results than the maximum page size.</p>', 'GetTagsRequest$NextPageToken' => '<p>The token to retrieve the next set of results. AWS provides the token when the response from a previous call has more results than the maximum page size.</p>', 'GetTagsResponse$NextPageToken' => '<p>The token for the next set of retrievable results. AWS provides the token when the response from a previous call has more results than the maximum page size.</p>', ], ], 'NonNegativeInteger' => [ 'base' => NULL, 'refs' => [ 'GetReservationPurchaseRecommendationRequest$PageSize' => '<p>The number of recommendations that you want returned in a single response object.</p>', ], ], 'OfferingClass' => [ 'base' => NULL, 'refs' => [ 'EC2Specification$OfferingClass' => '<p>Whether you want a recommendation for standard or convertible reservations.</p>', ], ], 'OnDemandHours' => [ 'base' => NULL, 'refs' => [ 'CoverageHours$OnDemandHours' => '<p>The number of instance running hours that are covered by On-Demand Instances.</p>', ], ], 'PageSize' => [ 'base' => NULL, 'refs' => [ 'GetDimensionValuesResponse$ReturnSize' => '<p>The number of results that AWS returned at one time.</p>', 'GetDimensionValuesResponse$TotalSize' => '<p>The total number of search results.</p>', 'GetTagsResponse$ReturnSize' => '<p>The number of query results that AWS returns at a time.</p>', 'GetTagsResponse$TotalSize' => '<p>The total number of query results.</p>', ], ], 'PaymentOption' => [ 'base' => NULL, 'refs' => [ 'GetReservationPurchaseRecommendationRequest$PaymentOption' => '<p>The reservation purchase option that you want recommendations for.</p>', 'ReservationPurchaseRecommendation$PaymentOption' => '<p>The payment option for the reservation. For example, <code>AllUpfront</code> or <code>NoUpfront</code>.</p>', ], ], 'PurchasedHours' => [ 'base' => NULL, 'refs' => [ 'ReservationAggregates$PurchasedHours' => '<p>How many RI hours that you purchased.</p>', ], ], 'ReservationAggregates' => [ 'base' => '<p>The aggregated numbers for your RI usage.</p>', 'refs' => [ 'GetReservationUtilizationResponse$Total' => '<p>The total amount of time that you utilized your RIs.</p>', 'ReservationUtilizationGroup$Utilization' => '<p>How much you used this group of RIs.</p>', 'UtilizationByTime$Total' => '<p>The total number of RI hours that were used.</p>', ], ], 'ReservationCoverageGroup' => [ 'base' => '<p>A group of reservations that share a set of attributes.</p>', 'refs' => [ 'ReservationCoverageGroups$member' => NULL, ], ], 'ReservationCoverageGroups' => [ 'base' => NULL, 'refs' => [ 'CoverageByTime$Groups' => '<p>The groups of instances that are covered by a reservation.</p>', ], ], 'ReservationGroupKey' => [ 'base' => NULL, 'refs' => [ 'ReservationUtilizationGroup$Key' => '<p>The key for a specific RI attribute.</p>', ], ], 'ReservationGroupValue' => [ 'base' => NULL, 'refs' => [ 'ReservationUtilizationGroup$Value' => '<p>The value of a specific RI attribute.</p>', ], ], 'ReservationPurchaseRecommendation' => [ 'base' => '<p>A specific reservation that AWS recommends for purchase.</p>', 'refs' => [ 'ReservationPurchaseRecommendations$member' => NULL, ], ], 'ReservationPurchaseRecommendationDetail' => [ 'base' => '<p>Details about your recommended reservation purchase.</p>', 'refs' => [ 'ReservationPurchaseRecommendationDetails$member' => NULL, ], ], 'ReservationPurchaseRecommendationDetails' => [ 'base' => NULL, 'refs' => [ 'ReservationPurchaseRecommendation$RecommendationDetails' => '<p>Details about the recommended purchases.</p>', ], ], 'ReservationPurchaseRecommendationMetadata' => [ 'base' => '<p>Information about this specific recommendation, such as the time stamp for when AWS made a specific recommendation.</p>', 'refs' => [ 'GetReservationPurchaseRecommendationResponse$Metadata' => '<p>Information about this specific recommendation call, such as the time stamp for when Cost Explorer generated this recommendation.</p>', ], ], 'ReservationPurchaseRecommendationSummary' => [ 'base' => '<p>A summary about this recommendation, such as the currency code, the amount that AWS estimates you could save, and the total amount of reservation to purchase.</p>', 'refs' => [ 'ReservationPurchaseRecommendation$RecommendationSummary' => '<p>A summary about the recommended purchase.</p>', ], ], 'ReservationPurchaseRecommendations' => [ 'base' => NULL, 'refs' => [ 'GetReservationPurchaseRecommendationResponse$Recommendations' => '<p>Recommendations for reservations to purchase.</p>', ], ], 'ReservationUtilizationGroup' => [ 'base' => '<p>A group of RIs that share a set of attributes.</p>', 'refs' => [ 'ReservationUtilizationGroups$member' => NULL, ], ], 'ReservationUtilizationGroups' => [ 'base' => NULL, 'refs' => [ 'UtilizationByTime$Groups' => '<p>The groups that are included in this utilization result.</p>', ], ], 'ReservedHours' => [ 'base' => NULL, 'refs' => [ 'CoverageHours$ReservedHours' => '<p>The number of instance running hours that are covered by reservations.</p>', ], ], 'ResultByTime' => [ 'base' => '<p>The result that is associated with a time period.</p>', 'refs' => [ 'ResultsByTime$member' => NULL, ], ], 'ResultsByTime' => [ 'base' => NULL, 'refs' => [ 'GetCostAndUsageResponse$ResultsByTime' => '<p>The time period that is covered by the results in the response.</p>', ], ], 'SearchString' => [ 'base' => NULL, 'refs' => [ 'GetDimensionValuesRequest$SearchString' => '<p>The value that you want to search the filter values for.</p>', 'GetTagsRequest$SearchString' => '<p>The value that you want to search for.</p>', ], ], 'ServiceSpecification' => [ 'base' => '<p>Hardware specifications for the service that you want recommendations for.</p>', 'refs' => [ 'GetReservationPurchaseRecommendationRequest$ServiceSpecification' => '<p>The specific service, such as EC2, that you want recommendations for.</p>', 'ReservationPurchaseRecommendation$ServiceSpecification' => '<p>Hardware specifications for the service that you want recommendations for.</p>', ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'GetTagsRequest$TagKey' => '<p>The key of the tag that you want to return values for.</p>', 'TagValues$Key' => '<p>The key for a tag.</p>', ], ], 'TagList' => [ 'base' => NULL, 'refs' => [ 'GetTagsResponse$Tags' => '<p>The tags that match your request.</p>', ], ], 'TagValues' => [ 'base' => '<p>The values that are available for a tag.</p>', 'refs' => [ 'Expression$Tags' => '<p>The specific <code>Tag</code> to use for <code>Expression</code>.</p>', ], ], 'TermInYears' => [ 'base' => NULL, 'refs' => [ 'GetReservationPurchaseRecommendationRequest$TermInYears' => '<p>The reservation term that you want recommendations for.</p>', 'ReservationPurchaseRecommendation$TermInYears' => '<p>The term of the reservation that you want recommendations for, in years.</p>', ], ], 'TotalActualHours' => [ 'base' => NULL, 'refs' => [ 'ReservationAggregates$TotalActualHours' => '<p>The total number of RI hours that you used.</p>', ], ], 'TotalRunningHours' => [ 'base' => NULL, 'refs' => [ 'CoverageHours$TotalRunningHours' => '<p>The total instance usage, in hours.</p>', ], ], 'UnusedHours' => [ 'base' => NULL, 'refs' => [ 'ReservationAggregates$UnusedHours' => '<p>The number of RI hours that you didn\'t use.</p>', ], ], 'UtilizationByTime' => [ 'base' => '<p>The amount of utilization, in hours.</p>', 'refs' => [ 'UtilizationsByTime$member' => NULL, ], ], 'UtilizationPercentage' => [ 'base' => NULL, 'refs' => [ 'ReservationAggregates$UtilizationPercentage' => '<p>The percentage of RI time that you used.</p>', ], ], 'UtilizationsByTime' => [ 'base' => NULL, 'refs' => [ 'GetReservationUtilizationResponse$UtilizationsByTime' => '<p>The amount of time that you utilized your RIs.</p>', ], ], 'Value' => [ 'base' => NULL, 'refs' => [ 'DimensionValuesWithAttributes$Value' => '<p>The value of a dimension with a specific attribute.</p>', 'Values$member' => NULL, ], ], 'Values' => [ 'base' => NULL, 'refs' => [ 'DimensionValues$Values' => '<p>The metadata values that you can use to filter and group your results. You can use <code>GetDimensionValues</code> to find specific values.</p>', 'TagValues$Values' => '<p>The specific value of a tag.</p>', ], ], 'YearMonthDay' => [ 'base' => NULL, 'refs' => [ 'DateInterval$Start' => '<p>The beginning of the time period that you want the usage and costs for. The start date is inclusive. For example, if <code>start</code> is <code>2017-01-01</code>, AWS retrieves cost and usage data starting at <code>2017-01-01</code> up to the end date.</p>', 'DateInterval$End' => '<p>The end of the time period that you want the usage and costs for. The end date is exclusive. For example, if <code>end</code> is <code>2017-05-01</code>, AWS retrieves cost and usage data from the start date up to, but not including, <code>2017-05-01</code>.</p>', ], ], ],];
