<?php
// This file was auto-generated from sdk-root/src/data/greengrass/2017-06-07/docs-2.json
return [ 'version' => '2.0', 'service' => 'AWS Greengrass seamlessly extends AWS onto physical devices so they can act locally on the data they generate, while still using the cloud for management, analytics, and durable storage. AWS Greengrass ensures your devices can respond quickly to local events and operate with intermittent connectivity. AWS Greengrass minimizes the cost of transmitting data to the cloud by allowing you to author AWS Lambda functions that execute locally.', 'operations' => [ 'AssociateRoleToGroup' => 'Associates a role with a group. Your AWS Greengrass core will use the role to access AWS cloud services. The role\'s permissions should allow Greengrass core Lambda functions to perform actions against the cloud.', 'AssociateServiceRoleToAccount' => 'Associates a role with your account. AWS Greengrass will use the role to access your Lambda functions and AWS IoT resources. This is necessary for deployments to succeed. The role must have at least minimum permissions in the policy \'\'AWSGreengrassResourceAccessRolePolicy\'\'.', 'CreateCoreDefinition' => 'Creates a core definition. You may provide the initial version of the core definition now or use \'\'CreateCoreDefinitionVersion\'\' at a later time. AWS Greengrass groups must each contain exactly one AWS Greengrass core.', 'CreateCoreDefinitionVersion' => 'Creates a version of a core definition that has already been defined. AWS Greengrass groups must each contain exactly one AWS Greengrass core.', 'CreateDeployment' => 'Creates a deployment.', 'CreateDeviceDefinition' => 'Creates a device definition. You may provide the initial version of the device definition now or use \'\'CreateDeviceDefinitionVersion\'\' at a later time.', 'CreateDeviceDefinitionVersion' => 'Creates a version of a device definition that has already been defined.', 'CreateFunctionDefinition' => 'Creates a Lambda function definition which contains a list of Lambda functions and their configurations to be used in a group. You can create an initial version of the definition by providing a list of Lambda functions and their configurations now, or use \'\'CreateFunctionDefinitionVersion\'\' later.', 'CreateFunctionDefinitionVersion' => 'Creates a version of a Lambda function definition that has already been defined.', 'CreateGroup' => 'Creates a group. You may provide the initial version of the group or use \'\'CreateGroupVersion\'\' at a later time.', 'CreateGroupCertificateAuthority' => 'Creates a CA for the group. If a CA already exists, it will rotate the existing CA.', 'CreateGroupVersion' => 'Creates a version of a group which has already been defined.', 'CreateLoggerDefinition' => 'Creates a logger definition. You may provide the initial version of the logger definition now or use \'\'CreateLoggerDefinitionVersion\'\' at a later time.', 'CreateLoggerDefinitionVersion' => 'Creates a version of a logger definition that has already been defined.', 'CreateResourceDefinition' => 'Creates a resource definition which contains a list of resources to be used in a group. You can create an initial version of the definition by providing a list of resources now, or use \'\'CreateResourceDefinitionVersion\'\' later.', 'CreateResourceDefinitionVersion' => 'Creates a version of a resource definition that has already been defined.', 'CreateSoftwareUpdateJob' => 'Creates a software update for a core or group of cores (specified as an IoT thing group.) Use this to update the OTA Agent as well as the Greengrass core software. It makes use of the IoT Jobs feature which provides additional commands to manage a Greengrass core software update job.', 'CreateSubscriptionDefinition' => 'Creates a subscription definition. You may provide the initial version of the subscription definition now or use \'\'CreateSubscriptionDefinitionVersion\'\' at a later time.', 'CreateSubscriptionDefinitionVersion' => 'Creates a version of a subscription definition which has already been defined.', 'DeleteCoreDefinition' => 'Deletes a core definition.', 'DeleteDeviceDefinition' => 'Deletes a device definition.', 'DeleteFunctionDefinition' => 'Deletes a Lambda function definition.', 'DeleteGroup' => 'Deletes a group.', 'DeleteLoggerDefinition' => 'Deletes a logger definition.', 'DeleteResourceDefinition' => 'Deletes a resource definition.', 'DeleteSubscriptionDefinition' => 'Deletes a subscription definition.', 'DisassociateRoleFromGroup' => 'Disassociates the role from a group.', 'DisassociateServiceRoleFromAccount' => 'Disassociates the service role from your account. Without a service role, deployments will not work.', 'GetAssociatedRole' => 'Retrieves the role associated with a particular group.', 'GetConnectivityInfo' => 'Retrieves the connectivity information for a core.', 'GetCoreDefinition' => 'Retrieves information about a core definition version.', 'GetCoreDefinitionVersion' => 'Retrieves information about a core definition version.', 'GetDeploymentStatus' => 'Returns the status of a deployment.', 'GetDeviceDefinition' => 'Retrieves information about a device definition.', 'GetDeviceDefinitionVersion' => 'Retrieves information about a device definition version.', 'GetFunctionDefinition' => 'Retrieves information about a Lambda function definition, including its creation time and latest version.', 'GetFunctionDefinitionVersion' => 'Retrieves information about a Lambda function definition version, including which Lambda functions are included in the version and their configurations.', 'GetGroup' => 'Retrieves information about a group.', 'GetGroupCertificateAuthority' => 'Retreives the CA associated with a group. Returns the public key of the CA.', 'GetGroupCertificateConfiguration' => 'Retrieves the current configuration for the CA used by the group.', 'GetGroupVersion' => 'Retrieves information about a group version.', 'GetLoggerDefinition' => 'Retrieves information about a logger definition.', 'GetLoggerDefinitionVersion' => 'Retrieves information about a logger definition version.', 'GetResourceDefinition' => 'Retrieves information about a resource definition, including its creation time and latest version.', 'GetResourceDefinitionVersion' => 'Retrieves information about a resource definition version, including which resources are included in the version.', 'GetServiceRoleForAccount' => 'Retrieves the service role that is attached to your account.', 'GetSubscriptionDefinition' => 'Retrieves information about a subscription definition.', 'GetSubscriptionDefinitionVersion' => 'Retrieves information about a subscription definition version.', 'ListCoreDefinitionVersions' => 'Lists the versions of a core definition.', 'ListCoreDefinitions' => 'Retrieves a list of core definitions.', 'ListDeployments' => 'Returns a history of deployments for the group.', 'ListDeviceDefinitionVersions' => 'Lists the versions of a device definition.', 'ListDeviceDefinitions' => 'Retrieves a list of device definitions.', 'ListFunctionDefinitionVersions' => 'Lists the versions of a Lambda function definition.', 'ListFunctionDefinitions' => 'Retrieves a list of Lambda function definitions.', 'ListGroupCertificateAuthorities' => 'Retrieves the current CAs for a group.', 'ListGroupVersions' => 'Lists the versions of a group.', 'ListGroups' => 'Retrieves a list of groups.', 'ListLoggerDefinitionVersions' => 'Lists the versions of a logger definition.', 'ListLoggerDefinitions' => 'Retrieves a list of logger definitions.', 'ListResourceDefinitionVersions' => 'Lists the versions of a resource definition.', 'ListResourceDefinitions' => 'Retrieves a list of resource definitions.', 'ListSubscriptionDefinitionVersions' => 'Lists the versions of a subscription definition.', 'ListSubscriptionDefinitions' => 'Retrieves a list of subscription definitions.', 'ResetDeployments' => 'Resets a group\'s deployments.', 'UpdateConnectivityInfo' => 'Updates the connectivity information for the core. Any devices that belong to the group which has this core will receive this information in order to find the location of the core and connect to it.', 'UpdateCoreDefinition' => 'Updates a core definition.', 'UpdateDeviceDefinition' => 'Updates a device definition.', 'UpdateFunctionDefinition' => 'Updates a Lambda function definition.', 'UpdateGroup' => 'Updates a group.', 'UpdateGroupCertificateConfiguration' => 'Updates the Certificate expiry time for a group.', 'UpdateLoggerDefinition' => 'Updates a logger definition.', 'UpdateResourceDefinition' => 'Updates a resource definition.', 'UpdateSubscriptionDefinition' => 'Updates a subscription definition.', ], 'shapes' => [ 'AssociateRoleToGroupRequest' => [ 'base' => NULL, 'refs' => [], ], 'AssociateRoleToGroupResponse' => [ 'base' => NULL, 'refs' => [], ], 'AssociateServiceRoleToAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'AssociateServiceRoleToAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'BadRequestException' => [ 'base' => 'General error information.', 'refs' => [], ], 'ConnectivityInfo' => [ 'base' => 'Information about a Greengrass core\'s connectivity.', 'refs' => [ '__listOfConnectivityInfo$member' => NULL, ], ], 'Core' => [ 'base' => 'Information about a core.', 'refs' => [ '__listOfCore$member' => NULL, ], ], 'CoreDefinitionVersion' => [ 'base' => 'Information about a core definition version.', 'refs' => [ 'GetCoreDefinitionVersionResponse$Definition' => 'Information about the core definition version.', ], ], 'CreateDeploymentRequest' => [ 'base' => 'Information about a deployment.', 'refs' => [], ], 'CreateDeploymentResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateGroupCertificateAuthorityResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateSoftwareUpdateJobRequest' => [ 'base' => 'Request for the CreateSoftwareUpdateJob API.', 'refs' => [], ], 'CreateSoftwareUpdateJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'DefinitionInformation' => [ 'base' => 'Information about a definition.', 'refs' => [ '__listOfDefinitionInformation$member' => NULL, ], ], 'Deployment' => [ 'base' => 'Information about a deployment.', 'refs' => [ 'Deployments$member' => NULL, ], ], 'DeploymentType' => [ 'base' => NULL, 'refs' => [ 'CreateDeploymentRequest$DeploymentType' => 'The type of deployment. When used in \'\'CreateDeployment\'\', only \'\'NewDeployment\'\' and \'\'Redeployment\'\' are valid.', 'Deployment$DeploymentType' => 'The type of the deployment.', 'GetDeploymentStatusResponse$DeploymentType' => 'The type of the deployment.', ], ], 'Deployments' => [ 'base' => NULL, 'refs' => [ 'ListDeploymentsResponse$Deployments' => 'A list of deployments for the requested groups.', ], ], 'Device' => [ 'base' => 'Information about a device.', 'refs' => [ '__listOfDevice$member' => NULL, ], ], 'DeviceDefinitionVersion' => [ 'base' => 'Information about a device definition version.', 'refs' => [ 'GetDeviceDefinitionVersionResponse$Definition' => 'Information about the device definition version.', ], ], 'DisassociateRoleFromGroupResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateServiceRoleFromAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'Empty' => [ 'base' => 'Empty', 'refs' => [], ], 'EncodingType' => [ 'base' => NULL, 'refs' => [ 'FunctionConfiguration$EncodingType' => 'The expected encoding type of the input payload for the function. The default is \'\'json\'\'.', ], ], 'ErrorDetail' => [ 'base' => 'Details about the error.', 'refs' => [ 'ErrorDetails$member' => NULL, ], ], 'ErrorDetails' => [ 'base' => 'A list of error details.', 'refs' => [ 'GeneralError$ErrorDetails' => 'Details about the error.', 'GetDeploymentStatusResponse$ErrorDetails' => 'Error details', ], ], 'Function' => [ 'base' => 'Information about a Lambda function.', 'refs' => [ '__listOfFunction$member' => NULL, ], ], 'FunctionConfiguration' => [ 'base' => 'The configuration of the Lambda function.', 'refs' => [ 'Function$FunctionConfiguration' => 'The configuration of the Lambda function.', ], ], 'FunctionConfigurationEnvironment' => [ 'base' => 'The environment configuration of the function.', 'refs' => [ 'FunctionConfiguration$Environment' => 'The environment configuration of the function.', ], ], 'FunctionDefinitionVersion' => [ 'base' => 'Information about a function definition version.', 'refs' => [ 'GetFunctionDefinitionVersionResponse$Definition' => 'Information on the definition.', ], ], 'GeneralError' => [ 'base' => 'General error information.', 'refs' => [], ], 'GetAssociatedRoleResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetConnectivityInfoResponse' => [ 'base' => 'Information about a Greengrass core\'s connectivity.', 'refs' => [], ], 'GetCoreDefinitionVersionResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetDeploymentStatusResponse' => [ 'base' => 'Information about the status of a deployment for a group.', 'refs' => [], ], 'GetDeviceDefinitionVersionResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetFunctionDefinitionVersionResponse' => [ 'base' => 'Information about a function definition version.', 'refs' => [], ], 'GetGroupCertificateAuthorityResponse' => [ 'base' => 'Information about a certificate authority for a group.', 'refs' => [], ], 'GetGroupVersionResponse' => [ 'base' => 'Information about a group version.', 'refs' => [], ], 'GetLoggerDefinitionVersionResponse' => [ 'base' => 'Information about a logger definition version.', 'refs' => [], ], 'GetResourceDefinitionVersionResponse' => [ 'base' => 'Information about a resource definition version.', 'refs' => [], ], 'GetServiceRoleForAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetSubscriptionDefinitionVersionResponse' => [ 'base' => 'Information about a subscription definition version.', 'refs' => [], ], 'GroupCertificateAuthorityProperties' => [ 'base' => 'Information about a certificate authority for a group.', 'refs' => [ '__listOfGroupCertificateAuthorityProperties$member' => NULL, ], ], 'GroupCertificateConfiguration' => [ 'base' => 'Information about a group certificate configuration.', 'refs' => [], ], 'GroupInformation' => [ 'base' => 'Information about a group.', 'refs' => [ '__listOfGroupInformation$member' => NULL, ], ], 'GroupOwnerSetting' => [ 'base' => 'Group owner related settings for local resources.', 'refs' => [ 'LocalDeviceResourceData$GroupOwnerSetting' => 'Group/owner related settings for local resources.', 'LocalVolumeResourceData$GroupOwnerSetting' => 'Allows you to configure additional group privileges for the Lambda process. This field is optional.', ], ], 'GroupVersion' => [ 'base' => 'Information about a group version.', 'refs' => [ 'GetGroupVersionResponse$Definition' => 'Information about the group version definition.', ], ], 'InternalServerErrorException' => [ 'base' => 'General error information.', 'refs' => [], ], 'ListDefinitionsResponse' => [ 'base' => 'A list of definitions.', 'refs' => [], ], 'ListDeploymentsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListGroupCertificateAuthoritiesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListGroupsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListVersionsResponse' => [ 'base' => 'A list of versions.', 'refs' => [], ], 'LocalDeviceResourceData' => [ 'base' => 'Attributes that define a local device resource.', 'refs' => [ 'ResourceDataContainer$LocalDeviceResourceData' => 'Attributes that define the local device resource.', ], ], 'LocalVolumeResourceData' => [ 'base' => 'Attributes that define a local volume resource.', 'refs' => [ 'ResourceDataContainer$LocalVolumeResourceData' => 'Attributes that define the local volume resource.', ], ], 'Logger' => [ 'base' => 'Information about a logger', 'refs' => [ '__listOfLogger$member' => NULL, ], ], 'LoggerComponent' => [ 'base' => NULL, 'refs' => [ 'Logger$Component' => 'The component that will be subject to logging.', ], ], 'LoggerDefinitionVersion' => [ 'base' => 'Information about a logger definition version.', 'refs' => [ 'GetLoggerDefinitionVersionResponse$Definition' => 'Information about the logger definition version.', ], ], 'LoggerLevel' => [ 'base' => NULL, 'refs' => [ 'Logger$Level' => 'The level of the logs.', ], ], 'LoggerType' => [ 'base' => NULL, 'refs' => [ 'Logger$Type' => 'The type of log output which will be used.', ], ], 'Permission' => [ 'base' => 'The type of permission a function has to access a resource.', 'refs' => [ 'ResourceAccessPolicy$Permission' => 'The permissions that the Lambda function has to the resource. Can be one of \'\'rw\'\' (read/write) or \'\'ro\'\' (read-only).', ], ], 'ResetDeploymentsRequest' => [ 'base' => 'Information about a group reset request.', 'refs' => [], ], 'ResetDeploymentsResponse' => [ 'base' => NULL, 'refs' => [], ], 'Resource' => [ 'base' => 'Information about a resource.', 'refs' => [ '__listOfResource$member' => NULL, ], ], 'ResourceAccessPolicy' => [ 'base' => 'A policy used by the function to access a resource.', 'refs' => [ '__listOfResourceAccessPolicy$member' => NULL, ], ], 'ResourceDataContainer' => [ 'base' => 'A container for resource data. The container takes only one of the following supported resource data types: \'\'LocalDeviceResourceData\'\', \'\'LocalVolumeResourceData\'\', \'\'SageMakerMachineLearningModelResourceData\'\', \'\'S3MachineLearningModelResourceData\'\'.', 'refs' => [ 'Resource$ResourceDataContainer' => 'A container of data for all resource types.', ], ], 'ResourceDefinitionVersion' => [ 'base' => 'Information about a resource definition version.', 'refs' => [ 'GetResourceDefinitionVersionResponse$Definition' => 'Information about the definition.', ], ], 'S3MachineLearningModelResourceData' => [ 'base' => 'Attributes that define an S3 machine learning resource.', 'refs' => [ 'ResourceDataContainer$S3MachineLearningModelResourceData' => 'Attributes that define an S3 machine learning resource.', ], ], 'S3UrlSignerRole' => [ 'base' => 'The IAM Role that Greengrass will use to create pre-signed URLs pointing towards the update artifact.', 'refs' => [ 'CreateSoftwareUpdateJobRequest$S3UrlSignerRole' => NULL, ], ], 'SageMakerMachineLearningModelResourceData' => [ 'base' => 'Attributes that define an SageMaker machine learning resource.', 'refs' => [ 'ResourceDataContainer$SageMakerMachineLearningModelResourceData' => 'Attributes that define an SageMaker machine learning resource.', ], ], 'SoftwareToUpdate' => [ 'base' => 'The piece of software on the Greengrass core that will be updated.', 'refs' => [ 'CreateSoftwareUpdateJobRequest$SoftwareToUpdate' => NULL, ], ], 'Subscription' => [ 'base' => 'Information about a subscription.', 'refs' => [ '__listOfSubscription$member' => NULL, ], ], 'SubscriptionDefinitionVersion' => [ 'base' => 'Information about a subscription definition version.', 'refs' => [ 'GetSubscriptionDefinitionVersionResponse$Definition' => 'Information about the subscription definition version.', ], ], 'UpdateAgentLogLevel' => [ 'base' => 'The minimum level of log statements that should be logged by the OTA Agent during an update.', 'refs' => [ 'CreateSoftwareUpdateJobRequest$UpdateAgentLogLevel' => NULL, ], ], 'UpdateConnectivityInfoRequest' => [ 'base' => 'Information required to update a Greengrass core\'s connectivity.', 'refs' => [], ], 'UpdateConnectivityInfoResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateGroupCertificateConfigurationRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateTargets' => [ 'base' => 'The ARNs of the targets (IoT things or IoT thing groups) that this update will be applied to.', 'refs' => [ 'CreateSoftwareUpdateJobRequest$UpdateTargets' => NULL, ], ], 'UpdateTargetsArchitecture' => [ 'base' => 'The architecture of the cores which are the targets of an update.', 'refs' => [ 'CreateSoftwareUpdateJobRequest$UpdateTargetsArchitecture' => NULL, ], ], 'UpdateTargetsOperatingSystem' => [ 'base' => 'The operating system of the cores which are the targets of an update.', 'refs' => [ 'CreateSoftwareUpdateJobRequest$UpdateTargetsOperatingSystem' => NULL, ], ], 'VersionInformation' => [ 'base' => 'Information about a version.', 'refs' => [ '__listOfVersionInformation$member' => NULL, ], ], '__boolean' => [ 'base' => NULL, 'refs' => [ 'Core$SyncShadow' => 'If true, the core\'s local shadow is automatically synced with the cloud.', 'Device$SyncShadow' => 'If true, the device\'s local shadow will be automatically synced with the cloud.', 'FunctionConfiguration$Pinned' => 'True if the function is pinned. Pinned means the function is long-lived and starts when the core starts.', 'FunctionConfigurationEnvironment$AccessSysfs' => 'If true, the Lambda function is allowed to access the host\'s /sys folder. Use this when the Lambda function needs to read device information from /sys.', 'GroupOwnerSetting$AutoAddGroupOwner' => 'If true, GreenGrass automatically adds the specified Linux OS group owner of the resource to the Lambda process privileges. Thus the Lambda process will have the file access permissions of the added Linux group.', 'ResetDeploymentsRequest$Force' => 'If true, performs a best-effort only core reset.', ], ], '__integer' => [ 'base' => NULL, 'refs' => [ 'ConnectivityInfo$PortNumber' => 'The port of the Greengrass core. Usually 8883.', 'FunctionConfiguration$MemorySize' => 'The memory size, in KB, which the function requires.', 'FunctionConfiguration$Timeout' => 'The allowed function execution time, after which Lambda should terminate the function. This timeout still applies to pinned lambdas for each request.', 'Logger$Space' => 'The amount of file space, in KB, to use if the local file system is used for logging purposes.', ], ], '__listOfConnectivityInfo' => [ 'base' => NULL, 'refs' => [ 'GetConnectivityInfoResponse$ConnectivityInfo' => 'Connectivity info list.', 'UpdateConnectivityInfoRequest$ConnectivityInfo' => 'A list of connectivity info.', ], ], '__listOfCore' => [ 'base' => NULL, 'refs' => [ 'CoreDefinitionVersion$Cores' => 'A list of cores in the core definition version.', ], ], '__listOfDefinitionInformation' => [ 'base' => NULL, 'refs' => [ 'ListDefinitionsResponse$Definitions' => 'Information about a definition.', ], ], '__listOfDevice' => [ 'base' => NULL, 'refs' => [ 'DeviceDefinitionVersion$Devices' => 'A list of devices in the definition version.', ], ], '__listOfFunction' => [ 'base' => NULL, 'refs' => [ 'FunctionDefinitionVersion$Functions' => 'A list of Lambda functions in this function definition version.', ], ], '__listOfGroupCertificateAuthorityProperties' => [ 'base' => NULL, 'refs' => [ 'ListGroupCertificateAuthoritiesResponse$GroupCertificateAuthorities' => 'A list of certificate authorities associated with the group.', ], ], '__listOfGroupInformation' => [ 'base' => NULL, 'refs' => [ 'ListGroupsResponse$Groups' => 'Information about a group.', ], ], '__listOfLogger' => [ 'base' => NULL, 'refs' => [ 'LoggerDefinitionVersion$Loggers' => 'A list of loggers.', ], ], '__listOfResource' => [ 'base' => NULL, 'refs' => [ 'ResourceDefinitionVersion$Resources' => 'A list of resources.', ], ], '__listOfResourceAccessPolicy' => [ 'base' => NULL, 'refs' => [ 'FunctionConfigurationEnvironment$ResourceAccessPolicies' => 'A list of the resources, with their permissions, to which the Lambda function will be granted access. A Lambda function can have at most 10 resources.', ], ], '__listOfSubscription' => [ 'base' => NULL, 'refs' => [ 'SubscriptionDefinitionVersion$Subscriptions' => 'A list of subscriptions.', ], ], '__listOfVersionInformation' => [ 'base' => NULL, 'refs' => [ 'ListVersionsResponse$Versions' => 'Information about a version.', ], ], '__mapOf__string' => [ 'base' => NULL, 'refs' => [ 'FunctionConfigurationEnvironment$Variables' => 'Environment variables for the Lambda function\'s configuration.', ], ], '__string' => [ 'base' => NULL, 'refs' => [ 'AssociateRoleToGroupRequest$RoleArn' => 'The ARN of the role you wish to associate with this group.', 'AssociateRoleToGroupResponse$AssociatedAt' => 'The time, in milliseconds since the epoch, when the role ARN was associated with the group.', 'AssociateServiceRoleToAccountRequest$RoleArn' => 'The ARN of the service role you wish to associate with your account.', 'AssociateServiceRoleToAccountResponse$AssociatedAt' => 'The time when the service role was associated with the account.', 'ConnectivityInfo$HostAddress' => 'The endpoint for the Greengrass core. Can be an IP address or DNS.', 'ConnectivityInfo$Id' => 'The ID of the connectivity information.', 'ConnectivityInfo$Metadata' => 'Metadata for this endpoint.', 'Core$CertificateArn' => 'The ARN of the certificate associated with the core.', 'Core$Id' => 'The ID of the core.', 'Core$ThingArn' => 'The ARN of the thing which is the core.', 'CreateDeploymentRequest$DeploymentId' => 'The ID of the deployment if you wish to redeploy a previous deployment.', 'CreateDeploymentRequest$GroupVersionId' => 'The ID of the group version to be deployed.', 'CreateDeploymentResponse$DeploymentArn' => 'The ARN of the deployment.', 'CreateDeploymentResponse$DeploymentId' => 'The ID of the deployment.', 'CreateGroupCertificateAuthorityResponse$GroupCertificateAuthorityArn' => 'The ARN of the group certificate authority.', 'CreateSoftwareUpdateJobResponse$IotJobArn' => 'The IoT Job ARN corresponding to this update.', 'CreateSoftwareUpdateJobResponse$IotJobId' => 'The IoT Job Id corresponding to this update.', 'DefinitionInformation$Arn' => 'The ARN of the definition.', 'DefinitionInformation$CreationTimestamp' => 'The time, in milliseconds since the epoch, when the definition was created.', 'DefinitionInformation$Id' => 'The ID of the definition.', 'DefinitionInformation$LastUpdatedTimestamp' => 'The time, in milliseconds since the epoch, when the definition was last updated.', 'DefinitionInformation$LatestVersion' => 'The latest version of the definition.', 'DefinitionInformation$LatestVersionArn' => 'The ARN of the latest version of the definition.', 'DefinitionInformation$Name' => 'The name of the definition.', 'Deployment$CreatedAt' => 'The time, in milliseconds since the epoch, when the deployment was created.', 'Deployment$DeploymentArn' => 'The ARN of the deployment.', 'Deployment$DeploymentId' => 'The ID of the deployment.', 'Deployment$GroupArn' => 'The ARN of the group for this deployment.', 'Device$CertificateArn' => 'The ARN of the certificate associated with the device.', 'Device$Id' => 'The ID of the device.', 'Device$ThingArn' => 'The thing ARN of the device.', 'DisassociateRoleFromGroupResponse$DisassociatedAt' => 'The time, in milliseconds since the epoch, when the role was disassociated from the group.', 'DisassociateServiceRoleFromAccountResponse$DisassociatedAt' => 'The time when the service role was disassociated from the account.', 'ErrorDetail$DetailedErrorCode' => 'A detailed error code.', 'ErrorDetail$DetailedErrorMessage' => 'A detailed error message.', 'Function$FunctionArn' => 'The ARN of the Lambda function.', 'Function$Id' => 'The ID of the Lambda function.', 'FunctionConfiguration$ExecArgs' => 'The execution arguments.', 'FunctionConfiguration$Executable' => 'The name of the function executable.', 'GeneralError$Message' => 'A message containing information about the error.', 'GetAssociatedRoleResponse$AssociatedAt' => 'The time when the role was associated with the group.', 'GetAssociatedRoleResponse$RoleArn' => 'The ARN of the role that is associated with the group.', 'GetConnectivityInfoResponse$Message' => 'A message about the connectivity info request.', 'GetCoreDefinitionVersionResponse$Arn' => 'The ARN of the core definition version.', 'GetCoreDefinitionVersionResponse$CreationTimestamp' => 'The time, in milliseconds since the epoch, when the core definition version was created.', 'GetCoreDefinitionVersionResponse$Id' => 'The ID of the core definition version.', 'GetCoreDefinitionVersionResponse$Version' => 'The version of the core definition version.', 'GetDeploymentStatusResponse$DeploymentStatus' => 'The status of the deployment.', 'GetDeploymentStatusResponse$ErrorMessage' => 'Error message', 'GetDeploymentStatusResponse$UpdatedAt' => 'The time, in milliseconds since the epoch, when the deployment status was updated.', 'GetDeviceDefinitionVersionResponse$Arn' => 'The ARN of the device definition version.', 'GetDeviceDefinitionVersionResponse$CreationTimestamp' => 'The time, in milliseconds since the epoch, when the device definition version was created.', 'GetDeviceDefinitionVersionResponse$Id' => 'The ID of the device definition version.', 'GetDeviceDefinitionVersionResponse$Version' => 'The version of the device definition version.', 'GetFunctionDefinitionVersionResponse$Arn' => 'The ARN of the function definition version.', 'GetFunctionDefinitionVersionResponse$CreationTimestamp' => 'The time, in milliseconds since the epoch, when the function definition version was created.', 'GetFunctionDefinitionVersionResponse$Id' => 'The ID of the function definition version.', 'GetFunctionDefinitionVersionResponse$Version' => 'The version of the function definition version.', 'GetGroupCertificateAuthorityResponse$GroupCertificateAuthorityArn' => 'The ARN of the certificate authority for the group.', 'GetGroupCertificateAuthorityResponse$GroupCertificateAuthorityId' => 'The ID of the certificate authority for the group.', 'GetGroupCertificateAuthorityResponse$PemEncodedCertificate' => 'The PEM encoded certificate for the group.', 'GetGroupVersionResponse$Arn' => 'The ARN of the group version.', 'GetGroupVersionResponse$CreationTimestamp' => 'The time, in milliseconds since the epoch, when the group version was created.', 'GetGroupVersionResponse$Id' => 'The ID of the group version.', 'GetGroupVersionResponse$Version' => 'The unique ID for the version of the group.', 'GetLoggerDefinitionVersionResponse$Arn' => 'The ARN of the logger definition version.', 'GetLoggerDefinitionVersionResponse$CreationTimestamp' => 'The time, in milliseconds since the epoch, when the logger definition version was created.', 'GetLoggerDefinitionVersionResponse$Id' => 'The ID of the logger definition version.', 'GetLoggerDefinitionVersionResponse$Version' => 'The version of the logger definition version.', 'GetResourceDefinitionVersionResponse$Arn' => 'Arn of the resource definition version.', 'GetResourceDefinitionVersionResponse$CreationTimestamp' => 'The time, in milliseconds since the epoch, when the resource definition version was created.', 'GetResourceDefinitionVersionResponse$Id' => 'The ID of the resource definition version.', 'GetResourceDefinitionVersionResponse$Version' => 'The version of the resource definition version.', 'GetServiceRoleForAccountResponse$AssociatedAt' => 'The time when the service role was associated with the account.', 'GetServiceRoleForAccountResponse$RoleArn' => 'The ARN of the role which is associated with the account.', 'GetSubscriptionDefinitionVersionResponse$Arn' => 'The ARN of the subscription definition version.', 'GetSubscriptionDefinitionVersionResponse$CreationTimestamp' => 'The time, in milliseconds since the epoch, when the subscription definition version was created.', 'GetSubscriptionDefinitionVersionResponse$Id' => 'The ID of the subscription definition version.', 'GetSubscriptionDefinitionVersionResponse$Version' => 'The version of the subscription definition version.', 'GroupCertificateAuthorityProperties$GroupCertificateAuthorityArn' => 'The ARN of the certificate authority for the group.', 'GroupCertificateAuthorityProperties$GroupCertificateAuthorityId' => 'The ID of the certificate authority for the group.', 'GroupCertificateConfiguration$CertificateAuthorityExpiryInMilliseconds' => 'The amount of time remaining before the certificate authority expires, in milliseconds.', 'GroupCertificateConfiguration$CertificateExpiryInMilliseconds' => 'The amount of time remaining before the certificate expires, in milliseconds.', 'GroupCertificateConfiguration$GroupId' => 'The ID of the group certificate configuration.', 'GroupInformation$Arn' => 'The ARN of the group.', 'GroupInformation$CreationTimestamp' => 'The time, in milliseconds since the epoch, when the group was created.', 'GroupInformation$Id' => 'The ID of the group.', 'GroupInformation$LastUpdatedTimestamp' => 'The time, in milliseconds since the epoch, when the group was last updated.', 'GroupInformation$LatestVersion' => 'The latest version of the group.', 'GroupInformation$LatestVersionArn' => 'The ARN of the latest version of the group.', 'GroupInformation$Name' => 'The name of the group.', 'GroupOwnerSetting$GroupOwner' => 'The name of the Linux OS group whose privileges will be added to the Lambda process. This field is optional.', 'GroupVersion$CoreDefinitionVersionArn' => 'The ARN of the core definition version for this group.', 'GroupVersion$DeviceDefinitionVersionArn' => 'The ARN of the device definition version for this group.', 'GroupVersion$FunctionDefinitionVersionArn' => 'The ARN of the function definition version for this group.', 'GroupVersion$LoggerDefinitionVersionArn' => 'The ARN of the logger definition version for this group.', 'GroupVersion$ResourceDefinitionVersionArn' => 'The resource definition version ARN for this group.', 'GroupVersion$SubscriptionDefinitionVersionArn' => 'The ARN of the subscription definition version for this group.', 'ListDefinitionsResponse$NextToken' => 'The token for the next set of results, or \'\'null\'\' if there are no additional results.', 'ListDeploymentsResponse$NextToken' => 'The token for the next set of results, or \'\'null\'\' if there are no additional results.', 'ListGroupsResponse$NextToken' => 'The token for the next set of results, or \'\'null\'\' if there are no additional results.', 'ListVersionsResponse$NextToken' => 'The token for the next set of results, or \'\'null\'\' if there are no additional results.', 'LocalDeviceResourceData$SourcePath' => 'The local absolute path of the device resource. The source path for a device resource can refer only to a character device or block device under \'\'/dev\'\'.', 'LocalVolumeResourceData$DestinationPath' => 'The absolute local path of the resource inside the lambda environment.', 'LocalVolumeResourceData$SourcePath' => 'The local absolute path of the volume resource on the host. The source path for a volume resource type cannot start with \'\'/proc\'\' or \'\'/sys\'\'.', 'Logger$Id' => 'The id of the logger.', 'ResetDeploymentsResponse$DeploymentArn' => 'The ARN of the deployment.', 'ResetDeploymentsResponse$DeploymentId' => 'The ID of the deployment.', 'Resource$Id' => 'The resource ID, used to refer to a resource in the Lambda function configuration. Max length is 128 characters with pattern \'\'[a-zA-Z0-9:_-]+\'\'. This must be unique within a Greengrass group.', 'Resource$Name' => 'The descriptive resource name, which is displayed on the Greengrass console. Max length 128 characters with pattern \'\'[a-zA-Z0-9:_-]+\'\'. This must be unique within a Greengrass group.', 'ResourceAccessPolicy$ResourceId' => 'The ID of the resource. (This ID is assigned to the resource when you create the resource definiton.)', 'S3MachineLearningModelResourceData$DestinationPath' => 'The absolute local path of the resource inside the Lambda environment.', 'S3MachineLearningModelResourceData$S3Uri' => 'The URI of the source model in an S3 bucket. The model package must be in tar.gz or .zip format.', 'SageMakerMachineLearningModelResourceData$DestinationPath' => 'The absolute local path of the resource inside the Lambda environment.', 'SageMakerMachineLearningModelResourceData$SageMakerJobArn' => 'The ARN of the SageMaker training job that represents the source model.', 'Subscription$Id' => 'The id of the subscription.', 'Subscription$Source' => 'The source of the subscription. Can be a thing ARN, a Lambda function ARN, \'cloud\' (which represents the IoT cloud), or \'GGShadowService\'.', 'Subscription$Subject' => 'The subject of the message.', 'Subscription$Target' => 'Where the message is sent to. Can be a thing ARN, a Lambda function ARN, \'cloud\' (which represents the IoT cloud), or \'GGShadowService\'.', 'UpdateConnectivityInfoResponse$Message' => 'A message about the connectivity info update request.', 'UpdateConnectivityInfoResponse$Version' => 'The new version of the connectivity info.', 'UpdateGroupCertificateConfigurationRequest$CertificateExpiryInMilliseconds' => 'The amount of time remaining before the certificate expires, in milliseconds.', 'UpdateTargets$member' => NULL, 'VersionInformation$Arn' => 'The ARN of the version.', 'VersionInformation$CreationTimestamp' => 'The time, in milliseconds since the epoch, when the version was created.', 'VersionInformation$Id' => 'The ID of the version.', 'VersionInformation$Version' => 'The unique ID of the version.', '__mapOf__string$member' => NULL, ], ], ],];
