<?php
// This file was auto-generated from sdk-root/src/data/iot/2015-05-28/docs-2.json
return [ 'version' => '2.0', 'service' => '<fullname>AWS IoT</fullname> <p>AWS IoT provides secure, bi-directional communication between Internet-connected things (such as sensors, actuators, embedded devices, or smart appliances) and the AWS cloud. You can discover your custom IoT-Data endpoint to communicate with, configure rules for data processing and integration with other services, organize resources associated with each thing (Thing Registry), configure logging, and create and manage policies and credentials to authenticate things.</p> <p>For more information about how AWS IoT works, see the <a href="http://docs.aws.amazon.com/iot/latest/developerguide/aws-iot-how-it-works.html">Developer Guide</a>.</p>', 'operations' => [ 'AcceptCertificateTransfer' => '<p>Accepts a pending certificate transfer. The default state of the certificate is INACTIVE.</p> <p>To check for pending certificate transfers, call <a>ListCertificates</a> to enumerate your certificates.</p>', 'AddThingToThingGroup' => '<p>Adds a thing to a thing group.</p>', 'AssociateTargetsWithJob' => '<p>Associates a group with a continuous job. The following criteria must be met: </p> <ul> <li> <p>The job must have been created with the <code>targetSelection</code> field set to "CONTINUOUS".</p> </li> <li> <p>The job status must currently be "IN_PROGRESS".</p> </li> <li> <p>The total number of targets associated with a job must not exceed 100.</p> </li> </ul>', 'AttachPolicy' => '<p>Attaches a policy to the specified target.</p>', 'AttachPrincipalPolicy' => '<p>Attaches the specified policy to the specified principal (certificate or other credential).</p> <p> <b>Note:</b> This API is deprecated. Please use <a>AttachPolicy</a> instead.</p>', 'AttachThingPrincipal' => '<p>Attaches the specified principal to the specified thing.</p>', 'CancelCertificateTransfer' => '<p>Cancels a pending transfer for the specified certificate.</p> <p> <b>Note</b> Only the transfer source account can use this operation to cancel a transfer. (Transfer destinations can use <a>RejectCertificateTransfer</a> instead.) After transfer, AWS IoT returns the certificate to the source account in the INACTIVE state. After the destination account has accepted the transfer, the transfer cannot be cancelled.</p> <p>After a certificate transfer is cancelled, the status of the certificate changes from PENDING_TRANSFER to INACTIVE.</p>', 'CancelJob' => '<p>Cancels a job.</p>', 'ClearDefaultAuthorizer' => '<p>Clears the default authorizer.</p>', 'CreateAuthorizer' => '<p>Creates an authorizer.</p>', 'CreateCertificateFromCsr' => '<p>Creates an X.509 certificate using the specified certificate signing request.</p> <p> <b>Note:</b> The CSR must include a public key that is either an RSA key with a length of at least 2048 bits or an ECC key from NIST P-256 or NIST P-384 curves. </p> <p> <b>Note:</b> Reusing the same certificate signing request (CSR) results in a distinct certificate.</p> <p>You can create multiple certificates in a batch by creating a directory, copying multiple .csr files into that directory, and then specifying that directory on the command line. The following commands show how to create a batch of certificates given a batch of CSRs.</p> <p>Assuming a set of CSRs are located inside of the directory my-csr-directory:</p> <p>On Linux and OS X, the command is:</p> <p>$ ls my-csr-directory/ | xargs -I {} aws iot create-certificate-from-csr --certificate-signing-request file://my-csr-directory/{}</p> <p>This command lists all of the CSRs in my-csr-directory and pipes each CSR file name to the aws iot create-certificate-from-csr AWS CLI command to create a certificate for the corresponding CSR.</p> <p>The aws iot create-certificate-from-csr part of the command can also be run in parallel to speed up the certificate creation process:</p> <p>$ ls my-csr-directory/ | xargs -P 10 -I {} aws iot create-certificate-from-csr --certificate-signing-request file://my-csr-directory/{}</p> <p>On Windows PowerShell, the command to create certificates for all CSRs in my-csr-directory is:</p> <p>&gt; ls -Name my-csr-directory | %{aws iot create-certificate-from-csr --certificate-signing-request file://my-csr-directory/$_}</p> <p>On a Windows command prompt, the command to create certificates for all CSRs in my-csr-directory is:</p> <p>&gt; forfiles /p my-csr-directory /c "cmd /c aws iot create-certificate-from-csr --certificate-signing-request file://@path"</p>', 'CreateJob' => '<p>Creates a job.</p>', 'CreateKeysAndCertificate' => '<p>Creates a 2048-bit RSA key pair and issues an X.509 certificate using the issued public key.</p> <p> <b>Note</b> This is the only time AWS IoT issues the private key for this certificate, so it is important to keep it in a secure location.</p>', 'CreateOTAUpdate' => '<p>Creates an AWS IoT OTAUpdate on a target group of things or groups.</p>', 'CreatePolicy' => '<p>Creates an AWS IoT policy.</p> <p>The created policy is the default version for the policy. This operation creates a policy version with a version identifier of <b>1</b> and sets <b>1</b> as the policy\'s default version.</p>', 'CreatePolicyVersion' => '<p>Creates a new version of the specified AWS IoT policy. To update a policy, create a new policy version. A managed policy can have up to five versions. If the policy has five versions, you must use <a>DeletePolicyVersion</a> to delete an existing version before you create a new one.</p> <p>Optionally, you can set the new version as the policy\'s default version. The default version is the operative version (that is, the version that is in effect for the certificates to which the policy is attached).</p>', 'CreateRoleAlias' => '<p>Creates a role alias.</p>', 'CreateStream' => '<p>Creates a stream for delivering one or more large files in chunks over MQTT. A stream transports data bytes in chunks or blocks packaged as MQTT messages from a source like S3. You can have one or more files associated with a stream. The total size of a file associated with the stream cannot exceed more than 2 MB. The stream will be created with version 0. If a stream is created with the same streamID as a stream that existed and was deleted within last 90 days, we will resurrect that old stream by incrementing the version by 1.</p>', 'CreateThing' => '<p>Creates a thing record in the thing registry.</p>', 'CreateThingGroup' => '<p>Create a thing group.</p>', 'CreateThingType' => '<p>Creates a new thing type.</p>', 'CreateTopicRule' => '<p>Creates a rule. Creating rules is an administrator-level action. Any user who has permission to create rules will be able to access data processed by the rule.</p>', 'DeleteAuthorizer' => '<p>Deletes an authorizer.</p>', 'DeleteCACertificate' => '<p>Deletes a registered CA certificate.</p>', 'DeleteCertificate' => '<p>Deletes the specified certificate.</p> <p>A certificate cannot be deleted if it has a policy attached to it or if its status is set to ACTIVE. To delete a certificate, first use the <a>DetachPrincipalPolicy</a> API to detach all policies. Next, use the <a>UpdateCertificate</a> API to set the certificate to the INACTIVE status.</p>', 'DeleteOTAUpdate' => '<p>Delete an OTA update.</p>', 'DeletePolicy' => '<p>Deletes the specified policy.</p> <p>A policy cannot be deleted if it has non-default versions or it is attached to any certificate.</p> <p>To delete a policy, use the DeletePolicyVersion API to delete all non-default versions of the policy; use the DetachPrincipalPolicy API to detach the policy from any certificate; and then use the DeletePolicy API to delete the policy.</p> <p>When a policy is deleted using DeletePolicy, its default version is deleted with it.</p>', 'DeletePolicyVersion' => '<p>Deletes the specified version of the specified policy. You cannot delete the default version of a policy using this API. To delete the default version of a policy, use <a>DeletePolicy</a>. To find out which version of a policy is marked as the default version, use ListPolicyVersions.</p>', 'DeleteRegistrationCode' => '<p>Deletes a CA certificate registration code.</p>', 'DeleteRoleAlias' => '<p>Deletes a role alias</p>', 'DeleteStream' => '<p>Deletes a stream.</p>', 'DeleteThing' => '<p>Deletes the specified thing.</p>', 'DeleteThingGroup' => '<p>Deletes a thing group.</p>', 'DeleteThingType' => '<p>Deletes the specified thing type . You cannot delete a thing type if it has things associated with it. To delete a thing type, first mark it as deprecated by calling <a>DeprecateThingType</a>, then remove any associated things by calling <a>UpdateThing</a> to change the thing type on any associated thing, and finally use <a>DeleteThingType</a> to delete the thing type.</p>', 'DeleteTopicRule' => '<p>Deletes the rule.</p>', 'DeleteV2LoggingLevel' => '<p>Deletes a logging level.</p>', 'DeprecateThingType' => '<p>Deprecates a thing type. You can not associate new things with deprecated thing type.</p>', 'DescribeAuthorizer' => '<p>Describes an authorizer.</p>', 'DescribeCACertificate' => '<p>Describes a registered CA certificate.</p>', 'DescribeCertificate' => '<p>Gets information about the specified certificate.</p>', 'DescribeDefaultAuthorizer' => '<p>Describes the default authorizer.</p>', 'DescribeEndpoint' => '<p>Returns a unique endpoint specific to the AWS account making the call.</p>', 'DescribeEventConfigurations' => '<p>Describes event configurations.</p>', 'DescribeIndex' => '<p>Describes a search index.</p>', 'DescribeJob' => '<p>Describes a job.</p>', 'DescribeJobExecution' => '<p>Describes a job execution.</p>', 'DescribeRoleAlias' => '<p>Describes a role alias.</p>', 'DescribeStream' => '<p>Gets information about a stream.</p>', 'DescribeThing' => '<p>Gets information about the specified thing.</p>', 'DescribeThingGroup' => '<p>Describe a thing group.</p>', 'DescribeThingRegistrationTask' => '<p>Describes a bulk thing provisioning task.</p>', 'DescribeThingType' => '<p>Gets information about the specified thing type.</p>', 'DetachPolicy' => '<p>Detaches a policy from the specified target.</p>', 'DetachPrincipalPolicy' => '<p>Removes the specified policy from the specified certificate.</p> <p> <b>Note:</b> This API is deprecated. Please use <a>DetachPolicy</a> instead.</p>', 'DetachThingPrincipal' => '<p>Detaches the specified principal from the specified thing.</p>', 'DisableTopicRule' => '<p>Disables the rule.</p>', 'EnableTopicRule' => '<p>Enables the rule.</p>', 'GetEffectivePolicies' => '<p>Gets effective policies.</p>', 'GetIndexingConfiguration' => '<p>Gets the search configuration.</p>', 'GetJobDocument' => '<p>Gets a job document.</p>', 'GetLoggingOptions' => '<p>Gets the logging options.</p>', 'GetOTAUpdate' => '<p>Gets an OTA update.</p>', 'GetPolicy' => '<p>Gets information about the specified policy with the policy document of the default version.</p>', 'GetPolicyVersion' => '<p>Gets information about the specified policy version.</p>', 'GetRegistrationCode' => '<p>Gets a registration code used to register a CA certificate with AWS IoT.</p>', 'GetTopicRule' => '<p>Gets information about the rule.</p>', 'GetV2LoggingOptions' => '<p>Gets the fine grained logging options.</p>', 'ListAttachedPolicies' => '<p>Lists the policies attached to the specified thing group.</p>', 'ListAuthorizers' => '<p>Lists the authorizers registered in your account.</p>', 'ListCACertificates' => '<p>Lists the CA certificates registered for your AWS account.</p> <p>The results are paginated with a default page size of 25. You can use the returned marker to retrieve additional results.</p>', 'ListCertificates' => '<p>Lists the certificates registered in your AWS account.</p> <p>The results are paginated with a default page size of 25. You can use the returned marker to retrieve additional results.</p>', 'ListCertificatesByCA' => '<p>List the device certificates signed by the specified CA certificate.</p>', 'ListIndices' => '<p>Lists the search indices.</p>', 'ListJobExecutionsForJob' => '<p>Lists the job executions for a job.</p>', 'ListJobExecutionsForThing' => '<p>Lists the job executions for the specified thing.</p>', 'ListJobs' => '<p>Lists jobs.</p>', 'ListOTAUpdates' => '<p>Lists OTA updates.</p>', 'ListOutgoingCertificates' => '<p>Lists certificates that are being transferred but not yet accepted.</p>', 'ListPolicies' => '<p>Lists your policies.</p>', 'ListPolicyPrincipals' => '<p>Lists the principals associated with the specified policy.</p> <p> <b>Note:</b> This API is deprecated. Please use <a>ListTargetsForPolicy</a> instead.</p>', 'ListPolicyVersions' => '<p>Lists the versions of the specified policy and identifies the default version.</p>', 'ListPrincipalPolicies' => '<p>Lists the policies attached to the specified principal. If you use an Cognito identity, the ID must be in <a href="http://docs.aws.amazon.com/cognitoidentity/latest/APIReference/API_GetCredentialsForIdentity.html#API_GetCredentialsForIdentity_RequestSyntax">AmazonCognito Identity format</a>.</p> <p> <b>Note:</b> This API is deprecated. Please use <a>ListAttachedPolicies</a> instead.</p>', 'ListPrincipalThings' => '<p>Lists the things associated with the specified principal.</p>', 'ListRoleAliases' => '<p>Lists the role aliases registered in your account.</p>', 'ListStreams' => '<p>Lists all of the streams in your AWS account.</p>', 'ListTargetsForPolicy' => '<p>List targets for the specified policy.</p>', 'ListThingGroups' => '<p>List the thing groups in your account.</p>', 'ListThingGroupsForThing' => '<p>List the thing groups to which the specified thing belongs.</p>', 'ListThingPrincipals' => '<p>Lists the principals associated with the specified thing.</p>', 'ListThingRegistrationTaskReports' => '<p>Information about the thing registration tasks.</p>', 'ListThingRegistrationTasks' => '<p>List bulk thing provisioning tasks.</p>', 'ListThingTypes' => '<p>Lists the existing thing types.</p>', 'ListThings' => '<p>Lists your things. Use the <b>attributeName</b> and <b>attributeValue</b> parameters to filter your things. For example, calling <code>ListThings</code> with attributeName=Color and attributeValue=Red retrieves all things in the registry that contain an attribute <b>Color</b> with the value <b>Red</b>. </p>', 'ListThingsInThingGroup' => '<p>Lists the things in the specified group.</p>', 'ListTopicRules' => '<p>Lists the rules for the specific topic.</p>', 'ListV2LoggingLevels' => '<p>Lists logging levels.</p>', 'RegisterCACertificate' => '<p>Registers a CA certificate with AWS IoT. This CA certificate can then be used to sign device certificates, which can be then registered with AWS IoT. You can register up to 10 CA certificates per AWS account that have the same subject field. This enables you to have up to 10 certificate authorities sign your device certificates. If you have more than one CA certificate registered, make sure you pass the CA certificate when you register your device certificates with the RegisterCertificate API.</p>', 'RegisterCertificate' => '<p>Registers a device certificate with AWS IoT. If you have more than one CA certificate that has the same subject field, you must specify the CA certificate that was used to sign the device certificate being registered.</p>', 'RegisterThing' => '<p>Provisions a thing.</p>', 'RejectCertificateTransfer' => '<p>Rejects a pending certificate transfer. After AWS IoT rejects a certificate transfer, the certificate status changes from <b>PENDING_TRANSFER</b> to <b>INACTIVE</b>.</p> <p>To check for pending certificate transfers, call <a>ListCertificates</a> to enumerate your certificates.</p> <p>This operation can only be called by the transfer destination. After it is called, the certificate will be returned to the source\'s account in the INACTIVE state.</p>', 'RemoveThingFromThingGroup' => '<p>Remove the specified thing from the specified group.</p>', 'ReplaceTopicRule' => '<p>Replaces the rule. You must specify all parameters for the new rule. Creating rules is an administrator-level action. Any user who has permission to create rules will be able to access data processed by the rule.</p>', 'SearchIndex' => '<p>The query search index.</p>', 'SetDefaultAuthorizer' => '<p>Sets the default authorizer. This will be used if a websocket connection is made without specifying an authorizer.</p>', 'SetDefaultPolicyVersion' => '<p>Sets the specified version of the specified policy as the policy\'s default (operative) version. This action affects all certificates to which the policy is attached. To list the principals the policy is attached to, use the ListPrincipalPolicy API.</p>', 'SetLoggingOptions' => '<p>Sets the logging options.</p>', 'SetV2LoggingLevel' => '<p>Sets the logging level.</p>', 'SetV2LoggingOptions' => '<p>Sets the logging options for the V2 logging service.</p>', 'StartThingRegistrationTask' => '<p>Creates a bulk thing provisioning task.</p>', 'StopThingRegistrationTask' => '<p>Cancels a bulk thing provisioning task.</p>', 'TestAuthorization' => '<p>Test custom authorization.</p>', 'TestInvokeAuthorizer' => '<p>Invoke the specified custom authorizer for testing purposes.</p>', 'TransferCertificate' => '<p>Transfers the specified certificate to the specified AWS account.</p> <p>You can cancel the transfer until it is acknowledged by the recipient.</p> <p>No notification is sent to the transfer destination\'s account. It is up to the caller to notify the transfer target.</p> <p>The certificate being transferred must not be in the ACTIVE state. You can use the UpdateCertificate API to deactivate it.</p> <p>The certificate must not have any policies attached to it. You can use the DetachPrincipalPolicy API to detach them.</p>', 'UpdateAuthorizer' => '<p>Updates an authorizer.</p>', 'UpdateCACertificate' => '<p>Updates a registered CA certificate.</p>', 'UpdateCertificate' => '<p>Updates the status of the specified certificate. This operation is idempotent.</p> <p>Moving a certificate from the ACTIVE state (including REVOKED) will not disconnect currently connected devices, but these devices will be unable to reconnect.</p> <p>The ACTIVE state is required to authenticate devices connecting to AWS IoT using a certificate.</p>', 'UpdateEventConfigurations' => '<p>Updates the event configurations.</p>', 'UpdateIndexingConfiguration' => '<p>Updates the search configuration.</p>', 'UpdateRoleAlias' => '<p>Updates a role alias.</p>', 'UpdateStream' => '<p>Updates an existing stream. The stream version will be incremented by one.</p>', 'UpdateThing' => '<p>Updates the data for a thing.</p>', 'UpdateThingGroup' => '<p>Update a thing group.</p>', 'UpdateThingGroupsForThing' => '<p>Updates the groups to which the thing belongs.</p>', ], 'shapes' => [ 'AcceptCertificateTransferRequest' => [ 'base' => '<p>The input for the AcceptCertificateTransfer operation.</p>', 'refs' => [], ], 'Action' => [ 'base' => '<p>Describes the actions associated with a rule.</p>', 'refs' => [ 'ActionList$member' => NULL, 'TopicRule$errorAction' => '<p>The action to perform when an error occurs.</p>', 'TopicRulePayload$errorAction' => '<p>The action to take when an error occurs.</p>', ], ], 'ActionList' => [ 'base' => NULL, 'refs' => [ 'TopicRule$actions' => '<p>The actions associated with the rule.</p>', 'TopicRulePayload$actions' => '<p>The actions associated with the rule.</p>', ], ], 'ActionType' => [ 'base' => NULL, 'refs' => [ 'AuthInfo$actionType' => '<p>The type of action for which the principal is being authorized.</p>', ], ], 'AddThingToThingGroupRequest' => [ 'base' => NULL, 'refs' => [], ], 'AddThingToThingGroupResponse' => [ 'base' => NULL, 'refs' => [], ], 'AdditionalParameterMap' => [ 'base' => NULL, 'refs' => [ 'CreateOTAUpdateRequest$additionalParameters' => '<p>A list of additional OTA update parameters which are name-value pairs.</p>', 'OTAUpdateInfo$additionalParameters' => '<p>A collection of name/value pairs</p>', ], ], 'AlarmName' => [ 'base' => NULL, 'refs' => [ 'CloudwatchAlarmAction$alarmName' => '<p>The CloudWatch alarm name.</p>', ], ], 'AllowAutoRegistration' => [ 'base' => NULL, 'refs' => [ 'RegisterCACertificateRequest$allowAutoRegistration' => '<p>Allows this CA certificate to be used for auto registration of device certificates.</p>', ], ], 'Allowed' => [ 'base' => '<p>Contains information that allowed the authorization.</p>', 'refs' => [ 'AuthResult$allowed' => '<p>The policies and statements that allowed the specified action.</p>', ], ], 'AscendingOrder' => [ 'base' => NULL, 'refs' => [ 'ListAuthorizersRequest$ascendingOrder' => '<p>Return the list of authorizers in ascending alphabetical order.</p>', 'ListCACertificatesRequest$ascendingOrder' => '<p>Determines the order of the results.</p>', 'ListCertificatesByCARequest$ascendingOrder' => '<p>Specifies the order for results. If True, the results are returned in ascending order, based on the creation date.</p>', 'ListCertificatesRequest$ascendingOrder' => '<p>Specifies the order for results. If True, the results are returned in ascending order, based on the creation date.</p>', 'ListOutgoingCertificatesRequest$ascendingOrder' => '<p>Specifies the order for results. If True, the results are returned in ascending order, based on the creation date.</p>', 'ListPoliciesRequest$ascendingOrder' => '<p>Specifies the order for results. If true, the results are returned in ascending creation order.</p>', 'ListPolicyPrincipalsRequest$ascendingOrder' => '<p>Specifies the order for results. If true, the results are returned in ascending creation order.</p>', 'ListPrincipalPoliciesRequest$ascendingOrder' => '<p>Specifies the order for results. If true, results are returned in ascending creation order.</p>', 'ListRoleAliasesRequest$ascendingOrder' => '<p>Return the list of role aliases in ascending alphabetical order.</p>', 'ListStreamsRequest$ascendingOrder' => '<p>Set to true to return the list of streams in ascending order.</p>', ], ], 'AssociateTargetsWithJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'AssociateTargetsWithJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'AttachPolicyRequest' => [ 'base' => NULL, 'refs' => [], ], 'AttachPrincipalPolicyRequest' => [ 'base' => '<p>The input for the AttachPrincipalPolicy operation.</p>', 'refs' => [], ], 'AttachThingPrincipalRequest' => [ 'base' => '<p>The input for the AttachThingPrincipal operation.</p>', 'refs' => [], ], 'AttachThingPrincipalResponse' => [ 'base' => '<p>The output from the AttachThingPrincipal operation.</p>', 'refs' => [], ], 'AttributeName' => [ 'base' => NULL, 'refs' => [ 'Attributes$key' => NULL, 'ListThingsRequest$attributeName' => '<p>The attribute name used to search for things.</p>', 'SearchableAttributes$member' => NULL, ], ], 'AttributePayload' => [ 'base' => '<p>The attribute payload.</p>', 'refs' => [ 'CreateThingRequest$attributePayload' => '<p>The attribute payload, which consists of up to three name/value pairs in a JSON document. For example:</p> <p> <code>{\\"attributes\\":{\\"string1\\":\\"string2\\"}}</code> </p>', 'ThingGroupProperties$attributePayload' => '<p>The thing group attributes in JSON format.</p>', 'UpdateThingRequest$attributePayload' => '<p>A list of thing attributes, a JSON string containing name-value pairs. For example:</p> <p> <code>{\\"attributes\\":{\\"name1\\":\\"value2\\"}}</code> </p> <p>This data is used to add new attributes or update existing attributes.</p>', ], ], 'AttributeValue' => [ 'base' => NULL, 'refs' => [ 'Attributes$value' => NULL, 'ListThingsRequest$attributeValue' => '<p>The attribute value used to search for things.</p>', ], ], 'Attributes' => [ 'base' => NULL, 'refs' => [ 'AttributePayload$attributes' => '<p>A JSON string containing up to three key-value pair in JSON format. For example:</p> <p> <code>{\\"attributes\\":{\\"string1\\":\\"string2\\"}}</code> </p>', 'DescribeThingResponse$attributes' => '<p>The thing attributes.</p>', 'ThingAttribute$attributes' => '<p>A list of thing attributes which are name-value pairs.</p>', 'ThingDocument$attributes' => '<p>The attributes.</p>', ], ], 'AttributesMap' => [ 'base' => NULL, 'refs' => [ 'OTAUpdateFile$attributes' => '<p>A list of name/attribute pairs.</p>', ], ], 'AuthDecision' => [ 'base' => NULL, 'refs' => [ 'AuthResult$authDecision' => '<p>The final authorization decision of this scenario. Multiple statements are taken into account when determining the authorization decision. An explicit deny statement can override multiple allow statements.</p>', ], ], 'AuthInfo' => [ 'base' => '<p>A collection of authorization information.</p>', 'refs' => [ 'AuthInfos$member' => NULL, 'AuthResult$authInfo' => '<p>Authorization information.</p>', ], ], 'AuthInfos' => [ 'base' => NULL, 'refs' => [ 'TestAuthorizationRequest$authInfos' => '<p>A list of authorization info objects. Simulating authorization will create a response for each <code>authInfo</code> object in the list.</p>', ], ], 'AuthResult' => [ 'base' => '<p>The authorizer result.</p>', 'refs' => [ 'AuthResults$member' => NULL, ], ], 'AuthResults' => [ 'base' => NULL, 'refs' => [ 'TestAuthorizationResponse$authResults' => '<p>The authentication results.</p>', ], ], 'AuthorizerArn' => [ 'base' => NULL, 'refs' => [ 'AuthorizerDescription$authorizerArn' => '<p>The authorizer ARN.</p>', 'AuthorizerSummary$authorizerArn' => '<p>The authorizer ARN.</p>', 'CreateAuthorizerResponse$authorizerArn' => '<p>The authorizer ARN.</p>', 'SetDefaultAuthorizerResponse$authorizerArn' => '<p>The authorizer ARN.</p>', 'UpdateAuthorizerResponse$authorizerArn' => '<p>The authorizer ARN.</p>', ], ], 'AuthorizerDescription' => [ 'base' => '<p>The authorizer description.</p>', 'refs' => [ 'DescribeAuthorizerResponse$authorizerDescription' => '<p>The authorizer description.</p>', 'DescribeDefaultAuthorizerResponse$authorizerDescription' => '<p>The default authorizer\'s description.</p>', ], ], 'AuthorizerFunctionArn' => [ 'base' => NULL, 'refs' => [ 'AuthorizerDescription$authorizerFunctionArn' => '<p>The authorizer\'s Lambda function ARN.</p>', 'CreateAuthorizerRequest$authorizerFunctionArn' => '<p>The ARN of the authorizer\'s Lambda function.</p>', 'UpdateAuthorizerRequest$authorizerFunctionArn' => '<p>The ARN of the authorizer\'s Lambda function.</p>', ], ], 'AuthorizerName' => [ 'base' => NULL, 'refs' => [ 'AuthorizerDescription$authorizerName' => '<p>The authorizer name.</p>', 'AuthorizerSummary$authorizerName' => '<p>The authorizer name.</p>', 'CreateAuthorizerRequest$authorizerName' => '<p>The authorizer name.</p>', 'CreateAuthorizerResponse$authorizerName' => '<p>The authorizer\'s name.</p>', 'DeleteAuthorizerRequest$authorizerName' => '<p>The name of the authorizer to delete.</p>', 'DescribeAuthorizerRequest$authorizerName' => '<p>The name of the authorizer to describe.</p>', 'SetDefaultAuthorizerRequest$authorizerName' => '<p>The authorizer name.</p>', 'SetDefaultAuthorizerResponse$authorizerName' => '<p>The authorizer name.</p>', 'TestInvokeAuthorizerRequest$authorizerName' => '<p>The custom authorizer name.</p>', 'UpdateAuthorizerRequest$authorizerName' => '<p>The authorizer name.</p>', 'UpdateAuthorizerResponse$authorizerName' => '<p>The authorizer name.</p>', ], ], 'AuthorizerStatus' => [ 'base' => NULL, 'refs' => [ 'AuthorizerDescription$status' => '<p>The status of the authorizer.</p>', 'CreateAuthorizerRequest$status' => '<p>The status of the create authorizer request.</p>', 'ListAuthorizersRequest$status' => '<p>The status of the list authorizers request.</p>', 'UpdateAuthorizerRequest$status' => '<p>The status of the update authorizer request.</p>', ], ], 'AuthorizerSummary' => [ 'base' => '<p>The authorizer summary.</p>', 'refs' => [ 'Authorizers$member' => NULL, ], ], 'Authorizers' => [ 'base' => NULL, 'refs' => [ 'ListAuthorizersResponse$authorizers' => '<p>The authorizers.</p>', ], ], 'AutoRegistrationStatus' => [ 'base' => NULL, 'refs' => [ 'CACertificateDescription$autoRegistrationStatus' => '<p>Whether the CA certificate configured for auto registration of device certificates. Valid values are "ENABLE" and "DISABLE"</p>', 'UpdateCACertificateRequest$newAutoRegistrationStatus' => '<p>The new value for the auto registration status. Valid values are: "ENABLE" or "DISABLE".</p>', ], ], 'AwsAccountId' => [ 'base' => NULL, 'refs' => [ 'CACertificateDescription$ownedBy' => '<p>The owner of the CA certificate.</p>', 'CertificateDescription$ownedBy' => '<p>The ID of the AWS account that owns the certificate.</p>', 'CertificateDescription$previousOwnedBy' => '<p>The ID of the AWS account of the previous owner of the certificate.</p>', 'OutgoingCertificate$transferredTo' => '<p>The AWS account to which the transfer was made.</p>', 'RoleAliasDescription$owner' => '<p>The role alias owner.</p>', 'TransferCertificateRequest$targetAwsAccount' => '<p>The AWS account.</p>', ], ], 'AwsArn' => [ 'base' => NULL, 'refs' => [ 'CloudwatchAlarmAction$roleArn' => '<p>The IAM role that allows access to the CloudWatch alarm.</p>', 'CloudwatchMetricAction$roleArn' => '<p>The IAM role that allows access to the CloudWatch metric.</p>', 'DynamoDBAction$roleArn' => '<p>The ARN of the IAM role that grants access to the DynamoDB table.</p>', 'DynamoDBv2Action$roleArn' => '<p>The ARN of the IAM role that grants access to the DynamoDB table.</p>', 'ElasticsearchAction$roleArn' => '<p>The IAM role ARN that has access to Elasticsearch.</p>', 'FirehoseAction$roleArn' => '<p>The IAM role that grants access to the Amazon Kinesis Firehose stream.</p>', 'GetLoggingOptionsResponse$roleArn' => '<p>The ARN of the IAM role that grants access.</p>', 'GetV2LoggingOptionsResponse$roleArn' => '<p>The IAM role ARN AWS IoT uses to write to your CloudWatch logs.</p>', 'KinesisAction$roleArn' => '<p>The ARN of the IAM role that grants access to the Amazon Kinesis stream.</p>', 'LoggingOptionsPayload$roleArn' => '<p>The ARN of the IAM role that grants access.</p>', 'RepublishAction$roleArn' => '<p>The ARN of the IAM role that grants access.</p>', 'S3Action$roleArn' => '<p>The ARN of the IAM role that grants access.</p>', 'SetV2LoggingOptionsRequest$roleArn' => '<p>The role ARN that allows IoT to write to Cloudwatch logs.</p>', 'SnsAction$targetArn' => '<p>The ARN of the SNS topic.</p>', 'SnsAction$roleArn' => '<p>The ARN of the IAM role that grants access.</p>', 'SqsAction$roleArn' => '<p>The ARN of the IAM role that grants access.</p>', ], ], 'AwsIotJobArn' => [ 'base' => NULL, 'refs' => [ 'CreateOTAUpdateResponse$awsIotJobArn' => '<p>The AWS IoT job ARN associated with the OTA update.</p>', 'OTAUpdateInfo$awsIotJobArn' => '<p>The AWS IoT job ARN associated with the OTA update.</p>', ], ], 'AwsIotJobId' => [ 'base' => NULL, 'refs' => [ 'CreateOTAUpdateResponse$awsIotJobId' => '<p>The AWS IoT job ID associated with the OTA update.</p>', 'OTAUpdateInfo$awsIotJobId' => '<p>The AWS IoT job ID associated with the OTA update.</p>', ], ], 'AwsIotSqlVersion' => [ 'base' => NULL, 'refs' => [ 'TopicRule$awsIotSqlVersion' => '<p>The version of the SQL rules engine to use when evaluating the rule.</p>', 'TopicRulePayload$awsIotSqlVersion' => '<p>The version of the SQL rules engine to use when evaluating the rule.</p>', ], ], 'Boolean' => [ 'base' => NULL, 'refs' => [ 'ThingTypeMetadata$deprecated' => '<p>Whether the thing type is deprecated. If <b>true</b>, no new things could be associated with this type.</p>', ], ], 'BucketName' => [ 'base' => NULL, 'refs' => [ 'S3Action$bucketName' => '<p>The Amazon S3 bucket.</p>', ], ], 'CACertificate' => [ 'base' => '<p>A CA certificate.</p>', 'refs' => [ 'CACertificates$member' => NULL, ], ], 'CACertificateDescription' => [ 'base' => '<p>Describes a CA certificate.</p>', 'refs' => [ 'DescribeCACertificateResponse$certificateDescription' => '<p>The CA certificate description.</p>', ], ], 'CACertificateStatus' => [ 'base' => NULL, 'refs' => [ 'CACertificate$status' => '<p>The status of the CA certificate.</p> <p>The status value REGISTER_INACTIVE is deprecated and should not be used.</p>', 'CACertificateDescription$status' => '<p>The status of a CA certificate.</p>', 'UpdateCACertificateRequest$newStatus' => '<p>The updated status of the CA certificate.</p> <p> <b>Note:</b> The status value REGISTER_INACTIVE is deprecated and should not be used.</p>', ], ], 'CACertificates' => [ 'base' => NULL, 'refs' => [ 'ListCACertificatesResponse$certificates' => '<p>The CA certificates registered in your AWS account.</p>', ], ], 'CancelCertificateTransferRequest' => [ 'base' => '<p>The input for the CancelCertificateTransfer operation.</p>', 'refs' => [], ], 'CancelJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'CancelJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'CanceledThings' => [ 'base' => NULL, 'refs' => [ 'JobProcessDetails$numberOfCanceledThings' => '<p>The number of things that cancelled the job.</p>', ], ], 'CannedAccessControlList' => [ 'base' => NULL, 'refs' => [ 'S3Action$cannedAcl' => '<p>The Amazon S3 canned ACL that controls access to the object identified by the object key. For more information, see <a href="http://docs.aws.amazon.com/AmazonS3/latest/dev/acl-overview.html#canned-acl">S3 canned ACLs</a>.</p>', ], ], 'Certificate' => [ 'base' => '<p>Information about a certificate.</p>', 'refs' => [ 'Certificates$member' => NULL, ], ], 'CertificateArn' => [ 'base' => NULL, 'refs' => [ 'CACertificate$certificateArn' => '<p>The ARN of the CA certificate.</p>', 'CACertificateDescription$certificateArn' => '<p>The CA certificate ARN.</p>', 'Certificate$certificateArn' => '<p>The ARN of the certificate.</p>', 'CertificateDescription$certificateArn' => '<p>The ARN of the certificate.</p>', 'CreateCertificateFromCsrResponse$certificateArn' => '<p>The Amazon Resource Name (ARN) of the certificate. You can use the ARN as a principal for policy operations.</p>', 'CreateKeysAndCertificateResponse$certificateArn' => '<p>The ARN of the certificate.</p>', 'OutgoingCertificate$certificateArn' => '<p>The certificate ARN.</p>', 'RegisterCACertificateResponse$certificateArn' => '<p>The CA certificate ARN.</p>', 'RegisterCertificateResponse$certificateArn' => '<p>The certificate ARN.</p>', 'TransferCertificateResponse$transferredCertificateArn' => '<p>The ARN of the certificate.</p>', ], ], 'CertificateConflictException' => [ 'base' => '<p>Unable to verify the CA certificate used to sign the device certificate you are attempting to register. This is happens when you have registered more than one CA certificate that has the same subject field and public key.</p>', 'refs' => [], ], 'CertificateDescription' => [ 'base' => '<p>Describes a certificate.</p>', 'refs' => [ 'DescribeCertificateResponse$certificateDescription' => '<p>The description of the certificate.</p>', ], ], 'CertificateId' => [ 'base' => NULL, 'refs' => [ 'AcceptCertificateTransferRequest$certificateId' => '<p>The ID of the certificate.</p>', 'CACertificate$certificateId' => '<p>The ID of the CA certificate.</p>', 'CACertificateDescription$certificateId' => '<p>The CA certificate ID.</p>', 'CancelCertificateTransferRequest$certificateId' => '<p>The ID of the certificate.</p>', 'Certificate$certificateId' => '<p>The ID of the certificate.</p>', 'CertificateDescription$certificateId' => '<p>The ID of the certificate.</p>', 'CertificateDescription$caCertificateId' => '<p>The certificate ID of the CA certificate used to sign this certificate.</p>', 'CreateCertificateFromCsrResponse$certificateId' => '<p>The ID of the certificate. Certificate management operations only take a certificateId.</p>', 'CreateKeysAndCertificateResponse$certificateId' => '<p>The ID of the certificate. AWS IoT issues a default subject name for the certificate (for example, AWS IoT Certificate).</p>', 'DeleteCACertificateRequest$certificateId' => '<p>The ID of the certificate to delete.</p>', 'DeleteCertificateRequest$certificateId' => '<p>The ID of the certificate.</p>', 'DescribeCACertificateRequest$certificateId' => '<p>The CA certificate identifier.</p>', 'DescribeCertificateRequest$certificateId' => '<p>The ID of the certificate.</p>', 'ListCertificatesByCARequest$caCertificateId' => '<p>The ID of the CA certificate. This operation will list all registered device certificate that were signed by this CA certificate.</p>', 'OutgoingCertificate$certificateId' => '<p>The certificate ID.</p>', 'RegisterCACertificateResponse$certificateId' => '<p>The CA certificate identifier.</p>', 'RegisterCertificateResponse$certificateId' => '<p>The certificate identifier.</p>', 'RejectCertificateTransferRequest$certificateId' => '<p>The ID of the certificate.</p>', 'TransferCertificateRequest$certificateId' => '<p>The ID of the certificate.</p>', 'UpdateCACertificateRequest$certificateId' => '<p>The CA certificate identifier.</p>', 'UpdateCertificateRequest$certificateId' => '<p>The ID of the certificate.</p>', ], ], 'CertificateName' => [ 'base' => NULL, 'refs' => [ 'CodeSigningCertificateChain$certificateName' => '<p>The name of the certificate.</p>', ], ], 'CertificatePem' => [ 'base' => '<p>The PEM of a certificate.</p>', 'refs' => [ 'CACertificateDescription$certificatePem' => '<p>The CA certificate data, in PEM format.</p>', 'CertificateDescription$certificatePem' => '<p>The certificate data, in PEM format.</p>', 'CreateCertificateFromCsrResponse$certificatePem' => '<p>The certificate data, in PEM format.</p>', 'CreateKeysAndCertificateResponse$certificatePem' => '<p>The certificate data, in PEM format.</p>', 'RegisterCACertificateRequest$caCertificate' => '<p>The CA certificate.</p>', 'RegisterCACertificateRequest$verificationCertificate' => '<p>The private key verification certificate.</p>', 'RegisterCertificateRequest$certificatePem' => '<p>The certificate data, in PEM format.</p>', 'RegisterCertificateRequest$caCertificatePem' => '<p>The CA certificate used to sign the device certificate being registered.</p>', 'RegisterThingResponse$certificatePem' => NULL, ], ], 'CertificateSigningRequest' => [ 'base' => NULL, 'refs' => [ 'CreateCertificateFromCsrRequest$certificateSigningRequest' => '<p>The certificate signing request (CSR).</p>', ], ], 'CertificateStateException' => [ 'base' => '<p>The certificate operation is not allowed.</p>', 'refs' => [], ], 'CertificateStatus' => [ 'base' => NULL, 'refs' => [ 'Certificate$status' => '<p>The status of the certificate.</p> <p>The status value REGISTER_INACTIVE is deprecated and should not be used.</p>', 'CertificateDescription$status' => '<p>The status of the certificate.</p>', 'RegisterCertificateRequest$status' => '<p>The status of the register certificate request.</p>', 'UpdateCertificateRequest$newStatus' => '<p>The new status.</p> <p> <b>Note:</b> Setting the status to PENDING_TRANSFER will result in an exception being thrown. PENDING_TRANSFER is a status used internally by AWS IoT. It is not intended for developer use.</p> <p> <b>Note:</b> The status value REGISTER_INACTIVE is deprecated and should not be used.</p>', ], ], 'CertificateValidationException' => [ 'base' => '<p>The certificate is invalid.</p>', 'refs' => [], ], 'Certificates' => [ 'base' => NULL, 'refs' => [ 'ListCertificatesByCAResponse$certificates' => '<p>The device certificates signed by the specified CA certificate.</p>', 'ListCertificatesResponse$certificates' => '<p>The descriptions of the certificates.</p>', ], ], 'ClearDefaultAuthorizerRequest' => [ 'base' => NULL, 'refs' => [], ], 'ClearDefaultAuthorizerResponse' => [ 'base' => NULL, 'refs' => [], ], 'ClientId' => [ 'base' => NULL, 'refs' => [ 'DescribeThingResponse$defaultClientId' => '<p>The default client ID.</p>', 'TestAuthorizationRequest$clientId' => '<p>The MQTT client ID.</p>', ], ], 'CloudwatchAlarmAction' => [ 'base' => '<p>Describes an action that updates a CloudWatch alarm.</p>', 'refs' => [ 'Action$cloudwatchAlarm' => '<p>Change the state of a CloudWatch alarm.</p>', ], ], 'CloudwatchMetricAction' => [ 'base' => '<p>Describes an action that captures a CloudWatch metric.</p>', 'refs' => [ 'Action$cloudwatchMetric' => '<p>Capture a CloudWatch metric.</p>', ], ], 'Code' => [ 'base' => NULL, 'refs' => [ 'ErrorInfo$code' => '<p>The error code.</p>', ], ], 'CodeSigning' => [ 'base' => '<p>Describes the method to use when code signing a file.</p>', 'refs' => [ 'OTAUpdateFile$codeSigning' => '<p>The code signing method of the file.</p>', ], ], 'CodeSigningCertificateChain' => [ 'base' => '<p>Describes the certificate chain being used when code signing a file.</p>', 'refs' => [ 'CustomCodeSigning$certificateChain' => '<p>The certificate chain.</p>', ], ], 'CodeSigningSignature' => [ 'base' => '<p>Describes the signature for a file.</p>', 'refs' => [ 'CustomCodeSigning$signature' => '<p>The signature for the file.</p>', ], ], 'CognitoIdentityPoolId' => [ 'base' => NULL, 'refs' => [ 'GetEffectivePoliciesRequest$cognitoIdentityPoolId' => '<p>The Cognito identity pool ID.</p>', 'TestAuthorizationRequest$cognitoIdentityPoolId' => '<p>The Cognito identity pool ID.</p>', ], ], 'Comment' => [ 'base' => NULL, 'refs' => [ 'AssociateTargetsWithJobRequest$comment' => '<p>An optional comment string describing why the job was associated with the targets.</p>', 'CancelJobRequest$comment' => '<p>An optional comment string describing why the job was canceled.</p>', 'Job$comment' => '<p>If the job was updated, describes the reason for the update.</p>', ], ], 'Configuration' => [ 'base' => '<p>Configuration.</p>', 'refs' => [ 'EventConfigurations$value' => NULL, ], ], 'ConflictingResourceUpdateException' => [ 'base' => '<p>A conflicting resource update exception. This exception is thrown when two pending updates cause a conflict.</p>', 'refs' => [], ], 'Count' => [ 'base' => NULL, 'refs' => [ 'DescribeThingRegistrationTaskResponse$successCount' => '<p>The number of things successfully provisioned.</p>', 'DescribeThingRegistrationTaskResponse$failureCount' => '<p>The number of things that failed to be provisioned.</p>', ], ], 'CreateAuthorizerRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateAuthorizerResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateCertificateFromCsrRequest' => [ 'base' => '<p>The input for the CreateCertificateFromCsr operation.</p>', 'refs' => [], ], 'CreateCertificateFromCsrResponse' => [ 'base' => '<p>The output from the CreateCertificateFromCsr operation.</p>', 'refs' => [], ], 'CreateJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateKeysAndCertificateRequest' => [ 'base' => '<p>The input for the CreateKeysAndCertificate operation.</p>', 'refs' => [], ], 'CreateKeysAndCertificateResponse' => [ 'base' => '<p>The output of the CreateKeysAndCertificate operation.</p>', 'refs' => [], ], 'CreateOTAUpdateRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateOTAUpdateResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreatePolicyRequest' => [ 'base' => '<p>The input for the CreatePolicy operation.</p>', 'refs' => [], ], 'CreatePolicyResponse' => [ 'base' => '<p>The output from the CreatePolicy operation.</p>', 'refs' => [], ], 'CreatePolicyVersionRequest' => [ 'base' => '<p>The input for the CreatePolicyVersion operation.</p>', 'refs' => [], ], 'CreatePolicyVersionResponse' => [ 'base' => '<p>The output of the CreatePolicyVersion operation.</p>', 'refs' => [], ], 'CreateRoleAliasRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateRoleAliasResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateStreamRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateStreamResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateThingGroupRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateThingGroupResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateThingRequest' => [ 'base' => '<p>The input for the CreateThing operation.</p>', 'refs' => [], ], 'CreateThingResponse' => [ 'base' => '<p>The output of the CreateThing operation.</p>', 'refs' => [], ], 'CreateThingTypeRequest' => [ 'base' => '<p>The input for the CreateThingType operation.</p>', 'refs' => [], ], 'CreateThingTypeResponse' => [ 'base' => '<p>The output of the CreateThingType operation.</p>', 'refs' => [], ], 'CreateTopicRuleRequest' => [ 'base' => '<p>The input for the CreateTopicRule operation.</p>', 'refs' => [], ], 'CreatedAtDate' => [ 'base' => NULL, 'refs' => [ 'TopicRule$createdAt' => '<p>The date and time the rule was created.</p>', 'TopicRuleListItem$createdAt' => '<p>The date and time the rule was created.</p>', ], ], 'CreationDate' => [ 'base' => NULL, 'refs' => [ 'DescribeEventConfigurationsResponse$creationDate' => '<p>The creation date of the event configuration.</p>', 'DescribeThingRegistrationTaskResponse$creationDate' => '<p>The task creation date.</p>', 'ThingGroupMetadata$creationDate' => '<p>The UNIX timestamp of when the thing group was created.</p>', 'ThingTypeMetadata$creationDate' => '<p>The date and time when the thing type was created.</p>', ], ], 'CredentialDurationSeconds' => [ 'base' => NULL, 'refs' => [ 'CreateRoleAliasRequest$credentialDurationSeconds' => '<p>How long (in seconds) the credentials will be valid.</p>', 'RoleAliasDescription$credentialDurationSeconds' => '<p>The number of seconds for which the credential is valid.</p>', 'UpdateRoleAliasRequest$credentialDurationSeconds' => '<p>The number of seconds the credential will be valid.</p>', ], ], 'CustomCodeSigning' => [ 'base' => '<p>Describes a custom method used to code sign a file.</p>', 'refs' => [ 'CodeSigning$customCodeSigning' => '<p>A custom method for code signing a file.</p>', ], ], 'CustomerVersion' => [ 'base' => NULL, 'refs' => [ 'CACertificateDescription$customerVersion' => NULL, 'CertificateDescription$customerVersion' => NULL, ], ], 'DateType' => [ 'base' => NULL, 'refs' => [ 'AuthorizerDescription$creationDate' => '<p>The UNIX timestamp of when the authorizer was created.</p>', 'AuthorizerDescription$lastModifiedDate' => '<p>The UNIX timestamp of when the authorizer was last updated.</p>', 'CACertificate$creationDate' => '<p>The date the CA certificate was created.</p>', 'CACertificateDescription$creationDate' => '<p>The date the CA certificate was created.</p>', 'CACertificateDescription$lastModifiedDate' => NULL, 'Certificate$creationDate' => '<p>The date and time the certificate was created.</p>', 'CertificateDescription$creationDate' => '<p>The date and time the certificate was created.</p>', 'CertificateDescription$lastModifiedDate' => '<p>The date and time the certificate was last modified.</p>', 'GetPolicyResponse$creationDate' => NULL, 'GetPolicyResponse$lastModifiedDate' => NULL, 'GetPolicyVersionResponse$creationDate' => NULL, 'GetPolicyVersionResponse$lastModifiedDate' => NULL, 'Job$createdAt' => '<p>The time, in milliseconds since the epoch, when the job was created.</p>', 'Job$lastUpdatedAt' => '<p>The time, in milliseconds since the epoch, when the job was last updated.</p>', 'Job$completedAt' => '<p>The time, in milliseconds since the epoch, when the job was completed.</p>', 'JobExecution$queuedAt' => '<p>The time, in milliseconds since the epoch, when the job execution was queued.</p>', 'JobExecution$startedAt' => '<p>The time, in milliseconds since the epoch, when the job execution started.</p>', 'JobExecution$lastUpdatedAt' => '<p>The time, in milliseconds since the epoch, when the job execution was last updated.</p>', 'JobExecutionSummary$queuedAt' => '<p>The time, in milliseconds since the epoch, when the job execution was queued.</p>', 'JobExecutionSummary$startedAt' => '<p>The time, in milliseconds since the epoch, when the job execution started.</p>', 'JobExecutionSummary$lastUpdatedAt' => '<p>The time, in milliseconds since the epoch, when the job execution was last updated.</p>', 'JobSummary$createdAt' => '<p>The time, in milliseconds since the epoch, when the job was created.</p>', 'JobSummary$lastUpdatedAt' => '<p>The time, in milliseconds since the epoch, when the job was last updated.</p>', 'JobSummary$completedAt' => '<p>The time, in milliseconds since the epoch, when the job completed.</p>', 'OTAUpdateInfo$creationDate' => '<p>The date when the OTA update was created.</p>', 'OTAUpdateInfo$lastModifiedDate' => '<p>The date when the OTA update was last updated.</p>', 'OTAUpdateSummary$creationDate' => '<p>The date when the OTA update was created.</p>', 'OutgoingCertificate$transferDate' => '<p>The date the transfer was initiated.</p>', 'OutgoingCertificate$creationDate' => '<p>The certificate creation date.</p>', 'PolicyVersion$createDate' => '<p>The date and time the policy was created.</p>', 'RoleAliasDescription$creationDate' => '<p>The UNIX timestamp of when the role alias was created.</p>', 'RoleAliasDescription$lastModifiedDate' => '<p>The UNIX timestamp of when the role alias was last modified.</p>', 'StreamInfo$createdAt' => '<p>The date when the stream was created.</p>', 'StreamInfo$lastUpdatedAt' => '<p>The date when the stream was last updated.</p>', 'TransferData$transferDate' => '<p>The date the transfer took place.</p>', 'TransferData$acceptDate' => '<p>The date the transfer was accepted.</p>', 'TransferData$rejectDate' => '<p>The date the transfer was rejected.</p>', ], ], 'DeleteAuthorizerRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteAuthorizerResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteCACertificateRequest' => [ 'base' => '<p>Input for the DeleteCACertificate operation.</p>', 'refs' => [], ], 'DeleteCACertificateResponse' => [ 'base' => '<p>The output for the DeleteCACertificate operation.</p>', 'refs' => [], ], 'DeleteCertificateRequest' => [ 'base' => '<p>The input for the DeleteCertificate operation.</p>', 'refs' => [], ], 'DeleteConflictException' => [ 'base' => '<p>You can\'t delete the resource because it is attached to one or more resources.</p>', 'refs' => [], ], 'DeleteOTAUpdateRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteOTAUpdateResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeletePolicyRequest' => [ 'base' => '<p>The input for the DeletePolicy operation.</p>', 'refs' => [], ], 'DeletePolicyVersionRequest' => [ 'base' => '<p>The input for the DeletePolicyVersion operation.</p>', 'refs' => [], ], 'DeleteRegistrationCodeRequest' => [ 'base' => '<p>The input for the DeleteRegistrationCode operation.</p>', 'refs' => [], ], 'DeleteRegistrationCodeResponse' => [ 'base' => '<p>The output for the DeleteRegistrationCode operation.</p>', 'refs' => [], ], 'DeleteRoleAliasRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteRoleAliasResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteStreamRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteStreamResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteThingGroupRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteThingGroupResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteThingRequest' => [ 'base' => '<p>The input for the DeleteThing operation.</p>', 'refs' => [], ], 'DeleteThingResponse' => [ 'base' => '<p>The output of the DeleteThing operation.</p>', 'refs' => [], ], 'DeleteThingTypeRequest' => [ 'base' => '<p>The input for the DeleteThingType operation.</p>', 'refs' => [], ], 'DeleteThingTypeResponse' => [ 'base' => '<p>The output for the DeleteThingType operation.</p>', 'refs' => [], ], 'DeleteTopicRuleRequest' => [ 'base' => '<p>The input for the DeleteTopicRule operation.</p>', 'refs' => [], ], 'DeleteV2LoggingLevelRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeliveryStreamName' => [ 'base' => NULL, 'refs' => [ 'FirehoseAction$deliveryStreamName' => '<p>The delivery stream name.</p>', ], ], 'Denied' => [ 'base' => '<p>Contains information that denied the authorization.</p>', 'refs' => [ 'AuthResult$denied' => '<p>The policies and statements that denied the specified action.</p>', ], ], 'DeprecateThingTypeRequest' => [ 'base' => '<p>The input for the DeprecateThingType operation.</p>', 'refs' => [], ], 'DeprecateThingTypeResponse' => [ 'base' => '<p>The output for the DeprecateThingType operation.</p>', 'refs' => [], ], 'DeprecationDate' => [ 'base' => NULL, 'refs' => [ 'ThingTypeMetadata$deprecationDate' => '<p>The date and time when the thing type was deprecated.</p>', ], ], 'DescribeAuthorizerRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeAuthorizerResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeCACertificateRequest' => [ 'base' => '<p>The input for the DescribeCACertificate operation.</p>', 'refs' => [], ], 'DescribeCACertificateResponse' => [ 'base' => '<p>The output from the DescribeCACertificate operation.</p>', 'refs' => [], ], 'DescribeCertificateRequest' => [ 'base' => '<p>The input for the DescribeCertificate operation.</p>', 'refs' => [], ], 'DescribeCertificateResponse' => [ 'base' => '<p>The output of the DescribeCertificate operation.</p>', 'refs' => [], ], 'DescribeDefaultAuthorizerRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeDefaultAuthorizerResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeEndpointRequest' => [ 'base' => '<p>The input for the DescribeEndpoint operation.</p>', 'refs' => [], ], 'DescribeEndpointResponse' => [ 'base' => '<p>The output from the DescribeEndpoint operation.</p>', 'refs' => [], ], 'DescribeEventConfigurationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeEventConfigurationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeIndexRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeIndexResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeJobExecutionRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeJobExecutionResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeRoleAliasRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeRoleAliasResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeStreamRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeStreamResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeThingGroupRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeThingGroupResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeThingRegistrationTaskRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeThingRegistrationTaskResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeThingRequest' => [ 'base' => '<p>The input for the DescribeThing operation.</p>', 'refs' => [], ], 'DescribeThingResponse' => [ 'base' => '<p>The output from the DescribeThing operation.</p>', 'refs' => [], ], 'DescribeThingTypeRequest' => [ 'base' => '<p>The input for the DescribeThingType operation.</p>', 'refs' => [], ], 'DescribeThingTypeResponse' => [ 'base' => '<p>The output for the DescribeThingType operation.</p>', 'refs' => [], ], 'Description' => [ 'base' => NULL, 'refs' => [ 'TopicRule$description' => '<p>The description of the rule.</p>', 'TopicRulePayload$description' => '<p>The description of the rule.</p>', ], ], 'DetachPolicyRequest' => [ 'base' => NULL, 'refs' => [], ], 'DetachPrincipalPolicyRequest' => [ 'base' => '<p>The input for the DetachPrincipalPolicy operation.</p>', 'refs' => [], ], 'DetachThingPrincipalRequest' => [ 'base' => '<p>The input for the DetachThingPrincipal operation.</p>', 'refs' => [], ], 'DetachThingPrincipalResponse' => [ 'base' => '<p>The output from the DetachThingPrincipal operation.</p>', 'refs' => [], ], 'DetailsKey' => [ 'base' => NULL, 'refs' => [ 'DetailsMap$key' => NULL, ], ], 'DetailsMap' => [ 'base' => NULL, 'refs' => [ 'JobExecutionStatusDetails$detailsMap' => '<p>The job execution status.</p>', ], ], 'DetailsValue' => [ 'base' => NULL, 'refs' => [ 'DetailsMap$value' => NULL, ], ], 'DisableAllLogs' => [ 'base' => NULL, 'refs' => [ 'GetV2LoggingOptionsResponse$disableAllLogs' => '<p>Disables all logs.</p>', 'SetV2LoggingOptionsRequest$disableAllLogs' => '<p>Set to true to disable all logs, otherwise set to false.</p>', ], ], 'DisableTopicRuleRequest' => [ 'base' => '<p>The input for the DisableTopicRuleRequest operation.</p>', 'refs' => [], ], 'DynamoDBAction' => [ 'base' => '<p>Describes an action to write to a DynamoDB table.</p> <p>The <code>tableName</code>, <code>hashKeyField</code>, and <code>rangeKeyField</code> values must match the values used when you created the table.</p> <p>The <code>hashKeyValue</code> and <code>rangeKeyvalue</code> fields use a substitution template syntax. These templates provide data at runtime. The syntax is as follows: ${<i>sql-expression</i>}.</p> <p>You can specify any valid expression in a WHERE or SELECT clause, including JSON properties, comparisons, calculations, and functions. For example, the following field uses the third level of the topic:</p> <p> <code>"hashKeyValue": "${topic(3)}"</code> </p> <p>The following field uses the timestamp:</p> <p> <code>"rangeKeyValue": "${timestamp()}"</code> </p>', 'refs' => [ 'Action$dynamoDB' => '<p>Write to a DynamoDB table.</p>', ], ], 'DynamoDBv2Action' => [ 'base' => '<p>Describes an action to write to a DynamoDB table.</p> <p>This DynamoDB action writes each attribute in the message payload into it\'s own column in the DynamoDB table.</p>', 'refs' => [ 'Action$dynamoDBv2' => '<p>Write to a DynamoDB table. This is a new version of the DynamoDB action. It allows you to write each attribute in an MQTT message payload into a separate DynamoDB column.</p>', ], ], 'DynamoKeyType' => [ 'base' => NULL, 'refs' => [ 'DynamoDBAction$hashKeyType' => '<p>The hash key type. Valid values are "STRING" or "NUMBER"</p>', 'DynamoDBAction$rangeKeyType' => '<p>The range key type. Valid values are "STRING" or "NUMBER"</p>', ], ], 'DynamoOperation' => [ 'base' => NULL, 'refs' => [ 'DynamoDBAction$operation' => '<p>The type of operation to be performed. This follows the substitution template, so it can be <code>${operation}</code>, but the substitution must result in one of the following: <code>INSERT</code>, <code>UPDATE</code>, or <code>DELETE</code>.</p>', ], ], 'EffectivePolicies' => [ 'base' => NULL, 'refs' => [ 'GetEffectivePoliciesResponse$effectivePolicies' => '<p>The effective policies.</p>', ], ], 'EffectivePolicy' => [ 'base' => '<p>The policy that has the effect on the authorization results.</p>', 'refs' => [ 'EffectivePolicies$member' => NULL, ], ], 'ElasticsearchAction' => [ 'base' => '<p>Describes an action that writes data to an Amazon Elasticsearch Service domain.</p>', 'refs' => [ 'Action$elasticsearch' => '<p>Write data to an Amazon Elasticsearch Service domain.</p>', ], ], 'ElasticsearchEndpoint' => [ 'base' => NULL, 'refs' => [ 'ElasticsearchAction$endpoint' => '<p>The endpoint of your Elasticsearch domain.</p>', ], ], 'ElasticsearchId' => [ 'base' => NULL, 'refs' => [ 'ElasticsearchAction$id' => '<p>The unique identifier for the document you are storing.</p>', ], ], 'ElasticsearchIndex' => [ 'base' => NULL, 'refs' => [ 'ElasticsearchAction$index' => '<p>The Elasticsearch index where you want to store your data.</p>', ], ], 'ElasticsearchType' => [ 'base' => NULL, 'refs' => [ 'ElasticsearchAction$type' => '<p>The type of document you are storing.</p>', ], ], 'EnableTopicRuleRequest' => [ 'base' => '<p>The input for the EnableTopicRuleRequest operation.</p>', 'refs' => [], ], 'Enabled' => [ 'base' => NULL, 'refs' => [ 'Configuration$Enabled' => '<p>True to enable the configuration.</p>', ], ], 'EndpointAddress' => [ 'base' => NULL, 'refs' => [ 'DescribeEndpointResponse$endpointAddress' => '<p>The endpoint. The format of the endpoint is as follows: <i>identifier</i>.iot.<i>region</i>.amazonaws.com.</p>', ], ], 'EndpointType' => [ 'base' => NULL, 'refs' => [ 'DescribeEndpointRequest$endpointType' => '<p>The endpoint type.</p>', ], ], 'ErrorInfo' => [ 'base' => '<p>Error information.</p>', 'refs' => [ 'OTAUpdateInfo$errorInfo' => '<p>Error information associated with the OTA update.</p>', ], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'DescribeThingRegistrationTaskResponse$message' => '<p>The message.</p>', ], ], 'EventConfigurations' => [ 'base' => NULL, 'refs' => [ 'DescribeEventConfigurationsResponse$eventConfigurations' => '<p>The event configurations.</p>', 'UpdateEventConfigurationsRequest$eventConfigurations' => '<p>The new event configuration values.</p>', ], ], 'EventType' => [ 'base' => NULL, 'refs' => [ 'EventConfigurations$key' => NULL, ], ], 'ExecutionNumber' => [ 'base' => NULL, 'refs' => [ 'DescribeJobExecutionRequest$executionNumber' => '<p>A string (consisting of the digits "0" through "9" which is used to specify a particular job execution on a particular device.</p>', 'JobExecution$executionNumber' => '<p>A string (consisting of the digits "0" through "9") which identifies this particular job execution on this particular device. It can be used in commands which return or update job execution information. </p>', 'JobExecutionSummary$executionNumber' => '<p>A string (consisting of the digits "0" through "9") which identifies this particular job execution on this particular device. It can be used later in commands which return or update job execution information.</p>', ], ], 'ExpiresInSec' => [ 'base' => NULL, 'refs' => [ 'PresignedUrlConfig$expiresInSec' => '<p>How long (in seconds) pre-signed URLs are valid. Valid values are 60 - 3600, the default value is 3600 seconds. Pre-signed URLs are generated when Jobs receives an MQTT request for the job document.</p>', ], ], 'ExplicitDeny' => [ 'base' => '<p>Information that explicitly denies authorization.</p>', 'refs' => [ 'Denied$explicitDeny' => '<p>Information that explicitly denies the authorization. </p>', ], ], 'FailedThings' => [ 'base' => NULL, 'refs' => [ 'JobProcessDetails$numberOfFailedThings' => '<p>The number of things that failed executing the job.</p>', ], ], 'FileId' => [ 'base' => NULL, 'refs' => [ 'Stream$fileId' => '<p>The ID of a file associated with a stream.</p>', 'StreamFile$fileId' => '<p>The file ID.</p>', ], ], 'FileName' => [ 'base' => NULL, 'refs' => [ 'OTAUpdateFile$fileName' => '<p>The name of the file.</p>', ], ], 'FirehoseAction' => [ 'base' => '<p>Describes an action that writes data to an Amazon Kinesis Firehose stream.</p>', 'refs' => [ 'Action$firehose' => '<p>Write to an Amazon Kinesis Firehose stream.</p>', ], ], 'FirehoseSeparator' => [ 'base' => NULL, 'refs' => [ 'FirehoseAction$separator' => '<p>A character separator that will be used to separate records written to the Firehose stream. Valid values are: \'\\n\' (newline), \'\\t\' (tab), \'\\r\\n\' (Windows newline), \',\' (comma).</p>', ], ], 'Flag' => [ 'base' => NULL, 'refs' => [ 'AttributePayload$merge' => '<p>Specifies whether the list of attributes provided in the <code>AttributePayload</code> is merged with the attributes stored in the registry, instead of overwriting them.</p> <p>To remove an attribute, call <code>UpdateThing</code> with an empty attribute value.</p> <note> <p>The <code>merge</code> attribute is only valid when calling <code>UpdateThing</code>.</p> </note>', ], ], 'ForceDelete' => [ 'base' => NULL, 'refs' => [ 'DeleteCertificateRequest$forceDelete' => '<p>Forces a certificate request to be deleted.</p>', ], ], 'FunctionArn' => [ 'base' => NULL, 'refs' => [ 'LambdaAction$functionArn' => '<p>The ARN of the Lambda function.</p>', ], ], 'GEMaxResults' => [ 'base' => NULL, 'refs' => [ 'ListTopicRulesRequest$maxResults' => '<p>The maximum number of results to return.</p>', ], ], 'GenerationId' => [ 'base' => NULL, 'refs' => [ 'CACertificateDescription$generationId' => NULL, 'CertificateDescription$generationId' => NULL, 'GetPolicyResponse$generationId' => NULL, 'GetPolicyVersionResponse$generationId' => NULL, ], ], 'GetEffectivePoliciesRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetEffectivePoliciesResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetIndexingConfigurationRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetIndexingConfigurationResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetJobDocumentRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetJobDocumentResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetLoggingOptionsRequest' => [ 'base' => '<p>The input for the GetLoggingOptions operation.</p>', 'refs' => [], ], 'GetLoggingOptionsResponse' => [ 'base' => '<p>The output from the GetLoggingOptions operation.</p>', 'refs' => [], ], 'GetOTAUpdateRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetOTAUpdateResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetPolicyRequest' => [ 'base' => '<p>The input for the GetPolicy operation.</p>', 'refs' => [], ], 'GetPolicyResponse' => [ 'base' => '<p>The output from the GetPolicy operation.</p>', 'refs' => [], ], 'GetPolicyVersionRequest' => [ 'base' => '<p>The input for the GetPolicyVersion operation.</p>', 'refs' => [], ], 'GetPolicyVersionResponse' => [ 'base' => '<p>The output from the GetPolicyVersion operation.</p>', 'refs' => [], ], 'GetRegistrationCodeRequest' => [ 'base' => '<p>The input to the GetRegistrationCode operation.</p>', 'refs' => [], ], 'GetRegistrationCodeResponse' => [ 'base' => '<p>The output from the GetRegistrationCode operation.</p>', 'refs' => [], ], 'GetTopicRuleRequest' => [ 'base' => '<p>The input for the GetTopicRule operation.</p>', 'refs' => [], ], 'GetTopicRuleResponse' => [ 'base' => '<p>The output from the GetTopicRule operation.</p>', 'refs' => [], ], 'GetV2LoggingOptionsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetV2LoggingOptionsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GroupNameAndArn' => [ 'base' => '<p>The name and ARN of a group.</p>', 'refs' => [ 'ThingGroupNameAndArnList$member' => NULL, ], ], 'HashAlgorithm' => [ 'base' => NULL, 'refs' => [ 'CustomCodeSigning$hashAlgorithm' => '<p>The hash algorithm used to code sign the file.</p>', ], ], 'HashKeyField' => [ 'base' => NULL, 'refs' => [ 'DynamoDBAction$hashKeyField' => '<p>The hash key name.</p>', ], ], 'HashKeyValue' => [ 'base' => NULL, 'refs' => [ 'DynamoDBAction$hashKeyValue' => '<p>The hash key value.</p>', ], ], 'ImplicitDeny' => [ 'base' => '<p>Information that implicitly denies authorization. When policy doesn\'t explicitly deny or allow an action on a resource it is considered an implicit deny.</p>', 'refs' => [ 'Denied$implicitDeny' => '<p>Information that implicitly denies the authorization. When a policy doesn\'t explicitly deny or allow an action on a resource it is considered an implicit deny.</p>', ], ], 'InProgressThings' => [ 'base' => NULL, 'refs' => [ 'JobProcessDetails$numberOfInProgressThings' => '<p>The number of things currently executing the job.</p>', ], ], 'IndexName' => [ 'base' => NULL, 'refs' => [ 'DescribeIndexRequest$indexName' => '<p>The index name.</p>', 'DescribeIndexResponse$indexName' => '<p>The index name.</p>', 'IndexNamesList$member' => NULL, 'SearchIndexRequest$indexName' => '<p>The search index name.</p>', ], ], 'IndexNamesList' => [ 'base' => NULL, 'refs' => [ 'ListIndicesResponse$indexNames' => '<p>The index names.</p>', ], ], 'IndexNotReadyException' => [ 'base' => '<p>The index is not ready.</p>', 'refs' => [], ], 'IndexSchema' => [ 'base' => NULL, 'refs' => [ 'DescribeIndexResponse$schema' => '<p>Contains a value that specifies the type of indexing performed. Valid values are:</p> <ol> <li> <p>REGISTRY – Your thing index will contain only registry data.</p> </li> <li> <p>REGISTRY_AND_SHADOW - Your thing index will contain registry and shadow data.</p> </li> </ol>', ], ], 'IndexStatus' => [ 'base' => NULL, 'refs' => [ 'DescribeIndexResponse$indexStatus' => '<p>The index status.</p>', ], ], 'InlineDocument' => [ 'base' => NULL, 'refs' => [ 'CodeSigningCertificateChain$inlineDocument' => '<p>A base64 encoded binary representation of the code signing certificate chain.</p>', ], ], 'InternalException' => [ 'base' => '<p>An unexpected error has occurred.</p>', 'refs' => [], ], 'InternalFailureException' => [ 'base' => '<p>An unexpected error has occurred.</p>', 'refs' => [], ], 'InvalidQueryException' => [ 'base' => '<p>The query is invalid.</p>', 'refs' => [], ], 'InvalidRequestException' => [ 'base' => '<p>The request is not valid.</p>', 'refs' => [], ], 'InvalidResponseException' => [ 'base' => '<p>The response is invalid.</p>', 'refs' => [], ], 'IsAuthenticated' => [ 'base' => NULL, 'refs' => [ 'TestInvokeAuthorizerResponse$isAuthenticated' => '<p>True if the token is authenticated, otherwise false.</p>', ], ], 'IsDefaultVersion' => [ 'base' => NULL, 'refs' => [ 'CreatePolicyVersionResponse$isDefaultVersion' => '<p>Specifies whether the policy version is the default.</p>', 'GetPolicyVersionResponse$isDefaultVersion' => '<p>Specifies whether the policy version is the default.</p>', 'PolicyVersion$isDefaultVersion' => '<p>Specifies whether the policy version is the default.</p>', ], ], 'IsDisabled' => [ 'base' => NULL, 'refs' => [ 'ListTopicRulesRequest$ruleDisabled' => '<p>Specifies whether the rule is disabled.</p>', 'TopicRule$ruleDisabled' => '<p>Specifies whether the rule is disabled.</p>', 'TopicRuleListItem$ruleDisabled' => '<p>Specifies whether the rule is disabled.</p>', 'TopicRulePayload$ruleDisabled' => '<p>Specifies whether the rule is disabled.</p>', ], ], 'Job' => [ 'base' => '<p>The <code>Job</code> object contains details about a job.</p>', 'refs' => [ 'DescribeJobResponse$job' => '<p>Information about the job.</p>', ], ], 'JobArn' => [ 'base' => NULL, 'refs' => [ 'AssociateTargetsWithJobResponse$jobArn' => '<p>An ARN identifying the job.</p>', 'CancelJobResponse$jobArn' => '<p>The job ARN.</p>', 'CreateJobResponse$jobArn' => '<p>The job ARN.</p>', 'Job$jobArn' => '<p>An ARN identifying the job with format "arn:aws:iot:region:account:job/jobId".</p>', 'JobSummary$jobArn' => '<p>The job ARN.</p>', ], ], 'JobDescription' => [ 'base' => NULL, 'refs' => [ 'AssociateTargetsWithJobResponse$description' => '<p>A short text description of the job.</p>', 'CancelJobResponse$description' => '<p>A short text description of the job.</p>', 'CreateJobRequest$description' => '<p>A short text description of the job.</p>', 'CreateJobResponse$description' => '<p>The job description.</p>', 'Job$description' => '<p>A short text description of the job.</p>', ], ], 'JobDocument' => [ 'base' => NULL, 'refs' => [ 'CreateJobRequest$document' => '<p>The job document.</p>', 'GetJobDocumentResponse$document' => '<p>The job document content.</p>', ], ], 'JobDocumentParameters' => [ 'base' => NULL, 'refs' => [ 'CreateJobRequest$documentParameters' => '<p>Parameters for the job document.</p>', 'Job$documentParameters' => '<p>The parameters specified for the job document.</p>', ], ], 'JobDocumentSource' => [ 'base' => NULL, 'refs' => [ 'CreateJobRequest$documentSource' => '<p>An S3 link to the job document.</p>', 'DescribeJobResponse$documentSource' => '<p>An S3 link to the job document.</p>', ], ], 'JobExecution' => [ 'base' => '<p>The job execution object represents the execution of a job on a particular device.</p>', 'refs' => [ 'DescribeJobExecutionResponse$execution' => '<p>Information about the job execution.</p>', ], ], 'JobExecutionStatus' => [ 'base' => NULL, 'refs' => [ 'JobExecution$status' => '<p>The status of the job execution (IN_PROGRESS, QUEUED, FAILED, SUCCESS, CANCELED, or REJECTED).</p>', 'JobExecutionSummary$status' => '<p>The status of the job execution.</p>', 'ListJobExecutionsForJobRequest$status' => '<p>The status of the job.</p>', 'ListJobExecutionsForThingRequest$status' => '<p>An optional filter that lets you search for jobs that have the specified status.</p>', ], ], 'JobExecutionStatusDetails' => [ 'base' => '<p>Details of the job execution status.</p>', 'refs' => [ 'JobExecution$statusDetails' => '<p>A collection of name/value pairs that describe the status of the job execution.</p>', ], ], 'JobExecutionSummary' => [ 'base' => '<p>The job execution summary.</p>', 'refs' => [ 'JobExecutionSummaryForJob$jobExecutionSummary' => '<p>Contains a subset of information about a job execution.</p>', 'JobExecutionSummaryForThing$jobExecutionSummary' => '<p>Contains a subset of information about a job execution.</p>', ], ], 'JobExecutionSummaryForJob' => [ 'base' => '<p>Contains a summary of information about job executions for a specific job.</p>', 'refs' => [ 'JobExecutionSummaryForJobList$member' => NULL, ], ], 'JobExecutionSummaryForJobList' => [ 'base' => NULL, 'refs' => [ 'ListJobExecutionsForJobResponse$executionSummaries' => '<p>A list of job execution summaries.</p>', ], ], 'JobExecutionSummaryForThing' => [ 'base' => '<p>The job execution summary for a thing.</p>', 'refs' => [ 'JobExecutionSummaryForThingList$member' => NULL, ], ], 'JobExecutionSummaryForThingList' => [ 'base' => NULL, 'refs' => [ 'ListJobExecutionsForThingResponse$executionSummaries' => '<p>A list of job execution summaries.</p>', ], ], 'JobExecutionsRolloutConfig' => [ 'base' => '<p>Allows you to create a staged rollout of a job.</p>', 'refs' => [ 'CreateJobRequest$jobExecutionsRolloutConfig' => '<p>Allows you to create a staged rollout of the job.</p>', 'Job$jobExecutionsRolloutConfig' => '<p>Allows you to create a staged rollout of a job.</p>', ], ], 'JobId' => [ 'base' => NULL, 'refs' => [ 'AssociateTargetsWithJobRequest$jobId' => '<p>The unique identifier you assigned to this job when it was created.</p>', 'AssociateTargetsWithJobResponse$jobId' => '<p>The unique identifier you assigned to this job when it was created.</p>', 'CancelJobRequest$jobId' => '<p>The unique identifier you assigned to this job when it was created.</p>', 'CancelJobResponse$jobId' => '<p>The unique identifier you assigned to this job when it was created.</p>', 'CreateJobRequest$jobId' => '<p>A job identifier which must be unique for your AWS account. We recommend using a UUID. Alpha-numeric characters, "-" and "_" are valid for use here.</p>', 'CreateJobResponse$jobId' => '<p>The unique identifier you assigned to this job.</p>', 'DescribeJobExecutionRequest$jobId' => '<p>The unique identifier you assigned to this job when it was created.</p>', 'DescribeJobRequest$jobId' => '<p>The unique identifier you assigned to this job when it was created.</p>', 'GetJobDocumentRequest$jobId' => '<p>The unique identifier you assigned to this job when it was created.</p>', 'Job$jobId' => '<p>The unique identifier you assigned to this job when it was created.</p>', 'JobExecution$jobId' => '<p>The unique identifier you assigned to the job when it was created.</p>', 'JobExecutionSummaryForThing$jobId' => '<p>The unique identifier you assigned to this job when it was created.</p>', 'JobSummary$jobId' => '<p>The unique identifier you assigned to this job when it was created.</p>', 'ListJobExecutionsForJobRequest$jobId' => '<p>The unique identifier you assigned to this job when it was created.</p>', ], ], 'JobProcessDetails' => [ 'base' => '<p>The job process details.</p>', 'refs' => [ 'Job$jobProcessDetails' => '<p>Details about the job process.</p>', ], ], 'JobStatus' => [ 'base' => NULL, 'refs' => [ 'Job$status' => '<p>The status of the job, one of <code>IN_PROGRESS</code>, <code>CANCELED</code>, or <code>COMPLETED</code>. </p>', 'JobSummary$status' => '<p>The job summary status.</p>', 'ListJobsRequest$status' => '<p>An optional filter that lets you search for jobs that have the specified status.</p>', ], ], 'JobSummary' => [ 'base' => '<p>The job summary.</p>', 'refs' => [ 'JobSummaryList$member' => NULL, ], ], 'JobSummaryList' => [ 'base' => NULL, 'refs' => [ 'ListJobsResponse$jobs' => '<p>A list of jobs.</p>', ], ], 'JobTargets' => [ 'base' => NULL, 'refs' => [ 'AssociateTargetsWithJobRequest$targets' => '<p>A list of thing group ARNs that define the targets of the job.</p>', 'CreateJobRequest$targets' => '<p>A list of things and thing groups to which the job should be sent.</p>', 'Job$targets' => '<p>A list of IoT things and thing groups to which the job should be sent.</p>', ], ], 'JsonDocument' => [ 'base' => NULL, 'refs' => [ 'ThingDocument$shadow' => '<p>The thing shadow.</p>', ], ], 'Key' => [ 'base' => NULL, 'refs' => [ 'AdditionalParameterMap$key' => NULL, 'AttributesMap$key' => NULL, 'S3Action$key' => '<p>The object key.</p>', ], ], 'KeyName' => [ 'base' => NULL, 'refs' => [ 'PublicKeyMap$key' => NULL, ], ], 'KeyPair' => [ 'base' => '<p>Describes a key pair.</p>', 'refs' => [ 'CreateKeysAndCertificateResponse$keyPair' => '<p>The generated key pair.</p>', ], ], 'KeyValue' => [ 'base' => NULL, 'refs' => [ 'PublicKeyMap$value' => NULL, ], ], 'KinesisAction' => [ 'base' => '<p>Describes an action to write data to an Amazon Kinesis stream.</p>', 'refs' => [ 'Action$kinesis' => '<p>Write data to an Amazon Kinesis stream.</p>', ], ], 'LambdaAction' => [ 'base' => '<p>Describes an action to invoke a Lambda function.</p>', 'refs' => [ 'Action$lambda' => '<p>Invoke a Lambda function.</p>', ], ], 'LaserMaxResults' => [ 'base' => NULL, 'refs' => [ 'ListJobExecutionsForJobRequest$maxResults' => '<p>The maximum number of results to be returned per request.</p>', 'ListJobExecutionsForThingRequest$maxResults' => '<p>The maximum number of results to be returned per request.</p>', 'ListJobsRequest$maxResults' => '<p>The maximum number of results to return per request.</p>', ], ], 'LastModifiedDate' => [ 'base' => NULL, 'refs' => [ 'DescribeEventConfigurationsResponse$lastModifiedDate' => '<p>The date the event configurations were last modified.</p>', 'DescribeThingRegistrationTaskResponse$lastModifiedDate' => '<p>The date when the task was last modified.</p>', ], ], 'LimitExceededException' => [ 'base' => '<p>The number of attached entities exceeds the limit.</p>', 'refs' => [], ], 'ListAttachedPoliciesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListAttachedPoliciesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListAuthorizersRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListAuthorizersResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListCACertificatesRequest' => [ 'base' => '<p>Input for the ListCACertificates operation.</p>', 'refs' => [], ], 'ListCACertificatesResponse' => [ 'base' => '<p>The output from the ListCACertificates operation.</p>', 'refs' => [], ], 'ListCertificatesByCARequest' => [ 'base' => '<p>The input to the ListCertificatesByCA operation.</p>', 'refs' => [], ], 'ListCertificatesByCAResponse' => [ 'base' => '<p>The output of the ListCertificatesByCA operation.</p>', 'refs' => [], ], 'ListCertificatesRequest' => [ 'base' => '<p>The input for the ListCertificates operation.</p>', 'refs' => [], ], 'ListCertificatesResponse' => [ 'base' => '<p>The output of the ListCertificates operation.</p>', 'refs' => [], ], 'ListIndicesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListIndicesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListJobExecutionsForJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListJobExecutionsForJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListJobExecutionsForThingRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListJobExecutionsForThingResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListJobsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListJobsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListOTAUpdatesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListOTAUpdatesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListOutgoingCertificatesRequest' => [ 'base' => '<p>The input to the ListOutgoingCertificates operation.</p>', 'refs' => [], ], 'ListOutgoingCertificatesResponse' => [ 'base' => '<p>The output from the ListOutgoingCertificates operation.</p>', 'refs' => [], ], 'ListPoliciesRequest' => [ 'base' => '<p>The input for the ListPolicies operation.</p>', 'refs' => [], ], 'ListPoliciesResponse' => [ 'base' => '<p>The output from the ListPolicies operation.</p>', 'refs' => [], ], 'ListPolicyPrincipalsRequest' => [ 'base' => '<p>The input for the ListPolicyPrincipals operation.</p>', 'refs' => [], ], 'ListPolicyPrincipalsResponse' => [ 'base' => '<p>The output from the ListPolicyPrincipals operation.</p>', 'refs' => [], ], 'ListPolicyVersionsRequest' => [ 'base' => '<p>The input for the ListPolicyVersions operation.</p>', 'refs' => [], ], 'ListPolicyVersionsResponse' => [ 'base' => '<p>The output from the ListPolicyVersions operation.</p>', 'refs' => [], ], 'ListPrincipalPoliciesRequest' => [ 'base' => '<p>The input for the ListPrincipalPolicies operation.</p>', 'refs' => [], ], 'ListPrincipalPoliciesResponse' => [ 'base' => '<p>The output from the ListPrincipalPolicies operation.</p>', 'refs' => [], ], 'ListPrincipalThingsRequest' => [ 'base' => '<p>The input for the ListPrincipalThings operation.</p>', 'refs' => [], ], 'ListPrincipalThingsResponse' => [ 'base' => '<p>The output from the ListPrincipalThings operation.</p>', 'refs' => [], ], 'ListRoleAliasesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListRoleAliasesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListStreamsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListStreamsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTargetsForPolicyRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTargetsForPolicyResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListThingGroupsForThingRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListThingGroupsForThingResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListThingGroupsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListThingGroupsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListThingPrincipalsRequest' => [ 'base' => '<p>The input for the ListThingPrincipal operation.</p>', 'refs' => [], ], 'ListThingPrincipalsResponse' => [ 'base' => '<p>The output from the ListThingPrincipals operation.</p>', 'refs' => [], ], 'ListThingRegistrationTaskReportsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListThingRegistrationTaskReportsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListThingRegistrationTasksRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListThingRegistrationTasksResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListThingTypesRequest' => [ 'base' => '<p>The input for the ListThingTypes operation.</p>', 'refs' => [], ], 'ListThingTypesResponse' => [ 'base' => '<p>The output for the ListThingTypes operation.</p>', 'refs' => [], ], 'ListThingsInThingGroupRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListThingsInThingGroupResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListThingsRequest' => [ 'base' => '<p>The input for the ListThings operation.</p>', 'refs' => [], ], 'ListThingsResponse' => [ 'base' => '<p>The output from the ListThings operation.</p>', 'refs' => [], ], 'ListTopicRulesRequest' => [ 'base' => '<p>The input for the ListTopicRules operation.</p>', 'refs' => [], ], 'ListTopicRulesResponse' => [ 'base' => '<p>The output from the ListTopicRules operation.</p>', 'refs' => [], ], 'ListV2LoggingLevelsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListV2LoggingLevelsResponse' => [ 'base' => NULL, 'refs' => [], ], 'LogLevel' => [ 'base' => NULL, 'refs' => [ 'GetLoggingOptionsResponse$logLevel' => '<p>The logging level.</p>', 'GetV2LoggingOptionsResponse$defaultLogLevel' => '<p>The default log level.</p>', 'LogTargetConfiguration$logLevel' => '<p>The logging level.</p>', 'LoggingOptionsPayload$logLevel' => '<p>The log level.</p>', 'SetV2LoggingLevelRequest$logLevel' => '<p>The log level.</p>', 'SetV2LoggingOptionsRequest$defaultLogLevel' => '<p>The default logging level.</p>', ], ], 'LogTarget' => [ 'base' => '<p>A log target.</p>', 'refs' => [ 'LogTargetConfiguration$logTarget' => '<p>A log target</p>', 'SetV2LoggingLevelRequest$logTarget' => '<p>The log target.</p>', ], ], 'LogTargetConfiguration' => [ 'base' => '<p>The target configuration.</p>', 'refs' => [ 'LogTargetConfigurations$member' => NULL, ], ], 'LogTargetConfigurations' => [ 'base' => NULL, 'refs' => [ 'ListV2LoggingLevelsResponse$logTargetConfigurations' => '<p>The logging configuration for a target.</p>', ], ], 'LogTargetName' => [ 'base' => NULL, 'refs' => [ 'DeleteV2LoggingLevelRequest$targetName' => '<p>The name of the resource for which you are configuring logging.</p>', 'LogTarget$targetName' => '<p>The target name.</p>', ], ], 'LogTargetType' => [ 'base' => NULL, 'refs' => [ 'DeleteV2LoggingLevelRequest$targetType' => '<p>The type of resource for which you are configuring logging. Must be <code>THING_Group</code>.</p>', 'ListV2LoggingLevelsRequest$targetType' => '<p>The type of resource for which you are configuring logging. Must be <code>THING_Group</code>.</p>', 'LogTarget$targetType' => '<p>The target type.</p>', ], ], 'LoggingOptionsPayload' => [ 'base' => '<p>Describes the logging options payload.</p>', 'refs' => [ 'SetLoggingOptionsRequest$loggingOptionsPayload' => '<p>The logging options payload.</p>', ], ], 'MalformedPolicyException' => [ 'base' => '<p>The policy documentation is not valid.</p>', 'refs' => [], ], 'Marker' => [ 'base' => NULL, 'refs' => [ 'ListAttachedPoliciesRequest$marker' => '<p>The token to retrieve the next set of results.</p>', 'ListAttachedPoliciesResponse$nextMarker' => '<p>The token to retrieve the next set of results, or ``null`` if there are no more results.</p>', 'ListAuthorizersRequest$marker' => '<p>A marker used to get the next set of results.</p>', 'ListAuthorizersResponse$nextMarker' => '<p>A marker used to get the next set of results.</p>', 'ListCACertificatesRequest$marker' => '<p>The marker for the next set of results.</p>', 'ListCACertificatesResponse$nextMarker' => '<p>The current position within the list of CA certificates.</p>', 'ListCertificatesByCARequest$marker' => '<p>The marker for the next set of results.</p>', 'ListCertificatesByCAResponse$nextMarker' => '<p>The marker for the next set of results, or null if there are no additional results.</p>', 'ListCertificatesRequest$marker' => '<p>The marker for the next set of results.</p>', 'ListCertificatesResponse$nextMarker' => '<p>The marker for the next set of results, or null if there are no additional results.</p>', 'ListOutgoingCertificatesRequest$marker' => '<p>The marker for the next set of results.</p>', 'ListOutgoingCertificatesResponse$nextMarker' => '<p>The marker for the next set of results.</p>', 'ListPoliciesRequest$marker' => '<p>The marker for the next set of results.</p>', 'ListPoliciesResponse$nextMarker' => '<p>The marker for the next set of results, or null if there are no additional results.</p>', 'ListPolicyPrincipalsRequest$marker' => '<p>The marker for the next set of results.</p>', 'ListPolicyPrincipalsResponse$nextMarker' => '<p>The marker for the next set of results, or null if there are no additional results.</p>', 'ListPrincipalPoliciesRequest$marker' => '<p>The marker for the next set of results.</p>', 'ListPrincipalPoliciesResponse$nextMarker' => '<p>The marker for the next set of results, or null if there are no additional results.</p>', 'ListRoleAliasesRequest$marker' => '<p>A marker used to get the next set of results.</p>', 'ListRoleAliasesResponse$nextMarker' => '<p>A marker used to get the next set of results.</p>', 'ListTargetsForPolicyRequest$marker' => '<p>A marker used to get the next set of results.</p>', 'ListTargetsForPolicyResponse$nextMarker' => '<p>A marker used to get the next set of results.</p>', ], ], 'MaxJobExecutionsPerMin' => [ 'base' => NULL, 'refs' => [ 'JobExecutionsRolloutConfig$maximumPerMinute' => '<p>The maximum number of things that will be notified of a pending job, per minute. This parameter allows you to create a staged rollout.</p>', ], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'ListOTAUpdatesRequest$maxResults' => '<p>The maximum number of results to return at one time.</p>', 'ListStreamsRequest$maxResults' => '<p>The maximum number of results to return at a time.</p>', ], ], 'Message' => [ 'base' => NULL, 'refs' => [ 'OutgoingCertificate$transferMessage' => '<p>The transfer message.</p>', 'RejectCertificateTransferRequest$rejectReason' => '<p>The reason the certificate transfer was rejected.</p>', 'TransferCertificateRequest$transferMessage' => '<p>The transfer message.</p>', 'TransferData$transferMessage' => '<p>The transfer message.</p>', 'TransferData$rejectReason' => '<p>The reason why the transfer was rejected.</p>', ], ], 'MessageFormat' => [ 'base' => NULL, 'refs' => [ 'SnsAction$messageFormat' => '<p>The message format of the message to publish. Optional. Accepted values are "JSON" and "RAW". The default value of the attribute is "RAW". SNS uses this setting to determine if the payload should be parsed and relevant platform-specific bits of the payload should be extracted. To read more about SNS message formats, see <a href="http://docs.aws.amazon.com/sns/latest/dg/json-formats.html">http://docs.aws.amazon.com/sns/latest/dg/json-formats.html</a> refer to their official documentation.</p>', ], ], 'MetricName' => [ 'base' => NULL, 'refs' => [ 'CloudwatchMetricAction$metricName' => '<p>The CloudWatch metric name.</p>', ], ], 'MetricNamespace' => [ 'base' => NULL, 'refs' => [ 'CloudwatchMetricAction$metricNamespace' => '<p>The CloudWatch metric namespace name.</p>', ], ], 'MetricTimestamp' => [ 'base' => NULL, 'refs' => [ 'CloudwatchMetricAction$metricTimestamp' => '<p>An optional <a href="http://docs.aws.amazon.com/AmazonCloudWatch/latest/DeveloperGuide/cloudwatch_concepts.html#about_timestamp">Unix timestamp</a>.</p>', ], ], 'MetricUnit' => [ 'base' => NULL, 'refs' => [ 'CloudwatchMetricAction$metricUnit' => '<p>The <a href="http://docs.aws.amazon.com/AmazonCloudWatch/latest/DeveloperGuide/cloudwatch_concepts.html#Unit">metric unit</a> supported by CloudWatch.</p>', ], ], 'MetricValue' => [ 'base' => NULL, 'refs' => [ 'CloudwatchMetricAction$metricValue' => '<p>The CloudWatch metric value.</p>', ], ], 'MissingContextValue' => [ 'base' => NULL, 'refs' => [ 'MissingContextValues$member' => NULL, ], ], 'MissingContextValues' => [ 'base' => NULL, 'refs' => [ 'AuthResult$missingContextValues' => '<p>Contains any missing context values found while evaluating policy.</p>', ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'ListIndicesRequest$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListIndicesResponse$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListJobExecutionsForJobRequest$nextToken' => '<p>The token to retrieve the next set of results.</p>', 'ListJobExecutionsForJobResponse$nextToken' => '<p>The token for the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListJobExecutionsForThingRequest$nextToken' => '<p>The token to retrieve the next set of results.</p>', 'ListJobExecutionsForThingResponse$nextToken' => '<p>The token for the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListJobsRequest$nextToken' => '<p>The token to retrieve the next set of results.</p>', 'ListJobsResponse$nextToken' => '<p>The token for the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListOTAUpdatesRequest$nextToken' => '<p>A token used to retreive the next set of results.</p>', 'ListOTAUpdatesResponse$nextToken' => '<p>A token to use to get the next set of results.</p>', 'ListPrincipalThingsRequest$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListPrincipalThingsResponse$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListStreamsRequest$nextToken' => '<p>A token used to get the next set of results.</p>', 'ListStreamsResponse$nextToken' => '<p>A token used to get the next set of results.</p>', 'ListThingGroupsForThingRequest$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListThingGroupsForThingResponse$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListThingGroupsRequest$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListThingGroupsResponse$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListThingRegistrationTaskReportsRequest$nextToken' => '<p>The token to retrieve the next set of results.</p>', 'ListThingRegistrationTaskReportsResponse$nextToken' => '<p>The token to retrieve the next set of results.</p>', 'ListThingRegistrationTasksRequest$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListThingRegistrationTasksResponse$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListThingTypesRequest$nextToken' => '<p>The token for the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListThingTypesResponse$nextToken' => '<p>The token for the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListThingsInThingGroupRequest$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListThingsInThingGroupResponse$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListThingsRequest$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListThingsResponse$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListTopicRulesRequest$nextToken' => '<p>A token used to retrieve the next value.</p>', 'ListTopicRulesResponse$nextToken' => '<p>A token used to retrieve the next value.</p>', 'ListV2LoggingLevelsRequest$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'ListV2LoggingLevelsResponse$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'SearchIndexRequest$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', 'SearchIndexResponse$nextToken' => '<p>The token used to get the next set of results, or <b>null</b> if there are no additional results.</p>', ], ], 'NotConfiguredException' => [ 'base' => '<p>The resource is not configured.</p>', 'refs' => [], ], 'OTAUpdateArn' => [ 'base' => NULL, 'refs' => [ 'CreateOTAUpdateResponse$otaUpdateArn' => '<p>The OTA update ARN.</p>', 'OTAUpdateInfo$otaUpdateArn' => '<p>The OTA update ARN.</p>', 'OTAUpdateSummary$otaUpdateArn' => '<p>The OTA update ARN.</p>', ], ], 'OTAUpdateDescription' => [ 'base' => NULL, 'refs' => [ 'CreateOTAUpdateRequest$description' => '<p>The description of the OTA update.</p>', 'OTAUpdateInfo$description' => '<p>A description of the OTA update.</p>', ], ], 'OTAUpdateErrorMessage' => [ 'base' => NULL, 'refs' => [ 'ErrorInfo$message' => '<p>The error message.</p>', ], ], 'OTAUpdateFile' => [ 'base' => '<p>Describes a file to be associated with an OTA update.</p>', 'refs' => [ 'OTAUpdateFiles$member' => NULL, ], ], 'OTAUpdateFileVersion' => [ 'base' => NULL, 'refs' => [ 'OTAUpdateFile$fileVersion' => '<p>The file version.</p>', ], ], 'OTAUpdateFiles' => [ 'base' => NULL, 'refs' => [ 'CreateOTAUpdateRequest$files' => '<p>The files to be streamed by the OTA update.</p>', 'OTAUpdateInfo$otaUpdateFiles' => '<p>A list of files associated with the OTA update.</p>', ], ], 'OTAUpdateId' => [ 'base' => NULL, 'refs' => [ 'CreateOTAUpdateRequest$otaUpdateId' => '<p>The ID of the OTA update to be created.</p>', 'CreateOTAUpdateResponse$otaUpdateId' => '<p>The OTA update ID.</p>', 'DeleteOTAUpdateRequest$otaUpdateId' => '<p>The OTA update ID to delete.</p>', 'GetOTAUpdateRequest$otaUpdateId' => '<p>The OTA update ID.</p>', 'OTAUpdateInfo$otaUpdateId' => '<p>The OTA update ID.</p>', 'OTAUpdateSummary$otaUpdateId' => '<p>The OTA update ID.</p>', ], ], 'OTAUpdateInfo' => [ 'base' => '<p>Information about an OTA update.</p>', 'refs' => [ 'GetOTAUpdateResponse$otaUpdateInfo' => '<p>The OTA update info.</p>', ], ], 'OTAUpdateStatus' => [ 'base' => NULL, 'refs' => [ 'CreateOTAUpdateResponse$otaUpdateStatus' => '<p>The OTA update status.</p>', 'ListOTAUpdatesRequest$otaUpdateStatus' => '<p>The OTA update job status.</p>', 'OTAUpdateInfo$otaUpdateStatus' => '<p>The status of the OTA update.</p>', ], ], 'OTAUpdateSummary' => [ 'base' => '<p>An OTA update summary.</p>', 'refs' => [ 'OTAUpdatesSummary$member' => NULL, ], ], 'OTAUpdatesSummary' => [ 'base' => NULL, 'refs' => [ 'ListOTAUpdatesResponse$otaUpdates' => '<p>A list of OTA update jobs.</p>', ], ], 'OptionalVersion' => [ 'base' => NULL, 'refs' => [ 'DeleteThingGroupRequest$expectedVersion' => '<p>The expected version of the thing group to delete.</p>', 'DeleteThingRequest$expectedVersion' => '<p>The expected version of the thing record in the registry. If the version of the record in the registry does not match the expected version specified in the request, the <code>DeleteThing</code> request is rejected with a <code>VersionConflictException</code>.</p>', 'UpdateThingGroupRequest$expectedVersion' => '<p>The expected version of the thing group. If this does not match the version of the thing group being updated, the update will fail.</p>', 'UpdateThingRequest$expectedVersion' => '<p>The expected version of the thing record in the registry. If the version of the record in the registry does not match the expected version specified in the request, the <code>UpdateThing</code> request is rejected with a <code>VersionConflictException</code>.</p>', ], ], 'OutgoingCertificate' => [ 'base' => '<p>A certificate that has been transferred but not yet accepted.</p>', 'refs' => [ 'OutgoingCertificates$member' => NULL, ], ], 'OutgoingCertificates' => [ 'base' => NULL, 'refs' => [ 'ListOutgoingCertificatesResponse$outgoingCertificates' => '<p>The certificates that are being transferred but not yet accepted.</p>', ], ], 'PageSize' => [ 'base' => NULL, 'refs' => [ 'ListAttachedPoliciesRequest$pageSize' => '<p>The maximum number of results to be returned per request.</p>', 'ListAuthorizersRequest$pageSize' => '<p>The maximum number of results to return at one time.</p>', 'ListCACertificatesRequest$pageSize' => '<p>The result page size.</p>', 'ListCertificatesByCARequest$pageSize' => '<p>The result page size.</p>', 'ListCertificatesRequest$pageSize' => '<p>The result page size.</p>', 'ListOutgoingCertificatesRequest$pageSize' => '<p>The result page size.</p>', 'ListPoliciesRequest$pageSize' => '<p>The result page size.</p>', 'ListPolicyPrincipalsRequest$pageSize' => '<p>The result page size.</p>', 'ListPrincipalPoliciesRequest$pageSize' => '<p>The result page size.</p>', 'ListRoleAliasesRequest$pageSize' => '<p>The maximum number of results to return at one time.</p>', 'ListTargetsForPolicyRequest$pageSize' => '<p>The maximum number of results to return at one time.</p>', ], ], 'Parameter' => [ 'base' => NULL, 'refs' => [ 'Parameters$key' => NULL, ], ], 'ParameterKey' => [ 'base' => NULL, 'refs' => [ 'JobDocumentParameters$key' => NULL, ], ], 'ParameterValue' => [ 'base' => NULL, 'refs' => [ 'JobDocumentParameters$value' => NULL, ], ], 'Parameters' => [ 'base' => NULL, 'refs' => [ 'RegisterThingRequest$parameters' => '<p>The parameters for provisioning a thing.</p>', ], ], 'PartitionKey' => [ 'base' => NULL, 'refs' => [ 'KinesisAction$partitionKey' => '<p>The partition key.</p>', ], ], 'PayloadField' => [ 'base' => NULL, 'refs' => [ 'DynamoDBAction$payloadField' => '<p>The action payload. This name can be customized.</p>', ], ], 'Percentage' => [ 'base' => NULL, 'refs' => [ 'DescribeThingRegistrationTaskResponse$percentageProgress' => '<p>The progress of the bulk provisioning task expressed as a percentage.</p>', ], ], 'Policies' => [ 'base' => NULL, 'refs' => [ 'Allowed$policies' => '<p>A list of policies that allowed the authentication.</p>', 'ExplicitDeny$policies' => '<p>The policies that denied the authorization.</p>', 'ImplicitDeny$policies' => '<p>Policies that don\'t contain a matching allow or deny statement for the specified action on the specified resource. </p>', 'ListAttachedPoliciesResponse$policies' => '<p>The policies.</p>', 'ListPoliciesResponse$policies' => '<p>The descriptions of the policies.</p>', 'ListPrincipalPoliciesResponse$policies' => '<p>The policies.</p>', ], ], 'Policy' => [ 'base' => '<p>Describes an AWS IoT policy.</p>', 'refs' => [ 'Policies$member' => NULL, ], ], 'PolicyArn' => [ 'base' => NULL, 'refs' => [ 'CreatePolicyResponse$policyArn' => '<p>The policy ARN.</p>', 'CreatePolicyVersionResponse$policyArn' => '<p>The policy ARN.</p>', 'EffectivePolicy$policyArn' => '<p>The policy ARN.</p>', 'GetPolicyResponse$policyArn' => '<p>The policy ARN.</p>', 'GetPolicyVersionResponse$policyArn' => '<p>The policy ARN.</p>', 'Policy$policyArn' => '<p>The policy ARN.</p>', ], ], 'PolicyDocument' => [ 'base' => NULL, 'refs' => [ 'CreatePolicyRequest$policyDocument' => '<p>The JSON document that describes the policy. <b>policyDocument</b> must have a minimum length of 1, with a maximum length of 2048, excluding whitespace.</p>', 'CreatePolicyResponse$policyDocument' => '<p>The JSON document that describes the policy.</p>', 'CreatePolicyVersionRequest$policyDocument' => '<p>The JSON document that describes the policy. Minimum length of 1. Maximum length of 2048, excluding whitespace.</p>', 'CreatePolicyVersionResponse$policyDocument' => '<p>The JSON document that describes the policy.</p>', 'EffectivePolicy$policyDocument' => '<p>The IAM policy document.</p>', 'GetPolicyResponse$policyDocument' => '<p>The JSON document that describes the policy.</p>', 'GetPolicyVersionResponse$policyDocument' => '<p>The JSON document that describes the policy.</p>', 'PolicyDocuments$member' => NULL, ], ], 'PolicyDocuments' => [ 'base' => NULL, 'refs' => [ 'TestInvokeAuthorizerResponse$policyDocuments' => '<p>IAM policy documents.</p>', ], ], 'PolicyName' => [ 'base' => NULL, 'refs' => [ 'AttachPolicyRequest$policyName' => '<p>The name of the policy to attach.</p>', 'AttachPrincipalPolicyRequest$policyName' => '<p>The policy name.</p>', 'CreatePolicyRequest$policyName' => '<p>The policy name.</p>', 'CreatePolicyResponse$policyName' => '<p>The policy name.</p>', 'CreatePolicyVersionRequest$policyName' => '<p>The policy name.</p>', 'DeletePolicyRequest$policyName' => '<p>The name of the policy to delete.</p>', 'DeletePolicyVersionRequest$policyName' => '<p>The name of the policy.</p>', 'DetachPolicyRequest$policyName' => '<p>The policy to detach.</p>', 'DetachPrincipalPolicyRequest$policyName' => '<p>The name of the policy to detach.</p>', 'EffectivePolicy$policyName' => '<p>The policy name.</p>', 'GetPolicyRequest$policyName' => '<p>The name of the policy.</p>', 'GetPolicyResponse$policyName' => '<p>The policy name.</p>', 'GetPolicyVersionRequest$policyName' => '<p>The name of the policy.</p>', 'GetPolicyVersionResponse$policyName' => '<p>The policy name.</p>', 'ListPolicyPrincipalsRequest$policyName' => '<p>The policy name.</p>', 'ListPolicyVersionsRequest$policyName' => '<p>The policy name.</p>', 'ListTargetsForPolicyRequest$policyName' => '<p>The policy name.</p>', 'Policy$policyName' => '<p>The policy name.</p>', 'PolicyNames$member' => NULL, 'SetDefaultPolicyVersionRequest$policyName' => '<p>The policy name.</p>', ], ], 'PolicyNames' => [ 'base' => NULL, 'refs' => [ 'TestAuthorizationRequest$policyNamesToAdd' => '<p>When testing custom authorization, the policies specified here are treated as if they are attached to the principal being authorized.</p>', 'TestAuthorizationRequest$policyNamesToSkip' => '<p>When testing custom authorization, the policies specified here are treated as if they are not attached to the principal being authorized.</p>', ], ], 'PolicyTarget' => [ 'base' => NULL, 'refs' => [ 'AttachPolicyRequest$target' => '<p>The identity to which the policy is attached.</p>', 'DetachPolicyRequest$target' => '<p>The target from which the policy will be detached.</p>', 'ListAttachedPoliciesRequest$target' => '<p>The group for which the policies will be listed.</p>', 'PolicyTargets$member' => NULL, ], ], 'PolicyTargets' => [ 'base' => NULL, 'refs' => [ 'ListTargetsForPolicyResponse$targets' => '<p>The policy targets.</p>', ], ], 'PolicyVersion' => [ 'base' => '<p>Describes a policy version.</p>', 'refs' => [ 'PolicyVersions$member' => NULL, ], ], 'PolicyVersionId' => [ 'base' => NULL, 'refs' => [ 'CreatePolicyResponse$policyVersionId' => '<p>The policy version ID.</p>', 'CreatePolicyVersionResponse$policyVersionId' => '<p>The policy version ID.</p>', 'DeletePolicyVersionRequest$policyVersionId' => '<p>The policy version ID.</p>', 'GetPolicyResponse$defaultVersionId' => '<p>The default policy version ID.</p>', 'GetPolicyVersionRequest$policyVersionId' => '<p>The policy version ID.</p>', 'GetPolicyVersionResponse$policyVersionId' => '<p>The policy version ID.</p>', 'PolicyVersion$versionId' => '<p>The policy version ID.</p>', 'SetDefaultPolicyVersionRequest$policyVersionId' => '<p>The policy version ID.</p>', ], ], 'PolicyVersions' => [ 'base' => NULL, 'refs' => [ 'ListPolicyVersionsResponse$policyVersions' => '<p>The policy versions.</p>', ], ], 'PresignedUrlConfig' => [ 'base' => '<p>Configuration for pre-signed S3 URLs.</p>', 'refs' => [ 'CreateJobRequest$presignedUrlConfig' => '<p>Configuration information for pre-signed S3 URLs.</p>', 'Job$presignedUrlConfig' => '<p>Configuration for pre-signed S3 URLs.</p>', ], ], 'Principal' => [ 'base' => NULL, 'refs' => [ 'AttachPrincipalPolicyRequest$principal' => '<p>The principal, which can be a certificate ARN (as returned from the CreateCertificate operation) or an Amazon Cognito ID.</p>', 'AttachThingPrincipalRequest$principal' => '<p>The principal, such as a certificate or other credential.</p>', 'DetachPrincipalPolicyRequest$principal' => '<p>The principal.</p> <p>If the principal is a certificate, specify the certificate ARN. If the principal is an Amazon Cognito identity, specify the identity ID.</p>', 'DetachThingPrincipalRequest$principal' => '<p>If the principal is a certificate, this value must be ARN of the certificate. If the principal is an Amazon Cognito identity, this value must be the ID of the Amazon Cognito identity.</p>', 'GetEffectivePoliciesRequest$principal' => '<p>The principal.</p>', 'ListPrincipalPoliciesRequest$principal' => '<p>The principal.</p>', 'ListPrincipalThingsRequest$principal' => '<p>The principal.</p>', 'TestAuthorizationRequest$principal' => '<p>The principal.</p>', ], ], 'PrincipalArn' => [ 'base' => NULL, 'refs' => [ 'Principals$member' => NULL, ], ], 'PrincipalId' => [ 'base' => NULL, 'refs' => [ 'TestInvokeAuthorizerResponse$principalId' => '<p>The principal ID.</p>', ], ], 'Principals' => [ 'base' => NULL, 'refs' => [ 'ListPolicyPrincipalsResponse$principals' => '<p>The descriptions of the principals.</p>', 'ListThingPrincipalsResponse$principals' => '<p>The principals associated with the thing.</p>', ], ], 'PrivateKey' => [ 'base' => NULL, 'refs' => [ 'KeyPair$PrivateKey' => '<p>The private key.</p>', ], ], 'ProcessingTargetName' => [ 'base' => NULL, 'refs' => [ 'ProcessingTargetNameList$member' => NULL, ], ], 'ProcessingTargetNameList' => [ 'base' => NULL, 'refs' => [ 'JobProcessDetails$processingTargets' => '<p>The devices on which the job is executing.</p>', ], ], 'PublicKey' => [ 'base' => NULL, 'refs' => [ 'KeyPair$PublicKey' => '<p>The public key.</p>', ], ], 'PublicKeyMap' => [ 'base' => NULL, 'refs' => [ 'AuthorizerDescription$tokenSigningPublicKeys' => '<p>The public keys used to validate the token signature returned by your custom authentication service.</p>', 'CreateAuthorizerRequest$tokenSigningPublicKeys' => '<p>The public keys used to verify the digital signature returned by your custom authentication service.</p>', 'UpdateAuthorizerRequest$tokenSigningPublicKeys' => '<p>The public keys used to verify the token signature.</p>', ], ], 'PutItemInput' => [ 'base' => '<p>The input for the DynamoActionVS action that specifies the DynamoDB table to which the message data will be written.</p>', 'refs' => [ 'DynamoDBv2Action$putItem' => '<p>Specifies the DynamoDB table to which the message data will be written. For example:</p> <p> <code>{ "dynamoDBv2": { "roleArn": "aws:iam:12341251:my-role" "putItem": { "tableName": "my-table" } } }</code> </p> <p>Each attribute in the message payload will be written to a separate column in the DynamoDB database.</p>', ], ], 'QueryMaxResults' => [ 'base' => NULL, 'refs' => [ 'ListIndicesRequest$maxResults' => '<p>The maximum number of results to return at one time.</p>', 'SearchIndexRequest$maxResults' => '<p>The maximum number of results to return at one time.</p>', ], ], 'QueryString' => [ 'base' => NULL, 'refs' => [ 'SearchIndexRequest$queryString' => '<p>The search query string.</p>', ], ], 'QueryVersion' => [ 'base' => NULL, 'refs' => [ 'SearchIndexRequest$queryVersion' => '<p>The query version.</p>', ], ], 'QueueUrl' => [ 'base' => NULL, 'refs' => [ 'SqsAction$queueUrl' => '<p>The URL of the Amazon SQS queue.</p>', ], ], 'QueuedThings' => [ 'base' => NULL, 'refs' => [ 'JobProcessDetails$numberOfQueuedThings' => '<p>The number of things that are awaiting execution of the job.</p>', ], ], 'RangeKeyField' => [ 'base' => NULL, 'refs' => [ 'DynamoDBAction$rangeKeyField' => '<p>The range key name.</p>', ], ], 'RangeKeyValue' => [ 'base' => NULL, 'refs' => [ 'DynamoDBAction$rangeKeyValue' => '<p>The range key value.</p>', ], ], 'Recursive' => [ 'base' => NULL, 'refs' => [ 'ListAttachedPoliciesRequest$recursive' => '<p>When true, recursively list attached policies.</p>', 'ListThingsInThingGroupRequest$recursive' => '<p>When true, list things in this thing group and in all child groups as well.</p>', ], ], 'RecursiveWithoutDefault' => [ 'base' => NULL, 'refs' => [ 'ListThingGroupsRequest$recursive' => '<p>If true, return child groups as well.</p>', ], ], 'RegisterCACertificateRequest' => [ 'base' => '<p>The input to the RegisterCACertificate operation.</p>', 'refs' => [], ], 'RegisterCACertificateResponse' => [ 'base' => '<p>The output from the RegisterCACertificateResponse operation.</p>', 'refs' => [], ], 'RegisterCertificateRequest' => [ 'base' => '<p>The input to the RegisterCertificate operation.</p>', 'refs' => [], ], 'RegisterCertificateResponse' => [ 'base' => '<p>The output from the RegisterCertificate operation.</p>', 'refs' => [], ], 'RegisterThingRequest' => [ 'base' => NULL, 'refs' => [], ], 'RegisterThingResponse' => [ 'base' => NULL, 'refs' => [], ], 'RegistrationCode' => [ 'base' => NULL, 'refs' => [ 'GetRegistrationCodeResponse$registrationCode' => '<p>The CA certificate registration code.</p>', ], ], 'RegistrationCodeValidationException' => [ 'base' => '<p>The registration code is invalid.</p>', 'refs' => [], ], 'RegistrationConfig' => [ 'base' => '<p>The registration configuration.</p>', 'refs' => [ 'DescribeCACertificateResponse$registrationConfig' => '<p>Information about the registration configuration.</p>', 'RegisterCACertificateRequest$registrationConfig' => '<p>Information about the registration configuration.</p>', 'UpdateCACertificateRequest$registrationConfig' => '<p>Information about the registration configuration.</p>', ], ], 'RegistryMaxResults' => [ 'base' => NULL, 'refs' => [ 'ListPrincipalThingsRequest$maxResults' => '<p>The maximum number of results to return in this operation.</p>', 'ListThingGroupsForThingRequest$maxResults' => '<p>The maximum number of results to return at one time.</p>', 'ListThingGroupsRequest$maxResults' => '<p>The maximum number of results to return at one time.</p>', 'ListThingRegistrationTaskReportsRequest$maxResults' => '<p>The maximum number of results to return per request.</p>', 'ListThingRegistrationTasksRequest$maxResults' => '<p>The maximum number of results to return at one time.</p>', 'ListThingTypesRequest$maxResults' => '<p>The maximum number of results to return in this operation.</p>', 'ListThingsInThingGroupRequest$maxResults' => '<p>The maximum number of results to return at one time.</p>', 'ListThingsRequest$maxResults' => '<p>The maximum number of results to return in this operation.</p>', ], ], 'RegistryS3BucketName' => [ 'base' => NULL, 'refs' => [ 'DescribeThingRegistrationTaskResponse$inputFileBucket' => '<p>The S3 bucket that contains the input file.</p>', 'StartThingRegistrationTaskRequest$inputFileBucket' => '<p>The S3 bucket that contains the input file.</p>', ], ], 'RegistryS3KeyName' => [ 'base' => NULL, 'refs' => [ 'DescribeThingRegistrationTaskResponse$inputFileKey' => '<p>The input file key.</p>', 'StartThingRegistrationTaskRequest$inputFileKey' => '<p>The name of input file within the S3 bucket. This file contains a newline delimited JSON file. Each line contains the parameter values to provision one device (thing).</p>', ], ], 'RejectCertificateTransferRequest' => [ 'base' => '<p>The input for the RejectCertificateTransfer operation.</p>', 'refs' => [], ], 'RejectedThings' => [ 'base' => NULL, 'refs' => [ 'JobProcessDetails$numberOfRejectedThings' => '<p>The number of things that rejected the job.</p>', ], ], 'RemoveAutoRegistration' => [ 'base' => NULL, 'refs' => [ 'UpdateCACertificateRequest$removeAutoRegistration' => '<p>If true, remove auto registration.</p>', ], ], 'RemoveThingFromThingGroupRequest' => [ 'base' => NULL, 'refs' => [], ], 'RemoveThingFromThingGroupResponse' => [ 'base' => NULL, 'refs' => [], ], 'RemoveThingType' => [ 'base' => NULL, 'refs' => [ 'UpdateThingRequest$removeThingType' => '<p>Remove a thing type association. If <b>true</b>, the association is removed.</p>', ], ], 'RemovedThings' => [ 'base' => NULL, 'refs' => [ 'JobProcessDetails$numberOfRemovedThings' => '<p>The number of things that are no longer scheduled to execute the job because they have been deleted or have been removed from the group that was a target of the job.</p>', ], ], 'ReplaceTopicRuleRequest' => [ 'base' => '<p>The input for the ReplaceTopicRule operation.</p>', 'refs' => [], ], 'ReportType' => [ 'base' => NULL, 'refs' => [ 'ListThingRegistrationTaskReportsRequest$reportType' => '<p>The type of task report.</p>', 'ListThingRegistrationTaskReportsResponse$reportType' => '<p>The type of task report.</p>', ], ], 'RepublishAction' => [ 'base' => '<p>Describes an action to republish to another topic.</p>', 'refs' => [ 'Action$republish' => '<p>Publish to another MQTT topic.</p>', ], ], 'Resource' => [ 'base' => NULL, 'refs' => [ 'Resources$member' => NULL, ], ], 'ResourceAlreadyExistsException' => [ 'base' => '<p>The resource already exists.</p>', 'refs' => [], ], 'ResourceArn' => [ 'base' => NULL, 'refs' => [ 'ResourceArns$value' => NULL, ], ], 'ResourceArns' => [ 'base' => NULL, 'refs' => [ 'RegisterThingResponse$resourceArns' => '<p>ARNs for the generated resources.</p>', ], ], 'ResourceLogicalId' => [ 'base' => NULL, 'refs' => [ 'ResourceArns$key' => NULL, ], ], 'ResourceNotFoundException' => [ 'base' => '<p>The specified resource does not exist.</p>', 'refs' => [], ], 'ResourceRegistrationFailureException' => [ 'base' => '<p>The resource registration failed.</p>', 'refs' => [], ], 'Resources' => [ 'base' => NULL, 'refs' => [ 'AuthInfo$resources' => '<p>The resources for which the principal is being authorized to perform the specified action.</p>', ], ], 'RoleAlias' => [ 'base' => NULL, 'refs' => [ 'CreateRoleAliasRequest$roleAlias' => '<p>The role alias that points to a role ARN. This allows you to change the role without having to update the device.</p>', 'CreateRoleAliasResponse$roleAlias' => '<p>The role alias.</p>', 'DeleteRoleAliasRequest$roleAlias' => '<p>The role alias to delete.</p>', 'DescribeRoleAliasRequest$roleAlias' => '<p>The role alias to describe.</p>', 'RoleAliasDescription$roleAlias' => '<p>The role alias.</p>', 'RoleAliases$member' => NULL, 'UpdateRoleAliasRequest$roleAlias' => '<p>The role alias to update.</p>', 'UpdateRoleAliasResponse$roleAlias' => '<p>The role alias.</p>', ], ], 'RoleAliasArn' => [ 'base' => NULL, 'refs' => [ 'CreateRoleAliasResponse$roleAliasArn' => '<p>The role alias ARN.</p>', 'RoleAliasDescription$roleAliasArn' => NULL, 'UpdateRoleAliasResponse$roleAliasArn' => '<p>The role alias ARN.</p>', ], ], 'RoleAliasDescription' => [ 'base' => '<p>Role alias description.</p>', 'refs' => [ 'DescribeRoleAliasResponse$roleAliasDescription' => '<p>The role alias description.</p>', ], ], 'RoleAliases' => [ 'base' => NULL, 'refs' => [ 'ListRoleAliasesResponse$roleAliases' => '<p>The role aliases.</p>', ], ], 'RoleArn' => [ 'base' => NULL, 'refs' => [ 'CreateOTAUpdateRequest$roleArn' => '<p>The IAM role that allows access to the AWS IoT Jobs service.</p>', 'CreateRoleAliasRequest$roleArn' => '<p>The role ARN.</p>', 'CreateStreamRequest$roleArn' => '<p>An IAM role that allows the IoT service principal assumes to access your S3 files.</p>', 'DescribeThingRegistrationTaskResponse$roleArn' => '<p>The role ARN that grants access to the input file bucket.</p>', 'PresignedUrlConfig$roleArn' => '<p>The ARN of an IAM role that grants grants permission to download files from the S3 bucket where the job data/updates are stored. The role must also grant permission for IoT to download the files.</p>', 'RegistrationConfig$roleArn' => '<p>The ARN of the role.</p>', 'RoleAliasDescription$roleArn' => '<p>The role ARN.</p>', 'StartThingRegistrationTaskRequest$roleArn' => '<p>The IAM role ARN that grants permission the input file.</p>', 'StreamInfo$roleArn' => '<p>An IAM role AWS IoT assumes to access your S3 files.</p>', 'UpdateRoleAliasRequest$roleArn' => '<p>The role ARN.</p>', 'UpdateStreamRequest$roleArn' => '<p>An IAM role that allows the IoT service principal assumes to access your S3 files.</p>', ], ], 'RuleArn' => [ 'base' => NULL, 'refs' => [ 'GetTopicRuleResponse$ruleArn' => '<p>The rule ARN.</p>', 'TopicRuleListItem$ruleArn' => '<p>The rule ARN.</p>', ], ], 'RuleName' => [ 'base' => NULL, 'refs' => [ 'CreateTopicRuleRequest$ruleName' => '<p>The name of the rule.</p>', 'DeleteTopicRuleRequest$ruleName' => '<p>The name of the rule.</p>', 'DisableTopicRuleRequest$ruleName' => '<p>The name of the rule to disable.</p>', 'EnableTopicRuleRequest$ruleName' => '<p>The name of the topic rule to enable.</p>', 'GetTopicRuleRequest$ruleName' => '<p>The name of the rule.</p>', 'ReplaceTopicRuleRequest$ruleName' => '<p>The name of the rule.</p>', 'TopicRule$ruleName' => '<p>The name of the rule.</p>', 'TopicRuleListItem$ruleName' => '<p>The name of the rule.</p>', ], ], 'S3Action' => [ 'base' => '<p>Describes an action to write data to an Amazon S3 bucket.</p>', 'refs' => [ 'Action$s3' => '<p>Write to an Amazon S3 bucket.</p>', ], ], 'S3Bucket' => [ 'base' => NULL, 'refs' => [ 'S3Location$bucket' => '<p>The S3 bucket that contains the file to stream.</p>', ], ], 'S3FileUrl' => [ 'base' => NULL, 'refs' => [ 'S3FileUrlList$member' => NULL, ], ], 'S3FileUrlList' => [ 'base' => NULL, 'refs' => [ 'ListThingRegistrationTaskReportsResponse$resourceLinks' => '<p>Links to the task resources.</p>', ], ], 'S3Key' => [ 'base' => NULL, 'refs' => [ 'S3Location$key' => '<p>The name of the file within the S3 bucket to stream.</p>', ], ], 'S3Location' => [ 'base' => '<p>The location in S3 the contains the files to stream.</p>', 'refs' => [ 'StreamFile$s3Location' => '<p>The location of the file in S3.</p>', ], ], 'S3Version' => [ 'base' => NULL, 'refs' => [ 'S3Location$version' => '<p>The file version.</p>', ], ], 'SQL' => [ 'base' => NULL, 'refs' => [ 'TopicRule$sql' => '<p>The SQL statement used to query the topic. When using a SQL query with multiple lines, be sure to escape the newline characters.</p>', 'TopicRulePayload$sql' => '<p>The SQL statement used to query the topic. For more information, see <a href="http://docs.aws.amazon.com/iot/latest/developerguide/iot-rules.html#aws-iot-sql-reference">AWS IoT SQL Reference</a> in the <i>AWS IoT Developer Guide</i>.</p>', ], ], 'SalesforceAction' => [ 'base' => '<p>Describes an action to write a message to a Salesforce IoT Cloud Input Stream.</p>', 'refs' => [ 'Action$salesforce' => '<p>Send a message to a Salesforce IoT Cloud Input Stream.</p>', ], ], 'SalesforceEndpoint' => [ 'base' => NULL, 'refs' => [ 'SalesforceAction$url' => '<p>The URL exposed by the Salesforce IoT Cloud Input Stream. The URL is available from the Salesforce IoT Cloud platform after creation of the Input Stream.</p>', ], ], 'SalesforceToken' => [ 'base' => NULL, 'refs' => [ 'SalesforceAction$token' => '<p>The token used to authenticate access to the Salesforce IoT Cloud Input Stream. The token is available from the Salesforce IoT Cloud platform after creation of the Input Stream.</p>', ], ], 'SearchIndexRequest' => [ 'base' => NULL, 'refs' => [], ], 'SearchIndexResponse' => [ 'base' => NULL, 'refs' => [], ], 'SearchableAttributes' => [ 'base' => NULL, 'refs' => [ 'ThingTypeProperties$searchableAttributes' => '<p>A list of searchable thing attribute names.</p>', ], ], 'Seconds' => [ 'base' => NULL, 'refs' => [ 'TestInvokeAuthorizerResponse$refreshAfterInSeconds' => '<p>The number of seconds after which the temporary credentials are refreshed.</p>', 'TestInvokeAuthorizerResponse$disconnectAfterInSeconds' => '<p>The number of seconds after which the connection is terminated.</p>', ], ], 'ServiceUnavailableException' => [ 'base' => '<p>The service is temporarily unavailable.</p>', 'refs' => [], ], 'SetAsActive' => [ 'base' => NULL, 'refs' => [ 'AcceptCertificateTransferRequest$setAsActive' => '<p>Specifies whether the certificate is active.</p>', 'CreateCertificateFromCsrRequest$setAsActive' => '<p>Specifies whether the certificate is active.</p>', 'CreateKeysAndCertificateRequest$setAsActive' => '<p>Specifies whether the certificate is active.</p>', 'RegisterCACertificateRequest$setAsActive' => '<p>A boolean value that specifies if the CA certificate is set to active.</p>', ], ], 'SetAsActiveFlag' => [ 'base' => NULL, 'refs' => [ 'RegisterCertificateRequest$setAsActive' => '<p>A boolean value that specifies if the CA certificate is set to active.</p>', ], ], 'SetAsDefault' => [ 'base' => NULL, 'refs' => [ 'CreatePolicyVersionRequest$setAsDefault' => '<p>Specifies whether the policy version is set as the default. When this parameter is true, the new policy version becomes the operative version (that is, the version that is in effect for the certificates to which the policy is attached).</p>', ], ], 'SetDefaultAuthorizerRequest' => [ 'base' => NULL, 'refs' => [], ], 'SetDefaultAuthorizerResponse' => [ 'base' => NULL, 'refs' => [], ], 'SetDefaultPolicyVersionRequest' => [ 'base' => '<p>The input for the SetDefaultPolicyVersion operation.</p>', 'refs' => [], ], 'SetLoggingOptionsRequest' => [ 'base' => '<p>The input for the SetLoggingOptions operation.</p>', 'refs' => [], ], 'SetV2LoggingLevelRequest' => [ 'base' => NULL, 'refs' => [], ], 'SetV2LoggingOptionsRequest' => [ 'base' => NULL, 'refs' => [], ], 'Signature' => [ 'base' => NULL, 'refs' => [ 'CodeSigningSignature$inlineDocument' => '<p>A base64 encoded binary representation of the code signing signature.</p>', ], ], 'SignatureAlgorithm' => [ 'base' => NULL, 'refs' => [ 'CustomCodeSigning$signatureAlgorithm' => '<p>The signature algorithm used to code sign the file.</p>', ], ], 'SigningJobId' => [ 'base' => NULL, 'refs' => [ 'CodeSigning$awsSignerJobId' => '<p>The ID of the AWSSignerJob which was created to sign the file.</p>', ], ], 'SkyfallMaxResults' => [ 'base' => NULL, 'refs' => [ 'ListV2LoggingLevelsRequest$maxResults' => '<p>The maximum number of results to return at one time.</p>', ], ], 'SnsAction' => [ 'base' => '<p>Describes an action to publish to an Amazon SNS topic.</p>', 'refs' => [ 'Action$sns' => '<p>Publish to an Amazon SNS topic.</p>', ], ], 'SqlParseException' => [ 'base' => '<p>The Rule-SQL expression can\'t be parsed correctly.</p>', 'refs' => [], ], 'SqsAction' => [ 'base' => '<p>Describes an action to publish data to an Amazon SQS queue.</p>', 'refs' => [ 'Action$sqs' => '<p>Publish to an Amazon SQS queue.</p>', ], ], 'StartThingRegistrationTaskRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartThingRegistrationTaskResponse' => [ 'base' => NULL, 'refs' => [], ], 'StateReason' => [ 'base' => NULL, 'refs' => [ 'CloudwatchAlarmAction$stateReason' => '<p>The reason for the alarm change.</p>', ], ], 'StateValue' => [ 'base' => NULL, 'refs' => [ 'CloudwatchAlarmAction$stateValue' => '<p>The value of the alarm state. Acceptable values are: OK, ALARM, INSUFFICIENT_DATA.</p>', ], ], 'Status' => [ 'base' => NULL, 'refs' => [ 'DescribeThingRegistrationTaskResponse$status' => '<p>The status of the bulk thing provisioning task.</p>', 'ListThingRegistrationTasksRequest$status' => '<p>The status of the bulk thing provisioning task.</p>', ], ], 'StopThingRegistrationTaskRequest' => [ 'base' => NULL, 'refs' => [], ], 'StopThingRegistrationTaskResponse' => [ 'base' => NULL, 'refs' => [], ], 'Stream' => [ 'base' => '<p>Describes a group of files that can be streamed.</p>', 'refs' => [ 'CodeSigningCertificateChain$stream' => '<p>A stream of the certificate chain files.</p>', 'CodeSigningSignature$stream' => '<p>A stream of the code signing signature.</p>', 'OTAUpdateFile$fileSource' => '<p>The source of the file.</p>', ], ], 'StreamArn' => [ 'base' => NULL, 'refs' => [ 'CreateStreamResponse$streamArn' => '<p>The stream ARN.</p>', 'StreamInfo$streamArn' => '<p>The stream ARN.</p>', 'StreamSummary$streamArn' => '<p>The stream ARN.</p>', 'UpdateStreamResponse$streamArn' => '<p>The stream ARN.</p>', ], ], 'StreamDescription' => [ 'base' => NULL, 'refs' => [ 'CreateStreamRequest$description' => '<p>A description of the stream.</p>', 'CreateStreamResponse$description' => '<p>A description of the stream.</p>', 'StreamInfo$description' => '<p>The description of the stream.</p>', 'StreamSummary$description' => '<p>A description of the stream.</p>', 'UpdateStreamRequest$description' => '<p>The description of the stream.</p>', 'UpdateStreamResponse$description' => '<p>A description of the stream.</p>', ], ], 'StreamFile' => [ 'base' => '<p>Represents a file to stream.</p>', 'refs' => [ 'StreamFiles$member' => NULL, ], ], 'StreamFiles' => [ 'base' => NULL, 'refs' => [ 'CreateStreamRequest$files' => '<p>The files to stream.</p>', 'StreamInfo$files' => '<p>The files to stream.</p>', 'UpdateStreamRequest$files' => '<p>The files associated with the stream.</p>', ], ], 'StreamId' => [ 'base' => NULL, 'refs' => [ 'CreateStreamRequest$streamId' => '<p>The stream ID.</p>', 'CreateStreamResponse$streamId' => '<p>The stream ID.</p>', 'DeleteStreamRequest$streamId' => '<p>The stream ID.</p>', 'DescribeStreamRequest$streamId' => '<p>The stream ID.</p>', 'Stream$streamId' => '<p>The stream ID.</p>', 'StreamInfo$streamId' => '<p>The stream ID.</p>', 'StreamSummary$streamId' => '<p>The stream ID.</p>', 'UpdateStreamRequest$streamId' => '<p>The stream ID.</p>', 'UpdateStreamResponse$streamId' => '<p>The stream ID.</p>', ], ], 'StreamInfo' => [ 'base' => '<p>Information about a stream.</p>', 'refs' => [ 'DescribeStreamResponse$streamInfo' => '<p>Information about the stream.</p>', ], ], 'StreamName' => [ 'base' => NULL, 'refs' => [ 'KinesisAction$streamName' => '<p>The name of the Amazon Kinesis stream.</p>', ], ], 'StreamSummary' => [ 'base' => '<p>A summary of a stream.</p>', 'refs' => [ 'StreamsSummary$member' => NULL, ], ], 'StreamVersion' => [ 'base' => NULL, 'refs' => [ 'CreateStreamResponse$streamVersion' => '<p>The version of the stream.</p>', 'StreamInfo$streamVersion' => '<p>The stream version.</p>', 'StreamSummary$streamVersion' => '<p>The stream version.</p>', 'UpdateStreamResponse$streamVersion' => '<p>The stream version.</p>', ], ], 'StreamsSummary' => [ 'base' => NULL, 'refs' => [ 'ListStreamsResponse$streams' => '<p>A list of streams.</p>', ], ], 'SucceededThings' => [ 'base' => NULL, 'refs' => [ 'JobProcessDetails$numberOfSucceededThings' => '<p>The number of things which successfully completed the job.</p>', ], ], 'TableName' => [ 'base' => NULL, 'refs' => [ 'DynamoDBAction$tableName' => '<p>The name of the DynamoDB table.</p>', 'PutItemInput$tableName' => '<p>The table where the message data will be written</p>', ], ], 'Target' => [ 'base' => NULL, 'refs' => [ 'Targets$member' => NULL, ], ], 'TargetArn' => [ 'base' => NULL, 'refs' => [ 'JobTargets$member' => NULL, ], ], 'TargetSelection' => [ 'base' => NULL, 'refs' => [ 'CreateJobRequest$targetSelection' => '<p>Specifies whether the job will continue to run (CONTINUOUS), or will be complete after all those things specified as targets have completed the job (SNAPSHOT). If continuous, the job may also be run on a thing when a change is detected in a target. For example, a job will run on a thing when the thing is added to a target group, even after the job was completed by all things originally in the group.</p>', 'CreateOTAUpdateRequest$targetSelection' => '<p>Specifies whether the update will continue to run (CONTINUOUS), or will be complete after all the things specified as targets have completed the update (SNAPSHOT). If continuous, the update may also be run on a thing when a change is detected in a target. For example, an update will run on a thing when the thing is added to a target group, even after the update was completed by all things originally in the group. Valid values: CONTINUOUS | SNAPSHOT.</p>', 'Job$targetSelection' => '<p>Specifies whether the job will continue to run (CONTINUOUS), or will be complete after all those things specified as targets have completed the job (SNAPSHOT). If continuous, the job may also be run on a thing when a change is detected in a target. For example, a job will run on a device when the thing representing the device is added to a target group, even after the job was completed by all things originally in the group. </p>', 'JobSummary$targetSelection' => '<p>Specifies whether the job will continue to run (CONTINUOUS), or will be complete after all those things specified as targets have completed the job (SNAPSHOT). If continuous, the job may also be run on a thing when a change is detected in a target. For example, a job will run on a thing when the thing is added to a target group, even after the job was completed by all things originally in the group.</p>', 'ListJobsRequest$targetSelection' => '<p>Specifies whether the job will continue to run (CONTINUOUS), or will be complete after all those things specified as targets have completed the job (SNAPSHOT). If continuous, the job may also be run on a thing when a change is detected in a target. For example, a job will run on a thing when the thing is added to a target group, even after the job was completed by all things originally in the group. </p>', 'OTAUpdateInfo$targetSelection' => '<p>Specifies whether the OTA update will continue to run (CONTINUOUS), or will be complete after all those things specified as targets have completed the OTA update (SNAPSHOT). If continuous, the OTA update may also be run on a thing when a change is detected in a target. For example, an OTA update will run on a thing when the thing is added to a target group, even after the OTA update was completed by all things originally in the group. </p>', ], ], 'Targets' => [ 'base' => NULL, 'refs' => [ 'CreateOTAUpdateRequest$targets' => '<p>The targeted devices to receive OTA updates.</p>', 'OTAUpdateInfo$targets' => '<p>The targets of the OTA update.</p>', ], ], 'TaskId' => [ 'base' => NULL, 'refs' => [ 'DescribeThingRegistrationTaskRequest$taskId' => '<p>The task ID.</p>', 'DescribeThingRegistrationTaskResponse$taskId' => '<p>The task ID.</p>', 'ListThingRegistrationTaskReportsRequest$taskId' => '<p>The id of the task.</p>', 'StartThingRegistrationTaskResponse$taskId' => '<p>The bulk thing provisioning task ID.</p>', 'StopThingRegistrationTaskRequest$taskId' => '<p>The bulk thing provisioning task ID.</p>', 'TaskIdList$member' => NULL, ], ], 'TaskIdList' => [ 'base' => NULL, 'refs' => [ 'ListThingRegistrationTasksResponse$taskIds' => '<p>A list of bulk thing provisioning task IDs.</p>', ], ], 'TemplateBody' => [ 'base' => NULL, 'refs' => [ 'DescribeThingRegistrationTaskResponse$templateBody' => '<p>The task\'s template.</p>', 'RegisterThingRequest$templateBody' => '<p>The provisioning template. </p>', 'RegistrationConfig$templateBody' => '<p>The template body.</p>', 'StartThingRegistrationTaskRequest$templateBody' => '<p>The provisioning template.</p>', ], ], 'TestAuthorizationRequest' => [ 'base' => NULL, 'refs' => [], ], 'TestAuthorizationResponse' => [ 'base' => NULL, 'refs' => [], ], 'TestInvokeAuthorizerRequest' => [ 'base' => NULL, 'refs' => [], ], 'TestInvokeAuthorizerResponse' => [ 'base' => NULL, 'refs' => [], ], 'ThingArn' => [ 'base' => NULL, 'refs' => [ 'AddThingToThingGroupRequest$thingArn' => '<p>The ARN of the thing to add to a group.</p>', 'CreateThingResponse$thingArn' => '<p>The ARN of the new thing.</p>', 'DescribeThingResponse$thingArn' => '<p>The ARN of the thing to describe.</p>', 'JobExecution$thingArn' => '<p>The ARN of the thing on which the job execution is running.</p>', 'JobExecutionSummaryForJob$thingArn' => '<p>The ARN of the thing on which the job execution is running.</p>', 'RemoveThingFromThingGroupRequest$thingArn' => '<p>The ARN of the thing to remove from the group.</p>', 'ThingAttribute$thingArn' => '<p>The thing ARN.</p>', ], ], 'ThingAttribute' => [ 'base' => '<p>The properties of the thing, including thing name, thing type name, and a list of thing attributes.</p>', 'refs' => [ 'ThingAttributeList$member' => NULL, ], ], 'ThingAttributeList' => [ 'base' => NULL, 'refs' => [ 'ListThingsResponse$things' => '<p>The things.</p>', ], ], 'ThingDocument' => [ 'base' => '<p>The thing search index document.</p>', 'refs' => [ 'ThingDocumentList$member' => NULL, ], ], 'ThingDocumentList' => [ 'base' => NULL, 'refs' => [ 'SearchIndexResponse$things' => '<p>The things that match the search query.</p>', ], ], 'ThingGroupArn' => [ 'base' => NULL, 'refs' => [ 'AddThingToThingGroupRequest$thingGroupArn' => '<p>The ARN of the group to which you are adding a thing.</p>', 'CreateThingGroupResponse$thingGroupArn' => '<p>The thing group ARN.</p>', 'DescribeThingGroupResponse$thingGroupArn' => '<p>The thing group ARN.</p>', 'GroupNameAndArn$groupArn' => '<p>The group ARN.</p>', 'RemoveThingFromThingGroupRequest$thingGroupArn' => '<p>The group ARN.</p>', ], ], 'ThingGroupDescription' => [ 'base' => NULL, 'refs' => [ 'ThingGroupProperties$thingGroupDescription' => '<p>The thing group description.</p>', ], ], 'ThingGroupId' => [ 'base' => NULL, 'refs' => [ 'CreateThingGroupResponse$thingGroupId' => '<p>The thing group ID.</p>', 'DescribeThingGroupResponse$thingGroupId' => '<p>The thing group ID.</p>', 'JobSummary$thingGroupId' => '<p>The ID of the thing group.</p>', 'ListJobsRequest$thingGroupId' => '<p>A filter that limits the returned jobs to those for the specified group.</p>', ], ], 'ThingGroupList' => [ 'base' => NULL, 'refs' => [ 'UpdateThingGroupsForThingRequest$thingGroupsToAdd' => '<p>The groups to which the thing will be added.</p>', 'UpdateThingGroupsForThingRequest$thingGroupsToRemove' => '<p>The groups from which the thing will be removed.</p>', ], ], 'ThingGroupMetadata' => [ 'base' => '<p>Thing group metadata.</p>', 'refs' => [ 'DescribeThingGroupResponse$thingGroupMetadata' => '<p>Thing group metadata.</p>', ], ], 'ThingGroupName' => [ 'base' => NULL, 'refs' => [ 'AddThingToThingGroupRequest$thingGroupName' => '<p>The name of the group to which you are adding a thing.</p>', 'CreateThingGroupRequest$thingGroupName' => '<p>The thing group name to create.</p>', 'CreateThingGroupRequest$parentGroupName' => '<p>The name of the parent thing group.</p>', 'CreateThingGroupResponse$thingGroupName' => '<p>The thing group name.</p>', 'DeleteThingGroupRequest$thingGroupName' => '<p>The name of the thing group to delete.</p>', 'DescribeThingGroupRequest$thingGroupName' => '<p>The name of the thing group.</p>', 'DescribeThingGroupResponse$thingGroupName' => '<p>The name of the thing group.</p>', 'GroupNameAndArn$groupName' => '<p>The group name.</p>', 'ListJobsRequest$thingGroupName' => '<p>A filter that limits the returned jobs to those for the specified group.</p>', 'ListThingGroupsRequest$parentGroup' => '<p>A filter that limits the results to those with the specified parent group.</p>', 'ListThingGroupsRequest$namePrefixFilter' => '<p>A filter that limits the results to those with the specified name prefix.</p>', 'ListThingsInThingGroupRequest$thingGroupName' => '<p>The thing group name.</p>', 'RemoveThingFromThingGroupRequest$thingGroupName' => '<p>The group name.</p>', 'ThingGroupList$member' => NULL, 'ThingGroupMetadata$parentGroupName' => '<p>The parent thing group name.</p>', 'ThingGroupNameList$member' => NULL, 'UpdateThingGroupRequest$thingGroupName' => '<p>The thing group to update.</p>', ], ], 'ThingGroupNameAndArnList' => [ 'base' => NULL, 'refs' => [ 'ListThingGroupsForThingResponse$thingGroups' => '<p>The thing groups.</p>', 'ListThingGroupsResponse$thingGroups' => '<p>The thing groups.</p>', 'ThingGroupMetadata$rootToParentThingGroups' => '<p>The root parent thing group.</p>', ], ], 'ThingGroupNameList' => [ 'base' => NULL, 'refs' => [ 'ThingDocument$thingGroupNames' => '<p>Thing group names.</p>', ], ], 'ThingGroupProperties' => [ 'base' => '<p>Thing group properties.</p>', 'refs' => [ 'CreateThingGroupRequest$thingGroupProperties' => '<p>The thing group properties.</p>', 'DescribeThingGroupResponse$thingGroupProperties' => '<p>The thing group properties.</p>', 'UpdateThingGroupRequest$thingGroupProperties' => '<p>The thing group properties.</p>', ], ], 'ThingId' => [ 'base' => NULL, 'refs' => [ 'CreateThingResponse$thingId' => '<p>The thing ID.</p>', 'DescribeThingResponse$thingId' => '<p>The ID of the thing to describe.</p>', 'ThingDocument$thingId' => '<p>The thing ID.</p>', ], ], 'ThingIndexingConfiguration' => [ 'base' => '<p>Thing indexing configuration.</p>', 'refs' => [ 'GetIndexingConfigurationResponse$thingIndexingConfiguration' => '<p>Thing indexing configuration.</p>', 'UpdateIndexingConfigurationRequest$thingIndexingConfiguration' => '<p>Thing indexing configuration.</p>', ], ], 'ThingIndexingMode' => [ 'base' => NULL, 'refs' => [ 'ThingIndexingConfiguration$thingIndexingMode' => '<p>Thing indexing mode. Valid values are: </p> <ul> <li> <p>REGISTRY – Your thing index will contain only registry data.</p> </li> <li> <p>REGISTRY_AND_SHADOW - Your thing index will contain registry and shadow data.</p> </li> <li> <p>OFF - Thing indexing is disabled.</p> </li> </ul>', ], ], 'ThingName' => [ 'base' => NULL, 'refs' => [ 'AddThingToThingGroupRequest$thingName' => '<p>The name of the thing to add to a group.</p>', 'AttachThingPrincipalRequest$thingName' => '<p>The name of the thing.</p>', 'CreateThingRequest$thingName' => '<p>The name of the thing to create.</p>', 'CreateThingResponse$thingName' => '<p>The name of the new thing.</p>', 'DeleteThingRequest$thingName' => '<p>The name of the thing to delete.</p>', 'DescribeJobExecutionRequest$thingName' => '<p>The name of the thing on which the job execution is running.</p>', 'DescribeThingRequest$thingName' => '<p>The name of the thing.</p>', 'DescribeThingResponse$thingName' => '<p>The name of the thing.</p>', 'DetachThingPrincipalRequest$thingName' => '<p>The name of the thing.</p>', 'GetEffectivePoliciesRequest$thingName' => '<p>The thing name.</p>', 'ListJobExecutionsForThingRequest$thingName' => '<p>The thing name.</p>', 'ListThingGroupsForThingRequest$thingName' => '<p>The thing name.</p>', 'ListThingPrincipalsRequest$thingName' => '<p>The name of the thing.</p>', 'RemoveThingFromThingGroupRequest$thingName' => '<p>The name of the thing to remove from the group.</p>', 'ThingAttribute$thingName' => '<p>The name of the thing.</p>', 'ThingDocument$thingName' => '<p>The thing name.</p>', 'ThingNameList$member' => NULL, 'UpdateThingGroupsForThingRequest$thingName' => '<p>The thing whose group memberships will be updated.</p>', 'UpdateThingRequest$thingName' => '<p>The name of the thing to update.</p>', ], ], 'ThingNameList' => [ 'base' => NULL, 'refs' => [ 'ListPrincipalThingsResponse$things' => '<p>The things.</p>', 'ListThingsInThingGroupResponse$things' => '<p>The things in the specified thing group.</p>', ], ], 'ThingTypeArn' => [ 'base' => NULL, 'refs' => [ 'CreateThingTypeResponse$thingTypeArn' => '<p>The Amazon Resource Name (ARN) of the thing type.</p>', 'DescribeThingTypeResponse$thingTypeArn' => '<p>The thing type ARN.</p>', 'ThingTypeDefinition$thingTypeArn' => '<p>The thing type ARN.</p>', ], ], 'ThingTypeDefinition' => [ 'base' => '<p>The definition of the thing type, including thing type name and description.</p>', 'refs' => [ 'ThingTypeList$member' => NULL, ], ], 'ThingTypeDescription' => [ 'base' => NULL, 'refs' => [ 'ThingTypeProperties$thingTypeDescription' => '<p>The description of the thing type.</p>', ], ], 'ThingTypeId' => [ 'base' => NULL, 'refs' => [ 'CreateThingTypeResponse$thingTypeId' => '<p>The thing type ID.</p>', 'DescribeThingTypeResponse$thingTypeId' => '<p>The thing type ID.</p>', ], ], 'ThingTypeList' => [ 'base' => NULL, 'refs' => [ 'ListThingTypesResponse$thingTypes' => '<p>The thing types.</p>', ], ], 'ThingTypeMetadata' => [ 'base' => '<p>The ThingTypeMetadata contains additional information about the thing type including: creation date and time, a value indicating whether the thing type is deprecated, and a date and time when time was deprecated.</p>', 'refs' => [ 'DescribeThingTypeResponse$thingTypeMetadata' => '<p>The ThingTypeMetadata contains additional information about the thing type including: creation date and time, a value indicating whether the thing type is deprecated, and a date and time when it was deprecated.</p>', 'ThingTypeDefinition$thingTypeMetadata' => '<p>The ThingTypeMetadata contains additional information about the thing type including: creation date and time, a value indicating whether the thing type is deprecated, and a date and time when it was deprecated.</p>', ], ], 'ThingTypeName' => [ 'base' => NULL, 'refs' => [ 'CreateThingRequest$thingTypeName' => '<p>The name of the thing type associated with the new thing.</p>', 'CreateThingTypeRequest$thingTypeName' => '<p>The name of the thing type.</p>', 'CreateThingTypeResponse$thingTypeName' => '<p>The name of the thing type.</p>', 'DeleteThingTypeRequest$thingTypeName' => '<p>The name of the thing type.</p>', 'DeprecateThingTypeRequest$thingTypeName' => '<p>The name of the thing type to deprecate.</p>', 'DescribeThingResponse$thingTypeName' => '<p>The thing type name.</p>', 'DescribeThingTypeRequest$thingTypeName' => '<p>The name of the thing type.</p>', 'DescribeThingTypeResponse$thingTypeName' => '<p>The name of the thing type.</p>', 'ListThingTypesRequest$thingTypeName' => '<p>The name of the thing type.</p>', 'ListThingsRequest$thingTypeName' => '<p>The name of the thing type used to search for things.</p>', 'ThingAttribute$thingTypeName' => '<p>The name of the thing type, if the thing has been associated with a type.</p>', 'ThingDocument$thingTypeName' => '<p>The thing type name.</p>', 'ThingTypeDefinition$thingTypeName' => '<p>The name of the thing type.</p>', 'UpdateThingRequest$thingTypeName' => '<p>The name of the thing type.</p>', ], ], 'ThingTypeProperties' => [ 'base' => '<p>The ThingTypeProperties contains information about the thing type including: a thing type description, and a list of searchable thing attribute names.</p>', 'refs' => [ 'CreateThingTypeRequest$thingTypeProperties' => '<p>The ThingTypeProperties for the thing type to create. It contains information about the new thing type including a description, and a list of searchable thing attribute names.</p>', 'DescribeThingTypeResponse$thingTypeProperties' => '<p>The ThingTypeProperties contains information about the thing type including description, and a list of searchable thing attribute names.</p>', 'ThingTypeDefinition$thingTypeProperties' => '<p>The ThingTypeProperties for the thing type.</p>', ], ], 'ThrottlingException' => [ 'base' => '<p>The rate exceeds the limit.</p>', 'refs' => [], ], 'Token' => [ 'base' => NULL, 'refs' => [ 'TestInvokeAuthorizerRequest$token' => '<p>The token returned by your custom authentication service.</p>', ], ], 'TokenKeyName' => [ 'base' => NULL, 'refs' => [ 'AuthorizerDescription$tokenKeyName' => '<p>The key used to extract the token from the HTTP headers.</p>', 'CreateAuthorizerRequest$tokenKeyName' => '<p>The name of the token key used to extract the token from the HTTP headers.</p>', 'UpdateAuthorizerRequest$tokenKeyName' => '<p>The key used to extract the token from the HTTP headers. </p>', ], ], 'TokenSignature' => [ 'base' => NULL, 'refs' => [ 'TestInvokeAuthorizerRequest$tokenSignature' => '<p>The signature made with the token and your custom authentication service\'s private key.</p>', ], ], 'Topic' => [ 'base' => NULL, 'refs' => [ 'ListTopicRulesRequest$topic' => '<p>The topic.</p>', ], ], 'TopicPattern' => [ 'base' => NULL, 'refs' => [ 'RepublishAction$topic' => '<p>The name of the MQTT topic.</p>', 'TopicRuleListItem$topicPattern' => '<p>The pattern for the topic names that apply.</p>', ], ], 'TopicRule' => [ 'base' => '<p>Describes a rule.</p>', 'refs' => [ 'GetTopicRuleResponse$rule' => '<p>The rule.</p>', ], ], 'TopicRuleList' => [ 'base' => NULL, 'refs' => [ 'ListTopicRulesResponse$rules' => '<p>The rules.</p>', ], ], 'TopicRuleListItem' => [ 'base' => '<p>Describes a rule.</p>', 'refs' => [ 'TopicRuleList$member' => NULL, ], ], 'TopicRulePayload' => [ 'base' => '<p>Describes a rule.</p>', 'refs' => [ 'CreateTopicRuleRequest$topicRulePayload' => '<p>The rule payload.</p>', 'ReplaceTopicRuleRequest$topicRulePayload' => '<p>The rule payload.</p>', ], ], 'TransferAlreadyCompletedException' => [ 'base' => '<p>You can\'t revert the certificate transfer because the transfer is already complete.</p>', 'refs' => [], ], 'TransferCertificateRequest' => [ 'base' => '<p>The input for the TransferCertificate operation.</p>', 'refs' => [], ], 'TransferCertificateResponse' => [ 'base' => '<p>The output from the TransferCertificate operation.</p>', 'refs' => [], ], 'TransferConflictException' => [ 'base' => '<p>You can\'t transfer the certificate because authorization policies are still attached.</p>', 'refs' => [], ], 'TransferData' => [ 'base' => '<p>Data used to transfer a certificate to an AWS account.</p>', 'refs' => [ 'CertificateDescription$transferData' => '<p>The transfer data.</p>', ], ], 'UnauthorizedException' => [ 'base' => '<p>You are not authorized to perform this operation.</p>', 'refs' => [], ], 'UndoDeprecate' => [ 'base' => NULL, 'refs' => [ 'DeprecateThingTypeRequest$undoDeprecate' => '<p>Whether to undeprecate a deprecated thing type. If <b>true</b>, the thing type will not be deprecated anymore and you can associate it with things.</p>', ], ], 'UpdateAuthorizerRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateAuthorizerResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateCACertificateRequest' => [ 'base' => '<p>The input to the UpdateCACertificate operation.</p>', 'refs' => [], ], 'UpdateCertificateRequest' => [ 'base' => '<p>The input for the UpdateCertificate operation.</p>', 'refs' => [], ], 'UpdateEventConfigurationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateEventConfigurationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateIndexingConfigurationRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateIndexingConfigurationResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateRoleAliasRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateRoleAliasResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateStreamRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateStreamResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateThingGroupRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateThingGroupResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateThingGroupsForThingRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateThingGroupsForThingResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateThingRequest' => [ 'base' => '<p>The input for the UpdateThing operation.</p>', 'refs' => [], ], 'UpdateThingResponse' => [ 'base' => '<p>The output from the UpdateThing operation.</p>', 'refs' => [], ], 'UseBase64' => [ 'base' => NULL, 'refs' => [ 'SqsAction$useBase64' => '<p>Specifies whether to use Base64 encoding.</p>', ], ], 'Value' => [ 'base' => NULL, 'refs' => [ 'AdditionalParameterMap$value' => NULL, 'AttributesMap$value' => NULL, 'Parameters$value' => NULL, ], ], 'Version' => [ 'base' => NULL, 'refs' => [ 'DescribeThingGroupResponse$version' => '<p>The version of the thing group.</p>', 'DescribeThingResponse$version' => '<p>The current version of the thing record in the registry.</p> <note> <p>To avoid unintentional changes to the information in the registry, you can pass the version information in the <code>expectedVersion</code> parameter of the <code>UpdateThing</code> and <code>DeleteThing</code> calls.</p> </note>', 'ThingAttribute$version' => '<p>The version of the thing record in the registry.</p>', 'UpdateThingGroupResponse$version' => '<p>The version of the updated thing group.</p>', ], ], 'VersionConflictException' => [ 'base' => '<p>An exception thrown when the version of a thing passed to a command is different than the version specified with the --version parameter.</p>', 'refs' => [], ], 'VersionsLimitExceededException' => [ 'base' => '<p>The number of policy versions exceeds the limit.</p>', 'refs' => [], ], 'errorMessage' => [ 'base' => NULL, 'refs' => [ 'CertificateConflictException$message' => '<p>The message for the exception.</p>', 'CertificateStateException$message' => '<p>The message for the exception.</p>', 'CertificateValidationException$message' => '<p>Additional information about the exception.</p>', 'ConflictingResourceUpdateException$message' => NULL, 'DeleteConflictException$message' => '<p>The message for the exception.</p>', 'IndexNotReadyException$message' => NULL, 'InternalException$message' => '<p>The message for the exception.</p>', 'InternalFailureException$message' => '<p>The message for the exception.</p>', 'InvalidQueryException$message' => NULL, 'InvalidRequestException$message' => '<p>The message for the exception.</p>', 'InvalidResponseException$message' => NULL, 'LimitExceededException$message' => '<p>The message for the exception.</p>', 'MalformedPolicyException$message' => '<p>The message for the exception.</p>', 'NotConfiguredException$message' => NULL, 'RegistrationCodeValidationException$message' => '<p>Additional information about the exception.</p>', 'ResourceAlreadyExistsException$message' => '<p>The message for the exception.</p>', 'ResourceNotFoundException$message' => '<p>The message for the exception.</p>', 'ResourceRegistrationFailureException$message' => NULL, 'ServiceUnavailableException$message' => '<p>The message for the exception.</p>', 'SqlParseException$message' => '<p>The message for the exception.</p>', 'ThrottlingException$message' => '<p>The message for the exception.</p>', 'TransferAlreadyCompletedException$message' => '<p>The message for the exception.</p>', 'TransferConflictException$message' => '<p>The message for the exception.</p>', 'UnauthorizedException$message' => '<p>The message for the exception.</p>', 'VersionConflictException$message' => '<p>The message for the exception.</p>', 'VersionsLimitExceededException$message' => '<p>The message for the exception.</p>', ], ], 'resourceArn' => [ 'base' => NULL, 'refs' => [ 'ResourceAlreadyExistsException$resourceArn' => '<p>The ARN of the resource that caused the exception.</p>', ], ], 'resourceId' => [ 'base' => NULL, 'refs' => [ 'ResourceAlreadyExistsException$resourceId' => '<p>The ID of the resource that caused the exception.</p>', ], ], ],];
