<?php
// This file was auto-generated from sdk-root/src/data/medialive/2017-10-14/docs-2.json
return [ 'version' => '2.0', 'service' => 'API for AWS Elemental MediaLive', 'operations' => [ 'CreateChannel' => 'Creates a new channel', 'CreateInput' => 'Create an input', 'CreateInputSecurityGroup' => 'Creates a Input Security Group', 'DeleteChannel' => 'Starts deletion of channel. The associated outputs are also deleted.', 'DeleteInput' => 'Deletes the input end point', 'DeleteInputSecurityGroup' => 'Deletes an Input Security Group', 'DescribeChannel' => 'Gets details about a channel', 'DescribeInput' => 'Produces details about an input', 'DescribeInputSecurityGroup' => 'Produces a summary of an Input Security Group', 'ListChannels' => 'Produces list of channels that have been created', 'ListInputSecurityGroups' => 'Produces a list of Input Security Groups for an account', 'ListInputs' => 'Produces list of inputs that have been created', 'StartChannel' => 'Starts an existing channel', 'StopChannel' => 'Stops a running channel', 'UpdateChannel' => 'Updates a channel.', 'UpdateInput' => 'Updates an input.', 'UpdateInputSecurityGroup' => 'Update an Input Security Group\'s Whilelists.', ], 'shapes' => [ 'AacCodingMode' => [ 'base' => NULL, 'refs' => [ 'AacSettings$CodingMode' => 'Mono, Stereo, or 5.1 channel layout. Valid values depend on rate control mode and profile. The adReceiverMix setting receives a stereo description plus control track and emits a mono AAC encode of the description track, with control data emitted in the PES header as per ETSI TS 101 154 Annex E.', ], ], 'AacInputType' => [ 'base' => NULL, 'refs' => [ 'AacSettings$InputType' => 'Set to "broadcasterMixedAd" when input contains pre-mixed main audio + AD (narration) as a stereo pair. The Audio Type field (audioType) will be set to 3, which signals to downstream systems that this stream contains "broadcaster mixed AD". Note that the input received by the encoder must contain pre-mixed audio; the encoder does not perform the mixing. The values in audioTypeControl and audioType (in AudioDescription) are ignored when set to broadcasterMixedAd.Leave set to "normal" when input does not contain pre-mixed audio + AD.', ], ], 'AacProfile' => [ 'base' => NULL, 'refs' => [ 'AacSettings$Profile' => 'AAC Profile.', ], ], 'AacRateControlMode' => [ 'base' => NULL, 'refs' => [ 'AacSettings$RateControlMode' => 'Rate Control Mode.', ], ], 'AacRawFormat' => [ 'base' => NULL, 'refs' => [ 'AacSettings$RawFormat' => 'Sets LATM / LOAS AAC output for raw containers.', ], ], 'AacSettings' => [ 'base' => NULL, 'refs' => [ 'AudioCodecSettings$AacSettings' => NULL, ], ], 'AacSpec' => [ 'base' => NULL, 'refs' => [ 'AacSettings$Spec' => 'Use MPEG-2 AAC audio instead of MPEG-4 AAC audio for raw or MPEG-2 Transport Stream containers.', ], ], 'AacVbrQuality' => [ 'base' => NULL, 'refs' => [ 'AacSettings$VbrQuality' => 'VBR Quality Level - Only used if rateControlMode is VBR.', ], ], 'Ac3BitstreamMode' => [ 'base' => NULL, 'refs' => [ 'Ac3Settings$BitstreamMode' => 'Specifies the bitstream mode (bsmod) for the emitted AC-3 stream. See ATSC A/52-2012 for background on these values.', ], ], 'Ac3CodingMode' => [ 'base' => NULL, 'refs' => [ 'Ac3Settings$CodingMode' => 'Dolby Digital coding mode. Determines number of channels.', ], ], 'Ac3DrcProfile' => [ 'base' => NULL, 'refs' => [ 'Ac3Settings$DrcProfile' => 'If set to filmStandard, adds dynamic range compression signaling to the output bitstream as defined in the Dolby Digital specification.', ], ], 'Ac3LfeFilter' => [ 'base' => NULL, 'refs' => [ 'Ac3Settings$LfeFilter' => 'When set to enabled, applies a 120Hz lowpass filter to the LFE channel prior to encoding. Only valid in codingMode32Lfe mode.', ], ], 'Ac3MetadataControl' => [ 'base' => NULL, 'refs' => [ 'Ac3Settings$MetadataControl' => 'When set to "followInput", encoder metadata will be sourced from the DD, DD+, or DolbyE decoder that supplied this audio data. If audio was not supplied from one of these streams, then the static metadata settings will be used.', ], ], 'Ac3Settings' => [ 'base' => NULL, 'refs' => [ 'AudioCodecSettings$Ac3Settings' => NULL, ], ], 'AccessDenied' => [ 'base' => NULL, 'refs' => [], ], 'AfdSignaling' => [ 'base' => NULL, 'refs' => [ 'H264Settings$AfdSignaling' => 'Indicates that AFD values will be written into the output stream. If afdSignaling is "auto", the system will try to preserve the input AFD value (in cases where multiple AFD values are valid). If set to "fixed", the AFD value will be the value configured in the fixedAfd parameter.', ], ], 'ArchiveContainerSettings' => [ 'base' => NULL, 'refs' => [ 'ArchiveOutputSettings$ContainerSettings' => 'Settings specific to the container type of the file.', ], ], 'ArchiveGroupSettings' => [ 'base' => NULL, 'refs' => [ 'OutputGroupSettings$ArchiveGroupSettings' => NULL, ], ], 'ArchiveOutputSettings' => [ 'base' => NULL, 'refs' => [ 'OutputSettings$ArchiveOutputSettings' => NULL, ], ], 'AribDestinationSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionDestinationSettings$AribDestinationSettings' => NULL, ], ], 'AribSourceSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionSelectorSettings$AribSourceSettings' => NULL, ], ], 'AudioChannelMapping' => [ 'base' => NULL, 'refs' => [ '__listOfAudioChannelMapping$member' => NULL, ], ], 'AudioCodecSettings' => [ 'base' => NULL, 'refs' => [ 'AudioDescription$CodecSettings' => 'Audio codec settings.', ], ], 'AudioDescription' => [ 'base' => NULL, 'refs' => [ '__listOfAudioDescription$member' => NULL, ], ], 'AudioDescriptionAudioTypeControl' => [ 'base' => NULL, 'refs' => [ 'AudioDescription$AudioTypeControl' => 'Determines how audio type is determined. followInput: If the input contains an ISO 639 audioType, then that value is passed through to the output. If the input contains no ISO 639 audioType, the value in Audio Type is included in the output. useConfigured: The value in Audio Type is included in the output.Note that this field and audioType are both ignored if inputType is broadcasterMixedAd.', ], ], 'AudioDescriptionLanguageCodeControl' => [ 'base' => NULL, 'refs' => [ 'AudioDescription$LanguageCodeControl' => 'Choosing followInput will cause the ISO 639 language code of the output to follow the ISO 639 language code of the input. The languageCode will be used when useConfigured is set, or when followInput is selected but there is no ISO 639 language code specified by the input.', ], ], 'AudioLanguageSelection' => [ 'base' => NULL, 'refs' => [ 'AudioSelectorSettings$AudioLanguageSelection' => NULL, ], ], 'AudioLanguageSelectionPolicy' => [ 'base' => NULL, 'refs' => [ 'AudioLanguageSelection$LanguageSelectionPolicy' => 'When set to "strict", the transport stream demux strictly identifies audio streams by their language descriptor. If a PMT update occurs such that an audio stream matching the initially selected language is no longer present then mute will be encoded until the language returns. If "loose", then on a PMT update the demux will choose another audio stream in the program with the same stream type if it can\'t find one with the same language.', ], ], 'AudioNormalizationAlgorithm' => [ 'base' => NULL, 'refs' => [ 'AudioNormalizationSettings$Algorithm' => 'Audio normalization algorithm to use. itu17701 conforms to the CALM Act specification, itu17702 conforms to the EBU R-128 specification.', ], ], 'AudioNormalizationAlgorithmControl' => [ 'base' => NULL, 'refs' => [ 'AudioNormalizationSettings$AlgorithmControl' => 'When set to correctAudio the output audio is corrected using the chosen algorithm. If set to measureOnly, the audio will be measured but not adjusted.', ], ], 'AudioNormalizationSettings' => [ 'base' => NULL, 'refs' => [ 'AudioDescription$AudioNormalizationSettings' => 'Advanced audio normalization settings.', ], ], 'AudioOnlyHlsSettings' => [ 'base' => NULL, 'refs' => [ 'HlsSettings$AudioOnlyHlsSettings' => NULL, ], ], 'AudioOnlyHlsTrackType' => [ 'base' => NULL, 'refs' => [ 'AudioOnlyHlsSettings$AudioTrackType' => 'Four types of audio-only tracks are supported:Audio-Only Variant StreamThe client can play back this audio-only stream instead of video in low-bandwidth scenarios. Represented as an EXT-X-STREAM-INF in the HLS manifest.Alternate Audio, Auto Select, DefaultAlternate rendition that the client should try to play back by default. Represented as an EXT-X-MEDIA in the HLS manifest with DEFAULT=YES, AUTOSELECT=YESAlternate Audio, Auto Select, Not DefaultAlternate rendition that the client may try to play back by default. Represented as an EXT-X-MEDIA in the HLS manifest with DEFAULT=NO, AUTOSELECT=YESAlternate Audio, not Auto SelectAlternate rendition that the client will not try to play back by default. Represented as an EXT-X-MEDIA in the HLS manifest with DEFAULT=NO, AUTOSELECT=NO', ], ], 'AudioPidSelection' => [ 'base' => NULL, 'refs' => [ 'AudioSelectorSettings$AudioPidSelection' => NULL, ], ], 'AudioSelector' => [ 'base' => NULL, 'refs' => [ '__listOfAudioSelector$member' => NULL, ], ], 'AudioSelectorSettings' => [ 'base' => NULL, 'refs' => [ 'AudioSelector$SelectorSettings' => 'The audio selector settings.', ], ], 'AudioType' => [ 'base' => NULL, 'refs' => [ 'AudioDescription$AudioType' => 'Applies only if audioTypeControl is useConfigured. The values for audioType are defined in ISO-IEC 13818-1.', ], ], 'AvailBlanking' => [ 'base' => NULL, 'refs' => [ 'EncoderSettings$AvailBlanking' => 'Settings for ad avail blanking.', ], ], 'AvailBlankingState' => [ 'base' => NULL, 'refs' => [ 'AvailBlanking$State' => 'When set to enabled, causes video, audio and captions to be blanked when insertion metadata is added.', ], ], 'AvailConfiguration' => [ 'base' => NULL, 'refs' => [ 'EncoderSettings$AvailConfiguration' => 'Event-wide configuration settings for ad avail insertion.', ], ], 'AvailSettings' => [ 'base' => NULL, 'refs' => [ 'AvailConfiguration$AvailSettings' => 'Ad avail settings.', ], ], 'BadGatewayException' => [ 'base' => NULL, 'refs' => [], ], 'BadRequestException' => [ 'base' => NULL, 'refs' => [], ], 'BlackoutSlate' => [ 'base' => NULL, 'refs' => [ 'EncoderSettings$BlackoutSlate' => 'Settings for blackout slate.', ], ], 'BlackoutSlateNetworkEndBlackout' => [ 'base' => NULL, 'refs' => [ 'BlackoutSlate$NetworkEndBlackout' => 'Setting to enabled causes the encoder to blackout the video, audio, and captions, and raise the "Network Blackout Image" slate when an SCTE104/35 Network End Segmentation Descriptor is encountered. The blackout will be lifted when the Network Start Segmentation Descriptor is encountered. The Network End and Network Start descriptors must contain a network ID that matches the value entered in "Network ID".', ], ], 'BlackoutSlateState' => [ 'base' => NULL, 'refs' => [ 'BlackoutSlate$State' => 'When set to enabled, causes video, audio and captions to be blanked when indicated by program metadata.', ], ], 'BurnInAlignment' => [ 'base' => NULL, 'refs' => [ 'BurnInDestinationSettings$Alignment' => 'If no explicit xPosition or yPosition is provided, setting alignment to centered will place the captions at the bottom center of the output. Similarly, setting a left alignment will align captions to the bottom left of the output. If x and y positions are given in conjunction with the alignment parameter, the font will be justified (either left or centered) relative to those coordinates. Selecting "smart" justification will left-justify live subtitles and center-justify pre-recorded subtitles. All burn-in and DVB-Sub font settings must match.', ], ], 'BurnInBackgroundColor' => [ 'base' => NULL, 'refs' => [ 'BurnInDestinationSettings$BackgroundColor' => 'Specifies the color of the rectangle behind the captions. All burn-in and DVB-Sub font settings must match.', ], ], 'BurnInDestinationSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionDestinationSettings$BurnInDestinationSettings' => NULL, ], ], 'BurnInFontColor' => [ 'base' => NULL, 'refs' => [ 'BurnInDestinationSettings$FontColor' => 'Specifies the color of the burned-in captions. This option is not valid for source captions that are STL, 608/embedded or teletext. These source settings are already pre-defined by the caption stream. All burn-in and DVB-Sub font settings must match.', ], ], 'BurnInOutlineColor' => [ 'base' => NULL, 'refs' => [ 'BurnInDestinationSettings$OutlineColor' => 'Specifies font outline color. This option is not valid for source captions that are either 608/embedded or teletext. These source settings are already pre-defined by the caption stream. All burn-in and DVB-Sub font settings must match.', ], ], 'BurnInShadowColor' => [ 'base' => NULL, 'refs' => [ 'BurnInDestinationSettings$ShadowColor' => 'Specifies the color of the shadow cast by the captions. All burn-in and DVB-Sub font settings must match.', ], ], 'BurnInTeletextGridControl' => [ 'base' => NULL, 'refs' => [ 'BurnInDestinationSettings$TeletextGridControl' => 'Controls whether a fixed grid size will be used to generate the output subtitles bitmap. Only applicable for Teletext inputs and DVB-Sub/Burn-in outputs.', ], ], 'CaptionDescription' => [ 'base' => 'Output groups for this Live Event. Output groups contain information about where streams should be distributed.', 'refs' => [ '__listOfCaptionDescription$member' => NULL, ], ], 'CaptionDestinationSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionDescription$DestinationSettings' => 'Additional settings for captions destination that depend on the destination type.', ], ], 'CaptionLanguageMapping' => [ 'base' => 'Maps a caption channel to an ISO 693-2 language code (http://www.loc.gov/standards/iso639-2), with an optional description.', 'refs' => [ '__listOfCaptionLanguageMapping$member' => NULL, ], ], 'CaptionSelector' => [ 'base' => 'Output groups for this Live Event. Output groups contain information about where streams should be distributed.', 'refs' => [ '__listOfCaptionSelector$member' => NULL, ], ], 'CaptionSelectorSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionSelector$SelectorSettings' => 'Caption selector settings.', ], ], 'Channel' => [ 'base' => NULL, 'refs' => [ 'CreateChannelResultModel$Channel' => NULL, 'UpdateChannelResultModel$Channel' => NULL, ], ], 'ChannelConfigurationValidationError' => [ 'base' => NULL, 'refs' => [], ], 'ChannelEgressEndpoint' => [ 'base' => NULL, 'refs' => [ '__listOfChannelEgressEndpoint$member' => NULL, ], ], 'ChannelState' => [ 'base' => NULL, 'refs' => [ 'Channel$State' => NULL, 'ChannelSummary$State' => NULL, ], ], 'ChannelSummary' => [ 'base' => NULL, 'refs' => [ '__listOfChannelSummary$member' => NULL, ], ], 'ConflictException' => [ 'base' => NULL, 'refs' => [], ], 'CreateChannel' => [ 'base' => NULL, 'refs' => [], ], 'CreateChannelResultModel' => [ 'base' => NULL, 'refs' => [], ], 'CreateInput' => [ 'base' => NULL, 'refs' => [], ], 'CreateInputResultModel' => [ 'base' => NULL, 'refs' => [], ], 'CreateInputSecurityGroupResultModel' => [ 'base' => NULL, 'refs' => [], ], 'DvbNitSettings' => [ 'base' => 'DVB Network Information Table (NIT)', 'refs' => [ 'M2tsSettings$DvbNitSettings' => 'Inserts DVB Network Information Table (NIT) at the specified table repetition interval.', ], ], 'DvbSdtOutputSdt' => [ 'base' => NULL, 'refs' => [ 'DvbSdtSettings$OutputSdt' => 'Selects method of inserting SDT information into output stream. The sdtFollow setting copies SDT information from input stream to output stream. The sdtFollowIfPresent setting copies SDT information from input stream to output stream if SDT information is present in the input, otherwise it will fall back on the user-defined values. The sdtManual setting means user will enter the SDT information. The sdtNone setting means output stream will not contain SDT information.', ], ], 'DvbSdtSettings' => [ 'base' => 'DVB Service Description Table (SDT)', 'refs' => [ 'M2tsSettings$DvbSdtSettings' => 'Inserts DVB Service Description Table (SDT) at the specified table repetition interval.', ], ], 'DvbSubDestinationAlignment' => [ 'base' => NULL, 'refs' => [ 'DvbSubDestinationSettings$Alignment' => 'If no explicit xPosition or yPosition is provided, setting alignment to centered will place the captions at the bottom center of the output. Similarly, setting a left alignment will align captions to the bottom left of the output. If x and y positions are given in conjunction with the alignment parameter, the font will be justified (either left or centered) relative to those coordinates. Selecting "smart" justification will left-justify live subtitles and center-justify pre-recorded subtitles. This option is not valid for source captions that are STL or 608/embedded. These source settings are already pre-defined by the caption stream. All burn-in and DVB-Sub font settings must match.', ], ], 'DvbSubDestinationBackgroundColor' => [ 'base' => NULL, 'refs' => [ 'DvbSubDestinationSettings$BackgroundColor' => 'Specifies the color of the rectangle behind the captions. All burn-in and DVB-Sub font settings must match.', ], ], 'DvbSubDestinationFontColor' => [ 'base' => NULL, 'refs' => [ 'DvbSubDestinationSettings$FontColor' => 'Specifies the color of the burned-in captions. This option is not valid for source captions that are STL, 608/embedded or teletext. These source settings are already pre-defined by the caption stream. All burn-in and DVB-Sub font settings must match.', ], ], 'DvbSubDestinationOutlineColor' => [ 'base' => NULL, 'refs' => [ 'DvbSubDestinationSettings$OutlineColor' => 'Specifies font outline color. This option is not valid for source captions that are either 608/embedded or teletext. These source settings are already pre-defined by the caption stream. All burn-in and DVB-Sub font settings must match.', ], ], 'DvbSubDestinationSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionDestinationSettings$DvbSubDestinationSettings' => NULL, ], ], 'DvbSubDestinationShadowColor' => [ 'base' => NULL, 'refs' => [ 'DvbSubDestinationSettings$ShadowColor' => 'Specifies the color of the shadow cast by the captions. All burn-in and DVB-Sub font settings must match.', ], ], 'DvbSubDestinationTeletextGridControl' => [ 'base' => NULL, 'refs' => [ 'DvbSubDestinationSettings$TeletextGridControl' => 'Controls whether a fixed grid size will be used to generate the output subtitles bitmap. Only applicable for Teletext inputs and DVB-Sub/Burn-in outputs.', ], ], 'DvbSubSourceSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionSelectorSettings$DvbSubSourceSettings' => NULL, ], ], 'DvbTdtSettings' => [ 'base' => 'DVB Time and Date Table (SDT)', 'refs' => [ 'M2tsSettings$DvbTdtSettings' => 'Inserts DVB Time and Date Table (TDT) at the specified table repetition interval.', ], ], 'Eac3AttenuationControl' => [ 'base' => NULL, 'refs' => [ 'Eac3Settings$AttenuationControl' => 'When set to attenuate3Db, applies a 3 dB attenuation to the surround channels. Only used for 3/2 coding mode.', ], ], 'Eac3BitstreamMode' => [ 'base' => NULL, 'refs' => [ 'Eac3Settings$BitstreamMode' => 'Specifies the bitstream mode (bsmod) for the emitted E-AC-3 stream. See ATSC A/52-2012 (Annex E) for background on these values.', ], ], 'Eac3CodingMode' => [ 'base' => NULL, 'refs' => [ 'Eac3Settings$CodingMode' => 'Dolby Digital Plus coding mode. Determines number of channels.', ], ], 'Eac3DcFilter' => [ 'base' => NULL, 'refs' => [ 'Eac3Settings$DcFilter' => 'When set to enabled, activates a DC highpass filter for all input channels.', ], ], 'Eac3DrcLine' => [ 'base' => NULL, 'refs' => [ 'Eac3Settings$DrcLine' => 'Sets the Dolby dynamic range compression profile.', ], ], 'Eac3DrcRf' => [ 'base' => NULL, 'refs' => [ 'Eac3Settings$DrcRf' => 'Sets the profile for heavy Dolby dynamic range compression, ensures that the instantaneous signal peaks do not exceed specified levels.', ], ], 'Eac3LfeControl' => [ 'base' => NULL, 'refs' => [ 'Eac3Settings$LfeControl' => 'When encoding 3/2 audio, setting to lfe enables the LFE channel', ], ], 'Eac3LfeFilter' => [ 'base' => NULL, 'refs' => [ 'Eac3Settings$LfeFilter' => 'When set to enabled, applies a 120Hz lowpass filter to the LFE channel prior to encoding. Only valid with codingMode32 coding mode.', ], ], 'Eac3MetadataControl' => [ 'base' => NULL, 'refs' => [ 'Eac3Settings$MetadataControl' => 'When set to followInput, encoder metadata will be sourced from the DD, DD+, or DolbyE decoder that supplied this audio data. If audio was not supplied from one of these streams, then the static metadata settings will be used.', ], ], 'Eac3PassthroughControl' => [ 'base' => NULL, 'refs' => [ 'Eac3Settings$PassthroughControl' => 'When set to whenPossible, input DD+ audio will be passed through if it is present on the input. This detection is dynamic over the life of the transcode. Inputs that alternate between DD+ and non-DD+ content will have a consistent DD+ output as the system alternates between passthrough and encoding.', ], ], 'Eac3PhaseControl' => [ 'base' => NULL, 'refs' => [ 'Eac3Settings$PhaseControl' => 'When set to shift90Degrees, applies a 90-degree phase shift to the surround channels. Only used for 3/2 coding mode.', ], ], 'Eac3Settings' => [ 'base' => NULL, 'refs' => [ 'AudioCodecSettings$Eac3Settings' => NULL, ], ], 'Eac3StereoDownmix' => [ 'base' => NULL, 'refs' => [ 'Eac3Settings$StereoDownmix' => 'Stereo downmix preference. Only used for 3/2 coding mode.', ], ], 'Eac3SurroundExMode' => [ 'base' => NULL, 'refs' => [ 'Eac3Settings$SurroundExMode' => 'When encoding 3/2 audio, sets whether an extra center back surround channel is matrix encoded into the left and right surround channels.', ], ], 'Eac3SurroundMode' => [ 'base' => NULL, 'refs' => [ 'Eac3Settings$SurroundMode' => 'When encoding 2/0 audio, sets whether Dolby Surround is matrix encoded into the two channels.', ], ], 'EmbeddedConvert608To708' => [ 'base' => NULL, 'refs' => [ 'EmbeddedSourceSettings$Convert608To708' => 'If upconvert, 608 data is both passed through via the "608 compatibility bytes" fields of the 708 wrapper as well as translated into 708. 708 data present in the source content will be discarded.', ], ], 'EmbeddedDestinationSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionDestinationSettings$EmbeddedDestinationSettings' => NULL, ], ], 'EmbeddedPlusScte20DestinationSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionDestinationSettings$EmbeddedPlusScte20DestinationSettings' => NULL, ], ], 'EmbeddedScte20Detection' => [ 'base' => NULL, 'refs' => [ 'EmbeddedSourceSettings$Scte20Detection' => 'Set to "auto" to handle streams with intermittent and/or non-aligned SCTE-20 and Embedded captions.', ], ], 'EmbeddedSourceSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionSelectorSettings$EmbeddedSourceSettings' => NULL, ], ], 'Empty' => [ 'base' => NULL, 'refs' => [], ], 'EncoderSettings' => [ 'base' => NULL, 'refs' => [ 'Channel$EncoderSettings' => NULL, 'CreateChannel$EncoderSettings' => NULL, 'UpdateChannel$EncoderSettings' => 'The encoder settings for this channel.', ], ], 'FecOutputIncludeFec' => [ 'base' => NULL, 'refs' => [ 'FecOutputSettings$IncludeFec' => 'Enables column only or column and row based FEC', ], ], 'FecOutputSettings' => [ 'base' => NULL, 'refs' => [ 'UdpOutputSettings$FecOutputSettings' => 'Settings for enabling and adjusting Forward Error Correction on UDP outputs.', ], ], 'FixedAfd' => [ 'base' => NULL, 'refs' => [ 'H264Settings$FixedAfd' => 'Four bit AFD value to write on all frames of video in the output stream. Only valid when afdSignaling is set to \'Fixed\'.', ], ], 'ForbiddenException' => [ 'base' => NULL, 'refs' => [], ], 'GatewayTimeoutException' => [ 'base' => NULL, 'refs' => [], ], 'GlobalConfiguration' => [ 'base' => NULL, 'refs' => [ 'EncoderSettings$GlobalConfiguration' => 'Configuration settings that apply to the event as a whole.', ], ], 'GlobalConfigurationInputEndAction' => [ 'base' => NULL, 'refs' => [ 'GlobalConfiguration$InputEndAction' => 'Indicates the action to take when an input completes (e.g. end-of-file.) Options include immediately switching to the next sequential input (via "switchInput"), switching to the next input and looping back to the first input when last input ends (via "switchAndLoopInputs") or not switching inputs and instead transcoding black / color / slate images per the "Input Loss Behavior" configuration until an activateInput REST command is received (via "none").', ], ], 'GlobalConfigurationLowFramerateInputs' => [ 'base' => NULL, 'refs' => [ 'GlobalConfiguration$SupportLowFramerateInputs' => 'Adjusts video input buffer for streams with very low video framerates. This is commonly set to enabled for music channels with less than one video frame per second.', ], ], 'GlobalConfigurationOutputTimingSource' => [ 'base' => NULL, 'refs' => [ 'GlobalConfiguration$OutputTimingSource' => 'Indicates whether the rate of frames emitted by the Live encoder should be paced by its system clock (which optionally may be locked to another source via NTP) or should be locked to the clock of the source that is providing the input stream.', ], ], 'H264AdaptiveQuantization' => [ 'base' => NULL, 'refs' => [ 'H264Settings$AdaptiveQuantization' => 'Adaptive quantization. Allows intra-frame quantizers to vary to improve visual quality.', ], ], 'H264ColorMetadata' => [ 'base' => NULL, 'refs' => [ 'H264Settings$ColorMetadata' => 'Includes colorspace metadata in the output.', ], ], 'H264EntropyEncoding' => [ 'base' => NULL, 'refs' => [ 'H264Settings$EntropyEncoding' => 'Entropy encoding mode. Use cabac (must be in Main or High profile) or cavlc.', ], ], 'H264FlickerAq' => [ 'base' => NULL, 'refs' => [ 'H264Settings$FlickerAq' => 'If set to enabled, adjust quantization within each frame to reduce flicker or \'pop\' on I-frames.', ], ], 'H264FramerateControl' => [ 'base' => NULL, 'refs' => [ 'H264Settings$FramerateControl' => 'This field indicates how the output video frame rate is specified. If "specified" is selected then the output video frame rate is determined by framerateNumerator and framerateDenominator, else if "initializeFromSource" is selected then the output video frame rate will be set equal to the input video frame rate of the first input.', ], ], 'H264GopBReference' => [ 'base' => NULL, 'refs' => [ 'H264Settings$GopBReference' => 'If enabled, use reference B frames for GOP structures that have B frames > 1.', ], ], 'H264GopSizeUnits' => [ 'base' => NULL, 'refs' => [ 'H264Settings$GopSizeUnits' => 'Indicates if the gopSize is specified in frames or seconds. If seconds the system will convert the gopSize into a frame count at run time.', ], ], 'H264Level' => [ 'base' => NULL, 'refs' => [ 'H264Settings$Level' => 'H.264 Level.', ], ], 'H264LookAheadRateControl' => [ 'base' => NULL, 'refs' => [ 'H264Settings$LookAheadRateControl' => 'Amount of lookahead. A value of low can decrease latency and memory usage, while high can produce better quality for certain content.', ], ], 'H264ParControl' => [ 'base' => NULL, 'refs' => [ 'H264Settings$ParControl' => 'This field indicates how the output pixel aspect ratio is specified. If "specified" is selected then the output video pixel aspect ratio is determined by parNumerator and parDenominator, else if "initializeFromSource" is selected then the output pixsel aspect ratio will be set equal to the input video pixel aspect ratio of the first input.', ], ], 'H264Profile' => [ 'base' => NULL, 'refs' => [ 'H264Settings$Profile' => 'H.264 Profile.', ], ], 'H264RateControlMode' => [ 'base' => NULL, 'refs' => [ 'H264Settings$RateControlMode' => 'Rate control mode.', ], ], 'H264ScanType' => [ 'base' => NULL, 'refs' => [ 'H264Settings$ScanType' => 'Sets the scan type of the output to progressive or top-field-first interlaced.', ], ], 'H264SceneChangeDetect' => [ 'base' => NULL, 'refs' => [ 'H264Settings$SceneChangeDetect' => 'Scene change detection. Inserts I-frames on scene changes when enabled.', ], ], 'H264Settings' => [ 'base' => NULL, 'refs' => [ 'VideoCodecSettings$H264Settings' => NULL, ], ], 'H264SpatialAq' => [ 'base' => NULL, 'refs' => [ 'H264Settings$SpatialAq' => 'If set to enabled, adjust quantization within each frame based on spatial variation of content complexity.', ], ], 'H264Syntax' => [ 'base' => NULL, 'refs' => [ 'H264Settings$Syntax' => 'Produces a bitstream compliant with SMPTE RP-2027.', ], ], 'H264TemporalAq' => [ 'base' => NULL, 'refs' => [ 'H264Settings$TemporalAq' => 'If set to enabled, adjust quantization within each frame based on temporal variation of content complexity.', ], ], 'H264TimecodeInsertionBehavior' => [ 'base' => NULL, 'refs' => [ 'H264Settings$TimecodeInsertion' => 'Determines how timecodes should be inserted into the video elementary stream.- \'disabled\': Do not include timecodes- \'picTimingSei\': Pass through picture timing SEI messages from the source specified in Timecode Config', ], ], 'HlsAdMarkers' => [ 'base' => NULL, 'refs' => [ '__listOfHlsAdMarkers$member' => NULL, ], ], 'HlsAkamaiHttpTransferMode' => [ 'base' => NULL, 'refs' => [ 'HlsAkamaiSettings$HttpTransferMode' => 'Specify whether or not to use chunked transfer encoding to Akamai. User should contact Akamai to enable this feature.', ], ], 'HlsAkamaiSettings' => [ 'base' => NULL, 'refs' => [ 'HlsCdnSettings$HlsAkamaiSettings' => NULL, ], ], 'HlsBasicPutSettings' => [ 'base' => NULL, 'refs' => [ 'HlsCdnSettings$HlsBasicPutSettings' => NULL, ], ], 'HlsCaptionLanguageSetting' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$CaptionLanguageSetting' => 'Applies only to 608 Embedded output captions.insert: Include CLOSED-CAPTIONS lines in the manifest. Specify at least one language in the CC1 Language Code field. One CLOSED-CAPTION line is added for each Language Code you specify. Make sure to specify the languages in the order in which they appear in the original source (if the source is embedded format) or the order of the caption selectors (if the source is other than embedded). Otherwise, languages in the manifest will not match up properly with the output captions.none: Include CLOSED-CAPTIONS=NONE line in the manifest.omit: Omit any CLOSED-CAPTIONS line from the manifest.', ], ], 'HlsCdnSettings' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$HlsCdnSettings' => 'Parameters that control interactions with the CDN.', ], ], 'HlsClientCache' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$ClientCache' => 'When set to "disabled", sets the #EXT-X-ALLOW-CACHE:no tag in the manifest, which prevents clients from saving media segments for later replay.', ], ], 'HlsCodecSpecification' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$CodecSpecification' => 'Specification to use (RFC-6381 or the default RFC-4281) during m3u8 playlist generation.', ], ], 'HlsDirectoryStructure' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$DirectoryStructure' => 'Place segments in subdirectories.', ], ], 'HlsEncryptionType' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$EncryptionType' => 'Encrypts the segments with the given encryption scheme. Exclude this parameter if no encryption is desired.', ], ], 'HlsGroupSettings' => [ 'base' => NULL, 'refs' => [ 'OutputGroupSettings$HlsGroupSettings' => NULL, ], ], 'HlsInputSettings' => [ 'base' => NULL, 'refs' => [ 'NetworkInputSettings$HlsInputSettings' => 'Specifies HLS input settings when the uri is for a HLS manifest.', ], ], 'HlsIvInManifest' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$IvInManifest' => 'For use with encryptionType. The IV (Initialization Vector) is a 128-bit number used in conjunction with the key for encrypting blocks. If set to "include", IV is listed in the manifest, otherwise the IV is not in the manifest.', ], ], 'HlsIvSource' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$IvSource' => 'For use with encryptionType. The IV (Initialization Vector) is a 128-bit number used in conjunction with the key for encrypting blocks. If this setting is "followsSegmentNumber", it will cause the IV to change every segment (to match the segment number). If this is set to "explicit", you must enter a constantIv value.', ], ], 'HlsManifestCompression' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$ManifestCompression' => 'When set to gzip, compresses HLS playlist.', ], ], 'HlsManifestDurationFormat' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$ManifestDurationFormat' => 'Indicates whether the output manifest should use floating point or integer values for segment duration.', ], ], 'HlsMediaStoreSettings' => [ 'base' => NULL, 'refs' => [ 'HlsCdnSettings$HlsMediaStoreSettings' => NULL, ], ], 'HlsMediaStoreStorageClass' => [ 'base' => NULL, 'refs' => [ 'HlsMediaStoreSettings$MediaStoreStorageClass' => 'When set to temporal, output files are stored in non-persistent memory for faster reading and writing.', ], ], 'HlsMode' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$Mode' => 'If "vod", all segments are indexed and kept permanently in the destination and manifest. If "live", only the number segments specified in keepSegments and indexNSegments are kept; newer segments replace older segments, which may prevent players from rewinding all the way to the beginning of the event.VOD mode uses HLS EXT-X-PLAYLIST-TYPE of EVENT while the channel is running, converting it to a "VOD" type manifest on completion of the stream.', ], ], 'HlsOutputSelection' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$OutputSelection' => 'Generates the .m3u8 playlist file for this HLS output group. The segmentsOnly option will output segments without the .m3u8 file.', ], ], 'HlsOutputSettings' => [ 'base' => NULL, 'refs' => [ 'OutputSettings$HlsOutputSettings' => NULL, ], ], 'HlsProgramDateTime' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$ProgramDateTime' => 'Includes or excludes EXT-X-PROGRAM-DATE-TIME tag in .m3u8 manifest files. The value is calculated as follows: either the program date and time are initialized using the input timecode source, or the time is initialized using the input timecode source and the date is initialized using the timestampOffset.', ], ], 'HlsSegmentationMode' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$SegmentationMode' => 'When set to useInputSegmentation, the output segment or fragment points are set by the RAI markers from the input streams.', ], ], 'HlsSettings' => [ 'base' => NULL, 'refs' => [ 'HlsOutputSettings$HlsSettings' => 'Settings regarding the underlying stream. These settings are different for audio-only outputs.', ], ], 'HlsStreamInfResolution' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$StreamInfResolution' => 'Include or exclude RESOLUTION attribute for video in EXT-X-STREAM-INF tag of variant manifest.', ], ], 'HlsTimedMetadataId3Frame' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$TimedMetadataId3Frame' => 'Indicates ID3 frame that has the timecode.', ], ], 'HlsTsFileMode' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$TsFileMode' => 'When set to "singleFile", emits the program as a single media resource (.ts) file, and uses #EXT-X-BYTERANGE tags to index segment for playback. Playback of VOD mode content during event is not guaranteed due to HTTP server caching.', ], ], 'HlsWebdavHttpTransferMode' => [ 'base' => NULL, 'refs' => [ 'HlsWebdavSettings$HttpTransferMode' => 'Specify whether or not to use chunked transfer encoding to WebDAV.', ], ], 'HlsWebdavSettings' => [ 'base' => NULL, 'refs' => [ 'HlsCdnSettings$HlsWebdavSettings' => NULL, ], ], 'Input' => [ 'base' => NULL, 'refs' => [ 'CreateInputResultModel$Input' => NULL, 'UpdateInputResultModel$Input' => NULL, '__listOfInput$member' => NULL, ], ], 'InputAttachment' => [ 'base' => NULL, 'refs' => [ '__listOfInputAttachment$member' => NULL, ], ], 'InputChannelLevel' => [ 'base' => NULL, 'refs' => [ '__listOfInputChannelLevel$member' => NULL, ], ], 'InputCodec' => [ 'base' => 'codec in increasing order of complexity', 'refs' => [ 'InputSpecification$Codec' => 'Input codec', ], ], 'InputDeblockFilter' => [ 'base' => NULL, 'refs' => [ 'InputSettings$DeblockFilter' => 'Enable or disable the deblock filter when filtering.', ], ], 'InputDenoiseFilter' => [ 'base' => NULL, 'refs' => [ 'InputSettings$DenoiseFilter' => 'Enable or disable the denoise filter when filtering.', ], ], 'InputDestination' => [ 'base' => 'The settings for a PUSH type input.', 'refs' => [ '__listOfInputDestination$member' => NULL, ], ], 'InputDestinationRequest' => [ 'base' => 'Endpoint settings for a PUSH type input.', 'refs' => [ '__listOfInputDestinationRequest$member' => NULL, ], ], 'InputFilter' => [ 'base' => NULL, 'refs' => [ 'InputSettings$InputFilter' => 'Turns on the filter for this input. MPEG-2 inputs have the deblocking filter enabled by default.1) auto - filtering will be applied depending on input type/quality2) disabled - no filtering will be applied to the input3) forced - filtering will be applied regardless of input type', ], ], 'InputLocation' => [ 'base' => NULL, 'refs' => [ 'AudioOnlyHlsSettings$AudioOnlyImage' => 'For use with an audio only Stream. Must be a .jpg or .png file. If given, this image will be used as the cover-art for the audio only output. Ideally, it should be formatted for an iPhone screen for two reasons. The iPhone does not resize the image, it crops a centered image on the top/bottom and left/right. Additionally, this image file gets saved bit-for-bit into every 10-second segment file, so will increase bandwidth by {image file size} * {segment count} * {user count.}.', 'AvailBlanking$AvailBlankingImage' => 'Blanking image to be used. Leave empty for solid black. Only bmp and png images are supported.', 'BlackoutSlate$BlackoutSlateImage' => 'Blackout slate image to be used. Leave empty for solid black. Only bmp and png images are supported.', 'BlackoutSlate$NetworkEndBlackoutImage' => 'Path to local file to use as Network End Blackout image. Image will be scaled to fill the entire output raster.', 'BurnInDestinationSettings$Font' => 'External font file used for caption burn-in. File extension must be \'ttf\' or \'tte\'. Although the user can select output fonts for many different types of input captions, embedded, STL and teletext sources use a strict grid system. Using external fonts with these caption sources could cause unexpected display of proportional fonts. All burn-in and DVB-Sub font settings must match.', 'DvbSubDestinationSettings$Font' => 'External font file used for caption burn-in. File extension must be \'ttf\' or \'tte\'. Although the user can select output fonts for many different types of input captions, embedded, STL and teletext sources use a strict grid system. Using external fonts with these caption sources could cause unexpected display of proportional fonts. All burn-in and DVB-Sub font settings must match.', 'InputLossBehavior$InputLossImageSlate' => 'When input loss image type is "slate" these fields specify the parameters for accessing the slate.', 'StaticKeySettings$KeyProviderServer' => 'The URL of the license server used for protecting content.', ], ], 'InputLossActionForHlsOut' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$InputLossAction' => 'Parameter that control output group behavior on input loss.', ], ], 'InputLossActionForMsSmoothOut' => [ 'base' => NULL, 'refs' => [ 'MsSmoothGroupSettings$InputLossAction' => 'Parameter that control output group behavior on input loss.', ], ], 'InputLossActionForUdpOut' => [ 'base' => NULL, 'refs' => [ 'UdpGroupSettings$InputLossAction' => 'Specifies behavior of last resort when input video is lost, and no more backup inputs are available. When dropTs is selected the entire transport stream will stop being emitted. When dropProgram is selected the program can be dropped from the transport stream (and replaced with null packets to meet the TS bitrate requirement). Or, when emitProgram is chosen the transport stream will continue to be produced normally with repeat frames, black frames, or slate frames substituted for the absent input video.', ], ], 'InputLossBehavior' => [ 'base' => NULL, 'refs' => [ 'GlobalConfiguration$InputLossBehavior' => 'Settings for system actions when input is lost.', ], ], 'InputLossImageType' => [ 'base' => NULL, 'refs' => [ 'InputLossBehavior$InputLossImageType' => 'Indicates whether to substitute a solid color or a slate into the output after input loss exceeds blackFrameMsec.', ], ], 'InputMaximumBitrate' => [ 'base' => 'Maximum input bitrate in megabits per second. Bitrates up to 50 Mbps are supported currently.', 'refs' => [ 'InputSpecification$MaximumBitrate' => 'Maximum input bitrate, categorized coarsely', ], ], 'InputResolution' => [ 'base' => 'Input resolution based on lines of vertical resolution in the input; SD is less than 720 lines, HD is 720 to 1080 lines, UHD is greater than 1080 lines', 'refs' => [ 'InputSpecification$Resolution' => 'Input resolution, categorized coarsely', ], ], 'InputSecurityGroup' => [ 'base' => 'An Input Security Group', 'refs' => [ 'CreateInputSecurityGroupResultModel$SecurityGroup' => NULL, 'UpdateInputSecurityGroupResultModel$SecurityGroup' => NULL, '__listOfInputSecurityGroup$member' => NULL, ], ], 'InputSecurityGroupState' => [ 'base' => NULL, 'refs' => [ 'InputSecurityGroup$State' => 'The current state of the Input Security Group.', ], ], 'InputSecurityGroupWhitelistRequest' => [ 'base' => 'Request of IPv4 CIDR addresses to whitelist in a security group.', 'refs' => [], ], 'InputSettings' => [ 'base' => 'Live Event input parameters. There can be multiple inputs in a single Live Event.', 'refs' => [ 'InputAttachment$InputSettings' => 'Settings of an input (caption selector, etc.)', ], ], 'InputSource' => [ 'base' => 'The settings for a PULL type input.', 'refs' => [ '__listOfInputSource$member' => NULL, ], ], 'InputSourceEndBehavior' => [ 'base' => NULL, 'refs' => [ 'InputSettings$SourceEndBehavior' => 'Loop input if it is a file. This allows a file input to be streamed indefinitely.', ], ], 'InputSourceRequest' => [ 'base' => 'Settings for for a PULL type input.', 'refs' => [ '__listOfInputSourceRequest$member' => NULL, ], ], 'InputSpecification' => [ 'base' => NULL, 'refs' => [ 'Channel$InputSpecification' => NULL, 'ChannelSummary$InputSpecification' => NULL, 'CreateChannel$InputSpecification' => 'Specification of input for this channel (max. bitrate, resolution, codec, etc.)', 'UpdateChannel$InputSpecification' => 'Specification of input for this channel (max. bitrate, resolution, codec, etc.)', ], ], 'InputState' => [ 'base' => NULL, 'refs' => [ 'Input$State' => NULL, ], ], 'InputType' => [ 'base' => NULL, 'refs' => [ 'CreateInput$Type' => NULL, 'Input$Type' => NULL, ], ], 'InputWhitelistRule' => [ 'base' => 'Whitelist rule', 'refs' => [ '__listOfInputWhitelistRule$member' => NULL, ], ], 'InputWhitelistRuleCidr' => [ 'base' => 'An IPv4 CIDR to whitelist.', 'refs' => [ '__listOfInputWhitelistRuleCidr$member' => NULL, ], ], 'InternalServerErrorException' => [ 'base' => NULL, 'refs' => [], ], 'InternalServiceError' => [ 'base' => NULL, 'refs' => [], ], 'InvalidRequest' => [ 'base' => NULL, 'refs' => [], ], 'KeyProviderSettings' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$KeyProviderSettings' => 'The key provider settings.', ], ], 'LimitExceeded' => [ 'base' => NULL, 'refs' => [], ], 'ListChannelsResultModel' => [ 'base' => NULL, 'refs' => [], ], 'ListInputSecurityGroupsResultModel' => [ 'base' => 'Result of input security group list request', 'refs' => [], ], 'ListInputsResultModel' => [ 'base' => NULL, 'refs' => [], ], 'M2tsAbsentInputAudioBehavior' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$AbsentInputAudioBehavior' => 'When set to drop, output audio streams will be removed from the program if the selected input audio stream is removed from the input. This allows the output audio configuration to dynamically change based on input configuration. If this is set to encodeSilence, all output audio streams will output encoded silence when not connected to an active input stream.', ], ], 'M2tsArib' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$Arib' => 'When set to enabled, uses ARIB-compliant field muxing and removes video descriptor.', ], ], 'M2tsAribCaptionsPidControl' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$AribCaptionsPidControl' => 'If set to auto, pid number used for ARIB Captions will be auto-selected from unused pids. If set to useConfigured, ARIB Captions will be on the configured pid number.', ], ], 'M2tsAudioBufferModel' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$AudioBufferModel' => 'When set to dvb, uses DVB buffer model for Dolby Digital audio. When set to atsc, the ATSC model is used.', ], ], 'M2tsAudioInterval' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$EbpAudioInterval' => 'When videoAndFixedIntervals is selected, audio EBP markers will be added to partitions 3 and 4. The interval between these additional markers will be fixed, and will be slightly shorter than the video EBP marker interval. Only available when EBP Cablelabs segmentation markers are selected. Partitions 1 and 2 will always follow the video interval.', ], ], 'M2tsAudioStreamType' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$AudioStreamType' => 'When set to atsc, uses stream type = 0x81 for AC3 and stream type = 0x87 for EAC3. When set to dvb, uses stream type = 0x06.', ], ], 'M2tsBufferModel' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$BufferModel' => 'If set to multiplex, use multiplex buffer model for accurate interleaving. Setting to bufferModel to none can lead to lower latency, but low-memory devices may not be able to play back the stream without interruptions.', ], ], 'M2tsCcDescriptor' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$CcDescriptor' => 'When set to enabled, generates captionServiceDescriptor in PMT.', ], ], 'M2tsEbifControl' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$Ebif' => 'If set to passthrough, passes any EBIF data from the input source to this output.', ], ], 'M2tsEbpPlacement' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$EbpPlacement' => 'Controls placement of EBP on Audio PIDs. If set to videoAndAudioPids, EBP markers will be placed on the video PID and all audio PIDs. If set to videoPid, EBP markers will be placed on only the video PID.', ], ], 'M2tsEsRateInPes' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$EsRateInPes' => 'Include or exclude the ES Rate field in the PES header.', ], ], 'M2tsKlv' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$Klv' => 'If set to passthrough, passes any KLV data from the input source to this output.', ], ], 'M2tsPcrControl' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$PcrControl' => 'When set to pcrEveryPesPacket, a Program Clock Reference value is inserted for every Packetized Elementary Stream (PES) header. This parameter is effective only when the PCR PID is the same as the video or audio elementary stream.', ], ], 'M2tsRateMode' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$RateMode' => 'When vbr, does not insert null packets into transport stream to fill specified bitrate. The bitrate setting acts as the maximum bitrate when vbr is set.', ], ], 'M2tsScte35Control' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$Scte35Control' => 'Optionally pass SCTE-35 signals from the input source to this output.', ], ], 'M2tsSegmentationMarkers' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$SegmentationMarkers' => 'Inserts segmentation markers at each segmentationTime period. raiSegstart sets the Random Access Indicator bit in the adaptation field. raiAdapt sets the RAI bit and adds the current timecode in the private data bytes. psiSegstart inserts PAT and PMT tables at the start of segments. ebp adds Encoder Boundary Point information to the adaptation field as per OpenCable specification OC-SP-EBP-I01-130118. ebpLegacy adds Encoder Boundary Point information to the adaptation field using a legacy proprietary format.', ], ], 'M2tsSegmentationStyle' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$SegmentationStyle' => 'The segmentation style parameter controls how segmentation markers are inserted into the transport stream. With avails, it is possible that segments may be truncated, which can influence where future segmentation markers are inserted.When a segmentation style of "resetCadence" is selected and a segment is truncated due to an avail, we will reset the segmentation cadence. This means the subsequent segment will have a duration of $segmentationTime seconds.When a segmentation style of "maintainCadence" is selected and a segment is truncated due to an avail, we will not reset the segmentation cadence. This means the subsequent segment will likely be truncated as well. However, all segments after that will have a duration of $segmentationTime seconds. Note that EBP lookahead is a slight exception to this rule.', ], ], 'M2tsSettings' => [ 'base' => NULL, 'refs' => [ 'ArchiveContainerSettings$M2tsSettings' => NULL, 'UdpContainerSettings$M2tsSettings' => NULL, ], ], 'M2tsTimedMetadataBehavior' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$TimedMetadataBehavior' => 'When set to passthrough, timed metadata will be passed through from input to output.', ], ], 'M3u8PcrControl' => [ 'base' => NULL, 'refs' => [ 'M3u8Settings$PcrControl' => 'When set to pcrEveryPesPacket, a Program Clock Reference value is inserted for every Packetized Elementary Stream (PES) header. This parameter is effective only when the PCR PID is the same as the video or audio elementary stream.', ], ], 'M3u8Scte35Behavior' => [ 'base' => NULL, 'refs' => [ 'M3u8Settings$Scte35Behavior' => 'If set to passthrough, passes any SCTE-35 signals from the input source to this output.', ], ], 'M3u8Settings' => [ 'base' => 'Settings information for the .m3u8 container', 'refs' => [ 'StandardHlsSettings$M3u8Settings' => NULL, ], ], 'M3u8TimedMetadataBehavior' => [ 'base' => NULL, 'refs' => [ 'M3u8Settings$TimedMetadataBehavior' => 'When set to passthrough, timed metadata is passed through from input to output.', ], ], 'Mp2CodingMode' => [ 'base' => NULL, 'refs' => [ 'Mp2Settings$CodingMode' => 'The MPEG2 Audio coding mode. Valid values are codingMode10 (for mono) or codingMode20 (for stereo).', ], ], 'Mp2Settings' => [ 'base' => NULL, 'refs' => [ 'AudioCodecSettings$Mp2Settings' => NULL, ], ], 'MsSmoothGroupSettings' => [ 'base' => NULL, 'refs' => [ 'OutputGroupSettings$MsSmoothGroupSettings' => NULL, ], ], 'MsSmoothOutputSettings' => [ 'base' => NULL, 'refs' => [ 'OutputSettings$MsSmoothOutputSettings' => NULL, ], ], 'NetworkInputServerValidation' => [ 'base' => NULL, 'refs' => [ 'NetworkInputSettings$ServerValidation' => 'Check HTTPS server certificates. When set to checkCryptographyOnly, cryptography in the certificate will be checked, but not the server\'s name. Certain subdomains (notably S3 buckets that use dots in the bucket name) do not strictly match the corresponding certificate\'s wildcard pattern and would otherwise cause the event to error. This setting is ignored for protocols that do not use https.', ], ], 'NetworkInputSettings' => [ 'base' => 'Network source to transcode. Must be accessible to the Elemental Live node that is running the live event through a network connection.', 'refs' => [ 'InputSettings$NetworkInputSettings' => 'Input settings.', ], ], 'NotFoundException' => [ 'base' => NULL, 'refs' => [], ], 'Output' => [ 'base' => 'Output settings. There can be multiple outputs within a group.', 'refs' => [ '__listOfOutput$member' => NULL, ], ], 'OutputDestination' => [ 'base' => NULL, 'refs' => [ '__listOfOutputDestination$member' => NULL, ], ], 'OutputDestinationSettings' => [ 'base' => NULL, 'refs' => [ '__listOfOutputDestinationSettings$member' => NULL, ], ], 'OutputGroup' => [ 'base' => 'Output groups for this Live Event. Output groups contain information about where streams should be distributed.', 'refs' => [ '__listOfOutputGroup$member' => NULL, ], ], 'OutputGroupSettings' => [ 'base' => NULL, 'refs' => [ 'OutputGroup$OutputGroupSettings' => 'Settings associated with the output group.', ], ], 'OutputLocationRef' => [ 'base' => 'Reference to an OutputDestination ID defined in the channel', 'refs' => [ 'ArchiveGroupSettings$Destination' => 'A directory and base filename where archive files should be written. If the base filename portion of the URI is left blank, the base filename of the first input will be automatically inserted.', 'HlsGroupSettings$Destination' => 'A directory or HTTP destination for the HLS segments, manifest files, and encryption keys (if enabled).', 'MsSmoothGroupSettings$Destination' => 'Smooth Streaming publish point on an IIS server. Elemental Live acts as a "Push" encoder to IIS.', 'UdpOutputSettings$Destination' => 'Destination address and port number for RTP or UDP packets. Can be unicast or multicast RTP or UDP (eg. rtp://239.10.10.10:5001 or udp://10.100.100.100:5002).', ], ], 'OutputSettings' => [ 'base' => NULL, 'refs' => [ 'Output$OutputSettings' => 'Output type-specific settings.', ], ], 'PassThroughSettings' => [ 'base' => NULL, 'refs' => [ 'AudioCodecSettings$PassThroughSettings' => NULL, ], ], 'RemixSettings' => [ 'base' => NULL, 'refs' => [ 'AudioDescription$RemixSettings' => 'Settings that control how input audio channels are remixed into the output audio channels.', ], ], 'ResourceConflict' => [ 'base' => NULL, 'refs' => [], ], 'ResourceNotFound' => [ 'base' => NULL, 'refs' => [], ], 'Scte20Convert608To708' => [ 'base' => NULL, 'refs' => [ 'Scte20SourceSettings$Convert608To708' => 'If upconvert, 608 data is both passed through via the "608 compatibility bytes" fields of the 708 wrapper as well as translated into 708. 708 data present in the source content will be discarded.', ], ], 'Scte20PlusEmbeddedDestinationSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionDestinationSettings$Scte20PlusEmbeddedDestinationSettings' => NULL, ], ], 'Scte20SourceSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionSelectorSettings$Scte20SourceSettings' => NULL, ], ], 'Scte27DestinationSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionDestinationSettings$Scte27DestinationSettings' => NULL, ], ], 'Scte27SourceSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionSelectorSettings$Scte27SourceSettings' => NULL, ], ], 'Scte35AposNoRegionalBlackoutBehavior' => [ 'base' => NULL, 'refs' => [ 'Scte35TimeSignalApos$NoRegionalBlackoutFlag' => 'When set to ignore, Segment Descriptors with noRegionalBlackoutFlag set to 0 will no longer trigger blackouts or Ad Avail slates', ], ], 'Scte35AposWebDeliveryAllowedBehavior' => [ 'base' => NULL, 'refs' => [ 'Scte35TimeSignalApos$WebDeliveryAllowedFlag' => 'When set to ignore, Segment Descriptors with webDeliveryAllowedFlag set to 0 will no longer trigger blackouts or Ad Avail slates', ], ], 'Scte35SpliceInsert' => [ 'base' => NULL, 'refs' => [ 'AvailSettings$Scte35SpliceInsert' => NULL, ], ], 'Scte35SpliceInsertNoRegionalBlackoutBehavior' => [ 'base' => NULL, 'refs' => [ 'Scte35SpliceInsert$NoRegionalBlackoutFlag' => 'When set to ignore, Segment Descriptors with noRegionalBlackoutFlag set to 0 will no longer trigger blackouts or Ad Avail slates', ], ], 'Scte35SpliceInsertWebDeliveryAllowedBehavior' => [ 'base' => NULL, 'refs' => [ 'Scte35SpliceInsert$WebDeliveryAllowedFlag' => 'When set to ignore, Segment Descriptors with webDeliveryAllowedFlag set to 0 will no longer trigger blackouts or Ad Avail slates', ], ], 'Scte35TimeSignalApos' => [ 'base' => NULL, 'refs' => [ 'AvailSettings$Scte35TimeSignalApos' => NULL, ], ], 'SmoothGroupAudioOnlyTimecodeControl' => [ 'base' => NULL, 'refs' => [ 'MsSmoothGroupSettings$AudioOnlyTimecodeControl' => 'If set to passthrough for an audio-only MS Smooth output, the fragment absolute time will be set to the current timecode. This option does not write timecodes to the audio elementary stream.', ], ], 'SmoothGroupCertificateMode' => [ 'base' => NULL, 'refs' => [ 'MsSmoothGroupSettings$CertificateMode' => 'If set to verifyAuthenticity, verify the https certificate chain to a trusted Certificate Authority (CA). This will cause https outputs to self-signed certificates to fail unless those certificates are manually added to the OS trusted keystore.', ], ], 'SmoothGroupEventIdMode' => [ 'base' => NULL, 'refs' => [ 'MsSmoothGroupSettings$EventIdMode' => 'Specifies whether or not to send an event ID to the IIS server. If no event ID is sent and the same Live Event is used without changing the publishing point, clients might see cached video from the previous run.Options:- "useConfigured" - use the value provided in eventId- "useTimestamp" - generate and send an event ID based on the current timestamp- "noEventId" - do not send an event ID to the IIS server.', ], ], 'SmoothGroupEventStopBehavior' => [ 'base' => NULL, 'refs' => [ 'MsSmoothGroupSettings$EventStopBehavior' => 'When set to sendEos, send EOS signal to IIS server when stopping the event', ], ], 'SmoothGroupSegmentationMode' => [ 'base' => NULL, 'refs' => [ 'MsSmoothGroupSettings$SegmentationMode' => 'When set to useInputSegmentation, the output segment or fragment points are set by the RAI markers from the input streams.', ], ], 'SmoothGroupSparseTrackType' => [ 'base' => NULL, 'refs' => [ 'MsSmoothGroupSettings$SparseTrackType' => 'If set to scte35, use incoming SCTE-35 messages to generate a sparse track in this group of MS-Smooth outputs.', ], ], 'SmoothGroupStreamManifestBehavior' => [ 'base' => NULL, 'refs' => [ 'MsSmoothGroupSettings$StreamManifestBehavior' => 'When set to send, send stream manifest so publishing point doesn\'t start until all streams start.', ], ], 'SmoothGroupTimestampOffsetMode' => [ 'base' => NULL, 'refs' => [ 'MsSmoothGroupSettings$TimestampOffsetMode' => 'Type of timestamp date offset to use.- useEventStartDate: Use the date the event was started as the offset- useConfiguredOffset: Use an explicitly configured date as the offset', ], ], 'SmpteTtDestinationSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionDestinationSettings$SmpteTtDestinationSettings' => NULL, ], ], 'StandardHlsSettings' => [ 'base' => NULL, 'refs' => [ 'HlsSettings$StandardHlsSettings' => NULL, ], ], 'StaticKeySettings' => [ 'base' => NULL, 'refs' => [ 'KeyProviderSettings$StaticKeySettings' => NULL, ], ], 'TeletextDestinationSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionDestinationSettings$TeletextDestinationSettings' => NULL, ], ], 'TeletextSourceSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionSelectorSettings$TeletextSourceSettings' => NULL, ], ], 'TimecodeConfig' => [ 'base' => NULL, 'refs' => [ 'EncoderSettings$TimecodeConfig' => 'Contains settings used to acquire and adjust timecode information from inputs.', ], ], 'TimecodeConfigSource' => [ 'base' => NULL, 'refs' => [ 'TimecodeConfig$Source' => 'Identifies the source for the timecode that will be associated with the events outputs.-Embedded (embedded): Initialize the output timecode with timecode from the the source. If no embedded timecode is detected in the source, the system falls back to using "Start at 0" (zerobased).-System Clock (systemclock): Use the UTC time.-Start at 0 (zerobased): The time of the first frame of the event will be 00:00:00:00.', ], ], 'TooManyRequestsException' => [ 'base' => NULL, 'refs' => [], ], 'TtmlDestinationSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionDestinationSettings$TtmlDestinationSettings' => NULL, ], ], 'TtmlDestinationStyleControl' => [ 'base' => NULL, 'refs' => [ 'TtmlDestinationSettings$StyleControl' => 'When set to passthrough, passes through style and position information from a TTML-like input source (TTML, SMPTE-TT, CFF-TT) to the CFF-TT output or TTML output.', ], ], 'UdpContainerSettings' => [ 'base' => NULL, 'refs' => [ 'UdpOutputSettings$ContainerSettings' => NULL, ], ], 'UdpGroupSettings' => [ 'base' => NULL, 'refs' => [ 'OutputGroupSettings$UdpGroupSettings' => NULL, ], ], 'UdpOutputSettings' => [ 'base' => NULL, 'refs' => [ 'OutputSettings$UdpOutputSettings' => NULL, ], ], 'UdpTimedMetadataId3Frame' => [ 'base' => NULL, 'refs' => [ 'UdpGroupSettings$TimedMetadataId3Frame' => 'Indicates ID3 frame that has the timecode.', ], ], 'UnprocessableEntityException' => [ 'base' => NULL, 'refs' => [], ], 'UpdateChannel' => [ 'base' => NULL, 'refs' => [], ], 'UpdateChannelResultModel' => [ 'base' => 'The updated channel\'s description.', 'refs' => [], ], 'UpdateInput' => [ 'base' => NULL, 'refs' => [], ], 'UpdateInputResultModel' => [ 'base' => NULL, 'refs' => [], ], 'UpdateInputSecurityGroupResultModel' => [ 'base' => NULL, 'refs' => [], ], 'ValidationError' => [ 'base' => NULL, 'refs' => [ '__listOfValidationError$member' => NULL, ], ], 'VideoCodecSettings' => [ 'base' => NULL, 'refs' => [ 'VideoDescription$CodecSettings' => 'Video codec settings.', ], ], 'VideoDescription' => [ 'base' => 'Video settings for this stream.', 'refs' => [ '__listOfVideoDescription$member' => NULL, ], ], 'VideoDescriptionRespondToAfd' => [ 'base' => NULL, 'refs' => [ 'VideoDescription$RespondToAfd' => 'Indicates how to respond to the AFD values in the input stream. Setting to "respond" causes input video to be clipped, depending on AFD value, input display aspect ratio and output display aspect ratio.', ], ], 'VideoDescriptionScalingBehavior' => [ 'base' => NULL, 'refs' => [ 'VideoDescription$ScalingBehavior' => 'When set to "stretchToOutput", automatically configures the output position to stretch the video to the specified output resolution. This option will override any position value.', ], ], 'VideoSelector' => [ 'base' => 'Specifies a particular video stream within an input source. An input may have only a single video selector.', 'refs' => [ 'InputSettings$VideoSelector' => 'Informs which video elementary stream to decode for input types that have multiple available.', ], ], 'VideoSelectorColorSpace' => [ 'base' => NULL, 'refs' => [ 'VideoSelector$ColorSpace' => 'Specifies the colorspace of an input. This setting works in tandem with colorSpaceConversion to determine if any conversion will be performed.', ], ], 'VideoSelectorColorSpaceUsage' => [ 'base' => NULL, 'refs' => [ 'VideoSelector$ColorSpaceUsage' => 'Applies only if colorSpace is a value other than follow. This field controls how the value in the colorSpace field will be used. fallback means that when the input does include color space data, that data will be used, but when the input has no color space data, the value in colorSpace will be used. Choose fallback if your input is sometimes missing color space data, but when it does have color space data, that data is correct. force means to always use the value in colorSpace. Choose force if your input usually has no color space data or might have unreliable color space data.', ], ], 'VideoSelectorPid' => [ 'base' => NULL, 'refs' => [ 'VideoSelectorSettings$VideoSelectorPid' => NULL, ], ], 'VideoSelectorProgramId' => [ 'base' => NULL, 'refs' => [ 'VideoSelectorSettings$VideoSelectorProgramId' => NULL, ], ], 'VideoSelectorSettings' => [ 'base' => NULL, 'refs' => [ 'VideoSelector$SelectorSettings' => 'The video selector settings.', ], ], 'WebvttDestinationSettings' => [ 'base' => NULL, 'refs' => [ 'CaptionDestinationSettings$WebvttDestinationSettings' => NULL, ], ], '__double' => [ 'base' => NULL, 'refs' => [ 'AacSettings$Bitrate' => 'Average bitrate in bits/second. Valid values depend on rate control mode and profile.', 'AacSettings$SampleRate' => 'Sample rate in Hz. Valid values depend on rate control mode and profile.', 'Ac3Settings$Bitrate' => 'Average bitrate in bits/second. Valid bitrates depend on the coding mode.', 'Eac3Settings$Bitrate' => 'Average bitrate in bits/second. Valid bitrates depend on the coding mode.', 'Eac3Settings$LoRoCenterMixLevel' => 'Left only/Right only center mix level. Only used for 3/2 coding mode.', 'Eac3Settings$LoRoSurroundMixLevel' => 'Left only/Right only surround mix level. Only used for 3/2 coding mode.', 'Eac3Settings$LtRtCenterMixLevel' => 'Left total/Right total center mix level. Only used for 3/2 coding mode.', 'Eac3Settings$LtRtSurroundMixLevel' => 'Left total/Right total surround mix level. Only used for 3/2 coding mode.', 'Mp2Settings$Bitrate' => 'Average bitrate in bits/second.', 'Mp2Settings$SampleRate' => 'Sample rate in Hz.', ], ], '__doubleMin0' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$FragmentTime' => 'The length in seconds of each fragment. Only used with EBP markers.', 'M2tsSettings$NullPacketBitrate' => 'Value in bits per second of extra null packets to insert into the transport stream. This can be used if a downstream encryption system requires periodic null packets.', ], ], '__doubleMin1' => [ 'base' => NULL, 'refs' => [ 'H264Settings$GopSize' => 'GOP size (keyframe interval) in units of either frames or seconds per gopSizeUnits. Must be greater than zero.', 'M2tsSettings$SegmentationTime' => 'The length in seconds of each segment. Required unless markers is set to None_.', ], ], '__doubleMinNegative59Max0' => [ 'base' => NULL, 'refs' => [ 'AudioNormalizationSettings$TargetLkfs' => 'Target LKFS(loudness) to adjust volume to. If no value is entered, a default value will be used according to the chosen algorithm. The CALM Act (1770-1) recommends a target of -24 LKFS. The EBU R-128 specification (1770-2) recommends a target of -23 LKFS.', ], ], '__integer' => [ 'base' => NULL, 'refs' => [ 'BurnInDestinationSettings$ShadowXOffset' => 'Specifies the horizontal offset of the shadow relative to the captions in pixels. A value of -2 would result in a shadow offset 2 pixels to the left. All burn-in and DVB-Sub font settings must match.', 'BurnInDestinationSettings$ShadowYOffset' => 'Specifies the vertical offset of the shadow relative to the captions in pixels. A value of -2 would result in a shadow offset 2 pixels above the text. All burn-in and DVB-Sub font settings must match.', 'Channel$PipelinesRunningCount' => 'The number of currently healthy pipelines.', 'ChannelSummary$PipelinesRunningCount' => 'The number of currently healthy pipelines.', 'DvbSubDestinationSettings$ShadowXOffset' => 'Specifies the horizontal offset of the shadow relative to the captions in pixels. A value of -2 would result in a shadow offset 2 pixels to the left. All burn-in and DVB-Sub font settings must match.', 'DvbSubDestinationSettings$ShadowYOffset' => 'Specifies the vertical offset of the shadow relative to the captions in pixels. A value of -2 would result in a shadow offset 2 pixels above the text. All burn-in and DVB-Sub font settings must match.', 'H264Settings$FramerateDenominator' => 'Framerate denominator.', 'H264Settings$FramerateNumerator' => 'Framerate numerator - framerate is a fraction, e.g. 24000 / 1001 = 23.976 fps.', 'H264Settings$ParNumerator' => 'Pixel Aspect Ratio numerator.', 'VideoDescription$Height' => 'Output video height (in pixels). Leave blank to use source video height. If left blank, width must also be unspecified.', 'VideoDescription$Width' => 'Output video width (in pixels). Leave out to use source video width. If left out, height must also be left out. Display aspect ratio is always preserved by letterboxing or pillarboxing when necessary.', ], ], '__integerMin0' => [ 'base' => NULL, 'refs' => [ 'BurnInDestinationSettings$XPosition' => 'Specifies the horizontal position of the caption relative to the left side of the output in pixels. A value of 10 would result in the captions starting 10 pixels from the left of the output. If no explicit xPosition is provided, the horizontal caption position will be determined by the alignment parameter. All burn-in and DVB-Sub font settings must match.', 'BurnInDestinationSettings$YPosition' => 'Specifies the vertical position of the caption relative to the top of the output in pixels. A value of 10 would result in the captions starting 10 pixels from the top of the output. If no explicit yPosition is provided, the caption will be positioned towards the bottom of the output. All burn-in and DVB-Sub font settings must match.', 'DvbSubDestinationSettings$XPosition' => 'Specifies the horizontal position of the caption relative to the left side of the output in pixels. A value of 10 would result in the captions starting 10 pixels from the left of the output. If no explicit xPosition is provided, the horizontal caption position will be determined by the alignment parameter. This option is not valid for source captions that are STL, 608/embedded or teletext. These source settings are already pre-defined by the caption stream. All burn-in and DVB-Sub font settings must match.', 'DvbSubDestinationSettings$YPosition' => 'Specifies the vertical position of the caption relative to the top of the output in pixels. A value of 10 would result in the captions starting 10 pixels from the top of the output. If no explicit yPosition is provided, the caption will be positioned towards the bottom of the output. This option is not valid for source captions that are STL, 608/embedded or teletext. These source settings are already pre-defined by the caption stream. All burn-in and DVB-Sub font settings must match.', 'H264Settings$BufSize' => 'Size of buffer (HRD buffer model) in bits/second.', 'H264Settings$GopClosedCadence' => 'Frequency of closed GOPs. In streaming applications, it is recommended that this be set to 1 so a decoder joining mid-stream will receive an IDR frame as quickly as possible. Setting this value to 0 will break output segmenting.', 'HlsAkamaiSettings$ConnectionRetryInterval' => 'Number of seconds to wait before retrying connection to the CDN if the connection is lost.', 'HlsAkamaiSettings$NumRetries' => 'Number of retry attempts that will be made before the Live Event is put into an error state.', 'HlsBasicPutSettings$ConnectionRetryInterval' => 'Number of seconds to wait before retrying connection to the CDN if the connection is lost.', 'HlsBasicPutSettings$NumRetries' => 'Number of retry attempts that will be made before the Live Event is put into an error state.', 'HlsGroupSettings$MinSegmentLength' => 'When set, minimumSegmentLength is enforced by looking ahead and back within the specified range for a nearby avail and extending the segment size if needed.', 'HlsGroupSettings$TimedMetadataId3Period' => 'Timed Metadata interval in seconds.', 'HlsGroupSettings$TimestampDeltaMilliseconds' => 'Provides an extra millisecond delta offset to fine tune the timestamps.', 'HlsInputSettings$Bandwidth' => 'When specified the HLS stream with the m3u8 BANDWIDTH that most closely matches this value will be chosen, otherwise the highest bandwidth stream in the m3u8 will be chosen. The bitrate is specified in bits per second, as in an HLS manifest.', 'HlsInputSettings$BufferSegments' => 'When specified, reading of the HLS input will begin this many buffer segments from the end (most recently written segment). When not specified, the HLS input will begin with the first segment specified in the m3u8.', 'HlsInputSettings$Retries' => 'The number of consecutive times that attempts to read a manifest or segment must fail before the input is considered unavailable.', 'HlsInputSettings$RetryInterval' => 'The number of seconds between retries when an attempt to read a manifest or segment fails.', 'HlsMediaStoreSettings$ConnectionRetryInterval' => 'Number of seconds to wait before retrying connection to the CDN if the connection is lost.', 'HlsMediaStoreSettings$NumRetries' => 'Number of retry attempts that will be made before the Live Event is put into an error state.', 'HlsWebdavSettings$ConnectionRetryInterval' => 'Number of seconds to wait before retrying connection to the CDN if the connection is lost.', 'HlsWebdavSettings$NumRetries' => 'Number of retry attempts that will be made before the Live Event is put into an error state.', 'M2tsSettings$AudioFramesPerPes' => 'The number of audio frames to insert for each PES packet.', 'M2tsSettings$Bitrate' => 'The output bitrate of the transport stream in bits per second. Setting to 0 lets the muxer automatically determine the appropriate bitrate.', 'M3u8Settings$AudioFramesPerPes' => 'The number of audio frames to insert for each PES packet.', 'MsSmoothGroupSettings$ConnectionRetryInterval' => 'Number of seconds to wait before retrying connection to the IIS server if the connection is lost. Content will be cached during this time and the cache will be be delivered to the IIS server once the connection is re-established.', 'MsSmoothGroupSettings$FilecacheDuration' => 'Size in seconds of file cache for streaming outputs.', 'MsSmoothGroupSettings$NumRetries' => 'Number of retry attempts.', 'MsSmoothGroupSettings$RestartDelay' => 'Number of seconds before initiating a restart due to output failure, due to exhausting the numRetries on one segment, or exceeding filecacheDuration.', 'UdpGroupSettings$TimedMetadataId3Period' => 'Timed Metadata interval in seconds.', ], ], '__integerMin0Max10' => [ 'base' => NULL, 'refs' => [ 'BurnInDestinationSettings$OutlineSize' => 'Specifies font outline size in pixels. This option is not valid for source captions that are either 608/embedded or teletext. These source settings are already pre-defined by the caption stream. All burn-in and DVB-Sub font settings must match.', 'DvbSubDestinationSettings$OutlineSize' => 'Specifies font outline size in pixels. This option is not valid for source captions that are either 608/embedded or teletext. These source settings are already pre-defined by the caption stream. All burn-in and DVB-Sub font settings must match.', ], ], '__integerMin0Max100' => [ 'base' => NULL, 'refs' => [ 'H264Settings$BufFillPct' => 'Percentage of the buffer that should initially be filled (HRD buffer model).', 'VideoDescription$Sharpness' => 'Changes the width of the anti-alias filter kernel used for scaling. Only applies if scaling is being performed and antiAlias is set to true. 0 is the softest setting, 100 the sharpest, and 50 recommended for most content.', ], ], '__integerMin0Max1000' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$PatInterval' => 'The number of milliseconds between instances of this table in the output transport stream. Valid values are 0, 10..1000.', 'M2tsSettings$PmtInterval' => 'The number of milliseconds between instances of this table in the output transport stream. Valid values are 0, 10..1000.', 'M3u8Settings$PatInterval' => 'The number of milliseconds between instances of this table in the output transport stream. A value of \\"0\\" writes out the PMT once per segment file.', 'M3u8Settings$PmtInterval' => 'The number of milliseconds between instances of this table in the output transport stream. A value of \\"0\\" writes out the PMT once per segment file.', ], ], '__integerMin0Max10000' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$EbpLookaheadMs' => 'When set, enforces that Encoder Boundary Points do not come within the specified time interval of each other by looking ahead at input video. If another EBP is going to come in within the specified time interval, the current EBP is not emitted, and the segment is "stretched" to the next marker. The lookahead value does not add latency to the system. The Live Event must be configured elsewhere to create sufficient latency to make the lookahead accurate.', 'MsSmoothGroupSettings$SendDelayMs' => 'Outputs that are "output locked" can use this delay. Assign a delay to the output that is "secondary". Do not assign a delay to the "primary" output. The delay means that the primary output will always reach the downstream system before the secondary, which helps ensure that the downstream system always uses the primary output. (If there were no delay, the downstream system might flip-flop between whichever output happens to arrive first.) If the primary fails, the downstream system will switch to the secondary output. When the primary is restarted, the downstream system will switch back to the primary (because once again it is always arriving first)', 'UdpOutputSettings$BufferMsec' => 'UDP output buffering in milliseconds. Larger values increase latency through the transcoder but simultaneously assist the transcoder in maintaining a constant, low-jitter UDP/RTP output while accommodating clock recovery, input switching, input disruptions, picture reordering, etc.', ], ], '__integerMin0Max1000000' => [ 'base' => NULL, 'refs' => [ 'InputLossBehavior$BlackFrameMsec' => 'On input loss, the number of milliseconds to substitute black into the output before switching to the frame specified by inputLossImageType. A value x, where 0 <= x <= 1,000,000 and a value of 1,000,000 will be interpreted as infinite.', 'InputLossBehavior$RepeatFrameMsec' => 'On input loss, the number of milliseconds to repeat the previous picture before substituting black into the output. A value x, where 0 <= x <= 1,000,000 and a value of 1,000,000 will be interpreted as infinite.', ], ], '__integerMin0Max128' => [ 'base' => NULL, 'refs' => [ 'H264Settings$Softness' => 'Softness. Selects quantizer matrix, larger values reduce high-frequency content in the encoded image.', ], ], '__integerMin0Max15' => [ 'base' => NULL, 'refs' => [ 'HlsAkamaiSettings$RestartDelay' => 'If a streaming output fails, number of seconds to wait until a restart is initiated. A value of 0 means never restart.', 'HlsBasicPutSettings$RestartDelay' => 'If a streaming output fails, number of seconds to wait until a restart is initiated. A value of 0 means never restart.', 'HlsMediaStoreSettings$RestartDelay' => 'If a streaming output fails, number of seconds to wait until a restart is initiated. A value of 0 means never restart.', 'HlsWebdavSettings$RestartDelay' => 'If a streaming output fails, number of seconds to wait until a restart is initiated. A value of 0 means never restart.', 'InputChannelLevel$InputChannel' => 'The index of the input channel used as a source.', ], ], '__integerMin0Max255' => [ 'base' => NULL, 'refs' => [ 'BurnInDestinationSettings$BackgroundOpacity' => 'Specifies the opacity of the background rectangle. 255 is opaque; 0 is transparent. Leaving this parameter out is equivalent to setting it to 0 (transparent). All burn-in and DVB-Sub font settings must match.', 'BurnInDestinationSettings$FontOpacity' => 'Specifies the opacity of the burned-in captions. 255 is opaque; 0 is transparent. All burn-in and DVB-Sub font settings must match.', 'BurnInDestinationSettings$ShadowOpacity' => 'Specifies the opacity of the shadow. 255 is opaque; 0 is transparent. Leaving this parameter out is equivalent to setting it to 0 (transparent). All burn-in and DVB-Sub font settings must match.', 'DvbSubDestinationSettings$BackgroundOpacity' => 'Specifies the opacity of the background rectangle. 255 is opaque; 0 is transparent. Leaving this parameter blank is equivalent to setting it to 0 (transparent). All burn-in and DVB-Sub font settings must match.', 'DvbSubDestinationSettings$FontOpacity' => 'Specifies the opacity of the burned-in captions. 255 is opaque; 0 is transparent. All burn-in and DVB-Sub font settings must match.', 'DvbSubDestinationSettings$ShadowOpacity' => 'Specifies the opacity of the shadow. 255 is opaque; 0 is transparent. Leaving this parameter blank is equivalent to setting it to 0 (transparent). All burn-in and DVB-Sub font settings must match.', ], ], '__integerMin0Max30' => [ 'base' => NULL, 'refs' => [ 'H264Settings$MinIInterval' => 'Only meaningful if sceneChangeDetect is set to enabled. Enforces separation between repeated (cadence) I-frames and I-frames inserted by Scene Change Detection. If a scene change I-frame is within I-interval frames of a cadence I-frame, the GOP is shrunk and/or stretched to the scene change I-frame. GOP stretch requires enabling lookahead as well as setting I-interval. The normal cadence resumes for the next GOP. Note: Maximum GOP stretch = GOP size + Min-I-interval - 1', ], ], '__integerMin0Max3600' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$ProgramDateTimePeriod' => 'Period of insertion of EXT-X-PROGRAM-DATE-TIME entry, in seconds.', ], ], '__integerMin0Max500' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$PcrPeriod' => 'Maximum time in milliseconds between Program Clock Reference (PCRs) inserted into the transport stream.', 'M3u8Settings$PcrPeriod' => 'Maximum time in milliseconds between Program Clock References (PCRs) inserted into the transport stream.', ], ], '__integerMin0Max600' => [ 'base' => NULL, 'refs' => [ 'HlsAkamaiSettings$FilecacheDuration' => 'Size in seconds of file cache for streaming outputs.', 'HlsBasicPutSettings$FilecacheDuration' => 'Size in seconds of file cache for streaming outputs.', 'HlsMediaStoreSettings$FilecacheDuration' => 'Size in seconds of file cache for streaming outputs.', 'HlsWebdavSettings$FilecacheDuration' => 'Size in seconds of file cache for streaming outputs.', ], ], '__integerMin0Max65535' => [ 'base' => NULL, 'refs' => [ 'M2tsSettings$ProgramNum' => 'The value of the program number field in the Program Map Table.', 'M2tsSettings$TransportStreamId' => 'The value of the transport stream ID field in the Program Map Table.', 'M3u8Settings$ProgramNum' => 'The value of the program number field in the Program Map Table.', 'M3u8Settings$TransportStreamId' => 'The value of the transport stream ID field in the Program Map Table.', ], ], '__integerMin0Max65536' => [ 'base' => NULL, 'refs' => [ 'DvbNitSettings$NetworkId' => 'The numeric value placed in the Network Information Table (NIT).', 'VideoSelectorProgramId$ProgramId' => 'Selects a specific program from within a multi-program transport stream. If the program doesn\'t exist, the first program within the transport stream will be selected by default.', ], ], '__integerMin0Max7' => [ 'base' => NULL, 'refs' => [ 'AudioChannelMapping$OutputChannel' => 'The index of the output channel being produced.', 'H264Settings$GopNumBFrames' => 'Number of B-frames between reference frames.', ], ], '__integerMin0Max8191' => [ 'base' => NULL, 'refs' => [ 'AudioPidSelection$Pid' => 'Selects a specific PID from within a source.', 'VideoSelectorPid$Pid' => 'Selects a specific PID from within a video source.', ], ], '__integerMin1' => [ 'base' => NULL, 'refs' => [ 'ArchiveGroupSettings$RolloverInterval' => 'Number of seconds to write to archive file before closing and starting a new one.', 'DvbSubSourceSettings$Pid' => 'When using DVB-Sub with Burn-In or SMPTE-TT, use this PID for the source content. Unused for DVB-Sub passthrough. All DVB-Sub content is passed through, regardless of selectors.', 'H264Settings$ParDenominator' => 'Pixel Aspect Ratio denominator.', 'HlsGroupSettings$KeepSegments' => 'If mode is "live", the number of TS segments to retain in the destination directory. If mode is "vod", this parameter has no effect.', 'HlsGroupSettings$SegmentLength' => 'Length of MPEG-2 Transport Stream segments to create (in seconds). Note that segments will end on the next keyframe after this number of seconds, so actual segment length may be longer.', 'HlsGroupSettings$SegmentsPerSubdirectory' => 'Number of segments to write to a subdirectory before starting a new one. directoryStructure must be subdirectoryPerStream for this setting to have an effect.', 'MsSmoothGroupSettings$FragmentLength' => 'Length of mp4 fragments to generate (in seconds). Fragment length must be compatible with GOP size and framerate.', 'Scte27SourceSettings$Pid' => 'The pid field is used in conjunction with the caption selector languageCode field as follows: - Specify PID and Language: Extracts captions from that PID; the language is "informational". - Specify PID and omit Language: Extracts the specified PID. - Omit PID and specify Language: Extracts the specified language, whichever PID that happens to be. - Omit PID and omit Language: Valid only if source is DVB-Sub that is being passed through; all languages will be passed through.', ], ], '__integerMin1000' => [ 'base' => NULL, 'refs' => [ 'H264Settings$Bitrate' => 'Average bitrate in bits/second. Required for VBR, CBR, and ABR. For MS Smooth outputs, bitrates must be unique when rounded down to the nearest multiple of 1000.', 'H264Settings$MaxBitrate' => 'Maximum bitrate in bits/second (for VBR mode only).', ], ], '__integerMin1000Max30000' => [ 'base' => NULL, 'refs' => [ 'DvbTdtSettings$RepInterval' => 'The number of milliseconds between instances of this table in the output transport stream.', ], ], '__integerMin1Max1000000' => [ 'base' => NULL, 'refs' => [ 'TimecodeConfig$SyncThreshold' => 'Threshold in frames beyond which output timecode is resynchronized to the input timecode. Discrepancies below this threshold are permitted to avoid unnecessary discontinuities in the output timecode. No timecode sync when this is not specified.', ], ], '__integerMin1Max16' => [ 'base' => NULL, 'refs' => [ 'RemixSettings$ChannelsIn' => 'Number of input channels to be used.', ], ], '__integerMin1Max20' => [ 'base' => NULL, 'refs' => [ 'FecOutputSettings$RowLength' => 'Parameter L from SMPTE 2022-1. The width of the FEC protection matrix. Must be between 1 and 20, inclusive. If only Column FEC is used, then larger values increase robustness. If Row FEC is used, then this is the number of transport stream packets per row error correction packet, and the value must be between 4 and 20, inclusive, if includeFec is columnAndRow. If includeFec is column, this value must be 1 to 20, inclusive.', ], ], '__integerMin1Max31' => [ 'base' => NULL, 'refs' => [ 'Ac3Settings$Dialnorm' => 'Sets the dialnorm for the output. If excluded and input audio is Dolby Digital, dialnorm will be passed through.', 'Eac3Settings$Dialnorm' => 'Sets the dialnorm for the output. If blank and input audio is Dolby Digital Plus, dialnorm will be passed through.', ], ], '__integerMin1Max32' => [ 'base' => NULL, 'refs' => [ 'H264Settings$Slices' => 'Number of slices per picture. Must be less than or equal to the number of macroblock rows for progressive pictures, and less than or equal to half the number of macroblock rows for interlaced pictures.This field is optional; when no value is specified the encoder will choose the number of slices based on encode resolution.', ], ], '__integerMin1Max4' => [ 'base' => NULL, 'refs' => [ 'CaptionLanguageMapping$CaptionChannel' => 'The closed caption channel being described by this CaptionLanguageMapping. Each channel mapping must have a unique channel number (maximum of 4)', 'EmbeddedSourceSettings$Source608ChannelNumber' => 'Specifies the 608/708 channel number within the video track from which to extract captions. Unused for passthrough.', 'Scte20SourceSettings$Source608ChannelNumber' => 'Specifies the 608/708 channel number within the video track from which to extract captions. Unused for passthrough.', ], ], '__integerMin1Max5' => [ 'base' => NULL, 'refs' => [ 'EmbeddedSourceSettings$Source608TrackNumber' => 'This field is unused and deprecated.', 'InputSettings$FilterStrength' => 'Adjusts the magnitude of filtering from 1 (minimal) to 5 (strongest).', ], ], '__integerMin1Max6' => [ 'base' => NULL, 'refs' => [ 'H264Settings$NumRefFrames' => 'Number of reference frames to use. The encoder may use more than requested if using B-frames and/or interlaced encoding.', ], ], '__integerMin1Max8' => [ 'base' => NULL, 'refs' => [ 'RemixSettings$ChannelsOut' => 'Number of output channels to be produced.Valid values: 1, 2, 4, 6, 8', ], ], '__integerMin25Max10000' => [ 'base' => NULL, 'refs' => [ 'DvbNitSettings$RepInterval' => 'The number of milliseconds between instances of this table in the output transport stream.', ], ], '__integerMin25Max2000' => [ 'base' => NULL, 'refs' => [ 'DvbSdtSettings$RepInterval' => 'The number of milliseconds between instances of this table in the output transport stream.', ], ], '__integerMin3' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$IndexNSegments' => 'If mode is "live", the number of segments to retain in the manifest (.m3u8) file. This number must be less than or equal to keepSegments. If mode is "vod", this parameter has no effect.', ], ], '__integerMin4Max20' => [ 'base' => NULL, 'refs' => [ 'FecOutputSettings$ColumnDepth' => 'Parameter D from SMPTE 2022-1. The height of the FEC protection matrix. The number of transport stream packets per column error correction packet. Must be between 4 and 20, inclusive.', ], ], '__integerMin96Max600' => [ 'base' => NULL, 'refs' => [ 'BurnInDestinationSettings$FontResolution' => 'Font resolution in DPI (dots per inch); default is 96 dpi. All burn-in and DVB-Sub font settings must match.', 'DvbSubDestinationSettings$FontResolution' => 'Font resolution in DPI (dots per inch); default is 96 dpi. All burn-in and DVB-Sub font settings must match.', ], ], '__integerMinNegative1000Max1000' => [ 'base' => NULL, 'refs' => [ 'Scte35SpliceInsert$AdAvailOffset' => 'When specified, this offset (in milliseconds) is added to the input Ad Avail PTS time. This only applies to embedded SCTE 104/35 messages and does not apply to OOB messages.', 'Scte35TimeSignalApos$AdAvailOffset' => 'When specified, this offset (in milliseconds) is added to the input Ad Avail PTS time. This only applies to embedded SCTE 104/35 messages and does not apply to OOB messages.', ], ], '__integerMinNegative60Max6' => [ 'base' => NULL, 'refs' => [ 'InputChannelLevel$Gain' => 'Remixing value. Units are in dB and acceptable values are within the range from -60 (mute) and 6 dB.', ], ], '__integerMinNegative60Max60' => [ 'base' => NULL, 'refs' => [ 'GlobalConfiguration$InitialAudioGain' => 'Value to set the initial audio gain for the Live Event.', ], ], '__listOfAudioChannelMapping' => [ 'base' => NULL, 'refs' => [ 'RemixSettings$ChannelMappings' => 'Mapping of input channels to output channels, with appropriate gain adjustments.', ], ], '__listOfAudioDescription' => [ 'base' => NULL, 'refs' => [ 'EncoderSettings$AudioDescriptions' => NULL, ], ], '__listOfAudioSelector' => [ 'base' => NULL, 'refs' => [ 'InputSettings$AudioSelectors' => 'Used to select the audio stream to decode for inputs that have multiple available.', ], ], '__listOfCaptionDescription' => [ 'base' => NULL, 'refs' => [ 'EncoderSettings$CaptionDescriptions' => 'Settings for caption decriptions', ], ], '__listOfCaptionLanguageMapping' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$CaptionLanguageMappings' => 'Mapping of up to 4 caption channels to caption languages. Is only meaningful if captionLanguageSetting is set to "insert".', ], ], '__listOfCaptionSelector' => [ 'base' => NULL, 'refs' => [ 'InputSettings$CaptionSelectors' => 'Used to select the caption input to use for inputs that have multiple available.', ], ], '__listOfChannelEgressEndpoint' => [ 'base' => NULL, 'refs' => [ 'Channel$EgressEndpoints' => 'The endpoints where outgoing connections initiate from', 'ChannelSummary$EgressEndpoints' => 'The endpoints where outgoing connections initiate from', ], ], '__listOfChannelSummary' => [ 'base' => NULL, 'refs' => [ 'ListChannelsResultModel$Channels' => NULL, ], ], '__listOfHlsAdMarkers' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$AdMarkers' => 'Choose one or more ad marker types to pass SCTE35 signals through to this group of Apple HLS outputs.', ], ], '__listOfInput' => [ 'base' => NULL, 'refs' => [ 'ListInputsResultModel$Inputs' => NULL, ], ], '__listOfInputAttachment' => [ 'base' => NULL, 'refs' => [ 'Channel$InputAttachments' => 'List of input attachments for channel.', 'ChannelSummary$InputAttachments' => 'List of input attachments for channel.', 'CreateChannel$InputAttachments' => 'List of input attachments for channel.', 'UpdateChannel$InputAttachments' => NULL, ], ], '__listOfInputChannelLevel' => [ 'base' => NULL, 'refs' => [ 'AudioChannelMapping$InputChannelLevels' => 'Indices and gain values for each input channel that should be remixed into this output channel.', ], ], '__listOfInputDestination' => [ 'base' => NULL, 'refs' => [ 'Input$Destinations' => 'A list of the destinations of the input (PUSH-type).', ], ], '__listOfInputDestinationRequest' => [ 'base' => NULL, 'refs' => [ 'CreateInput$Destinations' => 'Destination settings for PUSH type inputs.', 'UpdateInput$Destinations' => 'Destination settings for PUSH type inputs.', ], ], '__listOfInputSecurityGroup' => [ 'base' => NULL, 'refs' => [ 'ListInputSecurityGroupsResultModel$InputSecurityGroups' => 'List of input security groups', ], ], '__listOfInputSource' => [ 'base' => NULL, 'refs' => [ 'Input$Sources' => 'A list of the sources of the input (PULL-type).', ], ], '__listOfInputSourceRequest' => [ 'base' => NULL, 'refs' => [ 'CreateInput$Sources' => 'The source URLs for a PULL-type input. Every PULL type input needsexactly two source URLs for redundancy.Only specify sources for PULL type Inputs. Leave Destinations empty.', 'UpdateInput$Sources' => 'The source URLs for a PULL-type input. Every PULL type input needsexactly two source URLs for redundancy.Only specify sources for PULL type Inputs. Leave Destinations empty.', ], ], '__listOfInputWhitelistRule' => [ 'base' => NULL, 'refs' => [ 'InputSecurityGroup$WhitelistRules' => 'Whitelist rules and their sync status', ], ], '__listOfInputWhitelistRuleCidr' => [ 'base' => NULL, 'refs' => [ 'InputSecurityGroupWhitelistRequest$WhitelistRules' => 'List of IPv4 CIDR addresses to whitelist', ], ], '__listOfOutput' => [ 'base' => NULL, 'refs' => [ 'OutputGroup$Outputs' => NULL, ], ], '__listOfOutputDestination' => [ 'base' => NULL, 'refs' => [ 'Channel$Destinations' => 'A list of destinations of the channel. For UDP outputs, there is onedestination per output. For other types (HLS, for example), there isone destination per packager.', 'ChannelSummary$Destinations' => 'A list of destinations of the channel. For UDP outputs, there is onedestination per output. For other types (HLS, for example), there isone destination per packager.', 'CreateChannel$Destinations' => NULL, 'UpdateChannel$Destinations' => 'A list of output destinations for this channel.', ], ], '__listOfOutputDestinationSettings' => [ 'base' => NULL, 'refs' => [ 'OutputDestination$Settings' => 'Destination settings for output; one for each redundant encoder.', ], ], '__listOfOutputGroup' => [ 'base' => NULL, 'refs' => [ 'EncoderSettings$OutputGroups' => NULL, ], ], '__listOfValidationError' => [ 'base' => NULL, 'refs' => [ 'ChannelConfigurationValidationError$ValidationErrors' => 'A collection of validation error responses from attempting to create a channel with a bouquet of settings.', ], ], '__listOfVideoDescription' => [ 'base' => NULL, 'refs' => [ 'EncoderSettings$VideoDescriptions' => NULL, ], ], '__listOf__string' => [ 'base' => NULL, 'refs' => [ 'CreateInput$InputSecurityGroups' => 'A list of security groups referenced by IDs to attach to the input.', 'Input$AttachedChannels' => 'A list of channel IDs that that input is attached to (currently an input can only be attached to one channel).', 'Input$SecurityGroups' => 'A list of IDs for all the security groups attached to the input.', 'InputSecurityGroup$Inputs' => 'The list of inputs currently using this Input Security Group.', 'Output$AudioDescriptionNames' => 'The names of the AudioDescriptions used as audio sources for this output.', 'Output$CaptionDescriptionNames' => 'The names of the CaptionDescriptions used as caption sources for this output.', 'UpdateInput$InputSecurityGroups' => 'A list of security groups referenced by IDs to attach to the input.', ], ], '__string' => [ 'base' => NULL, 'refs' => [ 'AccessDenied$Message' => NULL, 'ArchiveOutputSettings$Extension' => 'Output file extension. If excluded, this will be auto-selected from the container type.', 'ArchiveOutputSettings$NameModifier' => 'String concatenated to the end of the destination filename. Required for multiple outputs of the same type.', 'AudioDescription$AudioSelectorName' => 'The name of the AudioSelector used as the source for this AudioDescription.', 'AudioDescription$Name' => 'The name of this AudioDescription. Outputs will use this name to uniquely identify this AudioDescription. Description names should be unique within this Live Event.', 'AudioDescription$StreamName' => 'Used for MS Smooth and Apple HLS outputs. Indicates the name displayed by the player (eg. English, or Director Commentary).', 'AudioLanguageSelection$LanguageCode' => 'Selects a specific three-letter language code from within an audio source.', 'AudioOnlyHlsSettings$AudioGroupId' => 'Specifies the group to which the audio Rendition belongs.', 'AudioSelector$Name' => 'The name of this AudioSelector. AudioDescriptions will use this name to uniquely identify this Selector. Selector names should be unique per input.', 'BadGatewayException$Message' => NULL, 'BurnInDestinationSettings$FontSize' => 'When set to \'auto\' fontSize will scale depending on the size of the output. Giving a positive integer will specify the exact font size in points. All burn-in and DVB-Sub font settings must match.', 'CaptionDescription$CaptionSelectorName' => 'Specifies which input caption selector to use as a caption source when generating output captions. This field should match a captionSelector name.', 'CaptionDescription$LanguageCode' => 'ISO 639-2 three-digit code: http://www.loc.gov/standards/iso639-2/', 'CaptionDescription$LanguageDescription' => 'Human readable information to indicate captions available for players (eg. English, or Spanish).', 'CaptionDescription$Name' => 'Name of the caption description. Used to associate a caption description with an output. Names must be unique within an event.', 'CaptionSelector$LanguageCode' => 'When specified this field indicates the three letter language code of the caption track to extract from the source.', 'CaptionSelector$Name' => 'Name identifier for a caption selector. This name is used to associate this caption selector with one or more caption descriptions. Names must be unique within an event.', 'Channel$Arn' => 'The unique arn of the channel.', 'Channel$Id' => 'The unique id of the channel.', 'Channel$Name' => 'The name of the channel. (user-mutable)', 'Channel$RoleArn' => 'The Amazon Resource Name (ARN) of the role assumed when running the Channel.', 'ChannelConfigurationValidationError$Message' => NULL, 'ChannelEgressEndpoint$SourceIp' => 'Public IP of where a channel\'s output comes from', 'ChannelSummary$Arn' => 'The unique arn of the channel.', 'ChannelSummary$Id' => 'The unique id of the channel.', 'ChannelSummary$Name' => 'The name of the channel. (user-mutable)', 'ChannelSummary$RoleArn' => 'The Amazon Resource Name (ARN) of the role assumed when running the Channel.', 'CreateChannel$Name' => 'Name of channel.', 'CreateChannel$RequestId' => 'Unique request ID to be specified. This is needed to prevent retries fromcreating multiple resources.', 'CreateChannel$Reserved' => 'Deprecated field that\'s only usable by whitelisted customers.', 'CreateChannel$RoleArn' => 'An optional Amazon Resource Name (ARN) of the role to assume when running the Channel.', 'CreateInput$Name' => 'Name of the input.', 'CreateInput$RequestId' => 'Unique identifier of the request to ensure the request is handledexactly once in case of retries.', 'DvbSubDestinationSettings$FontSize' => 'When set to auto fontSize will scale depending on the size of the output. Giving a positive integer will specify the exact font size in points. All burn-in and DVB-Sub font settings must match.', 'GatewayTimeoutException$Message' => NULL, 'HlsAkamaiSettings$Salt' => 'Salt for authenticated Akamai.', 'HlsAkamaiSettings$Token' => 'Token parameter for authenticated akamai. If not specified, _gda_ is used.', 'HlsGroupSettings$BaseUrlContent' => 'A partial URI prefix that will be prepended to each output in the media .m3u8 file. Can be used if base manifest is delivered from a different URL than the main .m3u8 file.', 'HlsGroupSettings$BaseUrlManifest' => 'A partial URI prefix that will be prepended to each output in the media .m3u8 file. Can be used if base manifest is delivered from a different URL than the main .m3u8 file.', 'HlsGroupSettings$KeyFormat' => 'The value specifies how the key is represented in the resource identified by the URI. If parameter is absent, an implicit value of "identity" is used. A reverse DNS string can also be given.', 'HlsGroupSettings$KeyFormatVersions' => 'Either a single positive integer version value or a slash delimited list of version values (1/2/3).', 'HlsOutputSettings$SegmentModifier' => 'String concatenated to end of segment filenames.', 'Input$Arn' => 'The Unique ARN of the input (generated, immutable).', 'Input$Id' => 'The generated ID of the input (unique for user account, immutable).', 'Input$Name' => 'The user-assigned name (This is a mutable value).', 'InputAttachment$InputId' => 'The ID of the input', 'InputDestination$Ip' => 'The system-generated static IP address of endpoint.It remains fixed for the lifetime of the input.', 'InputDestination$Port' => 'The port number for the input.', 'InputDestination$Url' => 'This represents the endpoint that the customer stream will bepushed to.', 'InputDestinationRequest$StreamName' => 'A unique name for the location the RTMP stream is being pushedto.', 'InputLocation$PasswordParam' => 'key used to extract the password from EC2 Parameter store', 'InputLocation$Uri' => 'Uniform Resource Identifier - This should be a path to a file accessible to the Live system (eg. a http:// URI) depending on the output type. For example, a rtmpEndpoint should have a uri simliar to: "rtmp://fmsserver/live".', 'InputLocation$Username' => 'Username if credentials are required to access a file or publishing point. This can be either a plaintext username, or a reference to an AWS parameter store name from which the username can be retrieved. AWS Parameter store format: "ssm://<parameter name>"', 'InputSecurityGroup$Arn' => 'Unique ARN of Input Security Group', 'InputSecurityGroup$Id' => 'The Id of the Input Security Group', 'InputSource$PasswordParam' => 'The key used to extract the password from EC2 Parameter store.', 'InputSource$Url' => 'This represents the customer\'s source URL where stream ispulled from.', 'InputSource$Username' => 'The username for the input source.', 'InputSourceRequest$PasswordParam' => 'The key used to extract the password from EC2 Parameter store.', 'InputSourceRequest$Url' => 'This represents the customer\'s source URL where stream ispulled from.', 'InputSourceRequest$Username' => 'The username for the input source.', 'InputWhitelistRule$Cidr' => 'The IPv4 CIDR that\'s whitelisted.', 'InputWhitelistRuleCidr$Cidr' => 'The IPv4 CIDR to whitelist.', 'InternalServiceError$Message' => NULL, 'InvalidRequest$Message' => NULL, 'LimitExceeded$Message' => NULL, 'ListChannelsResultModel$NextToken' => NULL, 'ListInputSecurityGroupsResultModel$NextToken' => NULL, 'ListInputsResultModel$NextToken' => NULL, 'M2tsSettings$AribCaptionsPid' => 'Packet Identifier (PID) for ARIB Captions in the transport stream. Can be entered as a decimal or hexadecimal value. Valid values are 32 (or 0x20)..8182 (or 0x1ff6).', 'M2tsSettings$AudioPids' => 'Packet Identifier (PID) of the elementary audio stream(s) in the transport stream. Multiple values are accepted, and can be entered in ranges and/or by comma separation. Can be entered as decimal or hexadecimal values. Each PID specified must be in the range of 32 (or 0x20)..8182 (or 0x1ff6).', 'M2tsSettings$DvbSubPids' => 'Packet Identifier (PID) for input source DVB Subtitle data to this output. Multiple values are accepted, and can be entered in ranges and/or by comma separation. Can be entered as decimal or hexadecimal values. Each PID specified must be in the range of 32 (or 0x20)..8182 (or 0x1ff6).', 'M2tsSettings$DvbTeletextPid' => 'Packet Identifier (PID) for input source DVB Teletext data to this output. Can be entered as a decimal or hexadecimal value. Valid values are 32 (or 0x20)..8182 (or 0x1ff6).', 'M2tsSettings$EcmPid' => 'This field is unused and deprecated.', 'M2tsSettings$EtvPlatformPid' => 'Packet Identifier (PID) for input source ETV Platform data to this output. Can be entered as a decimal or hexadecimal value. Valid values are 32 (or 0x20)..8182 (or 0x1ff6).', 'M2tsSettings$EtvSignalPid' => 'Packet Identifier (PID) for input source ETV Signal data to this output. Can be entered as a decimal or hexadecimal value. Valid values are 32 (or 0x20)..8182 (or 0x1ff6).', 'M2tsSettings$KlvDataPids' => 'Packet Identifier (PID) for input source KLV data to this output. Multiple values are accepted, and can be entered in ranges and/or by comma separation. Can be entered as decimal or hexadecimal values. Each PID specified must be in the range of 32 (or 0x20)..8182 (or 0x1ff6).', 'M2tsSettings$PcrPid' => 'Packet Identifier (PID) of the Program Clock Reference (PCR) in the transport stream. When no value is given, the encoder will assign the same value as the Video PID. Can be entered as a decimal or hexadecimal value. Valid values are 32 (or 0x20)..8182 (or 0x1ff6).', 'M2tsSettings$PmtPid' => 'Packet Identifier (PID) for the Program Map Table (PMT) in the transport stream. Can be entered as a decimal or hexadecimal value. Valid values are 32 (or 0x20)..8182 (or 0x1ff6).', 'M2tsSettings$Scte27Pids' => 'Packet Identifier (PID) for input source SCTE-27 data to this output. Multiple values are accepted, and can be entered in ranges and/or by comma separation. Can be entered as decimal or hexadecimal values. Each PID specified must be in the range of 32 (or 0x20)..8182 (or 0x1ff6).', 'M2tsSettings$Scte35Pid' => 'Packet Identifier (PID) of the SCTE-35 stream in the transport stream. Can be entered as a decimal or hexadecimal value. Valid values are 32 (or 0x20)..8182 (or 0x1ff6).', 'M2tsSettings$TimedMetadataPid' => 'Packet Identifier (PID) of the timed metadata stream in the transport stream. Can be entered as a decimal or hexadecimal value. Valid values are 32 (or 0x20)..8182 (or 0x1ff6).', 'M2tsSettings$VideoPid' => 'Packet Identifier (PID) of the elementary video stream in the transport stream. Can be entered as a decimal or hexadecimal value. Valid values are 32 (or 0x20)..8182 (or 0x1ff6).', 'M3u8Settings$AudioPids' => 'Packet Identifier (PID) of the elementary audio stream(s) in the transport stream. Multiple values are accepted, and can be entered in ranges and/or by comma separation. Can be entered as decimal or hexadecimal values.', 'M3u8Settings$EcmPid' => 'This parameter is unused and deprecated.', 'M3u8Settings$PcrPid' => 'Packet Identifier (PID) of the Program Clock Reference (PCR) in the transport stream. When no value is given, the encoder will assign the same value as the Video PID. Can be entered as a decimal or hexadecimal value.', 'M3u8Settings$PmtPid' => 'Packet Identifier (PID) for the Program Map Table (PMT) in the transport stream. Can be entered as a decimal or hexadecimal value.', 'M3u8Settings$Scte35Pid' => 'Packet Identifier (PID) of the SCTE-35 stream in the transport stream. Can be entered as a decimal or hexadecimal value.', 'M3u8Settings$VideoPid' => 'Packet Identifier (PID) of the elementary video stream in the transport stream. Can be entered as a decimal or hexadecimal value.', 'MsSmoothGroupSettings$AcquisitionPointId' => 'The value of the "Acquisition Point Identity" element used in each message placed in the sparse track. Only enabled if sparseTrackType is not "none".', 'MsSmoothGroupSettings$EventId' => 'MS Smooth event ID to be sent to the IIS server.Should only be specified if eventIdMode is set to useConfigured.', 'MsSmoothGroupSettings$TimestampOffset' => 'Timestamp offset for the event. Only used if timestampOffsetMode is set to useConfiguredOffset.', 'MsSmoothOutputSettings$NameModifier' => 'String concatenated to the end of the destination filename. Required for multiple outputs of the same type.', 'Output$VideoDescriptionName' => 'The name of the VideoDescription used as the source for this output.', 'OutputDestination$Id' => 'User-specified id. This is used in an output group or an output.', 'OutputDestinationSettings$PasswordParam' => 'key used to extract the password from EC2 Parameter store', 'OutputDestinationSettings$Url' => 'A URL specifying a destination', 'OutputDestinationSettings$Username' => 'username for destination', 'OutputLocationRef$DestinationRefId' => NULL, 'ResourceConflict$Message' => NULL, 'ResourceNotFound$Message' => NULL, 'StandardHlsSettings$AudioRenditionSets' => 'List all the audio groups that are used with the video output stream. Input all the audio GROUP-IDs that are associated to the video, separate by \',\'.', 'TeletextSourceSettings$PageNumber' => 'Specifies the teletext page number within the data stream from which to extract captions. Range of 0x100 (256) to 0x8FF (2303). Unused for passthrough. Should be specified as a hexadecimal string with no "0x" prefix.', 'UpdateChannel$Name' => 'The name of the channel.', 'UpdateChannel$RoleArn' => 'An optional Amazon Resource Name (ARN) of the role to assume when running the Channel. If you do not specify this on an update call but the role was previously set that role will be removed.', 'UpdateInput$Name' => 'Name of the input.', 'ValidationError$ElementPath' => NULL, 'ValidationError$ErrorMessage' => NULL, 'VideoDescription$Name' => 'The name of this VideoDescription. Outputs will use this name to uniquely identify this Description. Description names should be unique within this Live Event.', '__listOf__string$member' => NULL, ], ], '__stringMax32' => [ 'base' => NULL, 'refs' => [ 'OutputGroup$Name' => 'Custom output group name optionally defined by the user. Only letters, numbers, and the underscore character allowed; only 32 characters allowed.', ], ], '__stringMin1' => [ 'base' => NULL, 'refs' => [ 'CaptionLanguageMapping$LanguageDescription' => 'Textual description of language', 'HlsOutputSettings$NameModifier' => 'String concatenated to the end of the destination filename. Accepts \\"Format Identifiers\\":#formatIdentifierParameters.', ], ], '__stringMin1Max255' => [ 'base' => NULL, 'refs' => [ 'Output$OutputName' => 'The name used to identify an output.', ], ], '__stringMin1Max256' => [ 'base' => NULL, 'refs' => [ 'DvbNitSettings$NetworkName' => 'The network name text placed in the networkNameDescriptor inside the Network Information Table. Maximum length is 256 characters.', 'DvbSdtSettings$ServiceName' => 'The service name placed in the serviceDescriptor in the Service Description Table. Maximum length is 256 characters.', 'DvbSdtSettings$ServiceProviderName' => 'The service provider name placed in the serviceDescriptor in the Service Description Table. Maximum length is 256 characters.', ], ], '__stringMin32Max32' => [ 'base' => NULL, 'refs' => [ 'HlsGroupSettings$ConstantIv' => 'For use with encryptionType. This is a 128-bit, 16-byte hex value represented by a 32-character text string. If ivSource is set to "explicit" then this parameter is required and is used as the IV for encryption.', 'StaticKeySettings$StaticKeyValue' => 'Static key value as a 32 character hexadecimal string.', ], ], '__stringMin34Max34' => [ 'base' => NULL, 'refs' => [ 'BlackoutSlate$NetworkId' => 'Provides Network ID that matches EIDR ID format (e.g., "10.XXXX/XXXX-XXXX-XXXX-XXXX-XXXX-C").', ], ], '__stringMin3Max3' => [ 'base' => NULL, 'refs' => [ 'AudioDescription$LanguageCode' => 'Indicates the language of the audio output track. Only used if languageControlMode is useConfigured, or there is no ISO 639 language code specified in the input.', 'CaptionLanguageMapping$LanguageCode' => 'Three character ISO 639-2 language code (see http://www.loc.gov/standards/iso639-2)', ], ], '__stringMin6Max6' => [ 'base' => NULL, 'refs' => [ 'InputLossBehavior$InputLossImageColor' => 'When input loss image type is "color" this field specifies the color to use. Value: 6 hex characters representing the values of RGB.', ], ], ],];
