<?php
// This file was auto-generated from sdk-root/src/data/mediastore/2017-09-01/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>An AWS Elemental MediaStore container is a namespace that holds folders and objects. You use a container endpoint to create, read, and delete objects. </p>', 'operations' => [ 'CreateContainer' => '<p>Creates a storage container to hold objects. A container is similar to a bucket in the Amazon S3 service.</p>', 'DeleteContainer' => '<p>Deletes the specified container. Before you make a <code>DeleteContainer</code> request, delete any objects in the container or in any folders in the container. You can delete only empty containers. </p>', 'DeleteContainerPolicy' => '<p>Deletes the access policy that is associated with the specified container.</p>', 'DeleteCorsPolicy' => '<p>Deletes the cross-origin resource sharing (CORS) configuration information that is set for the container.</p> <p>To use this operation, you must have permission to perform the <code>MediaStore:DeleteCorsPolicy</code> action. The container owner has this permission by default and can grant this permission to others.</p>', 'DescribeContainer' => '<p>Retrieves the properties of the requested container. This request is commonly used to retrieve the endpoint of a container. An endpoint is a value assigned by the service when a new container is created. A container\'s endpoint does not change after it has been assigned. The <code>DescribeContainer</code> request returns a single <code>Container</code> object based on <code>ContainerName</code>. To return all <code>Container</code> objects that are associated with a specified AWS account, use <a>ListContainers</a>.</p>', 'GetContainerPolicy' => '<p>Retrieves the access policy for the specified container. For information about the data that is included in an access policy, see the <a href="https://aws.amazon.com/documentation/iam/">AWS Identity and Access Management User Guide</a>.</p>', 'GetCorsPolicy' => '<p>Returns the cross-origin resource sharing (CORS) configuration information that is set for the container.</p> <p>To use this operation, you must have permission to perform the <code>MediaStore:GetCorsPolicy</code> action. By default, the container owner has this permission and can grant it to others.</p>', 'ListContainers' => '<p>Lists the properties of all containers in AWS Elemental MediaStore. </p> <p>You can query to receive all the containers in one response. Or you can include the <code>MaxResults</code> parameter to receive a limited number of containers in each response. In this case, the response includes a token. To get the next set of containers, send the command again, this time with the <code>NextToken</code> parameter (with the returned token as its value). The next set of responses appears, with a token if there are still more containers to receive. </p> <p>See also <a>DescribeContainer</a>, which gets the properties of one container. </p>', 'PutContainerPolicy' => '<p>Creates an access policy for the specified container to restrict the users and clients that can access it. For information about the data that is included in an access policy, see the <a href="https://aws.amazon.com/documentation/iam/">AWS Identity and Access Management User Guide</a>.</p> <p>For this release of the REST API, you can create only one policy for a container. If you enter <code>PutContainerPolicy</code> twice, the second command modifies the existing policy. </p>', 'PutCorsPolicy' => '<p>Sets the cross-origin resource sharing (CORS) configuration on a container so that the container can service cross-origin requests. For example, you might want to enable a request whose origin is http://www.example.com to access your AWS Elemental MediaStore container at my.example.container.com by using the browser\'s XMLHttpRequest capability.</p> <p>To enable CORS on a container, you attach a CORS policy to the container. In the CORS policy, you configure rules that identify origins and the HTTP methods that can be executed on your container. The policy can contain up to 398,000 characters. You can add up to 100 rules to a CORS policy. If more than one rule applies, the service uses the first applicable rule listed.</p>', ], 'shapes' => [ 'AllowedHeaders' => [ 'base' => NULL, 'refs' => [ 'CorsRule$AllowedHeaders' => '<p>Specifies which headers are allowed in a preflight <code>OPTIONS</code> request through the <code>Access-Control-Request-Headers</code> header. Each header name that is specified in <code>Access-Control-Request-Headers</code> must have a corresponding entry in the rule. Only the headers that were requested are sent back. </p> <p>This element can contain only one wildcard character (*).</p>', ], ], 'AllowedMethods' => [ 'base' => NULL, 'refs' => [ 'CorsRule$AllowedMethods' => '<p>Identifies an HTTP method that the origin that is specified in the rule is allowed to execute.</p> <p>Each CORS rule must contain at least one <code>AllowedMethod</code> and one <code>AllowedOrigin</code> element.</p>', ], ], 'AllowedOrigins' => [ 'base' => NULL, 'refs' => [ 'CorsRule$AllowedOrigins' => '<p>One or more response headers that you want users to be able to access from their applications (for example, from a JavaScript <code>XMLHttpRequest</code> object).</p> <p>Each CORS rule must have at least one <code>AllowedOrigin</code> element. The string value can include only one wildcard character (*), for example, http://*.example.com. Additionally, you can specify only one wildcard character to allow cross-origin access for all origins.</p>', ], ], 'Container' => [ 'base' => '<p>This section describes operations that you can perform on an AWS Elemental MediaStore container.</p>', 'refs' => [ 'ContainerList$member' => NULL, 'CreateContainerOutput$Container' => '<p>ContainerARN: The Amazon Resource Name (ARN) of the newly created container. The ARN has the following format: arn:aws:&lt;region&gt;:&lt;account that owns this container&gt;:container/&lt;name of container&gt;. For example: arn:aws:mediastore:us-west-2:111122223333:container/movies </p> <p>ContainerName: The container name as specified in the request.</p> <p>CreationTime: Unix time stamp.</p> <p>Status: The status of container creation or deletion. The status is one of the following: <code>CREATING</code>, <code>ACTIVE</code>, or <code>DELETING</code>. While the service is creating the container, the status is <code>CREATING</code>. When an endpoint is available, the status changes to <code>ACTIVE</code>.</p> <p>The return value does not include the container\'s endpoint. To make downstream requests, you must obtain this value by using <a>DescribeContainer</a> or <a>ListContainers</a>.</p>', 'DescribeContainerOutput$Container' => '<p>The name of the queried container.</p>', ], ], 'ContainerARN' => [ 'base' => NULL, 'refs' => [ 'Container$ARN' => '<p>The Amazon Resource Name (ARN) of the container. The ARN has the following format:</p> <p>arn:aws:&lt;region&gt;:&lt;account that owns this container&gt;:container/&lt;name of container&gt; </p> <p>For example: arn:aws:mediastore:us-west-2:111122223333:container/movies </p>', ], ], 'ContainerInUseException' => [ 'base' => '<p>Resource already exists or is being updated.</p>', 'refs' => [], ], 'ContainerList' => [ 'base' => NULL, 'refs' => [ 'ListContainersOutput$Containers' => '<p>The names of the containers.</p>', ], ], 'ContainerListLimit' => [ 'base' => NULL, 'refs' => [ 'ListContainersInput$MaxResults' => '<p>Enter the maximum number of containers in the response. Use from 1 to 255 characters. </p>', ], ], 'ContainerName' => [ 'base' => NULL, 'refs' => [ 'Container$Name' => '<p>The name of the container.</p>', 'CreateContainerInput$ContainerName' => '<p>The name for the container. The name must be from 1 to 255 characters. Container names must be unique to your AWS account within a specific region. As an example, you could create a container named <code>movies</code> in every region, as long as you don’t have an existing container with that name.</p>', 'DeleteContainerInput$ContainerName' => '<p>The name of the container to delete. </p>', 'DeleteContainerPolicyInput$ContainerName' => '<p>The name of the container that holds the policy.</p>', 'DeleteCorsPolicyInput$ContainerName' => '<p>The name of the container to remove the policy from.</p>', 'DescribeContainerInput$ContainerName' => '<p>The name of the container to query.</p>', 'GetContainerPolicyInput$ContainerName' => '<p>The name of the container. </p>', 'GetCorsPolicyInput$ContainerName' => '<p>The name of the container that the policy is assigned to.</p>', 'PutContainerPolicyInput$ContainerName' => '<p>The name of the container.</p>', 'PutCorsPolicyInput$ContainerName' => '<p>The name of the container that you want to assign the CORS policy to.</p>', ], ], 'ContainerNotFoundException' => [ 'base' => '<p>Could not perform an operation on a container that does not exist.</p>', 'refs' => [], ], 'ContainerPolicy' => [ 'base' => NULL, 'refs' => [ 'GetContainerPolicyOutput$Policy' => '<p>The contents of the access policy.</p>', 'PutContainerPolicyInput$Policy' => '<p>The contents of the policy, which includes the following: </p> <ul> <li> <p>One <code>Version</code> tag</p> </li> <li> <p>One <code>Statement</code> tag that contains the standard tags for the policy.</p> </li> </ul>', ], ], 'ContainerStatus' => [ 'base' => NULL, 'refs' => [ 'Container$Status' => '<p>The status of container creation or deletion. The status is one of the following: <code>CREATING</code>, <code>ACTIVE</code>, or <code>DELETING</code>. While the service is creating the container, the status is <code>CREATING</code>. When the endpoint is available, the status changes to <code>ACTIVE</code>.</p>', ], ], 'CorsPolicy' => [ 'base' => '<p>The CORS policy of the container. </p>', 'refs' => [ 'GetCorsPolicyOutput$CorsPolicy' => NULL, 'PutCorsPolicyInput$CorsPolicy' => '<p>The CORS policy to apply to the container. </p>', ], ], 'CorsPolicyNotFoundException' => [ 'base' => '<p>Could not perform an operation on a policy that does not exist.</p>', 'refs' => [], ], 'CorsRule' => [ 'base' => '<p>A rule for a CORS policy. You can add up to 100 rules to a CORS policy. If more than one rule applies, the service uses the first applicable rule listed.</p>', 'refs' => [ 'CorsPolicy$member' => NULL, ], ], 'CreateContainerInput' => [ 'base' => NULL, 'refs' => [], ], 'CreateContainerOutput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteContainerInput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteContainerOutput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteContainerPolicyInput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteContainerPolicyOutput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteCorsPolicyInput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteCorsPolicyOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeContainerInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeContainerOutput' => [ 'base' => NULL, 'refs' => [], ], 'Endpoint' => [ 'base' => NULL, 'refs' => [ 'Container$Endpoint' => '<p>The DNS endpoint of the container. Use the endpoint to identify the specific container when sending requests to the data plane. The service assigns this value when the container is created. Once the value has been assigned, it does not change.</p>', ], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'ContainerInUseException$Message' => NULL, 'ContainerNotFoundException$Message' => NULL, 'CorsPolicyNotFoundException$Message' => NULL, 'InternalServerError$Message' => NULL, 'LimitExceededException$Message' => NULL, 'PolicyNotFoundException$Message' => NULL, ], ], 'ExposeHeaders' => [ 'base' => NULL, 'refs' => [ 'CorsRule$ExposeHeaders' => '<p>One or more headers in the response that you want users to be able to access from their applications (for example, from a JavaScript <code>XMLHttpRequest</code> object).</p> <p>This element is optional for each rule.</p>', ], ], 'GetContainerPolicyInput' => [ 'base' => NULL, 'refs' => [], ], 'GetContainerPolicyOutput' => [ 'base' => NULL, 'refs' => [], ], 'GetCorsPolicyInput' => [ 'base' => NULL, 'refs' => [], ], 'GetCorsPolicyOutput' => [ 'base' => NULL, 'refs' => [], ], 'Header' => [ 'base' => NULL, 'refs' => [ 'AllowedHeaders$member' => NULL, 'ExposeHeaders$member' => NULL, ], ], 'InternalServerError' => [ 'base' => '<p>The service is temporarily unavailable.</p>', 'refs' => [], ], 'LimitExceededException' => [ 'base' => '<p>A service limit has been exceeded.</p>', 'refs' => [], ], 'ListContainersInput' => [ 'base' => NULL, 'refs' => [], ], 'ListContainersOutput' => [ 'base' => NULL, 'refs' => [], ], 'MaxAgeSeconds' => [ 'base' => NULL, 'refs' => [ 'CorsRule$MaxAgeSeconds' => '<p>The time in seconds that your browser caches the preflight response for the specified resource.</p> <p>A CORS rule can have only one <code>MaxAgeSeconds</code> element.</p>', ], ], 'MethodName' => [ 'base' => NULL, 'refs' => [ 'AllowedMethods$member' => NULL, ], ], 'Origin' => [ 'base' => NULL, 'refs' => [ 'AllowedOrigins$member' => NULL, ], ], 'PaginationToken' => [ 'base' => NULL, 'refs' => [ 'ListContainersInput$NextToken' => '<p>Only if you used <code>MaxResults</code> in the first command, enter the token (which was included in the previous response) to obtain the next set of containers. This token is included in a response only if there actually are more containers to list.</p>', 'ListContainersOutput$NextToken' => '<p> <code>NextToken</code> is the token to use in the next call to <code>ListContainers</code>. This token is returned only if you included the <code>MaxResults</code> tag in the original command, and only if there are still containers to return. </p>', ], ], 'PolicyNotFoundException' => [ 'base' => '<p>Could not perform an operation on a policy that does not exist.</p>', 'refs' => [], ], 'PutContainerPolicyInput' => [ 'base' => NULL, 'refs' => [], ], 'PutContainerPolicyOutput' => [ 'base' => NULL, 'refs' => [], ], 'PutCorsPolicyInput' => [ 'base' => NULL, 'refs' => [], ], 'PutCorsPolicyOutput' => [ 'base' => NULL, 'refs' => [], ], 'TimeStamp' => [ 'base' => NULL, 'refs' => [ 'Container$CreationTime' => '<p>Unix timestamp.</p>', ], ], ],];
