<?php
// This file was auto-generated from sdk-root/src/data/serverlessrepo/2017-09-08/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>The AWS Serverless Application Repository makes it easy for developers and enterprises to quickly find and deploy serverless applications in the AWS Cloud. For more information about serverless applications, see Serverless Computing and Applications on the AWS website.</p><p>The AWS Serverless Application Repository is deeply integrated with the AWS Lambda console, so that developers of all levels can get started with serverless computing without needing to learn anything new. You can use category keywords to browse for applications such as web and mobile backends, data processing applications, or chatbots. You can also search for applications by name, publisher, or event source. To use an application, you simply choose it, configure any required fields, and deploy it with a few clicks. </p><p>You can also easily publish applications, sharing them publicly with the community at large, or privately within your team or across your organization. To publish a serverless application (or app), you can use the AWS Management Console, AWS Command Line Interface (AWS CLI), or AWS SDKs to upload the code. Along with the code, you upload a simple manifest file, also known as the AWS Serverless Application Model (AWS SAM) template. For more information about AWS SAM, see AWS Serverless Application Model (AWS SAM) on the AWS Labs GitHub repository.</p><p>The AWS Serverless Application Repository Developer Guide contains more information about the two developer experiences available:</p><ul> <li> <p>Consuming Applications – Browse for applications and view information about them, including source code and readme files. Also install, configure, and deploy applications of your choosing. </p> <p>Publishing Applications – Configure and upload applications to make them available to other developers, and publish new versions of applications. </p> </li> </ul>', 'operations' => [ 'CreateApplication' => '<p>Creates an application, optionally including an AWS SAM file to create the first application version in the same call.</p>', 'CreateApplicationVersion' => '<p>Creates an application version.</p>', 'CreateCloudFormationChangeSet' => '<p>Creates an AWS CloudFormation ChangeSet for the given application.</p>', 'DeleteApplication' => '<p>Deletes the specified application.</p>', 'GetApplication' => '<p>Gets the specified application.</p>', 'GetApplicationPolicy' => '<p>Gets the policy for the specified application.</p>', 'ListApplicationVersions' => '<p>Lists versions for the specified application.</p>', 'ListApplications' => '<p>Lists applications owned by the requester.</p>', 'PutApplicationPolicy' => '<p>Puts the policy for the specified application.</p>', 'UpdateApplication' => '<p>Updates the specified application.</p>', ], 'shapes' => [ 'Application' => [ 'base' => '<p>Details about the application.</p>', 'refs' => [], ], 'ApplicationPage' => [ 'base' => '<p>List of application details.</p>', 'refs' => [], ], 'ApplicationPolicy' => [ 'base' => '<p>Policy statements applied to the application.</p>', 'refs' => [], ], 'ApplicationPolicyStatement' => [ 'base' => '<p>Policy statement applied to the application.</p>', 'refs' => [ '__listOfApplicationPolicyStatement$member' => NULL, ], ], 'ApplicationSummary' => [ 'base' => '<p>Summary of details about the application.</p>', 'refs' => [ '__listOfApplicationSummary$member' => NULL, ], ], 'ApplicationVersionPage' => [ 'base' => '<p>List of version summaries for the application.</p>', 'refs' => [], ], 'BadRequestException' => [ 'base' => '<p>One of the parameters in the request is invalid.</p>', 'refs' => [], ], 'ChangeSetDetails' => [ 'base' => '<p>Details of the change set.</p>', 'refs' => [], ], 'ConflictException' => [ 'base' => '<p>The resource already exists.</p>', 'refs' => [], ], 'CreateApplicationInput' => [ 'base' => '<p>Create application request.</p>', 'refs' => [], ], 'CreateApplicationVersionInput' => [ 'base' => '<p>Create version request.</p>', 'refs' => [], ], 'CreateCloudFormationChangeSetInput' => [ 'base' => '<p>Create application ChangeSet request.</p>', 'refs' => [], ], 'ForbiddenException' => [ 'base' => '<p>The client is not authenticated.</p>', 'refs' => [], ], 'InternalServerErrorException' => [ 'base' => '<p>The AWS Serverless Application Repository service encountered an internal error.</p>', 'refs' => [], ], 'NotFoundException' => [ 'base' => '<p>The resource (for example, an access policy statement) specified in the request does not exist.</p>', 'refs' => [], ], 'ParameterDefinition' => [ 'base' => '<p>Parameters supported by the application.</p>', 'refs' => [ '__listOfParameterDefinition$member' => NULL, ], ], 'ParameterValue' => [ 'base' => '<p>Parameter value of the application.</p>', 'refs' => [ '__listOfParameterValue$member' => NULL, ], ], 'TooManyRequestsException' => [ 'base' => '<p>The client is sending more than the allowed number of requests per unit time.</p>', 'refs' => [], ], 'UpdateApplicationInput' => [ 'base' => '<p>Update application request.</p>', 'refs' => [], ], 'Version' => [ 'base' => '<p>Application version details.</p>', 'refs' => [ 'Application$Version' => '<p>Version information about the application.</p>', ], ], 'VersionSummary' => [ 'base' => '<p>Application version summary.</p>', 'refs' => [ '__listOfVersionSummary$member' => NULL, ], ], '__boolean' => [ 'base' => NULL, 'refs' => [ 'ParameterDefinition$NoEcho' => '<p>Whether to mask the parameter value whenever anyone makes a call that describes the stack. If you set the value to true, the parameter value is masked with asterisks (*****).</p>', ], ], '__integer' => [ 'base' => NULL, 'refs' => [ 'ParameterDefinition$MaxLength' => '<p>An integer value that determines the largest number of characters you want to allow for String types.</p>', 'ParameterDefinition$MaxValue' => '<p>A numeric value that determines the largest numeric value you want to allow for Number types.</p>', 'ParameterDefinition$MinLength' => '<p>An integer value that determines the smallest number of characters you want to allow for String types.</p>', 'ParameterDefinition$MinValue' => '<p>A numeric value that determines the smallest numeric value you want to allow for Number types.</p>', ], ], '__listOfApplicationPolicyStatement' => [ 'base' => NULL, 'refs' => [ 'ApplicationPolicy$Statements' => '<p>Array of policy statements applied to the application.</p>', ], ], '__listOfApplicationSummary' => [ 'base' => NULL, 'refs' => [ 'ApplicationPage$Applications' => '<p>Array of application summaries.</p>', ], ], '__listOfParameterDefinition' => [ 'base' => NULL, 'refs' => [ 'Version$ParameterDefinitions' => '<p>Array of parameter types supported by the application.</p>', ], ], '__listOfParameterValue' => [ 'base' => NULL, 'refs' => [ 'CreateCloudFormationChangeSetInput$ParameterOverrides' => '<p>A list of parameter values for the parameters of the application.</p>', ], ], '__listOfVersionSummary' => [ 'base' => NULL, 'refs' => [ 'ApplicationVersionPage$Versions' => '<p>Array of version summaries for the application.</p>', ], ], '__listOf__string' => [ 'base' => NULL, 'refs' => [ 'Application$Labels' => '<p>Labels to improve discovery of apps in search results.</p><p>Min Length=1. Max Length=127. Maximum number of labels: 10</p><p>Pattern: "^[a-zA-Z0-9+\\\\-_:\\\\/@]+$";</p>', 'ApplicationPolicyStatement$Actions' => '<p>A list of supported actions:</p><p> GetApplication </p><p> CreateCloudFormationChangeSet </p><p> ListApplicationVersions </p><p> SearchApplications </p><p> Deploy (Note: This action enables all other actions above.)</p>', 'ApplicationPolicyStatement$Principals' => '<p>An AWS account ID, or * to make the application public.</p>', 'ApplicationSummary$Labels' => '<p>Labels to improve discovery of apps in search results.</p><p>Min Length=1. Max Length=127. Maximum number of labels: 10</p><p>Pattern: "^[a-zA-Z0-9+\\\\-_:\\\\/@]+$";</p>', 'CreateApplicationInput$Labels' => '<p>Labels to improve discovery of apps in search results.</p><p>Min Length=1. Max Length=127. Maximum number of labels: 10</p><p>Pattern: "^[a-zA-Z0-9+\\\\-_:\\\\/@]+$";</p>', 'ParameterDefinition$AllowedValues' => '<p>Array containing the list of values allowed for the parameter.</p>', 'ParameterDefinition$ReferencedByResources' => '<p>A list of AWS SAM resources that use this parameter.</p>', 'UpdateApplicationInput$Labels' => '<p>Labels to improve discovery of apps in search results.</p><p>Min Length=1. Max Length=127. Maximum number of labels: 10</p><p>Pattern: "^[a-zA-Z0-9+\\\\-_:\\\\/@]+$";</p>', ], ], '__string' => [ 'base' => NULL, 'refs' => [ 'Application$ApplicationId' => '<p>The application Amazon Resource Name (ARN).</p>', 'Application$Author' => '<p>The name of the author publishing the app.</p><p>Min Length=1. Max Length=127.</p><p>Pattern "^[a-z0-9](([a-z0-9]|-(?!-))*[a-z0-9])?$";</p>', 'Application$CreationTime' => '<p>The date/time this resource was created.</p>', 'Application$Description' => '<p>The description of the application.</p><p>Min Length=1. Max Length=256</p>', 'Application$HomePageUrl' => '<p>A URL with more information about the application, for example the location of your GitHub repository for the application.</p>', 'Application$LicenseUrl' => '<p>A link to a license file of the app that matches the spdxLicenseID of your application.</p><p>Max size 5 MB</p>', 'Application$Name' => '<p>The name of the application.</p><p>Min Length=1. Max Length=140</p><p>Pattern: "[a-zA-Z0-9\\\\-]+";</p>', 'Application$ReadmeUrl' => '<p>A link to the readme file that contains a more detailed description of the application and how it works in Markdown language.</p><p>Max size 5 MB</p>', 'Application$SpdxLicenseId' => '<p>A valid identifier from https://spdx.org/licenses/.</p>', 'ApplicationPage$NextToken' => '<p>The token to request the next page of results.</p>', 'ApplicationPolicyStatement$StatementId' => '<p>A unique ID for the statement.</p>', 'ApplicationSummary$ApplicationId' => '<p>The application ARN.</p>', 'ApplicationSummary$Author' => '<p>The name of the author publishing the app.</p><p>Min Length=1. Max Length=127.</p><p>Pattern "^[a-z0-9](([a-z0-9]|-(?!-))*[a-z0-9])?$";</p>', 'ApplicationSummary$CreationTime' => '<p>The date/time this resource was created.</p>', 'ApplicationSummary$Description' => '<p>The description of the application.</p><p>Min Length=1. Max Length=256</p>', 'ApplicationSummary$HomePageUrl' => '<p>A URL with more information about the application, for example the location of your GitHub repository for the application.</p>', 'ApplicationSummary$Name' => '<p>The name of the application.</p><p>Min Length=1. Max Length=140</p><p>Pattern: "[a-zA-Z0-9\\\\-]+";</p>', 'ApplicationSummary$SpdxLicenseId' => '<p>A valid identifier from <a href="https://spdx.org/licenses/">https://spdx.org/licenses/</a>.</p>', 'ApplicationVersionPage$NextToken' => '<p>The token to request the next page of results.</p>', 'BadRequestException$ErrorCode' => '<p>400</p>', 'BadRequestException$Message' => '<p>One of the parameters in the request is invalid.</p>', 'ChangeSetDetails$ApplicationId' => '<p>The application Amazon Resource Name (ARN).</p>', 'ChangeSetDetails$ChangeSetId' => '<p>The ARN of the change set.</p><p>Length Constraints: Minimum length of 1.</p><p>Pattern: Amazon Resource Name (ARN):[-a-zA-Z0-9:/]*</p>', 'ChangeSetDetails$SemanticVersion' => '<p>The semantic version of the application:</p><p> <a href="https://semver.org/">https://semver.org/</a> </p>', 'ChangeSetDetails$StackId' => '<p>The unique ID of the stack.</p>', 'ConflictException$ErrorCode' => '<p>409</p>', 'ConflictException$Message' => '<p>The resource already exists.</p>', 'CreateApplicationInput$Author' => '<p>The name of the author publishing the app.</p><p>Min Length=1. Max Length=127.</p><p>Pattern "^[a-z0-9](([a-z0-9]|-(?!-))*[a-z0-9])?$";</p>', 'CreateApplicationInput$Description' => '<p>The description of the application.</p><p>Min Length=1. Max Length=256</p>', 'CreateApplicationInput$HomePageUrl' => '<p>A URL with more information about the application, for example the location of your GitHub repository for the application.</p>', 'CreateApplicationInput$LicenseBody' => '<p>A raw text file that contains the license of the app that matches the spdxLicenseID of your application.</p><p>Max size 5 MB</p>', 'CreateApplicationInput$LicenseUrl' => '<p>A link to a license file of the app that matches the spdxLicenseID of your application.</p><p>Max size 5 MB</p>', 'CreateApplicationInput$Name' => '<p>The name of the application you want to publish.</p><p>Min Length=1. Max Length=140</p><p>Pattern: "[a-zA-Z0-9\\\\-]+";</p>', 'CreateApplicationInput$ReadmeBody' => '<p>A raw text Readme file that contains a more detailed description of the application and how it works in markdown language.</p><p>Max size 5 MB</p>', 'CreateApplicationInput$ReadmeUrl' => '<p>A link to the Readme file that contains a more detailed description of the application and how it works in markdown language.</p><p>Max size 5 MB</p>', 'CreateApplicationInput$SemanticVersion' => '<p>The semantic version of the application:</p><p> <a href="https://semver.org/">https://semver.org/</a> </p>', 'CreateApplicationInput$SourceCodeUrl' => '<p>A link to a public repository for the source code of your application.</p>', 'CreateApplicationInput$SpdxLicenseId' => '<p>A valid identifier from <a href="https://spdx.org/licenses/">https://spdx.org/licenses/</a>.</p>', 'CreateApplicationInput$TemplateBody' => '<p>The raw packaged AWS SAM template of your application.</p>', 'CreateApplicationInput$TemplateUrl' => '<p>A link to the packaged AWS SAM template of your application.</p>', 'CreateApplicationVersionInput$SourceCodeUrl' => '<p>A link to a public repository for the source code of your application.</p>', 'CreateApplicationVersionInput$TemplateBody' => '<p>The raw packaged AWS SAM template of your application.</p>', 'CreateApplicationVersionInput$TemplateUrl' => '<p>A link to the packaged AWS SAM template of your application.</p>', 'CreateCloudFormationChangeSetInput$SemanticVersion' => '<p>The semantic version of the application:</p><p> <a href="https://semver.org/">https://semver.org/</a> </p>', 'CreateCloudFormationChangeSetInput$StackName' => '<p>The name or the unique ID of the stack for which you are creating a change set. AWS CloudFormation generates the change set by comparing this stack\'s information with the information that you submit, such as a modified template or different parameter input values. </p><p>Constraints: Minimum length of 1.</p><p>Pattern: ([a-zA-Z][-a-zA-Z0-9]*)|(arn:\\b(aws|aws-us-gov|aws-cn)\\b:[-a-zA-Z0-9:/._+]*)</p>', 'ForbiddenException$ErrorCode' => '<p>403</p>', 'ForbiddenException$Message' => '<p>The client is not authenticated.</p>', 'InternalServerErrorException$ErrorCode' => '<p>500</p>', 'InternalServerErrorException$Message' => '<p>The AWS Serverless Application Repository service encountered an internal error.</p>', 'NotFoundException$ErrorCode' => '<p>404</p>', 'NotFoundException$Message' => '<p>The resource (for example, an access policy statement) specified in the request does not exist.</p>', 'ParameterDefinition$AllowedPattern' => '<p>A regular expression that represents the patterns to allow for String types.</p>', 'ParameterDefinition$ConstraintDescription' => '<p>A string that explains a constraint when the constraint is violated. For example, without a constraint description, a parameter that has an allowed pattern of [A-Za-z0-9]+ displays the following error message when the user specifies an invalid value:</p><p> Malformed input-Parameter MyParameter must match pattern [A-Za-z0-9]+ </p><p>By adding a constraint description, such as "must contain only uppercase and lowercase letters, and numbers," you can display the following customized error message:</p><p> Malformed input-Parameter MyParameter must contain only uppercase and lowercase letters and numbers. </p>', 'ParameterDefinition$DefaultValue' => '<p>A value of the appropriate type for the template to use if no value is specified when a stack is created. If you define constraints for the parameter, you must specify a value that adheres to those constraints.</p>', 'ParameterDefinition$Description' => '<p>A string of up to 4,000 characters that describes the parameter.</p>', 'ParameterDefinition$Name' => '<p>The name of the parameter.</p>', 'ParameterDefinition$Type' => '<p>The type of the parameter.</p><p>Valid values: String | Number | List&lt;Number> | CommaDelimitedList </p><p> String: A literal string.</p><p>For example, users could specify "MyUserName".</p><p> Number: An integer or float. AWS CloudFormation validates the parameter value as a number; however, when you use the parameter elsewhere in your template (for example, by using the Ref intrinsic function), the parameter value becomes a string.</p><p>For example, users could specify "8888".</p><p> List&lt;Number>: An array of integers or floats that are separated by commas. AWS CloudFormation validates the parameter value as numbers; however, when you use the parameter elsewhere in your template (for example, by using the Ref intrinsic function), the parameter value becomes a list of strings.</p><p>For example, users could specify "80,20", and a Ref results in ["80","20"].</p><p> CommaDelimitedList: An array of literal strings that are separated by commas. The total number of strings should be one more than the total number of commas. Also, each member string is space-trimmed.</p><p>For example, users could specify "test,dev,prod", and a Ref results in ["test","dev","prod"].</p>', 'ParameterValue$Name' => '<p>The key associated with the parameter. If you don\'t specify a key and value for a particular parameter, AWS CloudFormation uses the default value that is specified in your template.</p>', 'ParameterValue$Value' => '<p>The input value associated with the parameter.</p>', 'TooManyRequestsException$ErrorCode' => '<p>429</p>', 'TooManyRequestsException$Message' => '<p>The client is sending more than the allowed number of requests per unit time.</p>', 'UpdateApplicationInput$Author' => '<p>The name of the author publishing the app.</p><p>Min Length=1. Max Length=127.</p><p>Pattern "^[a-z0-9](([a-z0-9]|-(?!-))*[a-z0-9])?$";</p>', 'UpdateApplicationInput$Description' => '<p>The description of the application.</p><p>Min Length=1. Max Length=256</p>', 'UpdateApplicationInput$HomePageUrl' => '<p>A URL with more information about the application, for example the location of your GitHub repository for the application.</p>', 'UpdateApplicationInput$ReadmeBody' => '<p>A raw text Readme file that contains a more detailed description of the application and how it works in markdown language.</p><p>Max size 5 MB</p>', 'UpdateApplicationInput$ReadmeUrl' => '<p>A link to the Readme file that contains a more detailed description of the application and how it works in markdown language.</p><p>Max size 5 MB</p>', 'Version$ApplicationId' => '<p>The application Amazon Resource Name (ARN).</p>', 'Version$CreationTime' => '<p>The date/time this resource was created.</p>', 'Version$SemanticVersion' => '<p>The semantic version of the application:</p><p> <a href="https://semver.org/">https://semver.org/</a> </p>', 'Version$SourceCodeUrl' => '<p>A link to a public repository for the source code of your application.</p>', 'Version$TemplateUrl' => '<p>A link to the packaged AWS SAM template of your application.</p>', 'VersionSummary$ApplicationId' => '<p>The application Amazon Resource Name (ARN).</p>', 'VersionSummary$CreationTime' => '<p>The date/time this resource was created.</p>', 'VersionSummary$SemanticVersion' => '<p>The semantic version of the application:</p><p> <a href="https://semver.org/">https://semver.org/</a> </p>', 'VersionSummary$SourceCodeUrl' => '<p>A link to a public repository for the source code of your application.</p>', '__listOf__string$member' => NULL, ], ], ],];
