<?php
// This file was auto-generated from sdk-root/src/data/servicecatalog/2015-12-10/docs-2.json
return [ 'version' => '2.0', 'service' => '<fullname>AWS Service Catalog</fullname> <p> <a href="https://aws.amazon.com/servicecatalog/">AWS Service Catalog</a> enables organizations to create and manage catalogs of IT services that are approved for use on AWS. To get the most out of this documentation, you should be familiar with the terminology discussed in <a href="http://docs.aws.amazon.com/servicecatalog/latest/adminguide/what-is_concepts.html">AWS Service Catalog Concepts</a>.</p>', 'operations' => [ 'AcceptPortfolioShare' => '<p>Accepts an offer to share the specified portfolio.</p>', 'AssociatePrincipalWithPortfolio' => '<p>Associates the specified principal ARN with the specified portfolio.</p>', 'AssociateProductWithPortfolio' => '<p>Associates the specified product with the specified portfolio.</p>', 'AssociateTagOptionWithResource' => '<p>Associate the specified TagOption with the specified portfolio or product.</p>', 'CopyProduct' => '<p>Copies the specified source product to the specified target product or a new product.</p> <p>You can copy a product to the same account or another account. You can copy a product to the same region or another region.</p> <p>This operation is performed asynchronously. To track the progress of the operation, use <a>DescribeCopyProductStatus</a>.</p>', 'CreateConstraint' => '<p>Creates a constraint.</p>', 'CreatePortfolio' => '<p>Creates a portfolio.</p>', 'CreatePortfolioShare' => '<p>Shares the specified portfolio with the specified account.</p>', 'CreateProduct' => '<p>Creates a product.</p>', 'CreateProvisionedProductPlan' => '<p>Creates a plan. A plan includes the list of resources to be created (when provisioning a new product) or modified (when updating a provisioned product) when the plan is executed.</p> <p>You can create one plan per provisioned product. To create a plan for an existing provisioned product, the product status must be AVAILBLE or TAINTED.</p> <p>To view the resource changes in the change set, use <a>DescribeProvisionedProductPlan</a>. To create or modify the provisioned product, use <a>ExecuteProvisionedProductPlan</a>.</p>', 'CreateProvisioningArtifact' => '<p>Creates a provisioning artifact (also known as a version) for the specified product.</p> <p>You cannot create a provisioning artifact for a product that was shared with you.</p>', 'CreateTagOption' => '<p>Creates a TagOption.</p>', 'DeleteConstraint' => '<p>Deletes the specified constraint.</p>', 'DeletePortfolio' => '<p>Deletes the specified portfolio.</p> <p>You cannot delete a portfolio if it was shared with you or if it has associated products, users, constraints, or shared accounts.</p>', 'DeletePortfolioShare' => '<p>Stops sharing the specified portfolio with the specified account.</p>', 'DeleteProduct' => '<p>Deletes the specified product.</p> <p>You cannot delete a product if it was shared with you or is associated with a portfolio.</p>', 'DeleteProvisionedProductPlan' => '<p>Deletes the specified plan.</p>', 'DeleteProvisioningArtifact' => '<p>Deletes the specified provisioning artifact (also known as a version) for the specified product.</p> <p>You cannot delete a provisioning artifact associated with a product that was shared with you. You cannot delete the last provisioning artifact for a product, because a product must have at least one provisioning artifact.</p>', 'DeleteTagOption' => '<p>Deletes the specified TagOption.</p> <p>You cannot delete a TagOption if it is associated with a product or portfolio.</p>', 'DescribeConstraint' => '<p>Gets information about the specified constraint.</p>', 'DescribeCopyProductStatus' => '<p>Gets the status of the specified copy product operation.</p>', 'DescribePortfolio' => '<p>Gets information about the specified portfolio.</p>', 'DescribeProduct' => '<p>Gets information about the specified product.</p>', 'DescribeProductAsAdmin' => '<p>Gets information about the specified product. This operation is run with administrator access.</p>', 'DescribeProductView' => '<p>Gets information about the specified product.</p>', 'DescribeProvisionedProduct' => '<p>Gets information about the specified provisioned product.</p>', 'DescribeProvisionedProductPlan' => '<p>Gets information about the resource changes for the specified plan.</p>', 'DescribeProvisioningArtifact' => '<p>Gets information about the specified provisioning artifact (also known as a version) for the specified product.</p>', 'DescribeProvisioningParameters' => '<p>Gets information about the configuration required to provision the specified product using the specified provisioning artifact.</p> <p>If the output contains a TagOption key with an empty list of values, there is a TagOption conflict for that key. The end user cannot take action to fix the conflict, and launch is not blocked. In subsequent calls to <a>ProvisionProduct</a>, do not include conflicted TagOption keys as tags, or this causes the error "Parameter validation failed: Missing required parameter in Tags[<i>N</i>]:<i>Value</i>". Tag the provisioned product with the value <code>sc-tagoption-conflict-portfolioId-productId</code>.</p>', 'DescribeRecord' => '<p>Gets information about the specified request operation.</p> <p>Use this operation after calling a request operation (for example, <a>ProvisionProduct</a>, <a>TerminateProvisionedProduct</a>, or <a>UpdateProvisionedProduct</a>). </p>', 'DescribeTagOption' => '<p>Gets information about the specified TagOption.</p>', 'DisassociatePrincipalFromPortfolio' => '<p>Disassociates a previously associated principal ARN from a specified portfolio.</p>', 'DisassociateProductFromPortfolio' => '<p>Disassociates the specified product from the specified portfolio. </p>', 'DisassociateTagOptionFromResource' => '<p>Disassociates the specified TagOption from the specified resource.</p>', 'ExecuteProvisionedProductPlan' => '<p>Provisions or modifies a product based on the resource changes for the specified plan.</p>', 'ListAcceptedPortfolioShares' => '<p>Lists all portfolios for which sharing was accepted by this account.</p>', 'ListConstraintsForPortfolio' => '<p>Lists the constraints for the specified portfolio and product.</p>', 'ListLaunchPaths' => '<p>Lists the paths to the specified product. A path is how the user has access to a specified product, and is necessary when provisioning a product. A path also determines the constraints put on the product.</p>', 'ListPortfolioAccess' => '<p>Lists the account IDs that have access to the specified portfolio.</p>', 'ListPortfolios' => '<p>Lists all portfolios in the catalog.</p>', 'ListPortfoliosForProduct' => '<p>Lists all portfolios that the specified product is associated with.</p>', 'ListPrincipalsForPortfolio' => '<p>Lists all principal ARNs associated with the specified portfolio.</p>', 'ListProvisionedProductPlans' => '<p>Lists the plans for the specified provisioned product or all plans to which the user has access.</p>', 'ListProvisioningArtifacts' => '<p>Lists all provisioning artifacts (also known as versions) for the specified product.</p>', 'ListRecordHistory' => '<p>Lists the specified requests or all performed requests.</p>', 'ListResourcesForTagOption' => '<p>Lists the resources associated with the specified TagOption.</p>', 'ListTagOptions' => '<p>Lists the specified TagOptions or all TagOptions.</p>', 'ProvisionProduct' => '<p>Provisions the specified product.</p> <p>A provisioned product is a resourced instance of a product. For example, provisioning a product based on a CloudFormation template launches a CloudFormation stack and its underlying resources. You can check the status of this request using <a>DescribeRecord</a>.</p> <p>If the request contains a tag key with an empty list of values, there is a tag conflict for that key. Do not include conflicted keys as tags, or this causes the error "Parameter validation failed: Missing required parameter in Tags[<i>N</i>]:<i>Value</i>".</p>', 'RejectPortfolioShare' => '<p>Rejects an offer to share the specified portfolio.</p>', 'ScanProvisionedProducts' => '<p>Lists the provisioned products that are available (not terminated).</p> <p>To use additional filtering, see <a>SearchProvisionedProducts</a>.</p>', 'SearchProducts' => '<p>Gets information about the products to which the caller has access.</p>', 'SearchProductsAsAdmin' => '<p>Gets information about the products for the specified portfolio or all products.</p>', 'SearchProvisionedProducts' => '<p>Gets information about the provisioned products that meet the specified criteria.</p>', 'TerminateProvisionedProduct' => '<p>Terminates the specified provisioned product.</p> <p>This operation does not delete any records associated with the provisioned product.</p> <p>You can check the status of this request using <a>DescribeRecord</a>.</p>', 'UpdateConstraint' => '<p>Updates the specified constraint.</p>', 'UpdatePortfolio' => '<p>Updates the specified portfolio.</p> <p>You cannot update a product that was shared with you.</p>', 'UpdateProduct' => '<p>Updates the specified product.</p>', 'UpdateProvisionedProduct' => '<p>Requests updates to the configuration of the specified provisioned product.</p> <p>If there are tags associated with the object, they cannot be updated or added. Depending on the specific updates requested, this operation can update with no interruption, with some interruption, or replace the provisioned product entirely.</p> <p>You can check the status of this request using <a>DescribeRecord</a>.</p>', 'UpdateProvisioningArtifact' => '<p>Updates the specified provisioning artifact (also known as a version) for the specified product.</p> <p>You cannot update a provisioning artifact for a product that was shared with you.</p>', 'UpdateTagOption' => '<p>Updates the specified TagOption.</p>', ], 'shapes' => [ 'AcceptLanguage' => [ 'base' => NULL, 'refs' => [ 'AcceptPortfolioShareInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'AssociatePrincipalWithPortfolioInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'AssociateProductWithPortfolioInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'CopyProductInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'CreateConstraintInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'CreatePortfolioInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'CreatePortfolioShareInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'CreateProductInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'CreateProvisionedProductPlanInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'CreateProvisioningArtifactInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DeleteConstraintInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DeletePortfolioInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DeletePortfolioShareInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DeleteProductInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DeleteProvisionedProductPlanInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DeleteProvisioningArtifactInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DescribeConstraintInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DescribeCopyProductStatusInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DescribePortfolioInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DescribeProductAsAdminInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DescribeProductInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DescribeProductViewInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DescribeProvisionedProductInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DescribeProvisionedProductPlanInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DescribeProvisioningArtifactInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DescribeProvisioningParametersInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DescribeRecordInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DisassociatePrincipalFromPortfolioInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'DisassociateProductFromPortfolioInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'ExecuteProvisionedProductPlanInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'ListAcceptedPortfolioSharesInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'ListConstraintsForPortfolioInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'ListLaunchPathsInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'ListPortfolioAccessInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'ListPortfoliosForProductInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'ListPortfoliosInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'ListPrincipalsForPortfolioInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'ListProvisionedProductPlansInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'ListProvisioningArtifactsInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'ListRecordHistoryInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'ProvisionProductInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'RejectPortfolioShareInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'ScanProvisionedProductsInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'SearchProductsAsAdminInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'SearchProductsInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'SearchProvisionedProductsInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'TerminateProvisionedProductInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'UpdateConstraintInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'UpdatePortfolioInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'UpdateProductInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'UpdateProvisionedProductInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', 'UpdateProvisioningArtifactInput$AcceptLanguage' => '<p>The language code.</p> <ul> <li> <p> <code>en</code> - English (default)</p> </li> <li> <p> <code>jp</code> - Japanese</p> </li> <li> <p> <code>zh</code> - Chinese</p> </li> </ul>', ], ], 'AcceptPortfolioShareInput' => [ 'base' => NULL, 'refs' => [], ], 'AcceptPortfolioShareOutput' => [ 'base' => NULL, 'refs' => [], ], 'AccessLevelFilter' => [ 'base' => '<p>The access level to use to filter results.</p>', 'refs' => [ 'ListProvisionedProductPlansInput$AccessLevelFilter' => '<p>The access level to use to obtain results. The default is <code>User</code>.</p>', 'ListRecordHistoryInput$AccessLevelFilter' => '<p>The access level to use to obtain results. The default is <code>User</code>.</p>', 'ScanProvisionedProductsInput$AccessLevelFilter' => '<p>The access level to use to obtain results. The default is <code>User</code>.</p>', 'SearchProvisionedProductsInput$AccessLevelFilter' => '<p>The access level to use to obtain results. The default is <code>User</code>.</p>', ], ], 'AccessLevelFilterKey' => [ 'base' => NULL, 'refs' => [ 'AccessLevelFilter$Key' => '<p>The access level.</p> <ul> <li> <p> <code>Account</code> - Filter results based on the account.</p> </li> <li> <p> <code>Role</code> - Filter results based on the federated role of the specified user.</p> </li> <li> <p> <code>User</code> - Filter results based on the specified user.</p> </li> </ul>', ], ], 'AccessLevelFilterValue' => [ 'base' => NULL, 'refs' => [ 'AccessLevelFilter$Value' => '<p>The user to which the access level applies. The only supported value is <code>Self</code>.</p>', ], ], 'AccountId' => [ 'base' => NULL, 'refs' => [ 'AccountIds$member' => NULL, 'ConstraintDetail$Owner' => '<p>The owner of the constraint.</p>', 'CreatePortfolioShareInput$AccountId' => '<p>The AWS account ID.</p>', 'DeletePortfolioShareInput$AccountId' => '<p>The AWS account ID.</p>', ], ], 'AccountIds' => [ 'base' => NULL, 'refs' => [ 'ListPortfolioAccessOutput$AccountIds' => '<p>Information about the AWS accounts with access to the portfolio.</p>', ], ], 'AddTags' => [ 'base' => NULL, 'refs' => [ 'CreatePortfolioInput$Tags' => '<p>One or more tags.</p>', 'CreateProductInput$Tags' => '<p>One or more tags.</p>', 'UpdatePortfolioInput$AddTags' => '<p>The tags to add.</p>', 'UpdateProductInput$AddTags' => '<p>The tags to add to the product.</p>', ], ], 'AllowedValue' => [ 'base' => NULL, 'refs' => [ 'AllowedValues$member' => NULL, ], ], 'AllowedValues' => [ 'base' => NULL, 'refs' => [ 'ParameterConstraints$AllowedValues' => '<p>The values that the administrator has allowed for the parameter.</p>', ], ], 'ApproximateCount' => [ 'base' => NULL, 'refs' => [ 'ProductViewAggregationValue$ApproximateCount' => '<p>An approximate count of the products that match the value.</p>', ], ], 'AssociatePrincipalWithPortfolioInput' => [ 'base' => NULL, 'refs' => [], ], 'AssociatePrincipalWithPortfolioOutput' => [ 'base' => NULL, 'refs' => [], ], 'AssociateProductWithPortfolioInput' => [ 'base' => NULL, 'refs' => [], ], 'AssociateProductWithPortfolioOutput' => [ 'base' => NULL, 'refs' => [], ], 'AssociateTagOptionWithResourceInput' => [ 'base' => NULL, 'refs' => [], ], 'AssociateTagOptionWithResourceOutput' => [ 'base' => NULL, 'refs' => [], ], 'AttributeValue' => [ 'base' => NULL, 'refs' => [ 'ProductViewAggregationValue$Value' => '<p>The value of the product view aggregation.</p>', ], ], 'CausingEntity' => [ 'base' => NULL, 'refs' => [ 'ResourceChangeDetail$CausingEntity' => '<p>The ID of the entity that caused the change.</p>', ], ], 'ChangeAction' => [ 'base' => NULL, 'refs' => [ 'ResourceChange$Action' => '<p>The change action.</p>', ], ], 'CloudWatchDashboard' => [ 'base' => '<p>Information about a CloudWatch dashboard.</p>', 'refs' => [ 'CloudWatchDashboards$member' => NULL, ], ], 'CloudWatchDashboardName' => [ 'base' => NULL, 'refs' => [ 'CloudWatchDashboard$Name' => '<p>The name of the CloudWatch dashboard.</p>', ], ], 'CloudWatchDashboards' => [ 'base' => NULL, 'refs' => [ 'DescribeProvisionedProductOutput$CloudWatchDashboards' => '<p>Any CloudWatch dashboards that were created when provisioning the product.</p>', ], ], 'ConstraintDescription' => [ 'base' => NULL, 'refs' => [ 'ConstraintDetail$Description' => '<p>The description of the constraint.</p>', 'ConstraintSummary$Description' => '<p>The description of the constraint.</p>', 'CreateConstraintInput$Description' => '<p>The description of the constraint.</p>', 'UpdateConstraintInput$Description' => '<p>The updated description of the constraint.</p>', ], ], 'ConstraintDetail' => [ 'base' => '<p>Information about a constraint.</p>', 'refs' => [ 'ConstraintDetails$member' => NULL, 'CreateConstraintOutput$ConstraintDetail' => '<p>Information about the constraint.</p>', 'DescribeConstraintOutput$ConstraintDetail' => '<p>Information about the constraint.</p>', 'UpdateConstraintOutput$ConstraintDetail' => '<p>Information about the constraint.</p>', ], ], 'ConstraintDetails' => [ 'base' => NULL, 'refs' => [ 'ListConstraintsForPortfolioOutput$ConstraintDetails' => '<p>Information about the constraints.</p>', ], ], 'ConstraintParameters' => [ 'base' => NULL, 'refs' => [ 'CreateConstraintInput$Parameters' => '<p>The constraint parameters, in JSON format. The syntax depends on the constraint type as follows:</p> <dl> <dt>LAUNCH</dt> <dd> <p>Specify the <code>RoleArn</code> property as follows:</p> <p>\\"RoleArn\\" : \\"arn:aws:iam::123456789012:role/LaunchRole\\"</p> </dd> <dt>NOTIFICATION</dt> <dd> <p>Specify the <code>NotificationArns</code> property as follows:</p> <p>\\"NotificationArns\\" : [\\"arn:aws:sns:us-east-1:123456789012:Topic\\"]</p> </dd> <dt>TEMPLATE</dt> <dd> <p>Specify the <code>Rules</code> property. For more information, see <a href="http://docs.aws.amazon.com/servicecatalog/latest/adminguide/reference-template_constraint_rules.html">Template Constraint Rules</a>.</p> </dd> </dl>', 'CreateConstraintOutput$ConstraintParameters' => '<p>The constraint parameters.</p>', 'DescribeConstraintOutput$ConstraintParameters' => '<p>The constraint parameters.</p>', 'UpdateConstraintOutput$ConstraintParameters' => '<p>The constraint parameters.</p>', ], ], 'ConstraintSummaries' => [ 'base' => NULL, 'refs' => [ 'DescribeProvisioningParametersOutput$ConstraintSummaries' => '<p>Information about the constraints used to provision the product.</p>', 'LaunchPathSummary$ConstraintSummaries' => '<p>The constraints on the portfolio-product relationship.</p>', ], ], 'ConstraintSummary' => [ 'base' => '<p>Summary information about a constraint.</p>', 'refs' => [ 'ConstraintSummaries$member' => NULL, ], ], 'ConstraintType' => [ 'base' => NULL, 'refs' => [ 'ConstraintDetail$Type' => '<p>The type of constraint.</p> <ul> <li> <p> <code>LAUNCH</code> </p> </li> <li> <p> <code>NOTIFICATION</code> </p> </li> <li> <p> <code>TEMPLATE</code> </p> </li> </ul>', 'ConstraintSummary$Type' => '<p>The type of constraint.</p> <ul> <li> <p> <code>LAUNCH</code> </p> </li> <li> <p> <code>NOTIFICATION</code> </p> </li> <li> <p> <code>TEMPLATE</code> </p> </li> </ul>', 'CreateConstraintInput$Type' => '<p>The type of constraint.</p> <ul> <li> <p> <code>LAUNCH</code> </p> </li> <li> <p> <code>NOTIFICATION</code> </p> </li> <li> <p> <code>TEMPLATE</code> </p> </li> </ul>', ], ], 'CopyOption' => [ 'base' => NULL, 'refs' => [ 'CopyOptions$member' => NULL, ], ], 'CopyOptions' => [ 'base' => NULL, 'refs' => [ 'CopyProductInput$CopyOptions' => '<p>The copy options. If the value is <code>CopyTags</code>, the tags from the source product are copied to the target product.</p>', ], ], 'CopyProductInput' => [ 'base' => NULL, 'refs' => [], ], 'CopyProductOutput' => [ 'base' => NULL, 'refs' => [], ], 'CopyProductStatus' => [ 'base' => NULL, 'refs' => [ 'DescribeCopyProductStatusOutput$CopyProductStatus' => '<p>The status of the copy product operation.</p>', ], ], 'CreateConstraintInput' => [ 'base' => NULL, 'refs' => [], ], 'CreateConstraintOutput' => [ 'base' => NULL, 'refs' => [], ], 'CreatePortfolioInput' => [ 'base' => NULL, 'refs' => [], ], 'CreatePortfolioOutput' => [ 'base' => NULL, 'refs' => [], ], 'CreatePortfolioShareInput' => [ 'base' => NULL, 'refs' => [], ], 'CreatePortfolioShareOutput' => [ 'base' => NULL, 'refs' => [], ], 'CreateProductInput' => [ 'base' => NULL, 'refs' => [], ], 'CreateProductOutput' => [ 'base' => NULL, 'refs' => [], ], 'CreateProvisionedProductPlanInput' => [ 'base' => NULL, 'refs' => [], ], 'CreateProvisionedProductPlanOutput' => [ 'base' => NULL, 'refs' => [], ], 'CreateProvisioningArtifactInput' => [ 'base' => NULL, 'refs' => [], ], 'CreateProvisioningArtifactOutput' => [ 'base' => NULL, 'refs' => [], ], 'CreateTagOptionInput' => [ 'base' => NULL, 'refs' => [], ], 'CreateTagOptionOutput' => [ 'base' => NULL, 'refs' => [], ], 'CreatedTime' => [ 'base' => NULL, 'refs' => [ 'ProductViewDetail$CreatedTime' => '<p>The UTC time stamp of the creation time.</p>', 'ProvisionedProductAttribute$CreatedTime' => '<p>The UTC time stamp of the creation time.</p>', 'ProvisionedProductDetail$CreatedTime' => '<p>The UTC time stamp of the creation time.</p>', 'ProvisionedProductPlanDetails$CreatedTime' => '<p>The UTC time stamp of the creation time.</p>', 'RecordDetail$CreatedTime' => '<p>The UTC time stamp of the creation time.</p>', ], ], 'CreationTime' => [ 'base' => NULL, 'refs' => [ 'PortfolioDetail$CreatedTime' => '<p>The UTC time stamp of the creation time.</p>', 'ProvisioningArtifactDetail$CreatedTime' => '<p>The UTC time stamp of the creation time.</p>', ], ], 'DefaultValue' => [ 'base' => NULL, 'refs' => [ 'ProvisioningArtifactParameter$DefaultValue' => '<p>The default value.</p>', ], ], 'DeleteConstraintInput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteConstraintOutput' => [ 'base' => NULL, 'refs' => [], ], 'DeletePortfolioInput' => [ 'base' => NULL, 'refs' => [], ], 'DeletePortfolioOutput' => [ 'base' => NULL, 'refs' => [], ], 'DeletePortfolioShareInput' => [ 'base' => NULL, 'refs' => [], ], 'DeletePortfolioShareOutput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProductInput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProductOutput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProvisionedProductPlanInput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProvisionedProductPlanOutput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProvisioningArtifactInput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProvisioningArtifactOutput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteTagOptionInput' => [ 'base' => NULL, 'refs' => [], ], 'DeleteTagOptionOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeConstraintInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeConstraintOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeCopyProductStatusInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeCopyProductStatusOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribePortfolioInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribePortfolioOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProductAsAdminInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProductAsAdminOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProductInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProductOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProductViewInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProductViewOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProvisionedProductInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProvisionedProductOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProvisionedProductPlanInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProvisionedProductPlanOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProvisioningArtifactInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProvisioningArtifactOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProvisioningParametersInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProvisioningParametersOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeRecordInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeRecordOutput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeTagOptionInput' => [ 'base' => NULL, 'refs' => [], ], 'DescribeTagOptionOutput' => [ 'base' => NULL, 'refs' => [], ], 'Description' => [ 'base' => NULL, 'refs' => [ 'ProvisioningArtifactParameter$Description' => '<p>The description of the parameter.</p>', 'RecordOutput$Description' => '<p>The description of the output.</p>', ], ], 'DisassociatePrincipalFromPortfolioInput' => [ 'base' => NULL, 'refs' => [], ], 'DisassociatePrincipalFromPortfolioOutput' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateProductFromPortfolioInput' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateProductFromPortfolioOutput' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateTagOptionFromResourceInput' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateTagOptionFromResourceOutput' => [ 'base' => NULL, 'refs' => [], ], 'DuplicateResourceException' => [ 'base' => '<p>The specified resource is a duplicate.</p>', 'refs' => [], ], 'ErrorCode' => [ 'base' => NULL, 'refs' => [ 'RecordError$Code' => '<p>The numeric value of the error.</p>', ], ], 'ErrorDescription' => [ 'base' => NULL, 'refs' => [ 'RecordError$Description' => '<p>The description of the error.</p>', ], ], 'EvaluationType' => [ 'base' => NULL, 'refs' => [ 'ResourceChangeDetail$Evaluation' => '<p>For static evaluations, the value of the resource attribute will change and the new value is known. For dynamic evaluations, the value might change, and any new value will be determined when the plan is updated.</p>', ], ], 'ExecuteProvisionedProductPlanInput' => [ 'base' => NULL, 'refs' => [], ], 'ExecuteProvisionedProductPlanOutput' => [ 'base' => NULL, 'refs' => [], ], 'HasDefaultPath' => [ 'base' => NULL, 'refs' => [ 'ProductViewSummary$HasDefaultPath' => '<p>Indicates whether the product has a default path. If the product does not have a default path, call <a>ListLaunchPaths</a> to disambiguate between paths. Otherwise, <a>ListLaunchPaths</a> is not required, and the output of <a>ProductViewSummary</a> can be used directly with <a>DescribeProvisioningParameters</a>.</p>', ], ], 'Id' => [ 'base' => NULL, 'refs' => [ 'AcceptPortfolioShareInput$PortfolioId' => '<p>The portfolio identifier.</p>', 'AssociatePrincipalWithPortfolioInput$PortfolioId' => '<p>The portfolio identifier.</p>', 'AssociateProductWithPortfolioInput$ProductId' => '<p>The product identifier.</p>', 'AssociateProductWithPortfolioInput$PortfolioId' => '<p>The portfolio identifier.</p>', 'AssociateProductWithPortfolioInput$SourcePortfolioId' => '<p>The identifier of the source portfolio.</p>', 'ConstraintDetail$ConstraintId' => '<p>The identifier of the constraint.</p>', 'CopyProductInput$TargetProductId' => '<p>The identifier of the target product. By default, a new product is created.</p>', 'CopyProductOutput$CopyProductToken' => '<p>The token to use to track the progress of the operation.</p>', 'CreateConstraintInput$PortfolioId' => '<p>The portfolio identifier.</p>', 'CreateConstraintInput$ProductId' => '<p>The product identifier.</p>', 'CreatePortfolioShareInput$PortfolioId' => '<p>The portfolio identifier.</p>', 'CreateProvisionedProductPlanInput$PathId' => '<p>The path identifier of the product. This value is optional if the product has a default path, and required if the product has more than one path. To list the paths for a product, use <a>ListLaunchPaths</a>.</p>', 'CreateProvisionedProductPlanInput$ProductId' => '<p>The product identifier.</p>', 'CreateProvisionedProductPlanInput$ProvisioningArtifactId' => '<p>The identifier of the provisioning artifact.</p>', 'CreateProvisionedProductPlanOutput$PlanId' => '<p>The plan identifier.</p>', 'CreateProvisionedProductPlanOutput$ProvisionProductId' => '<p>The product identifier.</p>', 'CreateProvisionedProductPlanOutput$ProvisioningArtifactId' => '<p>The identifier of the provisioning artifact.</p>', 'CreateProvisioningArtifactInput$ProductId' => '<p>The product identifier.</p>', 'DeleteConstraintInput$Id' => '<p>The identifier of the constraint.</p>', 'DeletePortfolioInput$Id' => '<p>The portfolio identifier.</p>', 'DeletePortfolioShareInput$PortfolioId' => '<p>The portfolio identifier.</p>', 'DeleteProductInput$Id' => '<p>The product identifier.</p>', 'DeleteProvisionedProductPlanInput$PlanId' => '<p>The plan identifier.</p>', 'DeleteProvisioningArtifactInput$ProductId' => '<p>The product identifier.</p>', 'DeleteProvisioningArtifactInput$ProvisioningArtifactId' => '<p>The identifier of the provisioning artifact.</p>', 'DescribeConstraintInput$Id' => '<p>The identifier of the constraint.</p>', 'DescribeCopyProductStatusInput$CopyProductToken' => '<p>The token for the copy product operation. This token is returned by <a>CopyProduct</a>.</p>', 'DescribeCopyProductStatusOutput$TargetProductId' => '<p>The identifier of the copied product.</p>', 'DescribePortfolioInput$Id' => '<p>The portfolio identifier.</p>', 'DescribeProductAsAdminInput$Id' => '<p>The product identifier.</p>', 'DescribeProductInput$Id' => '<p>The product identifier.</p>', 'DescribeProductViewInput$Id' => '<p>The product view identifier.</p>', 'DescribeProvisionedProductInput$Id' => '<p>The provisioned product identifier.</p>', 'DescribeProvisionedProductPlanInput$PlanId' => '<p>The plan identifier.</p>', 'DescribeProvisioningArtifactInput$ProvisioningArtifactId' => '<p>The identifier of the provisioning artifact.</p>', 'DescribeProvisioningArtifactInput$ProductId' => '<p>The product identifier.</p>', 'DescribeProvisioningParametersInput$ProductId' => '<p>The product identifier.</p>', 'DescribeProvisioningParametersInput$ProvisioningArtifactId' => '<p>The identifier of the provisioning artifact.</p>', 'DescribeProvisioningParametersInput$PathId' => '<p>The path identifier of the product. This value is optional if the product has a default path, and required if the product has more than one path. To list the paths for a product, use <a>ListLaunchPaths</a>.</p>', 'DescribeRecordInput$Id' => '<p>The record identifier of the provisioned product. This identifier is returned by the request operation.</p>', 'DisassociatePrincipalFromPortfolioInput$PortfolioId' => '<p>The portfolio identifier.</p>', 'DisassociateProductFromPortfolioInput$ProductId' => '<p>The product identifier.</p>', 'DisassociateProductFromPortfolioInput$PortfolioId' => '<p>The portfolio identifier.</p>', 'ExecuteProvisionedProductPlanInput$PlanId' => '<p>The plan identifier.</p>', 'LaunchPathSummary$Id' => '<p>The identifier of the product path.</p>', 'ListConstraintsForPortfolioInput$PortfolioId' => '<p>The portfolio identifier.</p>', 'ListConstraintsForPortfolioInput$ProductId' => '<p>The product identifier.</p>', 'ListLaunchPathsInput$ProductId' => '<p>The product identifier.</p>', 'ListPortfolioAccessInput$PortfolioId' => '<p>The portfolio identifier.</p>', 'ListPortfoliosForProductInput$ProductId' => '<p>The product identifier.</p>', 'ListPrincipalsForPortfolioInput$PortfolioId' => '<p>The portfolio identifier.</p>', 'ListProvisionedProductPlansInput$ProvisionProductId' => '<p>The product identifier.</p>', 'ListProvisioningArtifactsInput$ProductId' => '<p>The product identifier.</p>', 'PortfolioDetail$Id' => '<p>The portfolio identifier.</p>', 'ProductViewSummary$Id' => '<p>The product view identifier.</p>', 'ProductViewSummary$ProductId' => '<p>The product identifier.</p>', 'ProvisionProductInput$ProductId' => '<p>The product identifier.</p>', 'ProvisionProductInput$ProvisioningArtifactId' => '<p>The identifier of the provisioning artifact.</p>', 'ProvisionProductInput$PathId' => '<p>The path identifier of the product. This value is optional if the product has a default path, and required if the product has more than one path. To list the paths for a product, use <a>ListLaunchPaths</a>.</p>', 'ProvisionedProductAttribute$Id' => '<p>The identifier of the provisioned product.</p>', 'ProvisionedProductAttribute$LastRecordId' => '<p>The record identifier of the last request performed on this provisioned product.</p>', 'ProvisionedProductAttribute$ProductId' => '<p>The product identifier.</p>', 'ProvisionedProductAttribute$ProvisioningArtifactId' => '<p>The identifier of the provisioning artifact.</p>', 'ProvisionedProductPlanDetails$PathId' => '<p>The path identifier of the product. This value is optional if the product has a default path, and required if the product has more than one path. To list the paths for a product, use <a>ListLaunchPaths</a>.</p>', 'ProvisionedProductPlanDetails$ProductId' => '<p>The product identifier.</p>', 'ProvisionedProductPlanDetails$PlanId' => '<p>The plan identifier.</p>', 'ProvisionedProductPlanDetails$ProvisionProductId' => '<p>The product identifier.</p>', 'ProvisionedProductPlanDetails$ProvisioningArtifactId' => '<p>The identifier of the provisioning artifact.</p>', 'ProvisionedProductPlanSummary$PlanId' => '<p>The plan identifier.</p>', 'ProvisionedProductPlanSummary$ProvisionProductId' => '<p>The product identifier.</p>', 'ProvisionedProductPlanSummary$ProvisioningArtifactId' => '<p>The identifier of the provisioning artifact.</p>', 'ProvisioningArtifact$Id' => '<p>The identifier of the provisioning artifact.</p>', 'ProvisioningArtifactDetail$Id' => '<p>The identifier of the provisioning artifact.</p>', 'ProvisioningArtifactSummary$Id' => '<p>The identifier of the provisioning artifact.</p>', 'RecordDetail$RecordId' => '<p>The identifier of the record.</p>', 'RecordDetail$ProvisionedProductId' => '<p>The identifier of the provisioned product.</p>', 'RecordDetail$ProductId' => '<p>The product identifier.</p>', 'RecordDetail$ProvisioningArtifactId' => '<p>The identifier of the provisioning artifact.</p>', 'RecordDetail$PathId' => '<p>The path identifier.</p>', 'RejectPortfolioShareInput$PortfolioId' => '<p>The portfolio identifier.</p>', 'SearchProductsAsAdminInput$PortfolioId' => '<p>The portfolio identifier.</p>', 'TerminateProvisionedProductInput$ProvisionedProductId' => '<p>The identifier of the provisioned product. You cannot specify both <code>ProvisionedProductName</code> and <code>ProvisionedProductId</code>.</p>', 'UpdateConstraintInput$Id' => '<p>The identifier of the constraint.</p>', 'UpdatePortfolioInput$Id' => '<p>The portfolio identifier.</p>', 'UpdateProductInput$Id' => '<p>The product identifier.</p>', 'UpdateProvisionedProductInput$ProvisionedProductId' => '<p>The identifier of the provisioned product. You cannot specify both <code>ProvisionedProductName</code> and <code>ProvisionedProductId</code>.</p>', 'UpdateProvisionedProductInput$ProductId' => '<p>The identifier of the provisioned product.</p>', 'UpdateProvisionedProductInput$ProvisioningArtifactId' => '<p>The identifier of the provisioning artifact.</p>', 'UpdateProvisionedProductInput$PathId' => '<p>The new path identifier. This value is optional if the product has a default path, and required if the product has more than one path.</p>', 'UpdateProvisioningArtifactInput$ProductId' => '<p>The product identifier.</p>', 'UpdateProvisioningArtifactInput$ProvisioningArtifactId' => '<p>The identifier of the provisioning artifact.</p>', ], ], 'IdempotencyToken' => [ 'base' => NULL, 'refs' => [ 'CopyProductInput$IdempotencyToken' => '<p> A unique identifier that you provide to ensure idempotency. If multiple requests differ only by the idempotency token, the same response is returned for each repeated request. </p>', 'CreateConstraintInput$IdempotencyToken' => '<p>A unique identifier that you provide to ensure idempotency. If multiple requests differ only by the idempotency token, the same response is returned for each repeated request.</p>', 'CreatePortfolioInput$IdempotencyToken' => '<p>A unique identifier that you provide to ensure idempotency. If multiple requests differ only by the idempotency token, the same response is returned for each repeated request.</p>', 'CreateProductInput$IdempotencyToken' => '<p>A unique identifier that you provide to ensure idempotency. If multiple requests differ only by the idempotency token, the same response is returned for each repeated request.</p>', 'CreateProvisionedProductPlanInput$IdempotencyToken' => '<p>A unique identifier that you provide to ensure idempotency. If multiple requests differ only by the idempotency token, the same response is returned for each repeated request.</p>', 'CreateProvisioningArtifactInput$IdempotencyToken' => '<p>A unique identifier that you provide to ensure idempotency. If multiple requests differ only by the idempotency token, the same response is returned for each repeated request.</p>', 'ExecuteProvisionedProductPlanInput$IdempotencyToken' => '<p>A unique identifier that you provide to ensure idempotency. If multiple requests differ only by the idempotency token, the same response is returned for each repeated request.</p>', 'ProvisionProductInput$ProvisionToken' => '<p>An idempotency token that uniquely identifies the provisioning request.</p>', 'ProvisionedProductAttribute$IdempotencyToken' => '<p>A unique identifier that you provide to ensure idempotency. If multiple requests differ only by the idempotency token, the same response is returned for each repeated request.</p>', 'ProvisionedProductDetail$IdempotencyToken' => '<p>A unique identifier that you provide to ensure idempotency. If multiple requests differ only by the idempotency token, the same response is returned for each repeated request.</p>', 'TerminateProvisionedProductInput$TerminateToken' => '<p>An idempotency token that uniquely identifies the termination request. This token is only valid during the termination process. After the provisioned product is terminated, subsequent requests to terminate the same provisioned product always return <b>ResourceNotFound</b>.</p>', 'UpdateProvisionedProductInput$UpdateToken' => '<p>The idempotency token that uniquely identifies the provisioning update request.</p>', ], ], 'IgnoreErrors' => [ 'base' => NULL, 'refs' => [ 'DeleteProvisionedProductPlanInput$IgnoreErrors' => '<p>If set to true, AWS Service Catalog stops managing the specified provisioned product even if it cannot delete the underlying resources.</p>', 'TerminateProvisionedProductInput$IgnoreErrors' => '<p>If set to true, AWS Service Catalog stops managing the specified provisioned product even if it cannot delete the underlying resources.</p>', ], ], 'InstructionType' => [ 'base' => NULL, 'refs' => [ 'UsageInstruction$Type' => '<p>The usage instruction type for the value.</p>', ], ], 'InstructionValue' => [ 'base' => NULL, 'refs' => [ 'UsageInstruction$Value' => '<p>The usage instruction value for this type.</p>', ], ], 'InvalidParametersException' => [ 'base' => '<p>One or more parameters provided to the operation are not valid.</p>', 'refs' => [], ], 'InvalidStateException' => [ 'base' => '<p>An attempt was made to modify a resource that is in a state that is not valid. Check your resources to ensure that they are in valid states before retrying the operation.</p>', 'refs' => [], ], 'LastRequestId' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductDetail$LastRecordId' => '<p>The record identifier of the last request performed on this provisioned product.</p>', ], ], 'LaunchPathSummaries' => [ 'base' => NULL, 'refs' => [ 'ListLaunchPathsOutput$LaunchPathSummaries' => '<p>Information about the launch path.</p>', ], ], 'LaunchPathSummary' => [ 'base' => '<p>Summary information about a product path for a user.</p>', 'refs' => [ 'LaunchPathSummaries$member' => NULL, ], ], 'LimitExceededException' => [ 'base' => '<p>The current limits of the service would have been exceeded by this operation. Decrease your resource use or increase your service limits and retry the operation.</p>', 'refs' => [], ], 'ListAcceptedPortfolioSharesInput' => [ 'base' => NULL, 'refs' => [], ], 'ListAcceptedPortfolioSharesOutput' => [ 'base' => NULL, 'refs' => [], ], 'ListConstraintsForPortfolioInput' => [ 'base' => NULL, 'refs' => [], ], 'ListConstraintsForPortfolioOutput' => [ 'base' => NULL, 'refs' => [], ], 'ListLaunchPathsInput' => [ 'base' => NULL, 'refs' => [], ], 'ListLaunchPathsOutput' => [ 'base' => NULL, 'refs' => [], ], 'ListPortfolioAccessInput' => [ 'base' => NULL, 'refs' => [], ], 'ListPortfolioAccessOutput' => [ 'base' => NULL, 'refs' => [], ], 'ListPortfoliosForProductInput' => [ 'base' => NULL, 'refs' => [], ], 'ListPortfoliosForProductOutput' => [ 'base' => NULL, 'refs' => [], ], 'ListPortfoliosInput' => [ 'base' => NULL, 'refs' => [], ], 'ListPortfoliosOutput' => [ 'base' => NULL, 'refs' => [], ], 'ListPrincipalsForPortfolioInput' => [ 'base' => NULL, 'refs' => [], ], 'ListPrincipalsForPortfolioOutput' => [ 'base' => NULL, 'refs' => [], ], 'ListProvisionedProductPlansInput' => [ 'base' => NULL, 'refs' => [], ], 'ListProvisionedProductPlansOutput' => [ 'base' => NULL, 'refs' => [], ], 'ListProvisioningArtifactsInput' => [ 'base' => NULL, 'refs' => [], ], 'ListProvisioningArtifactsOutput' => [ 'base' => NULL, 'refs' => [], ], 'ListRecordHistoryInput' => [ 'base' => NULL, 'refs' => [], ], 'ListRecordHistoryOutput' => [ 'base' => NULL, 'refs' => [], ], 'ListRecordHistorySearchFilter' => [ 'base' => '<p>The search filter to use when listing history records.</p>', 'refs' => [ 'ListRecordHistoryInput$SearchFilter' => '<p>The search filter to scope the results.</p>', ], ], 'ListResourcesForTagOptionInput' => [ 'base' => NULL, 'refs' => [], ], 'ListResourcesForTagOptionOutput' => [ 'base' => NULL, 'refs' => [], ], 'ListTagOptionsFilters' => [ 'base' => '<p>Filters to use when listing TagOptions.</p>', 'refs' => [ 'ListTagOptionsInput$Filters' => '<p>The search filters. If no search filters are specified, the output includes all TagOptions.</p>', ], ], 'ListTagOptionsInput' => [ 'base' => NULL, 'refs' => [], ], 'ListTagOptionsOutput' => [ 'base' => NULL, 'refs' => [], ], 'LogicalResourceId' => [ 'base' => NULL, 'refs' => [ 'ResourceChange$LogicalResourceId' => '<p>The ID of the resource, as defined in the CloudFormation template.</p>', ], ], 'NoEcho' => [ 'base' => NULL, 'refs' => [ 'ProvisioningArtifactParameter$IsNoEcho' => '<p>If this value is true, the value for this parameter is obfuscated from view when the parameter is retrieved. This parameter is used to hide sensitive information.</p>', ], ], 'NotificationArn' => [ 'base' => NULL, 'refs' => [ 'NotificationArns$member' => NULL, ], ], 'NotificationArns' => [ 'base' => NULL, 'refs' => [ 'CreateProvisionedProductPlanInput$NotificationArns' => '<p>Passed to CloudFormation. The SNS topic ARNs to which to publish stack-related events.</p>', 'ProvisionProductInput$NotificationArns' => '<p>Passed to CloudFormation. The SNS topic ARNs to which to publish stack-related events.</p>', 'ProvisionedProductPlanDetails$NotificationArns' => '<p>Passed to CloudFormation. The SNS topic ARNs to which to publish stack-related events.</p>', ], ], 'OutputKey' => [ 'base' => NULL, 'refs' => [ 'RecordOutput$OutputKey' => '<p>The output key.</p>', ], ], 'OutputValue' => [ 'base' => NULL, 'refs' => [ 'RecordOutput$OutputValue' => '<p>The output value.</p>', ], ], 'PageSize' => [ 'base' => NULL, 'refs' => [ 'DescribeProvisionedProductPlanInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', 'DescribeRecordInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', 'ListAcceptedPortfolioSharesInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', 'ListConstraintsForPortfolioInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', 'ListLaunchPathsInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', 'ListPortfoliosForProductInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', 'ListPortfoliosInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', 'ListPrincipalsForPortfolioInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', 'ListProvisionedProductPlansInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', 'ListRecordHistoryInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', 'ListResourcesForTagOptionInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', 'ListTagOptionsInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', 'ScanProvisionedProductsInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', 'SearchProductsAsAdminInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', 'SearchProductsInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', ], ], 'PageToken' => [ 'base' => NULL, 'refs' => [ 'DescribeProvisionedProductPlanInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'DescribeProvisionedProductPlanOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'DescribeRecordInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'DescribeRecordOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'ListAcceptedPortfolioSharesInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'ListAcceptedPortfolioSharesOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'ListConstraintsForPortfolioInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'ListConstraintsForPortfolioOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'ListLaunchPathsInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'ListLaunchPathsOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'ListPortfolioAccessOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'ListPortfoliosForProductInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'ListPortfoliosForProductOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'ListPortfoliosInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'ListPortfoliosOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'ListPrincipalsForPortfolioInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'ListPrincipalsForPortfolioOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'ListProvisionedProductPlansInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'ListProvisionedProductPlansOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'ListProvisioningArtifactsOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'ListRecordHistoryInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'ListRecordHistoryOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'ListResourcesForTagOptionInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'ListResourcesForTagOptionOutput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'ListTagOptionsInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'ListTagOptionsOutput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'ScanProvisionedProductsInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'ScanProvisionedProductsOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'SearchProductsAsAdminInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'SearchProductsAsAdminOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'SearchProductsInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'SearchProductsOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', 'SearchProvisionedProductsInput$PageToken' => '<p>The page token for the next set of results. To retrieve the first set of results, use null.</p>', 'SearchProvisionedProductsOutput$NextPageToken' => '<p>The page token to use to retrieve the next set of results. If there are no additional results, this value is null.</p>', ], ], 'ParameterConstraints' => [ 'base' => '<p>The constraints that the administrator has put on the parameter.</p>', 'refs' => [ 'ProvisioningArtifactParameter$ParameterConstraints' => '<p>Constraints that the administrator has put on a parameter.</p>', ], ], 'ParameterKey' => [ 'base' => NULL, 'refs' => [ 'ProvisioningArtifactParameter$ParameterKey' => '<p>The parameter key.</p>', 'ProvisioningParameter$Key' => '<p>The parameter key.</p>', 'UpdateProvisioningParameter$Key' => '<p>The parameter key.</p>', ], ], 'ParameterType' => [ 'base' => NULL, 'refs' => [ 'ProvisioningArtifactParameter$ParameterType' => '<p>The parameter type.</p>', ], ], 'ParameterValue' => [ 'base' => NULL, 'refs' => [ 'ProvisioningParameter$Value' => '<p>The parameter value.</p>', 'UpdateProvisioningParameter$Value' => '<p>The parameter value.</p>', ], ], 'PhysicalId' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductAttribute$PhysicalId' => '<p>The assigned identifier for the resource, such as an EC2 instance ID or an S3 bucket name.</p>', ], ], 'PhysicalResourceId' => [ 'base' => NULL, 'refs' => [ 'ResourceChange$PhysicalResourceId' => '<p>The ID of the resource, if it was already created.</p>', ], ], 'PlanResourceType' => [ 'base' => NULL, 'refs' => [ 'ResourceChange$ResourceType' => '<p>The type of resource.</p>', ], ], 'PortfolioDescription' => [ 'base' => NULL, 'refs' => [ 'CreatePortfolioInput$Description' => '<p>The description of the portfolio.</p>', 'PortfolioDetail$Description' => '<p>The description of the portfolio.</p>', 'UpdatePortfolioInput$Description' => '<p>The updated description of the portfolio.</p>', ], ], 'PortfolioDetail' => [ 'base' => '<p>Information about a portfolio.</p>', 'refs' => [ 'CreatePortfolioOutput$PortfolioDetail' => '<p>Information about the portfolio.</p>', 'DescribePortfolioOutput$PortfolioDetail' => '<p>Information about the portfolio.</p>', 'PortfolioDetails$member' => NULL, 'UpdatePortfolioOutput$PortfolioDetail' => '<p>Information about the portfolio.</p>', ], ], 'PortfolioDetails' => [ 'base' => NULL, 'refs' => [ 'ListAcceptedPortfolioSharesOutput$PortfolioDetails' => '<p>Information about the portfolios.</p>', 'ListPortfoliosForProductOutput$PortfolioDetails' => '<p>Information about the portfolios.</p>', 'ListPortfoliosOutput$PortfolioDetails' => '<p>Information about the portfolios.</p>', ], ], 'PortfolioDisplayName' => [ 'base' => NULL, 'refs' => [ 'CreatePortfolioInput$DisplayName' => '<p>The name to use for display purposes.</p>', 'PortfolioDetail$DisplayName' => '<p>The name to use for display purposes.</p>', 'UpdatePortfolioInput$DisplayName' => '<p>The name to use for display purposes.</p>', ], ], 'PortfolioName' => [ 'base' => NULL, 'refs' => [ 'LaunchPathSummary$Name' => '<p>The name of the portfolio to which the user was assigned.</p>', ], ], 'Principal' => [ 'base' => '<p>Information about a principal.</p>', 'refs' => [ 'Principals$member' => NULL, ], ], 'PrincipalARN' => [ 'base' => NULL, 'refs' => [ 'AssociatePrincipalWithPortfolioInput$PrincipalARN' => '<p>The ARN of the principal (IAM user, role, or group).</p>', 'DisassociatePrincipalFromPortfolioInput$PrincipalARN' => '<p>The ARN of the principal (IAM user, role, or group).</p>', 'Principal$PrincipalARN' => '<p>The ARN of the principal (IAM user, role, or group).</p>', ], ], 'PrincipalType' => [ 'base' => NULL, 'refs' => [ 'AssociatePrincipalWithPortfolioInput$PrincipalType' => '<p>The principal type. The supported value is <code>IAM</code>.</p>', 'Principal$PrincipalType' => '<p>The principal type. The supported value is <code>IAM</code>.</p>', ], ], 'Principals' => [ 'base' => NULL, 'refs' => [ 'ListPrincipalsForPortfolioOutput$Principals' => '<p>The IAM principals (users or roles) associated with the portfolio.</p>', ], ], 'ProductArn' => [ 'base' => NULL, 'refs' => [ 'CopyProductInput$SourceProductArn' => '<p>The Amazon Resource Name (ARN) of the source product.</p>', ], ], 'ProductSource' => [ 'base' => NULL, 'refs' => [ 'SearchProductsAsAdminInput$ProductSource' => '<p>Access level of the source of the product.</p>', ], ], 'ProductType' => [ 'base' => NULL, 'refs' => [ 'CreateProductInput$ProductType' => '<p>The type of product.</p>', 'ProductViewSummary$Type' => '<p>The product type. Contact the product administrator for the significance of this value. If this value is <code>MARKETPLACE</code>, the product was created by AWS Marketplace.</p>', ], ], 'ProductViewAggregationType' => [ 'base' => NULL, 'refs' => [ 'ProductViewAggregations$key' => NULL, ], ], 'ProductViewAggregationValue' => [ 'base' => '<p>A single product view aggregation value/count pair, containing metadata about each product to which the calling user has access.</p>', 'refs' => [ 'ProductViewAggregationValues$member' => NULL, ], ], 'ProductViewAggregationValues' => [ 'base' => NULL, 'refs' => [ 'ProductViewAggregations$value' => NULL, ], ], 'ProductViewAggregations' => [ 'base' => NULL, 'refs' => [ 'SearchProductsOutput$ProductViewAggregations' => '<p>The product view aggregations.</p>', ], ], 'ProductViewDetail' => [ 'base' => '<p>Information about a product view.</p>', 'refs' => [ 'CreateProductOutput$ProductViewDetail' => '<p>Information about the product view.</p>', 'DescribeProductAsAdminOutput$ProductViewDetail' => '<p>Information about the product view.</p>', 'ProductViewDetails$member' => NULL, 'UpdateProductOutput$ProductViewDetail' => '<p>Information about the product view.</p>', ], ], 'ProductViewDetails' => [ 'base' => NULL, 'refs' => [ 'SearchProductsAsAdminOutput$ProductViewDetails' => '<p>Information about the product views.</p>', ], ], 'ProductViewDistributor' => [ 'base' => NULL, 'refs' => [ 'ProductViewSummary$Distributor' => '<p>The distributor of the product. Contact the product administrator for the significance of this value.</p>', ], ], 'ProductViewFilterBy' => [ 'base' => NULL, 'refs' => [ 'ProductViewFilters$key' => NULL, ], ], 'ProductViewFilterValue' => [ 'base' => NULL, 'refs' => [ 'ProductViewFilterValues$member' => NULL, ], ], 'ProductViewFilterValues' => [ 'base' => NULL, 'refs' => [ 'ProductViewFilters$value' => NULL, ], ], 'ProductViewFilters' => [ 'base' => NULL, 'refs' => [ 'SearchProductsAsAdminInput$Filters' => '<p>The search filters. If no search filters are specified, the output includes all products to which the administrator has access.</p>', 'SearchProductsInput$Filters' => '<p>The search filters. If no search filters are specified, the output includes all products to which the caller has access.</p>', ], ], 'ProductViewName' => [ 'base' => NULL, 'refs' => [ 'CopyProductInput$TargetProductName' => '<p>A name for the target product. The default is the name of the source product.</p>', 'CreateProductInput$Name' => '<p>The name of the product.</p>', 'ProductViewSummary$Name' => '<p>The name of the product.</p>', 'UpdateProductInput$Name' => '<p>The updated product name.</p>', ], ], 'ProductViewOwner' => [ 'base' => NULL, 'refs' => [ 'CreateProductInput$Owner' => '<p>The owner of the product.</p>', 'CreateProductInput$Distributor' => '<p>The distributor of the product.</p>', 'ProductViewSummary$Owner' => '<p>The owner of the product. Contact the product administrator for the significance of this value.</p>', 'UpdateProductInput$Owner' => '<p>The updated owner of the product.</p>', 'UpdateProductInput$Distributor' => '<p>The updated distributor of the product.</p>', ], ], 'ProductViewShortDescription' => [ 'base' => NULL, 'refs' => [ 'CreateProductInput$Description' => '<p>The description of the product.</p>', 'ProductViewSummary$ShortDescription' => '<p>Short description of the product.</p>', 'UpdateProductInput$Description' => '<p>The updated description of the product.</p>', ], ], 'ProductViewSortBy' => [ 'base' => NULL, 'refs' => [ 'SearchProductsAsAdminInput$SortBy' => '<p>The sort field. If no value is specified, the results are not sorted.</p>', 'SearchProductsInput$SortBy' => '<p>The sort field. If no value is specified, the results are not sorted.</p>', ], ], 'ProductViewSummaries' => [ 'base' => NULL, 'refs' => [ 'SearchProductsOutput$ProductViewSummaries' => '<p>Information about the product views.</p>', ], ], 'ProductViewSummary' => [ 'base' => '<p>Summary information about a product view.</p>', 'refs' => [ 'DescribeProductOutput$ProductViewSummary' => '<p>Summary information about the product view.</p>', 'DescribeProductViewOutput$ProductViewSummary' => '<p>Summary information about the product.</p>', 'ProductViewDetail$ProductViewSummary' => '<p>Summary information about the product view.</p>', 'ProductViewSummaries$member' => NULL, ], ], 'PropertyName' => [ 'base' => NULL, 'refs' => [ 'ResourceTargetDefinition$Name' => '<p>If the attribute is <code>Properties</code>, the value is the name of the property. Otherwise, the value is null.</p>', ], ], 'ProviderName' => [ 'base' => NULL, 'refs' => [ 'CreatePortfolioInput$ProviderName' => '<p>The name of the portfolio provider.</p>', 'PortfolioDetail$ProviderName' => '<p>The name of the portfolio provider.</p>', 'UpdatePortfolioInput$ProviderName' => '<p>The updated name of the portfolio provider.</p>', ], ], 'ProvisionProductInput' => [ 'base' => NULL, 'refs' => [], ], 'ProvisionProductOutput' => [ 'base' => NULL, 'refs' => [], ], 'ProvisionedProductAttribute' => [ 'base' => '<p>Information about a provisioned product.</p>', 'refs' => [ 'ProvisionedProductAttributes$member' => NULL, ], ], 'ProvisionedProductAttributes' => [ 'base' => NULL, 'refs' => [ 'SearchProvisionedProductsOutput$ProvisionedProducts' => '<p>Information about the provisioned products.</p>', ], ], 'ProvisionedProductDetail' => [ 'base' => '<p>Information about a provisioned product.</p>', 'refs' => [ 'DescribeProvisionedProductOutput$ProvisionedProductDetail' => '<p>Information about the provisioned product.</p>', 'ProvisionedProductDetails$member' => NULL, ], ], 'ProvisionedProductDetails' => [ 'base' => NULL, 'refs' => [ 'ScanProvisionedProductsOutput$ProvisionedProducts' => '<p>Information about the provisioned products.</p>', ], ], 'ProvisionedProductFilters' => [ 'base' => NULL, 'refs' => [ 'SearchProvisionedProductsInput$Filters' => '<p>The search filters.</p> <p>When the key is <code>SearchQuery</code>, the searchable fields are <code>arn</code>, <code>createdTime</code>, <code>id</code>, <code>lastRecordId</code>, <code>idempotencyToken</code>, <code>name</code>, <code>physicalId</code>, <code>productId</code>, <code>provisioningArtifact</code>, <code>type</code>, <code>status</code>, <code>tags</code>, <code>userArn</code>, and <code>userArnSession</code>.</p> <p>Example: <code>"SearchQuery":["status:AVAILABLE"]</code> </p>', ], ], 'ProvisionedProductId' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductDetail$Id' => '<p>The identifier of the provisioned product.</p>', ], ], 'ProvisionedProductName' => [ 'base' => NULL, 'refs' => [ 'CreateProvisionedProductPlanInput$ProvisionedProductName' => '<p>A user-friendly name for the provisioned product. This value must be unique for the AWS account and cannot be updated after the product is provisioned.</p>', 'CreateProvisionedProductPlanOutput$ProvisionedProductName' => '<p>The user-friendly name of the provisioned product.</p>', 'ProvisionProductInput$ProvisionedProductName' => '<p>A user-friendly name for the provisioned product. This value must be unique for the AWS account and cannot be updated after the product is provisioned.</p>', 'ProvisionedProductPlanDetails$ProvisionProductName' => '<p>The user-friendly name of the provisioned product.</p>', 'ProvisionedProductPlanSummary$ProvisionProductName' => '<p>The user-friendly name of the provisioned product.</p>', 'RecordDetail$ProvisionedProductName' => '<p>The user-friendly name of the provisioned product.</p>', ], ], 'ProvisionedProductNameOrArn' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductAttribute$Name' => '<p>The user-friendly name of the provisioned product.</p>', 'ProvisionedProductAttribute$Arn' => '<p>The ARN of the provisioned product.</p>', 'ProvisionedProductDetail$Name' => '<p>The user-friendly name of the provisioned product.</p>', 'ProvisionedProductDetail$Arn' => '<p>The ARN of the provisioned product.</p>', 'TerminateProvisionedProductInput$ProvisionedProductName' => '<p>The name of the provisioned product. You cannot specify both <code>ProvisionedProductName</code> and <code>ProvisionedProductId</code>.</p>', 'UpdateProvisionedProductInput$ProvisionedProductName' => '<p>The updated name of the provisioned product. You cannot specify both <code>ProvisionedProductName</code> and <code>ProvisionedProductId</code>.</p>', ], ], 'ProvisionedProductPlanDetails' => [ 'base' => '<p>Information about a plan.</p>', 'refs' => [ 'DescribeProvisionedProductPlanOutput$ProvisionedProductPlanDetails' => '<p>Information about the plan.</p>', ], ], 'ProvisionedProductPlanName' => [ 'base' => NULL, 'refs' => [ 'CreateProvisionedProductPlanInput$PlanName' => '<p>The name of the plan.</p>', 'CreateProvisionedProductPlanOutput$PlanName' => '<p>The name of the plan.</p>', 'ProvisionedProductPlanDetails$PlanName' => '<p>The name of the plan.</p>', 'ProvisionedProductPlanSummary$PlanName' => '<p>The name of the plan.</p>', ], ], 'ProvisionedProductPlanStatus' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductPlanDetails$Status' => '<p>The status.</p>', ], ], 'ProvisionedProductPlanSummary' => [ 'base' => '<p>Summary information about a plan.</p>', 'refs' => [ 'ProvisionedProductPlans$member' => NULL, ], ], 'ProvisionedProductPlanType' => [ 'base' => NULL, 'refs' => [ 'CreateProvisionedProductPlanInput$PlanType' => '<p>The plan type.</p>', 'ProvisionedProductPlanDetails$PlanType' => '<p>The plan type.</p>', 'ProvisionedProductPlanSummary$PlanType' => '<p>The plan type.</p>', ], ], 'ProvisionedProductPlans' => [ 'base' => NULL, 'refs' => [ 'ListProvisionedProductPlansOutput$ProvisionedProductPlans' => '<p>Information about the plans.</p>', ], ], 'ProvisionedProductStatus' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductAttribute$Status' => '<p>The current status of the provisioned product.</p> <ul> <li> <p> <code>AVAILABLE</code> - Stable state, ready to perform any operation. The most recent operation succeeded and completed.</p> </li> <li> <p> <code>UNDER_CHANGE</code> - Transitive state, operations performed might not have valid results. Wait for an <code>AVAILABLE</code> status before performing operations.</p> </li> <li> <p> <code>TAINTED</code> - Stable state, ready to perform any operation. The stack has completed the requested operation but is not exactly what was requested. For example, a request to update to a new version failed and the stack rolled back to the current version.</p> </li> <li> <p> <code>ERROR</code> - An unexpected error occurred, the provisioned product exists but the stack is not running. For example, CloudFormation received a parameter value that was not valid and could not launch the stack.</p> </li> </ul>', 'ProvisionedProductDetail$Status' => '<p>The current status of the provisioned product.</p> <ul> <li> <p> <code>AVAILABLE</code> - Stable state, ready to perform any operation. The most recent operation succeeded and completed.</p> </li> <li> <p> <code>UNDER_CHANGE</code> - Transitive state, operations performed might not have valid results. Wait for an <code>AVAILABLE</code> status before performing operations.</p> </li> <li> <p> <code>TAINTED</code> - Stable state, ready to perform any operation. The stack has completed the requested operation but is not exactly what was requested. For example, a request to update to a new version failed and the stack rolled back to the current version.</p> </li> <li> <p> <code>ERROR</code> - An unexpected error occurred, the provisioned product exists but the stack is not running. For example, CloudFormation received a parameter value that was not valid and could not launch the stack.</p> </li> </ul>', ], ], 'ProvisionedProductStatusMessage' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductAttribute$StatusMessage' => '<p>The current status message of the provisioned product.</p>', 'ProvisionedProductDetail$StatusMessage' => '<p>The current status message of the provisioned product.</p>', ], ], 'ProvisionedProductType' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductAttribute$Type' => '<p>The type of provisioned product. The supported value is <code>CFN_STACK</code>.</p>', 'ProvisionedProductDetail$Type' => '<p>The type of provisioned product. The supported value is <code>CFN_STACK</code>.</p>', 'RecordDetail$ProvisionedProductType' => '<p>The type of provisioned product. The supported value is <code>CFN_STACK</code>.</p>', ], ], 'ProvisionedProductViewFilterBy' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductFilters$key' => NULL, ], ], 'ProvisionedProductViewFilterValue' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductViewFilterValues$member' => NULL, ], ], 'ProvisionedProductViewFilterValues' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductFilters$value' => NULL, ], ], 'ProvisioningArtifact' => [ 'base' => '<p>Information about a provisioning artifact. A provisioning artifact is also known as a product version.</p>', 'refs' => [ 'ProvisioningArtifacts$member' => NULL, ], ], 'ProvisioningArtifactActive' => [ 'base' => NULL, 'refs' => [ 'ProvisioningArtifactDetail$Active' => '<p>Indicates whether the product version is active.</p>', 'UpdateProvisioningArtifactInput$Active' => '<p>Indicates whether the product version is active.</p>', ], ], 'ProvisioningArtifactCreatedTime' => [ 'base' => NULL, 'refs' => [ 'ProvisioningArtifact$CreatedTime' => '<p>The UTC time stamp of the creation time.</p>', 'ProvisioningArtifactSummary$CreatedTime' => '<p>The UTC time stamp of the creation time.</p>', ], ], 'ProvisioningArtifactDescription' => [ 'base' => NULL, 'refs' => [ 'ProvisioningArtifact$Description' => '<p>The description of the provisioning artifact.</p>', 'ProvisioningArtifactProperties$Description' => '<p>The description of the provisioning artifact, including how it differs from the previous provisioning artifact.</p>', 'ProvisioningArtifactSummary$Description' => '<p>The description of the provisioning artifact.</p>', 'UpdateProvisioningArtifactInput$Description' => '<p>The updated description of the provisioning artifact.</p>', ], ], 'ProvisioningArtifactDetail' => [ 'base' => '<p>Information about a provisioning artifact (also known as a version) for a product.</p>', 'refs' => [ 'CreateProductOutput$ProvisioningArtifactDetail' => '<p>Information about the provisioning artifact.</p>', 'CreateProvisioningArtifactOutput$ProvisioningArtifactDetail' => '<p>Information about the provisioning artifact.</p>', 'DescribeProvisioningArtifactOutput$ProvisioningArtifactDetail' => '<p>Information about the provisioning artifact.</p>', 'ProvisioningArtifactDetails$member' => NULL, 'UpdateProvisioningArtifactOutput$ProvisioningArtifactDetail' => '<p>Information about the provisioning artifact.</p>', ], ], 'ProvisioningArtifactDetails' => [ 'base' => NULL, 'refs' => [ 'ListProvisioningArtifactsOutput$ProvisioningArtifactDetails' => '<p>Information about the provisioning artifacts.</p>', ], ], 'ProvisioningArtifactInfo' => [ 'base' => NULL, 'refs' => [ 'CreateProvisioningArtifactOutput$Info' => '<p>The URL of the CloudFormation template in Amazon S3, in JSON format.</p>', 'DescribeProvisioningArtifactOutput$Info' => '<p>The URL of the CloudFormation template in Amazon S3.</p>', 'ProvisioningArtifactProperties$Info' => '<p>The URL of the CloudFormation template in Amazon S3. Specify the URL in JSON format as follows:</p> <p> <code>"LoadTemplateFromURL": "https://s3.amazonaws.com/cf-templates-ozkq9d3hgiq2-us-east-1/..."</code> </p>', 'ProvisioningArtifactSummary$ProvisioningArtifactMetadata' => '<p>The metadata for the provisioning artifact. This is used with AWS Marketplace products.</p>', 'UpdateProvisioningArtifactOutput$Info' => '<p>The URL of the CloudFormation template in Amazon S3.</p>', ], ], 'ProvisioningArtifactInfoKey' => [ 'base' => NULL, 'refs' => [ 'ProvisioningArtifactInfo$key' => NULL, ], ], 'ProvisioningArtifactInfoValue' => [ 'base' => NULL, 'refs' => [ 'ProvisioningArtifactInfo$value' => NULL, ], ], 'ProvisioningArtifactName' => [ 'base' => NULL, 'refs' => [ 'ProvisioningArtifact$Name' => '<p>The name of the provisioning artifact.</p>', 'ProvisioningArtifactDetail$Name' => '<p>The name of the provisioning artifact.</p>', 'ProvisioningArtifactDetail$Description' => '<p>The description of the provisioning artifact.</p>', 'ProvisioningArtifactProperties$Name' => '<p>The name of the provisioning artifact (for example, v1 v2beta). No spaces are allowed.</p>', 'ProvisioningArtifactSummary$Name' => '<p>The name of the provisioning artifact.</p>', 'UpdateProvisioningArtifactInput$Name' => '<p>The updated name of the provisioning artifact.</p>', ], ], 'ProvisioningArtifactParameter' => [ 'base' => '<p>Information about a parameter used to provision a product.</p>', 'refs' => [ 'ProvisioningArtifactParameters$member' => NULL, ], ], 'ProvisioningArtifactParameters' => [ 'base' => NULL, 'refs' => [ 'DescribeProvisioningParametersOutput$ProvisioningArtifactParameters' => '<p>Information about the parameters used to provision the product.</p>', ], ], 'ProvisioningArtifactProperties' => [ 'base' => '<p>Information about a provisioning artifact (also known as a version) for a product.</p>', 'refs' => [ 'CreateProductInput$ProvisioningArtifactParameters' => '<p>The configuration of the provisioning artifact.</p>', 'CreateProvisioningArtifactInput$Parameters' => '<p>The configuration for the provisioning artifact.</p>', ], ], 'ProvisioningArtifactPropertyName' => [ 'base' => NULL, 'refs' => [ 'SourceProvisioningArtifactPropertiesMap$key' => NULL, ], ], 'ProvisioningArtifactPropertyValue' => [ 'base' => NULL, 'refs' => [ 'SourceProvisioningArtifactPropertiesMap$value' => NULL, ], ], 'ProvisioningArtifactSummaries' => [ 'base' => NULL, 'refs' => [ 'DescribeProductAsAdminOutput$ProvisioningArtifactSummaries' => '<p>Information about the provisioning artifacts (also known as versions) for the specified product.</p>', ], ], 'ProvisioningArtifactSummary' => [ 'base' => '<p>Summary information about a provisioning artifact (also known as a version) for a product.</p>', 'refs' => [ 'ProvisioningArtifactSummaries$member' => NULL, ], ], 'ProvisioningArtifactType' => [ 'base' => NULL, 'refs' => [ 'ProvisioningArtifactDetail$Type' => '<p>The type of provisioning artifact.</p> <ul> <li> <p> <code>CLOUD_FORMATION_TEMPLATE</code> - AWS CloudFormation template</p> </li> <li> <p> <code>MARKETPLACE_AMI</code> - AWS Marketplace AMI</p> </li> <li> <p> <code>MARKETPLACE_CAR</code> - AWS Marketplace Clusters and AWS Resources</p> </li> </ul>', 'ProvisioningArtifactProperties$Type' => '<p>The type of provisioning artifact.</p> <ul> <li> <p> <code>CLOUD_FORMATION_TEMPLATE</code> - AWS CloudFormation template</p> </li> <li> <p> <code>MARKETPLACE_AMI</code> - AWS Marketplace AMI</p> </li> <li> <p> <code>MARKETPLACE_CAR</code> - AWS Marketplace Clusters and AWS Resources</p> </li> </ul>', ], ], 'ProvisioningArtifacts' => [ 'base' => NULL, 'refs' => [ 'DescribeProductOutput$ProvisioningArtifacts' => '<p>Information about the provisioning artifacts for the specified product.</p>', 'DescribeProductViewOutput$ProvisioningArtifacts' => '<p>Information about the provisioning artifacts for the product.</p>', ], ], 'ProvisioningParameter' => [ 'base' => '<p>Information about a parameter used to provision a product.</p>', 'refs' => [ 'ProvisioningParameters$member' => NULL, ], ], 'ProvisioningParameters' => [ 'base' => NULL, 'refs' => [ 'ProvisionProductInput$ProvisioningParameters' => '<p>Parameters specified by the administrator that are required for provisioning the product.</p>', ], ], 'RecordDetail' => [ 'base' => '<p>Information about a request operation.</p>', 'refs' => [ 'DescribeRecordOutput$RecordDetail' => '<p>Information about the product.</p>', 'ExecuteProvisionedProductPlanOutput$RecordDetail' => '<p>Information about the result of provisioning the product.</p>', 'ProvisionProductOutput$RecordDetail' => '<p>Information about the result of provisioning the product.</p>', 'RecordDetails$member' => NULL, 'TerminateProvisionedProductOutput$RecordDetail' => '<p>Information about the result of this request.</p>', 'UpdateProvisionedProductOutput$RecordDetail' => '<p>Information about the result of the request.</p>', ], ], 'RecordDetails' => [ 'base' => NULL, 'refs' => [ 'ListRecordHistoryOutput$RecordDetails' => '<p>The records, in reverse chronological order.</p>', ], ], 'RecordError' => [ 'base' => '<p>The error code and description resulting from an operation.</p>', 'refs' => [ 'RecordErrors$member' => NULL, ], ], 'RecordErrors' => [ 'base' => NULL, 'refs' => [ 'RecordDetail$RecordErrors' => '<p>The errors that occurred.</p>', ], ], 'RecordOutput' => [ 'base' => '<p>The output for the product created as the result of a request. For example, the output for a CloudFormation-backed product that creates an S3 bucket would include the S3 bucket URL.</p>', 'refs' => [ 'RecordOutputs$member' => NULL, ], ], 'RecordOutputs' => [ 'base' => NULL, 'refs' => [ 'DescribeRecordOutput$RecordOutputs' => '<p>Information about the product created as the result of a request. For example, the output for a CloudFormation-backed product that creates an S3 bucket would include the S3 bucket URL.</p>', ], ], 'RecordStatus' => [ 'base' => NULL, 'refs' => [ 'RecordDetail$Status' => '<p>The status of the provisioned product.</p> <ul> <li> <p> <code>CREATED</code> - The request was created but the operation has not started.</p> </li> <li> <p> <code>IN_PROGRESS</code> - The requested operation is in progress.</p> </li> <li> <p> <code>IN_PROGRESS_IN_ERROR</code> - The provisioned product is under change but the requested operation failed and some remediation is occurring. For example, a rollback.</p> </li> <li> <p> <code>SUCCEEDED</code> - The requested operation has successfully completed.</p> </li> <li> <p> <code>FAILED</code> - The requested operation has unsuccessfully completed. Investigate using the error messages returned.</p> </li> </ul>', ], ], 'RecordTag' => [ 'base' => '<p>Information about a tag, which is a key-value pair.</p>', 'refs' => [ 'RecordTags$member' => NULL, ], ], 'RecordTagKey' => [ 'base' => NULL, 'refs' => [ 'RecordTag$Key' => '<p>The key for this tag.</p>', ], ], 'RecordTagValue' => [ 'base' => NULL, 'refs' => [ 'RecordTag$Value' => '<p>The value for this tag.</p>', ], ], 'RecordTags' => [ 'base' => NULL, 'refs' => [ 'RecordDetail$RecordTags' => '<p>One or more tags.</p>', ], ], 'RecordType' => [ 'base' => NULL, 'refs' => [ 'RecordDetail$RecordType' => '<p>The record type.</p> <ul> <li> <p> <code>PROVISION_PRODUCT</code> </p> </li> <li> <p> <code>UPDATE_PROVISIONED_PRODUCT</code> </p> </li> <li> <p> <code>TERMINATE_PROVISIONED_PRODUCT</code> </p> </li> </ul>', ], ], 'RejectPortfolioShareInput' => [ 'base' => NULL, 'refs' => [], ], 'RejectPortfolioShareOutput' => [ 'base' => NULL, 'refs' => [], ], 'Replacement' => [ 'base' => NULL, 'refs' => [ 'ResourceChange$Replacement' => '<p>If the change type is <code>Modify</code>, indicates whether the existing resource is deleted and replaced with a new one.</p>', ], ], 'RequiresRecreation' => [ 'base' => NULL, 'refs' => [ 'ResourceTargetDefinition$RequiresRecreation' => '<p>If the attribute is <code>Properties</code>, indicates whether a change to this property causes the resource to be re-created.</p>', ], ], 'ResourceARN' => [ 'base' => NULL, 'refs' => [ 'PortfolioDetail$ARN' => '<p>The ARN assigned to the portfolio.</p>', 'ProductViewDetail$ProductARN' => '<p>The ARN of the product.</p>', ], ], 'ResourceAttribute' => [ 'base' => NULL, 'refs' => [ 'ResourceTargetDefinition$Attribute' => '<p>The attribute to be changed.</p>', 'Scope$member' => NULL, ], ], 'ResourceChange' => [ 'base' => '<p>Information about a resource change that will occur when a plan is executed.</p>', 'refs' => [ 'ResourceChanges$member' => NULL, ], ], 'ResourceChangeDetail' => [ 'base' => '<p>Information about a change to a resource attribute.</p>', 'refs' => [ 'ResourceChangeDetails$member' => NULL, ], ], 'ResourceChangeDetails' => [ 'base' => NULL, 'refs' => [ 'ResourceChange$Details' => '<p>Information about the resource changes.</p>', ], ], 'ResourceChanges' => [ 'base' => NULL, 'refs' => [ 'DescribeProvisionedProductPlanOutput$ResourceChanges' => '<p>Information about the resource changes that will occur when the plan is executed.</p>', ], ], 'ResourceDetail' => [ 'base' => '<p>Information about a resource.</p>', 'refs' => [ 'ResourceDetails$member' => NULL, ], ], 'ResourceDetailARN' => [ 'base' => NULL, 'refs' => [ 'ResourceDetail$ARN' => '<p>The ARN of the resource.</p>', ], ], 'ResourceDetailCreatedTime' => [ 'base' => NULL, 'refs' => [ 'ResourceDetail$CreatedTime' => '<p>The creation time of the resource.</p>', ], ], 'ResourceDetailDescription' => [ 'base' => NULL, 'refs' => [ 'ResourceDetail$Description' => '<p>The description of the resource.</p>', ], ], 'ResourceDetailId' => [ 'base' => NULL, 'refs' => [ 'ResourceDetail$Id' => '<p>The identifier of the resource.</p>', ], ], 'ResourceDetailName' => [ 'base' => NULL, 'refs' => [ 'ResourceDetail$Name' => '<p>The name of the resource.</p>', ], ], 'ResourceDetails' => [ 'base' => NULL, 'refs' => [ 'ListResourcesForTagOptionOutput$ResourceDetails' => '<p>Information about the resources.</p>', ], ], 'ResourceId' => [ 'base' => NULL, 'refs' => [ 'AssociateTagOptionWithResourceInput$ResourceId' => '<p>The resource identifier.</p>', 'DisassociateTagOptionFromResourceInput$ResourceId' => '<p>The resource identifier.</p>', ], ], 'ResourceInUseException' => [ 'base' => '<p>A resource that is currently in use. Ensure that the resource is not in use and retry the operation.</p>', 'refs' => [], ], 'ResourceNotFoundException' => [ 'base' => '<p>The specified resource was not found.</p>', 'refs' => [], ], 'ResourceTargetDefinition' => [ 'base' => '<p>Information about a change to a resource attribute.</p>', 'refs' => [ 'ResourceChangeDetail$Target' => '<p>Information about the resource attribute to be modified.</p>', ], ], 'ResourceType' => [ 'base' => NULL, 'refs' => [ 'ListResourcesForTagOptionInput$ResourceType' => '<p>The resource type.</p> <ul> <li> <p> <code>Portfolio</code> </p> </li> <li> <p> <code>Product</code> </p> </li> </ul>', ], ], 'ScanProvisionedProductsInput' => [ 'base' => NULL, 'refs' => [], ], 'ScanProvisionedProductsOutput' => [ 'base' => NULL, 'refs' => [], ], 'Scope' => [ 'base' => NULL, 'refs' => [ 'ResourceChange$Scope' => '<p>The change scope.</p>', ], ], 'SearchFilterKey' => [ 'base' => NULL, 'refs' => [ 'ListRecordHistorySearchFilter$Key' => '<p>The filter key.</p> <ul> <li> <p> <code>product</code> - Filter results based on the specified product identifier.</p> </li> <li> <p> <code>provisionedproduct</code> - Filter results based on the provisioned product identifier.</p> </li> </ul>', ], ], 'SearchFilterValue' => [ 'base' => NULL, 'refs' => [ 'ListRecordHistorySearchFilter$Value' => '<p>The filter value.</p>', ], ], 'SearchProductsAsAdminInput' => [ 'base' => NULL, 'refs' => [], ], 'SearchProductsAsAdminOutput' => [ 'base' => NULL, 'refs' => [], ], 'SearchProductsInput' => [ 'base' => NULL, 'refs' => [], ], 'SearchProductsOutput' => [ 'base' => NULL, 'refs' => [], ], 'SearchProvisionedProductsInput' => [ 'base' => NULL, 'refs' => [], ], 'SearchProvisionedProductsOutput' => [ 'base' => NULL, 'refs' => [], ], 'SearchProvisionedProductsPageSize' => [ 'base' => NULL, 'refs' => [ 'SearchProvisionedProductsInput$PageSize' => '<p>The maximum number of items to return with this call.</p>', ], ], 'SortField' => [ 'base' => NULL, 'refs' => [ 'SearchProvisionedProductsInput$SortBy' => '<p>The sort field. If no value is specified, the results are not sorted. The valid values are <code>arn</code>, <code>id</code>, <code>name</code>, and <code>lastRecordId</code>.</p>', ], ], 'SortOrder' => [ 'base' => NULL, 'refs' => [ 'SearchProductsAsAdminInput$SortOrder' => '<p>The sort order. If no value is specified, the results are not sorted.</p>', 'SearchProductsInput$SortOrder' => '<p>The sort order. If no value is specified, the results are not sorted.</p>', 'SearchProvisionedProductsInput$SortOrder' => '<p>The sort order. If no value is specified, the results are not sorted.</p>', ], ], 'SourceProvisioningArtifactProperties' => [ 'base' => NULL, 'refs' => [ 'CopyProductInput$SourceProvisioningArtifactIdentifiers' => '<p>The identifiers of the provisioning artifacts (also known as versions) of the product to copy. By default, all provisioning artifacts are copied.</p>', ], ], 'SourceProvisioningArtifactPropertiesMap' => [ 'base' => NULL, 'refs' => [ 'SourceProvisioningArtifactProperties$member' => NULL, ], ], 'Status' => [ 'base' => NULL, 'refs' => [ 'CreateConstraintOutput$Status' => '<p>The status of the current request.</p>', 'CreateProvisioningArtifactOutput$Status' => '<p>The status of the current request.</p>', 'DescribeConstraintOutput$Status' => '<p>The status of the current request.</p>', 'DescribeProvisioningArtifactOutput$Status' => '<p>The status of the current request.</p>', 'ProductViewDetail$Status' => '<p>The status of the product.</p> <ul> <li> <p> <code>AVAILABLE</code> - The product is ready for use.</p> </li> <li> <p> <code>CREATING</code> - Product creation has started; the product is not ready for use.</p> </li> <li> <p> <code>FAILED</code> - An action failed.</p> </li> </ul>', 'UpdateConstraintOutput$Status' => '<p>The status of the current request.</p>', 'UpdateProvisioningArtifactOutput$Status' => '<p>The status of the current request.</p>', ], ], 'StatusDetail' => [ 'base' => NULL, 'refs' => [ 'DescribeCopyProductStatusOutput$StatusDetail' => '<p>The status message.</p>', ], ], 'StatusMessage' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductPlanDetails$StatusMessage' => '<p>The status message.</p>', ], ], 'SupportDescription' => [ 'base' => NULL, 'refs' => [ 'CreateProductInput$SupportDescription' => '<p>The support information about the product.</p>', 'ProductViewSummary$SupportDescription' => '<p>The description of the support for this Product.</p>', 'UpdateProductInput$SupportDescription' => '<p>The updated support description for the product.</p>', ], ], 'SupportEmail' => [ 'base' => NULL, 'refs' => [ 'CreateProductInput$SupportEmail' => '<p>The contact email for product support.</p>', 'ProductViewSummary$SupportEmail' => '<p>The email contact information to obtain support for this Product.</p>', 'UpdateProductInput$SupportEmail' => '<p>The updated support email for the product.</p>', ], ], 'SupportUrl' => [ 'base' => NULL, 'refs' => [ 'CreateProductInput$SupportUrl' => '<p>The contact URL for product support.</p>', 'ProductViewSummary$SupportUrl' => '<p>The URL information to obtain support for this Product.</p>', 'UpdateProductInput$SupportUrl' => '<p>The updated support URL for the product.</p>', ], ], 'Tag' => [ 'base' => '<p>Information about a tag. A tag is a key-value pair. Tags are propagated to the resources created when provisioning a product.</p>', 'refs' => [ 'AddTags$member' => NULL, 'Tags$member' => NULL, ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'Tag$Key' => '<p>The tag key.</p>', 'TagKeys$member' => NULL, ], ], 'TagKeys' => [ 'base' => NULL, 'refs' => [ 'UpdatePortfolioInput$RemoveTags' => '<p>The tags to remove.</p>', 'UpdateProductInput$RemoveTags' => '<p>The tags to remove from the product.</p>', ], ], 'TagOptionActive' => [ 'base' => NULL, 'refs' => [ 'ListTagOptionsFilters$Active' => '<p>The active state.</p>', 'TagOptionDetail$Active' => '<p>The TagOption active state.</p>', 'UpdateTagOptionInput$Active' => '<p>The updated active state.</p>', ], ], 'TagOptionDetail' => [ 'base' => '<p>Information about a TagOption.</p>', 'refs' => [ 'CreateTagOptionOutput$TagOptionDetail' => '<p>Information about the TagOption.</p>', 'DescribeTagOptionOutput$TagOptionDetail' => '<p>Information about the TagOption.</p>', 'TagOptionDetails$member' => NULL, 'UpdateTagOptionOutput$TagOptionDetail' => '<p>Information about the TagOption.</p>', ], ], 'TagOptionDetails' => [ 'base' => NULL, 'refs' => [ 'DescribePortfolioOutput$TagOptions' => '<p>Information about the TagOptions associated with the portfolio.</p>', 'DescribeProductAsAdminOutput$TagOptions' => '<p>Information about the TagOptions associated with the product.</p>', 'ListTagOptionsOutput$TagOptionDetails' => '<p>Information about the TagOptions.</p>', ], ], 'TagOptionId' => [ 'base' => NULL, 'refs' => [ 'AssociateTagOptionWithResourceInput$TagOptionId' => '<p>The TagOption identifier.</p>', 'DeleteTagOptionInput$Id' => '<p>The TagOption identifier.</p>', 'DescribeTagOptionInput$Id' => '<p>The TagOption identifier.</p>', 'DisassociateTagOptionFromResourceInput$TagOptionId' => '<p>The TagOption identifier.</p>', 'ListResourcesForTagOptionInput$TagOptionId' => '<p>The TagOption identifier.</p>', 'TagOptionDetail$Id' => '<p>The TagOption identifier.</p>', 'UpdateTagOptionInput$Id' => '<p>The TagOption identifier.</p>', ], ], 'TagOptionKey' => [ 'base' => NULL, 'refs' => [ 'CreateTagOptionInput$Key' => '<p>The TagOption key.</p>', 'ListTagOptionsFilters$Key' => '<p>The TagOption key.</p>', 'TagOptionDetail$Key' => '<p>The TagOption key.</p>', 'TagOptionSummary$Key' => '<p>The TagOption key.</p>', ], ], 'TagOptionNotMigratedException' => [ 'base' => '<p>An operation requiring TagOptions failed because the TagOptions migration process has not been performed for this account. Please use the AWS console to perform the migration process before retrying the operation.</p>', 'refs' => [], ], 'TagOptionSummaries' => [ 'base' => NULL, 'refs' => [ 'DescribeProvisioningParametersOutput$TagOptions' => '<p>Information about the TagOptions associated with the resource.</p>', ], ], 'TagOptionSummary' => [ 'base' => '<p>Summary information about a TagOption.</p>', 'refs' => [ 'TagOptionSummaries$member' => NULL, ], ], 'TagOptionValue' => [ 'base' => NULL, 'refs' => [ 'CreateTagOptionInput$Value' => '<p>The TagOption value.</p>', 'ListTagOptionsFilters$Value' => '<p>The TagOption value.</p>', 'TagOptionDetail$Value' => '<p>The TagOption value.</p>', 'TagOptionValues$member' => NULL, 'UpdateTagOptionInput$Value' => '<p>The updated value.</p>', ], ], 'TagOptionValues' => [ 'base' => NULL, 'refs' => [ 'TagOptionSummary$Values' => '<p>The TagOption value.</p>', ], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'Tag$Value' => '<p>The value for this key.</p>', ], ], 'Tags' => [ 'base' => NULL, 'refs' => [ 'CreatePortfolioOutput$Tags' => '<p>Information about the tags associated with the portfolio.</p>', 'CreateProductOutput$Tags' => '<p>Information about the tags associated with the product.</p>', 'CreateProvisionedProductPlanInput$Tags' => '<p>One or more tags.</p>', 'DescribePortfolioOutput$Tags' => '<p>Information about the tags associated with the portfolio.</p>', 'DescribeProductAsAdminOutput$Tags' => '<p>Information about the tags associated with the product.</p>', 'LaunchPathSummary$Tags' => '<p>The tags associated with this product path.</p>', 'ProvisionProductInput$Tags' => '<p>One or more tags.</p>', 'ProvisionedProductAttribute$Tags' => '<p>One or more tags.</p>', 'ProvisionedProductPlanDetails$Tags' => '<p>One or more tags.</p>', 'UpdatePortfolioOutput$Tags' => '<p>Information about the tags associated with the portfolio.</p>', 'UpdateProductOutput$Tags' => '<p>Information about the tags associated with the product.</p>', ], ], 'TerminateProvisionedProductInput' => [ 'base' => NULL, 'refs' => [], ], 'TerminateProvisionedProductOutput' => [ 'base' => NULL, 'refs' => [], ], 'TotalResultsCount' => [ 'base' => NULL, 'refs' => [ 'SearchProvisionedProductsOutput$TotalResultsCount' => '<p>The number of provisioned products found.</p>', ], ], 'UpdateConstraintInput' => [ 'base' => NULL, 'refs' => [], ], 'UpdateConstraintOutput' => [ 'base' => NULL, 'refs' => [], ], 'UpdatePortfolioInput' => [ 'base' => NULL, 'refs' => [], ], 'UpdatePortfolioOutput' => [ 'base' => NULL, 'refs' => [], ], 'UpdateProductInput' => [ 'base' => NULL, 'refs' => [], ], 'UpdateProductOutput' => [ 'base' => NULL, 'refs' => [], ], 'UpdateProvisionedProductInput' => [ 'base' => NULL, 'refs' => [], ], 'UpdateProvisionedProductOutput' => [ 'base' => NULL, 'refs' => [], ], 'UpdateProvisioningArtifactInput' => [ 'base' => NULL, 'refs' => [], ], 'UpdateProvisioningArtifactOutput' => [ 'base' => NULL, 'refs' => [], ], 'UpdateProvisioningParameter' => [ 'base' => '<p>The parameter key-value pair used to update a provisioned product.</p>', 'refs' => [ 'UpdateProvisioningParameters$member' => NULL, ], ], 'UpdateProvisioningParameters' => [ 'base' => NULL, 'refs' => [ 'CreateProvisionedProductPlanInput$ProvisioningParameters' => '<p>Parameters specified by the administrator that are required for provisioning the product.</p>', 'ProvisionedProductPlanDetails$ProvisioningParameters' => '<p>Parameters specified by the administrator that are required for provisioning the product.</p>', 'UpdateProvisionedProductInput$ProvisioningParameters' => '<p>The new parameters.</p>', ], ], 'UpdateTagOptionInput' => [ 'base' => NULL, 'refs' => [], ], 'UpdateTagOptionOutput' => [ 'base' => NULL, 'refs' => [], ], 'UpdatedTime' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductPlanDetails$UpdatedTime' => '<p>The time when the plan was last updated.</p>', 'RecordDetail$UpdatedTime' => '<p>The time when the record was last updated.</p>', ], ], 'UsageInstruction' => [ 'base' => '<p>Additional information provided by the administrator.</p>', 'refs' => [ 'UsageInstructions$member' => NULL, ], ], 'UsageInstructions' => [ 'base' => NULL, 'refs' => [ 'DescribeProvisioningParametersOutput$UsageInstructions' => '<p>Any additional metadata specifically related to the provisioning of the product. For example, see the <code>Version</code> field of the CloudFormation template.</p>', ], ], 'UsePreviousValue' => [ 'base' => NULL, 'refs' => [ 'UpdateProvisioningParameter$UsePreviousValue' => '<p>If set to true, <code>Value</code> is ignored and the previous parameter value is kept.</p>', ], ], 'UserArn' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductAttribute$UserArn' => '<p>The Amazon Resource Name (ARN) of the IAM user.</p>', ], ], 'UserArnSession' => [ 'base' => NULL, 'refs' => [ 'ProvisionedProductAttribute$UserArnSession' => '<p>The ARN of the IAM user in the session. This ARN might contain a session ID.</p>', ], ], 'Verbose' => [ 'base' => NULL, 'refs' => [ 'DescribeProvisioningArtifactInput$Verbose' => '<p>Indicates whether a verbose level of detail is enabled.</p>', ], ], ],];
