<?php
// This file was auto-generated from sdk-root/src/data/shield/2016-06-02/docs-2.json
return [ 'version' => '2.0', 'service' => '<fullname>AWS Shield Advanced</fullname> <p>This is the <i>AWS Shield Advanced API Reference</i>. This guide is for developers who need detailed information about the AWS Shield Advanced API actions, data types, and errors. For detailed information about AWS WAF and AWS Shield Advanced features and an overview of how to use the AWS WAF and AWS Shield Advanced APIs, see the <a href="http://docs.aws.amazon.com/waf/latest/developerguide/">AWS WAF and AWS Shield Developer Guide</a>.</p>', 'operations' => [ 'CreateProtection' => '<p>Enables AWS Shield Advanced for a specific AWS resource. The resource can be an Amazon CloudFront distribution, Elastic Load Balancing load balancer, Elastic IP Address, or an Amazon Route 53 hosted zone.</p>', 'CreateSubscription' => '<p>Activates AWS Shield Advanced for an account.</p>', 'DeleteProtection' => '<p>Deletes an AWS Shield Advanced <a>Protection</a>.</p>', 'DeleteSubscription' => '<p>Removes AWS Shield Advanced from an account. AWS Shield Advanced requires a 1-year subscription commitment. You cannot delete a subscription prior to the completion of that commitment. </p>', 'DescribeAttack' => '<p>Describes the details of a DDoS attack. </p>', 'DescribeProtection' => '<p>Lists the details of a <a>Protection</a> object.</p>', 'DescribeSubscription' => '<p>Provides details about the AWS Shield Advanced subscription for an account.</p>', 'GetSubscriptionState' => '<p>Returns the <code>SubscriptionState</code>, either <code>Active</code> or <code>Inactive</code>.</p>', 'ListAttacks' => '<p>Returns all ongoing DDoS attacks or all DDoS attacks during a specified time period.</p>', 'ListProtections' => '<p>Lists all <a>Protection</a> objects for the account.</p>', ], 'shapes' => [ 'AttackDetail' => [ 'base' => '<p>The details of a DDoS attack.</p>', 'refs' => [ 'DescribeAttackResponse$Attack' => '<p>The attack that is described.</p>', ], ], 'AttackId' => [ 'base' => NULL, 'refs' => [ 'AttackDetail$AttackId' => '<p>The unique identifier (ID) of the attack.</p>', 'DescribeAttackRequest$AttackId' => '<p>The unique identifier (ID) for the attack that to be described.</p>', ], ], 'AttackLayer' => [ 'base' => NULL, 'refs' => [ 'AttackProperty$AttackLayer' => '<p>The type of DDoS event that was observed. <code>NETWORK</code> indicates layer 3 and layer 4 events and <code>APPLICATION</code> indicates layer 7 events.</p>', ], ], 'AttackProperties' => [ 'base' => NULL, 'refs' => [ 'AttackDetail$AttackProperties' => '<p>The array of <a>AttackProperty</a> objects.</p>', ], ], 'AttackProperty' => [ 'base' => '<p>Details of the described attack.</p>', 'refs' => [ 'AttackProperties$member' => NULL, ], ], 'AttackPropertyIdentifier' => [ 'base' => NULL, 'refs' => [ 'AttackProperty$AttackPropertyIdentifier' => '<p>Defines the DDoS attack property information that is provided.</p>', ], ], 'AttackSummaries' => [ 'base' => NULL, 'refs' => [ 'ListAttacksResponse$AttackSummaries' => '<p>The attack information for the specified time range.</p>', ], ], 'AttackSummary' => [ 'base' => '<p>Summarizes all DDoS attacks for a specified time period.</p>', 'refs' => [ 'AttackSummaries$member' => NULL, ], ], 'AttackTimestamp' => [ 'base' => NULL, 'refs' => [ 'AttackDetail$StartTime' => '<p>The time the attack started, in Unix time in seconds. For more information see <a href="http://docs.aws.amazon.com/cli/latest/userguide/cli-using-param.html#parameter-types">timestamp</a>.</p>', 'AttackDetail$EndTime' => '<p>The time the attack ended, in Unix time in seconds. For more information see <a href="http://docs.aws.amazon.com/cli/latest/userguide/cli-using-param.html#parameter-types">timestamp</a>.</p>', 'AttackSummary$StartTime' => '<p>The start time of the attack, in Unix time in seconds. For more information see <a href="http://docs.aws.amazon.com/cli/latest/userguide/cli-using-param.html#parameter-types">timestamp</a>.</p>', 'AttackSummary$EndTime' => '<p>The end time of the attack, in Unix time in seconds. For more information see <a href="http://docs.aws.amazon.com/cli/latest/userguide/cli-using-param.html#parameter-types">timestamp</a>.</p>', 'TimeRange$FromInclusive' => '<p>The start time, in Unix time in seconds. For more information see <a href="http://docs.aws.amazon.com/cli/latest/userguide/cli-using-param.html#parameter-types">timestamp</a>.</p>', 'TimeRange$ToExclusive' => '<p>The end time, in Unix time in seconds. For more information see <a href="http://docs.aws.amazon.com/cli/latest/userguide/cli-using-param.html#parameter-types">timestamp</a>.</p>', ], ], 'AttackVectorDescription' => [ 'base' => '<p>Describes the attack.</p>', 'refs' => [ 'AttackVectorDescriptionList$member' => NULL, ], ], 'AttackVectorDescriptionList' => [ 'base' => NULL, 'refs' => [ 'AttackSummary$AttackVectors' => '<p>The list of attacks for a specified time period.</p>', ], ], 'Contributor' => [ 'base' => '<p>A contributor to the attack and their contribution.</p>', 'refs' => [ 'TopContributors$member' => NULL, ], ], 'CreateProtectionRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateProtectionResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateSubscriptionRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateSubscriptionResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProtectionRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteProtectionResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteSubscriptionRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteSubscriptionResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeAttackRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeAttackResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProtectionRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeProtectionResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeSubscriptionRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeSubscriptionResponse' => [ 'base' => NULL, 'refs' => [], ], 'Double' => [ 'base' => NULL, 'refs' => [ 'SummarizedCounter$Max' => '<p>The maximum value of the counter for a specified time period.</p>', 'SummarizedCounter$Average' => '<p>The average value of the counter for a specified time period.</p>', 'SummarizedCounter$Sum' => '<p>The total of counter values for a specified time period.</p>', ], ], 'DurationInSeconds' => [ 'base' => NULL, 'refs' => [ 'Subscription$TimeCommitmentInSeconds' => '<p>The length, in seconds, of the AWS Shield Advanced subscription for the account.</p>', ], ], 'GetSubscriptionStateRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetSubscriptionStateResponse' => [ 'base' => NULL, 'refs' => [], ], 'Integer' => [ 'base' => NULL, 'refs' => [ 'SummarizedCounter$N' => '<p>The number of counters for a specified time period.</p>', ], ], 'InternalErrorException' => [ 'base' => '<p>Exception that indicates that a problem occurred with the service infrastructure. You can retry the request.</p>', 'refs' => [], ], 'InvalidOperationException' => [ 'base' => '<p>Exception that indicates that the operation would not cause any change to occur.</p>', 'refs' => [], ], 'InvalidParameterException' => [ 'base' => '<p>Exception that indicates that the parameters passed to the API are invalid. </p>', 'refs' => [], ], 'InvalidResourceException' => [ 'base' => '<p>Exception that indicates that the resource is invalid. You might not have access to the resource, or the resource might not exist.</p>', 'refs' => [], ], 'LimitNumber' => [ 'base' => NULL, 'refs' => [ 'LimitsExceededException$Limit' => NULL, ], ], 'LimitType' => [ 'base' => NULL, 'refs' => [ 'LimitsExceededException$Type' => NULL, ], ], 'LimitsExceededException' => [ 'base' => '<p>Exception that indicates that the operation would exceed a limit.</p> <p> <code>Type</code> is the type of limit that would be exceeded.</p> <p> <code>Limit</code> is the threshold that would be exceeded.</p>', 'refs' => [], ], 'ListAttacksRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListAttacksResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListProtectionsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListProtectionsResponse' => [ 'base' => NULL, 'refs' => [], ], 'LockedSubscriptionException' => [ 'base' => '<p>Exception that indicates that the subscription you are trying to delete has not yet completed the 1-year commitment. You cannot delete this subscription.</p>', 'refs' => [], ], 'Long' => [ 'base' => NULL, 'refs' => [ 'AttackProperty$Total' => '<p>The total contributions made to this attack by all contributors, not just the five listed in the <code>TopContributors</code> list.</p>', 'Contributor$Value' => '<p>The contribution of this contributor expressed in <a>Protection</a> units. For example <code>10,000</code>.</p>', ], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'ListAttacksRequest$MaxResults' => '<p>The maximum number of <a>AttackSummary</a> objects to be returned. If this is left blank, the first 20 results will be returned.</p>', 'ListProtectionsRequest$MaxResults' => '<p>The maximum number of <a>Protection</a> objects to be returned. If this is left blank the first 20 results will be returned.</p>', ], ], 'Mitigation' => [ 'base' => '<p>The mitigation applied to a DDoS attack.</p>', 'refs' => [ 'MitigationList$member' => NULL, ], ], 'MitigationList' => [ 'base' => NULL, 'refs' => [ 'AttackDetail$Mitigations' => '<p>List of mitigation actions taken for the attack.</p>', ], ], 'OptimisticLockException' => [ 'base' => '<p>Exception that indicates that the protection state has been modified by another client. You can retry the request.</p>', 'refs' => [], ], 'Protection' => [ 'base' => '<p>An object that represents a resource that is under DDoS protection.</p>', 'refs' => [ 'DescribeProtectionResponse$Protection' => '<p>The <a>Protection</a> object that is described.</p>', 'Protections$member' => NULL, ], ], 'ProtectionId' => [ 'base' => NULL, 'refs' => [ 'CreateProtectionResponse$ProtectionId' => '<p>The unique identifier (ID) for the <a>Protection</a> object that is created.</p>', 'DeleteProtectionRequest$ProtectionId' => '<p>The unique identifier (ID) for the <a>Protection</a> object to be deleted.</p>', 'DescribeProtectionRequest$ProtectionId' => '<p>The unique identifier (ID) for the <a>Protection</a> object that is described.</p>', 'Protection$Id' => '<p>The unique identifier (ID) of the protection.</p>', ], ], 'ProtectionName' => [ 'base' => NULL, 'refs' => [ 'CreateProtectionRequest$Name' => '<p>Friendly name for the <code>Protection</code> you are creating.</p>', 'Protection$Name' => '<p>The friendly name of the protection. For example, <code>My CloudFront distributions</code>.</p>', ], ], 'Protections' => [ 'base' => NULL, 'refs' => [ 'ListProtectionsResponse$Protections' => '<p>The array of enabled <a>Protection</a> objects.</p>', ], ], 'ResourceAlreadyExistsException' => [ 'base' => '<p>Exception indicating the specified resource already exists.</p>', 'refs' => [], ], 'ResourceArn' => [ 'base' => NULL, 'refs' => [ 'AttackDetail$ResourceArn' => '<p>The ARN (Amazon Resource Name) of the resource that was attacked.</p>', 'CreateProtectionRequest$ResourceArn' => '<p>The ARN (Amazon Resource Name) of the resource to be protected.</p> <p>The ARN should be in one of the following formats:</p> <ul> <li> <p>For an Application Load Balancer: <code>arn:aws:elasticloadbalancing:<i>region</i>:<i>account-id</i>:loadbalancer/app/<i>load-balancer-name</i>/<i>load-balancer-id</i> </code> </p> </li> <li> <p>For an Elastic Load Balancer (Classic Load Balancer): <code>arn:aws:elasticloadbalancing:<i>region</i>:<i>account-id</i>:loadbalancer/<i>load-balancer-name</i> </code> </p> </li> <li> <p>For AWS CloudFront distribution: <code>arn:aws:cloudfront::<i>account-id</i>:distribution/<i>distribution-id</i> </code> </p> </li> <li> <p>For Amazon Route 53: <code>arn:aws:route53::<i>account-id</i>:hostedzone/<i>hosted-zone-id</i> </code> </p> </li> <li> <p>For an Elastic IP address: <code>arn:aws:ec2:<i>region</i>:<i>account-id</i>:eip-allocation/<i>allocation-id</i> </code> </p> </li> </ul>', 'Protection$ResourceArn' => '<p>The ARN (Amazon Resource Name) of the AWS resource that is protected.</p>', 'ResourceArnFilterList$member' => NULL, ], ], 'ResourceArnFilterList' => [ 'base' => NULL, 'refs' => [ 'ListAttacksRequest$ResourceArns' => '<p>The ARN (Amazon Resource Name) of the resource that was attacked. If this is left blank, all applicable resources for this account will be included.</p>', ], ], 'ResourceNotFoundException' => [ 'base' => '<p>Exception indicating the specified resource does not exist.</p>', 'refs' => [], ], 'String' => [ 'base' => NULL, 'refs' => [ 'AttackSummary$AttackId' => '<p>The unique identifier (ID) of the attack.</p>', 'AttackSummary$ResourceArn' => '<p>The ARN (Amazon Resource Name) of the resource that was attacked.</p>', 'AttackVectorDescription$VectorType' => '<p>The attack type. Valid values:</p> <ul> <li> <p>UDP_TRAFFIC</p> </li> <li> <p>UDP_FRAGMENT</p> </li> <li> <p>GENERIC_UDP_REFLECTION</p> </li> <li> <p>DNS_REFLECTION</p> </li> <li> <p>NTP_REFLECTION</p> </li> <li> <p>CHARGEN_REFLECTION</p> </li> <li> <p>SSDP_REFLECTION</p> </li> <li> <p>PORT_MAPPER</p> </li> <li> <p>RIP_REFLECTION</p> </li> <li> <p>SNMP_REFLECTION</p> </li> <li> <p>MSSQL_REFLECTION</p> </li> <li> <p>NET_BIOS_REFLECTION</p> </li> <li> <p>SYN_FLOOD</p> </li> <li> <p>ACK_FLOOD</p> </li> <li> <p>REQUEST_FLOOD</p> </li> </ul>', 'Contributor$Name' => '<p>The name of the contributor. This is dependent on the <code>AttackPropertyIdentifier</code>. For example, if the <code>AttackPropertyIdentifier</code> is <code>SOURCE_COUNTRY</code>, the <code>Name</code> could be <code>United States</code>.</p>', 'Mitigation$MitigationName' => '<p>The name of the mitigation taken for this attack.</p>', 'SubResourceSummary$Id' => '<p>The unique identifier (ID) of the <code>SubResource</code>.</p>', 'SummarizedAttackVector$VectorType' => '<p>The attack type, for example, SNMP reflection or SYN flood.</p>', 'SummarizedCounter$Name' => '<p>The counter name.</p>', 'SummarizedCounter$Unit' => '<p>The unit of the counters.</p>', ], ], 'SubResourceSummary' => [ 'base' => '<p>The attack information for the specified SubResource.</p>', 'refs' => [ 'SubResourceSummaryList$member' => NULL, ], ], 'SubResourceSummaryList' => [ 'base' => NULL, 'refs' => [ 'AttackDetail$SubResources' => '<p>If applicable, additional detail about the resource being attacked, for example, IP address or URL.</p>', ], ], 'SubResourceType' => [ 'base' => NULL, 'refs' => [ 'SubResourceSummary$Type' => '<p>The <code>SubResource</code> type.</p>', ], ], 'Subscription' => [ 'base' => '<p>Information about the AWS Shield Advanced subscription for an account.</p>', 'refs' => [ 'DescribeSubscriptionResponse$Subscription' => '<p>The AWS Shield Advanced subscription details for an account.</p>', ], ], 'SubscriptionState' => [ 'base' => NULL, 'refs' => [ 'GetSubscriptionStateResponse$SubscriptionState' => '<p>The status of the subscription.</p>', ], ], 'SummarizedAttackVector' => [ 'base' => '<p>A summary of information about the attack.</p>', 'refs' => [ 'SummarizedAttackVectorList$member' => NULL, ], ], 'SummarizedAttackVectorList' => [ 'base' => NULL, 'refs' => [ 'SubResourceSummary$AttackVectors' => '<p>The list of attack types and associated counters.</p>', ], ], 'SummarizedCounter' => [ 'base' => '<p>The counter that describes a DDoS attack.</p>', 'refs' => [ 'SummarizedCounterList$member' => NULL, ], ], 'SummarizedCounterList' => [ 'base' => NULL, 'refs' => [ 'AttackDetail$AttackCounters' => '<p>List of counters that describe the attack for the specified time period.</p>', 'SubResourceSummary$Counters' => '<p>The counters that describe the details of the attack.</p>', 'SummarizedAttackVector$VectorCounters' => '<p>The list of counters that describe the details of the attack.</p>', ], ], 'TimeRange' => [ 'base' => '<p>The time range.</p>', 'refs' => [ 'ListAttacksRequest$StartTime' => '<p>The start of the time period for the attacks. This is a <code>timestamp</code> type. The sample request above indicates a <code>number</code> type because the default used by WAF is Unix time in seconds. However any valid <a href="http://docs.aws.amazon.com/cli/latest/userguide/cli-using-param.html#parameter-types">timestamp format</a> is allowed. </p>', 'ListAttacksRequest$EndTime' => '<p>The end of the time period for the attacks. This is a <code>timestamp</code> type. The sample request above indicates a <code>number</code> type because the default used by WAF is Unix time in seconds. However any valid <a href="http://docs.aws.amazon.com/cli/latest/userguide/cli-using-param.html#parameter-types">timestamp format</a> is allowed. </p>', ], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'Subscription$StartTime' => '<p>The start time of the subscription, in Unix time in seconds. For more information see <a href="http://docs.aws.amazon.com/cli/latest/userguide/cli-using-param.html#parameter-types">timestamp</a>.</p>', ], ], 'Token' => [ 'base' => NULL, 'refs' => [ 'ListAttacksRequest$NextToken' => '<p>The <code>ListAttacksRequest.NextMarker</code> value from a previous call to <code>ListAttacksRequest</code>. Pass null if this is the first call.</p>', 'ListAttacksResponse$NextToken' => '<p>The token returned by a previous call to indicate that there is more data available. If not null, more results are available. Pass this value for the <code>NextMarker</code> parameter in a subsequent call to <code>ListAttacks</code> to retrieve the next set of items.</p>', 'ListProtectionsRequest$NextToken' => '<p>The <code>ListProtectionsRequest.NextToken</code> value from a previous call to <code>ListProtections</code>. Pass null if this is the first call.</p>', 'ListProtectionsResponse$NextToken' => '<p>If you specify a value for <code>MaxResults</code> and you have more Protections than the value of MaxResults, AWS Shield Advanced returns a NextToken value in the response that allows you to list another group of Protections. For the second and subsequent ListProtections requests, specify the value of NextToken from the previous response to get information about another batch of Protections.</p>', ], ], 'TopContributors' => [ 'base' => NULL, 'refs' => [ 'AttackProperty$TopContributors' => '<p>The array of <a>Contributor</a> objects that includes the top five contributors to an attack. </p>', ], ], 'Unit' => [ 'base' => NULL, 'refs' => [ 'AttackProperty$Unit' => '<p>The unit of the <code>Value</code> of the contributions.</p>', ], ], 'errorMessage' => [ 'base' => NULL, 'refs' => [ 'InternalErrorException$message' => NULL, 'InvalidOperationException$message' => NULL, 'InvalidParameterException$message' => NULL, 'InvalidResourceException$message' => NULL, 'LimitsExceededException$message' => NULL, 'LockedSubscriptionException$message' => NULL, 'OptimisticLockException$message' => NULL, 'ResourceAlreadyExistsException$message' => NULL, 'ResourceNotFoundException$message' => NULL, ], ], ],];
