<?php
// This file was auto-generated from sdk-root/src/data/workspaces/2015-04-08/docs-2.json
return [ 'version' => '2.0', 'service' => '<fullname>Amazon WorkSpaces Service</fullname> <p>Amazon WorkSpaces enables you to provision virtual, cloud-based Microsoft Windows desktops for your users.</p>', 'operations' => [ 'CreateTags' => '<p>Creates tags for the specified WorkSpace.</p>', 'CreateWorkspaces' => '<p>Creates one or more WorkSpaces.</p> <p>This operation is asynchronous and returns before the WorkSpaces are created.</p>', 'DeleteTags' => '<p>Deletes the specified tags from a WorkSpace.</p>', 'DescribeTags' => '<p>Describes the tags for the specified WorkSpace.</p>', 'DescribeWorkspaceBundles' => '<p>Describes the available WorkSpace bundles.</p> <p>You can filter the results using either bundle ID or owner, but not both.</p>', 'DescribeWorkspaceDirectories' => '<p>Describes the available AWS Directory Service directories that are registered with Amazon WorkSpaces.</p>', 'DescribeWorkspaces' => '<p>Describes the specified WorkSpaces.</p> <p>You can filter the results using bundle ID, directory ID, or owner, but you can specify only one filter at a time.</p>', 'DescribeWorkspacesConnectionStatus' => '<p>Describes the connection status of the specified WorkSpaces.</p>', 'ModifyWorkspaceProperties' => '<p>Modifies the specified WorkSpace properties.</p>', 'RebootWorkspaces' => '<p>Reboots the specified WorkSpaces.</p> <p>You cannot reboot a WorkSpace unless its state is <code>AVAILABLE</code>, <code>IMPAIRED</code>, or <code>INOPERABLE</code>.</p> <p>This operation is asynchronous and returns before the WorkSpaces have rebooted.</p>', 'RebuildWorkspaces' => '<p>Rebuilds the specified WorkSpaces.</p> <p>You cannot rebuild a WorkSpace unless its state is <code>AVAILABLE</code> or <code>ERROR</code>.</p> <p>Rebuilding a WorkSpace is a potentially destructive action that can result in the loss of data. For more information, see <a href="http://docs.aws.amazon.com/workspaces/latest/adminguide/reset-workspace.html">Rebuild a WorkSpace</a>.</p> <p>This operation is asynchronous and returns before the WorkSpaces have been completely rebuilt.</p>', 'StartWorkspaces' => '<p>Starts the specified WorkSpaces.</p> <p>You cannot start a WorkSpace unless it has a running mode of <code>AutoStop</code> and a state of <code>STOPPED</code>.</p>', 'StopWorkspaces' => '<p> Stops the specified WorkSpaces.</p> <p>You cannot stop a WorkSpace unless it has a running mode of <code>AutoStop</code> and a state of <code>AVAILABLE</code>, <code>IMPAIRED</code>, <code>UNHEALTHY</code>, or <code>ERROR</code>.</p>', 'TerminateWorkspaces' => '<p>Terminates the specified WorkSpaces.</p> <p>Terminating a WorkSpace is a permanent action and cannot be undone. The user\'s data is destroyed. If you need to archive any user data, contact Amazon Web Services before terminating the WorkSpace.</p> <p>You can terminate a WorkSpace that is in any state except <code>SUSPENDED</code>.</p> <p>This operation is asynchronous and returns before the WorkSpaces have been completely terminated.</p>', ], 'shapes' => [ 'ARN' => [ 'base' => NULL, 'refs' => [ 'WorkspaceDirectory$IamRoleId' => '<p>The identifier of the IAM role. This is the role that allows Amazon WorkSpaces to make calls to other services, such as Amazon EC2, on your behalf.</p>', ], ], 'AccessDeniedException' => [ 'base' => '<p>The user is not authorized to access a resource.</p>', 'refs' => [], ], 'Alias' => [ 'base' => NULL, 'refs' => [ 'WorkspaceDirectory$Alias' => '<p>The directory alias.</p>', ], ], 'BooleanObject' => [ 'base' => NULL, 'refs' => [ 'DefaultWorkspaceCreationProperties$EnableWorkDocs' => '<p>Indicates whether the directory is enabled for Amazon WorkDocs.</p>', 'DefaultWorkspaceCreationProperties$EnableInternetAccess' => '<p>The public IP address to attach to all WorkSpaces that are created or rebuilt.</p>', 'DefaultWorkspaceCreationProperties$UserEnabledAsLocalAdministrator' => '<p>Indicates whether the WorkSpace user is an administrator on the WorkSpace.</p>', 'Workspace$UserVolumeEncryptionEnabled' => '<p>Indicates whether the data stored on the user volume is encrypted.</p>', 'Workspace$RootVolumeEncryptionEnabled' => '<p>Indicates whether the data stored on the root volume is encrypted.</p>', 'WorkspaceRequest$UserVolumeEncryptionEnabled' => '<p>Indicates whether the data stored on the user volume is encrypted.</p>', 'WorkspaceRequest$RootVolumeEncryptionEnabled' => '<p>Indicates whether the data stored on the root volume is encrypted.</p>', ], ], 'BundleId' => [ 'base' => NULL, 'refs' => [ 'BundleIdList$member' => NULL, 'DescribeWorkspacesRequest$BundleId' => '<p>The ID of the bundle. All WorkSpaces that are created from this bundle are retrieved. This parameter cannot be combined with any other filter.</p>', 'Workspace$BundleId' => '<p>The identifier of the bundle used to create the WorkSpace.</p>', 'WorkspaceBundle$BundleId' => '<p>The bundle identifier.</p>', 'WorkspaceRequest$BundleId' => '<p>The identifier of the bundle for the WorkSpace. You can use <a>DescribeWorkspaceBundles</a> to list the available bundles.</p>', ], ], 'BundleIdList' => [ 'base' => NULL, 'refs' => [ 'DescribeWorkspaceBundlesRequest$BundleIds' => '<p>The IDs of the bundles. This parameter cannot be combined with any other filter.</p>', ], ], 'BundleList' => [ 'base' => NULL, 'refs' => [ 'DescribeWorkspaceBundlesResult$Bundles' => '<p>Information about the bundles.</p>', ], ], 'BundleOwner' => [ 'base' => NULL, 'refs' => [ 'DescribeWorkspaceBundlesRequest$Owner' => '<p>The owner of the bundles. This parameter cannot be combined with any other filter.</p> <p>Specify <code>AMAZON</code> to describe the bundles provided by AWS or null to describe the bundles that belong to your account.</p>', 'WorkspaceBundle$Owner' => '<p>The owner of the bundle. This is the account identifier of the owner, or <code>AMAZON</code> if the bundle is provided by AWS.</p>', ], ], 'Compute' => [ 'base' => NULL, 'refs' => [ 'ComputeType$Name' => '<p>The compute type.</p>', 'WorkspaceProperties$ComputeTypeName' => '<p>The compute type. For more information, see <a href="http://aws.amazon.com/workspaces/details/#Amazon_WorkSpaces_Bundles">Amazon WorkSpaces Bundles</a>.</p>', ], ], 'ComputeType' => [ 'base' => '<p>Information about the compute type.</p>', 'refs' => [ 'WorkspaceBundle$ComputeType' => '<p>The compute type. For more information, see <a href="http://aws.amazon.com/workspaces/details/#Amazon_WorkSpaces_Bundles">Amazon WorkSpaces Bundles</a>.</p>', ], ], 'ComputerName' => [ 'base' => NULL, 'refs' => [ 'Workspace$ComputerName' => '<p>The name of the WorkSpace, as seen by the operating system.</p>', ], ], 'ConnectionState' => [ 'base' => NULL, 'refs' => [ 'WorkspaceConnectionStatus$ConnectionState' => '<p>The connection state of the WorkSpace. The connection state is unknown if the WorkSpace is stopped.</p>', ], ], 'CreateTagsRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateTagsResult' => [ 'base' => NULL, 'refs' => [], ], 'CreateWorkspacesRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateWorkspacesResult' => [ 'base' => NULL, 'refs' => [], ], 'DefaultOu' => [ 'base' => NULL, 'refs' => [ 'DefaultWorkspaceCreationProperties$DefaultOu' => '<p>The organizational unit (OU) in the directory for the WorkSpace machine accounts.</p>', ], ], 'DefaultWorkspaceCreationProperties' => [ 'base' => '<p>Information about defaults used to create a WorkSpace.</p>', 'refs' => [ 'WorkspaceDirectory$WorkspaceCreationProperties' => '<p>The default creation properties for all WorkSpaces in the directory.</p>', ], ], 'DeleteTagsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteTagsResult' => [ 'base' => NULL, 'refs' => [], ], 'DescribeTagsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeTagsResult' => [ 'base' => NULL, 'refs' => [], ], 'DescribeWorkspaceBundlesRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeWorkspaceBundlesResult' => [ 'base' => NULL, 'refs' => [], ], 'DescribeWorkspaceDirectoriesRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeWorkspaceDirectoriesResult' => [ 'base' => NULL, 'refs' => [], ], 'DescribeWorkspacesConnectionStatusRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeWorkspacesConnectionStatusResult' => [ 'base' => NULL, 'refs' => [], ], 'DescribeWorkspacesRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeWorkspacesResult' => [ 'base' => NULL, 'refs' => [], ], 'Description' => [ 'base' => NULL, 'refs' => [ 'FailedCreateWorkspaceRequest$ErrorMessage' => '<p>The textual error message.</p>', 'FailedWorkspaceChangeRequest$ErrorMessage' => '<p>The textual error message.</p>', 'Workspace$ErrorMessage' => '<p>If the WorkSpace could not be created, contains a textual error message that describes the failure.</p>', 'WorkspaceBundle$Description' => '<p>A description.</p>', ], ], 'DirectoryId' => [ 'base' => NULL, 'refs' => [ 'DescribeWorkspacesRequest$DirectoryId' => '<p>The ID of the directory. In addition, you can optionally specify a specific directory user (see <code>UserName</code>). This parameter cannot be combined with any other filter.</p>', 'DirectoryIdList$member' => NULL, 'Workspace$DirectoryId' => '<p>The identifier of the AWS Directory Service directory for the WorkSpace.</p>', 'WorkspaceDirectory$DirectoryId' => '<p>The directory identifier.</p>', 'WorkspaceRequest$DirectoryId' => '<p>The identifier of the AWS Directory Service directory for the WorkSpace. You can use <a>DescribeWorkspaceDirectories</a> to list the available directories.</p>', ], ], 'DirectoryIdList' => [ 'base' => NULL, 'refs' => [ 'DescribeWorkspaceDirectoriesRequest$DirectoryIds' => '<p>The identifiers of the directories. If the value is null, all directories are retrieved.</p>', ], ], 'DirectoryList' => [ 'base' => NULL, 'refs' => [ 'DescribeWorkspaceDirectoriesResult$Directories' => '<p>Information about the directories.</p>', ], ], 'DirectoryName' => [ 'base' => NULL, 'refs' => [ 'WorkspaceDirectory$DirectoryName' => '<p>The name of the directory.</p>', ], ], 'DnsIpAddresses' => [ 'base' => NULL, 'refs' => [ 'WorkspaceDirectory$DnsIpAddresses' => '<p>The IP addresses of the DNS servers for the directory.</p>', ], ], 'ErrorType' => [ 'base' => NULL, 'refs' => [ 'FailedCreateWorkspaceRequest$ErrorCode' => '<p>The error code.</p>', 'FailedWorkspaceChangeRequest$ErrorCode' => '<p>The error code.</p>', ], ], 'ExceptionMessage' => [ 'base' => NULL, 'refs' => [ 'AccessDeniedException$message' => NULL, 'InvalidParameterValuesException$message' => '<p>The exception error message.</p>', 'InvalidResourceStateException$message' => NULL, 'OperationInProgressException$message' => NULL, 'ResourceLimitExceededException$message' => '<p>The exception error message.</p>', 'ResourceNotFoundException$message' => '<p>The resource could not be found.</p>', 'ResourceUnavailableException$message' => '<p>The exception error message.</p>', 'UnsupportedWorkspaceConfigurationException$message' => NULL, ], ], 'FailedCreateWorkspaceRequest' => [ 'base' => '<p>Information about a WorkSpace that could not be created.</p>', 'refs' => [ 'FailedCreateWorkspaceRequests$member' => NULL, ], ], 'FailedCreateWorkspaceRequests' => [ 'base' => NULL, 'refs' => [ 'CreateWorkspacesResult$FailedRequests' => '<p>Information about the WorkSpaces that could not be created.</p>', ], ], 'FailedRebootWorkspaceRequests' => [ 'base' => NULL, 'refs' => [ 'RebootWorkspacesResult$FailedRequests' => '<p>Information about the WorkSpaces that could not be rebooted.</p>', ], ], 'FailedRebuildWorkspaceRequests' => [ 'base' => NULL, 'refs' => [ 'RebuildWorkspacesResult$FailedRequests' => '<p>Information about the WorkSpaces that could not be rebuilt.</p>', ], ], 'FailedStartWorkspaceRequests' => [ 'base' => NULL, 'refs' => [ 'StartWorkspacesResult$FailedRequests' => '<p>Information about the WorkSpaces that could not be started.</p>', ], ], 'FailedStopWorkspaceRequests' => [ 'base' => NULL, 'refs' => [ 'StopWorkspacesResult$FailedRequests' => '<p>Information about the WorkSpaces that could not be stopped.</p>', ], ], 'FailedTerminateWorkspaceRequests' => [ 'base' => NULL, 'refs' => [ 'TerminateWorkspacesResult$FailedRequests' => '<p>Information about the WorkSpaces that could not be terminated.</p>', ], ], 'FailedWorkspaceChangeRequest' => [ 'base' => '<p>Information about a WorkSpace that could not be rebooted (<a>RebootWorkspaces</a>), rebuilt (<a>RebuildWorkspaces</a>), terminated (<a>TerminateWorkspaces</a>), started (<a>StartWorkspaces</a>), or stopped (<a>StopWorkspaces</a>).</p>', 'refs' => [ 'FailedRebootWorkspaceRequests$member' => NULL, 'FailedRebuildWorkspaceRequests$member' => NULL, 'FailedStartWorkspaceRequests$member' => NULL, 'FailedStopWorkspaceRequests$member' => NULL, 'FailedTerminateWorkspaceRequests$member' => NULL, ], ], 'InvalidParameterValuesException' => [ 'base' => '<p>One or more parameter values are not valid.</p>', 'refs' => [], ], 'InvalidResourceStateException' => [ 'base' => '<p>The state of the WorkSpace is not valid for this operation.</p>', 'refs' => [], ], 'IpAddress' => [ 'base' => NULL, 'refs' => [ 'DnsIpAddresses$member' => NULL, 'Workspace$IpAddress' => '<p>The IP address of the WorkSpace.</p>', ], ], 'Limit' => [ 'base' => NULL, 'refs' => [ 'DescribeWorkspacesRequest$Limit' => '<p>The maximum number of items to return.</p>', ], ], 'ModificationResourceEnum' => [ 'base' => NULL, 'refs' => [ 'ModificationState$Resource' => '<p>The resource.</p>', ], ], 'ModificationState' => [ 'base' => '<p>Information about a WorkSpace modification.</p>', 'refs' => [ 'ModificationStateList$member' => NULL, ], ], 'ModificationStateEnum' => [ 'base' => NULL, 'refs' => [ 'ModificationState$State' => '<p>The modification state.</p>', ], ], 'ModificationStateList' => [ 'base' => NULL, 'refs' => [ 'Workspace$ModificationStates' => '<p>The modification states of the WorkSpace.</p>', ], ], 'ModifyWorkspacePropertiesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ModifyWorkspacePropertiesResult' => [ 'base' => NULL, 'refs' => [], ], 'NonEmptyString' => [ 'base' => NULL, 'refs' => [ 'CreateTagsRequest$ResourceId' => '<p>The ID of the resource.</p>', 'DeleteTagsRequest$ResourceId' => '<p>The ID of the resource.</p>', 'DescribeTagsRequest$ResourceId' => '<p>The ID of the resource.</p>', 'ResourceNotFoundException$ResourceId' => '<p>The ID of the resource that could not be found.</p>', 'ResourceUnavailableException$ResourceId' => '<p>The identifier of the resource that is not available.</p>', 'RootStorage$Capacity' => '<p>The size of the root volume.</p>', 'TagKeyList$member' => NULL, 'UserStorage$Capacity' => '<p>The size of the user storage.</p>', 'WorkspaceBundle$Name' => '<p>The name of the bundle.</p>', ], ], 'OperationInProgressException' => [ 'base' => '<p>The properties of this WorkSpace are currently being modified. Try again in a moment.</p>', 'refs' => [], ], 'PaginationToken' => [ 'base' => NULL, 'refs' => [ 'DescribeWorkspaceBundlesRequest$NextToken' => '<p>The token for the next set of results. (You received this token from a previous call.)</p>', 'DescribeWorkspaceBundlesResult$NextToken' => '<p>The token to use to retrieve the next set of results, or null if there are no more results available. This token is valid for one day and must be used within that time frame.</p>', 'DescribeWorkspaceDirectoriesRequest$NextToken' => '<p>The token for the next set of results. (You received this token from a previous call.)</p>', 'DescribeWorkspaceDirectoriesResult$NextToken' => '<p>The token to use to retrieve the next set of results, or null if there are no more results available. This token is valid for one day and must be used within that time frame.</p>', 'DescribeWorkspacesConnectionStatusRequest$NextToken' => '<p>The token for the next set of results. (You received this token from a previous call.)</p>', 'DescribeWorkspacesConnectionStatusResult$NextToken' => '<p>The token to use to retrieve the next set of results, or null if there are no more results available.</p>', 'DescribeWorkspacesRequest$NextToken' => '<p>The token for the next set of results. (You received this token from a previous call.)</p>', 'DescribeWorkspacesResult$NextToken' => '<p>The token to use to retrieve the next set of results, or null if there are no more results available. This token is valid for one day and must be used within that time frame.</p>', ], ], 'RebootRequest' => [ 'base' => '<p>Information used to reboot a WorkSpace.</p>', 'refs' => [ 'RebootWorkspaceRequests$member' => NULL, ], ], 'RebootWorkspaceRequests' => [ 'base' => NULL, 'refs' => [ 'RebootWorkspacesRequest$RebootWorkspaceRequests' => '<p>The WorkSpaces to reboot.</p>', ], ], 'RebootWorkspacesRequest' => [ 'base' => NULL, 'refs' => [], ], 'RebootWorkspacesResult' => [ 'base' => NULL, 'refs' => [], ], 'RebuildRequest' => [ 'base' => '<p>Information used to rebuild a WorkSpace.</p>', 'refs' => [ 'RebuildWorkspaceRequests$member' => NULL, ], ], 'RebuildWorkspaceRequests' => [ 'base' => NULL, 'refs' => [ 'RebuildWorkspacesRequest$RebuildWorkspaceRequests' => '<p>The WorkSpaces to rebuild.</p>', ], ], 'RebuildWorkspacesRequest' => [ 'base' => NULL, 'refs' => [], ], 'RebuildWorkspacesResult' => [ 'base' => NULL, 'refs' => [], ], 'RegistrationCode' => [ 'base' => NULL, 'refs' => [ 'WorkspaceDirectory$RegistrationCode' => '<p>The registration code for the directory. This is the code that users enter in their Amazon WorkSpaces client application to connect to the directory.</p>', ], ], 'ResourceLimitExceededException' => [ 'base' => '<p>Your resource limits have been exceeded.</p>', 'refs' => [], ], 'ResourceNotFoundException' => [ 'base' => '<p>The resource could not be found.</p>', 'refs' => [], ], 'ResourceUnavailableException' => [ 'base' => '<p>The specified resource is not available.</p>', 'refs' => [], ], 'RootStorage' => [ 'base' => '<p>Information about the root volume for a WorkSpace bundle.</p>', 'refs' => [ 'WorkspaceBundle$RootStorage' => '<p>The size of the root volume.</p>', ], ], 'RootVolumeSizeGib' => [ 'base' => NULL, 'refs' => [ 'WorkspaceProperties$RootVolumeSizeGib' => '<p>The size of the root volume.</p>', ], ], 'RunningMode' => [ 'base' => NULL, 'refs' => [ 'WorkspaceProperties$RunningMode' => '<p>The running mode. For more information, see <a href="http://docs.aws.amazon.com/workspaces/latest/adminguide/running-mode.html">Manage the WorkSpace Running Mode</a>.</p>', ], ], 'RunningModeAutoStopTimeoutInMinutes' => [ 'base' => NULL, 'refs' => [ 'WorkspaceProperties$RunningModeAutoStopTimeoutInMinutes' => '<p>The time after a user logs off when WorkSpaces are automatically stopped. Configured in 60 minute intervals.</p>', ], ], 'SecurityGroupId' => [ 'base' => NULL, 'refs' => [ 'DefaultWorkspaceCreationProperties$CustomSecurityGroupId' => '<p>The identifier of any security groups to apply to WorkSpaces when they are created.</p>', 'WorkspaceDirectory$WorkspaceSecurityGroupId' => '<p>The identifier of the security group that is assigned to new WorkSpaces.</p>', ], ], 'StartRequest' => [ 'base' => '<p>Information used to start a WorkSpace.</p>', 'refs' => [ 'StartWorkspaceRequests$member' => NULL, ], ], 'StartWorkspaceRequests' => [ 'base' => NULL, 'refs' => [ 'StartWorkspacesRequest$StartWorkspaceRequests' => '<p>The WorkSpaces to start.</p>', ], ], 'StartWorkspacesRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartWorkspacesResult' => [ 'base' => NULL, 'refs' => [], ], 'StopRequest' => [ 'base' => '<p>Information used to stop a WorkSpace.</p>', 'refs' => [ 'StopWorkspaceRequests$member' => NULL, ], ], 'StopWorkspaceRequests' => [ 'base' => NULL, 'refs' => [ 'StopWorkspacesRequest$StopWorkspaceRequests' => '<p>The WorkSpaces to stop.</p>', ], ], 'StopWorkspacesRequest' => [ 'base' => NULL, 'refs' => [], ], 'StopWorkspacesResult' => [ 'base' => NULL, 'refs' => [], ], 'SubnetId' => [ 'base' => NULL, 'refs' => [ 'SubnetIds$member' => NULL, 'Workspace$SubnetId' => '<p>The identifier of the subnet for the WorkSpace.</p>', ], ], 'SubnetIds' => [ 'base' => NULL, 'refs' => [ 'WorkspaceDirectory$SubnetIds' => '<p>The identifiers of the subnets used with the directory.</p>', ], ], 'Tag' => [ 'base' => '<p>Information about a tag.</p>', 'refs' => [ 'TagList$member' => NULL, ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'Tag$Key' => '<p>The key of the tag.</p>', ], ], 'TagKeyList' => [ 'base' => NULL, 'refs' => [ 'DeleteTagsRequest$TagKeys' => '<p>The tag keys.</p>', ], ], 'TagList' => [ 'base' => NULL, 'refs' => [ 'CreateTagsRequest$Tags' => '<p>The tags. Each resource can have a maximum of 50 tags.</p>', 'DescribeTagsResult$TagList' => '<p>The tags.</p>', 'WorkspaceRequest$Tags' => '<p>The tags for the WorkSpace.</p>', ], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'Tag$Value' => '<p>The value of the tag.</p>', ], ], 'TerminateRequest' => [ 'base' => '<p>Information used to terminate a WorkSpace.</p>', 'refs' => [ 'TerminateWorkspaceRequests$member' => NULL, ], ], 'TerminateWorkspaceRequests' => [ 'base' => NULL, 'refs' => [ 'TerminateWorkspacesRequest$TerminateWorkspaceRequests' => '<p>The WorkSpaces to terminate.</p>', ], ], 'TerminateWorkspacesRequest' => [ 'base' => NULL, 'refs' => [], ], 'TerminateWorkspacesResult' => [ 'base' => NULL, 'refs' => [], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'WorkspaceConnectionStatus$ConnectionStateCheckTimestamp' => '<p>The timestamp of the connection state check.</p>', 'WorkspaceConnectionStatus$LastKnownUserConnectionTimestamp' => '<p>The timestamp of the last known user connection.</p>', ], ], 'UnsupportedWorkspaceConfigurationException' => [ 'base' => '<p>The configuration of this WorkSpace is not supported for this operation. For more information, see the <a href="http://docs.aws.amazon.com/workspaces/latest/adminguide/">Amazon WorkSpaces Administration Guide</a>. </p>', 'refs' => [], ], 'UserName' => [ 'base' => NULL, 'refs' => [ 'DescribeWorkspacesRequest$UserName' => '<p>The name of the directory user. You must specify this parameter with <code>DirectoryId</code>.</p>', 'Workspace$UserName' => '<p>The user for the WorkSpace.</p>', 'WorkspaceDirectory$CustomerUserName' => '<p>The user name for the service account.</p>', 'WorkspaceRequest$UserName' => '<p>The username of the user for the WorkSpace. This username must exist in the AWS Directory Service directory for the WorkSpace.</p>', ], ], 'UserStorage' => [ 'base' => '<p>Information about the user storage for a WorkSpace bundle.</p>', 'refs' => [ 'WorkspaceBundle$UserStorage' => '<p>The size of the user storage.</p>', ], ], 'UserVolumeSizeGib' => [ 'base' => NULL, 'refs' => [ 'WorkspaceProperties$UserVolumeSizeGib' => '<p>The size of the user storage.</p>', ], ], 'VolumeEncryptionKey' => [ 'base' => NULL, 'refs' => [ 'Workspace$VolumeEncryptionKey' => '<p>The KMS key used to encrypt data stored on your WorkSpace.</p>', 'WorkspaceRequest$VolumeEncryptionKey' => '<p>The KMS key used to encrypt data stored on your WorkSpace.</p>', ], ], 'Workspace' => [ 'base' => '<p>Information about a WorkSpace.</p>', 'refs' => [ 'WorkspaceList$member' => NULL, ], ], 'WorkspaceBundle' => [ 'base' => '<p>Information about a WorkSpace bundle.</p>', 'refs' => [ 'BundleList$member' => NULL, ], ], 'WorkspaceConnectionStatus' => [ 'base' => '<p>Describes the connection status of a WorkSpace.</p>', 'refs' => [ 'WorkspaceConnectionStatusList$member' => NULL, ], ], 'WorkspaceConnectionStatusList' => [ 'base' => NULL, 'refs' => [ 'DescribeWorkspacesConnectionStatusResult$WorkspacesConnectionStatus' => '<p>Information about the connection status of the WorkSpace.</p>', ], ], 'WorkspaceDirectory' => [ 'base' => '<p>Contains information about an AWS Directory Service directory for use with Amazon WorkSpaces.</p>', 'refs' => [ 'DirectoryList$member' => NULL, ], ], 'WorkspaceDirectoryState' => [ 'base' => NULL, 'refs' => [ 'WorkspaceDirectory$State' => '<p>The state of the directory\'s registration with Amazon WorkSpaces</p>', ], ], 'WorkspaceDirectoryType' => [ 'base' => NULL, 'refs' => [ 'WorkspaceDirectory$DirectoryType' => '<p>The directory type.</p>', ], ], 'WorkspaceErrorCode' => [ 'base' => NULL, 'refs' => [ 'Workspace$ErrorCode' => '<p>If the WorkSpace could not be created, contains the error code.</p>', ], ], 'WorkspaceId' => [ 'base' => NULL, 'refs' => [ 'FailedWorkspaceChangeRequest$WorkspaceId' => '<p>The identifier of the WorkSpace.</p>', 'ModifyWorkspacePropertiesRequest$WorkspaceId' => '<p>The ID of the WorkSpace.</p>', 'RebootRequest$WorkspaceId' => '<p>The identifier of the WorkSpace.</p>', 'RebuildRequest$WorkspaceId' => '<p>The identifier of the WorkSpace.</p>', 'StartRequest$WorkspaceId' => '<p>The ID of the WorkSpace.</p>', 'StopRequest$WorkspaceId' => '<p>The ID of the WorkSpace.</p>', 'TerminateRequest$WorkspaceId' => '<p>The identifier of the WorkSpace.</p>', 'Workspace$WorkspaceId' => '<p>The identifier of the WorkSpace.</p>', 'WorkspaceConnectionStatus$WorkspaceId' => '<p>The ID of the WorkSpace.</p>', 'WorkspaceIdList$member' => NULL, ], ], 'WorkspaceIdList' => [ 'base' => NULL, 'refs' => [ 'DescribeWorkspacesConnectionStatusRequest$WorkspaceIds' => '<p>The identifiers of the WorkSpaces.</p>', 'DescribeWorkspacesRequest$WorkspaceIds' => '<p>The IDs of the WorkSpaces. This parameter cannot be combined with any other filter.</p> <p>Because the <a>CreateWorkspaces</a> operation is asynchronous, the identifier it returns is not immediately available. If you immediately call <a>DescribeWorkspaces</a> with this identifier, no information is returned.</p>', ], ], 'WorkspaceList' => [ 'base' => NULL, 'refs' => [ 'CreateWorkspacesResult$PendingRequests' => '<p>Information about the WorkSpaces that were created.</p> <p>Because this operation is asynchronous, the identifier returned is not immediately available for use with other operations. For example, if you call <a>DescribeWorkspaces</a> before the WorkSpace is created, the information returned can be incomplete.</p>', 'DescribeWorkspacesResult$Workspaces' => '<p>Information about the WorkSpaces.</p> <p>Because <a>CreateWorkspaces</a> is an asynchronous operation, some of the returned information could be incomplete.</p>', ], ], 'WorkspaceProperties' => [ 'base' => '<p>Information about a WorkSpace.</p>', 'refs' => [ 'ModifyWorkspacePropertiesRequest$WorkspaceProperties' => '<p>The properties of the WorkSpace.</p>', 'Workspace$WorkspaceProperties' => '<p>The properties of the WorkSpace.</p>', 'WorkspaceRequest$WorkspaceProperties' => '<p>The WorkSpace properties.</p>', ], ], 'WorkspaceRequest' => [ 'base' => '<p>Information used to create a WorkSpace.</p>', 'refs' => [ 'FailedCreateWorkspaceRequest$WorkspaceRequest' => '<p>Information about the WorkSpace.</p>', 'WorkspaceRequestList$member' => NULL, ], ], 'WorkspaceRequestList' => [ 'base' => NULL, 'refs' => [ 'CreateWorkspacesRequest$Workspaces' => '<p>Information about the WorkSpaces to create.</p>', ], ], 'WorkspaceState' => [ 'base' => NULL, 'refs' => [ 'Workspace$State' => '<p>The operational state of the WorkSpace.</p>', ], ], ],];
